INTRODUCTION

A propos d'ISIS

Beaucoup d’utilisateurs de logiciels de CAO pensent que la saisie de schéma est une étape fastidieuse et non nécessaire dans la conception d’un circuit imprimé et nous avons toujours réfuté ce point de vue. Les outils actuels de conception de circuit offrent des automatismes dans le placement des composants et le routage des circuits, ce qui reporte le temps à passer essentiellement sur l’outil de saisie de schéma. Si on ajoute à cela, les étapes de simulation, nous constatons que l’éditeur de schéma est la clé de voûte d’un système de CAO.

ISIS a été créé dans cet esprit. Il évolue depuis plus de quinze ans et a été validé par des milliers d’utilisateurs du monde entier. La force de son architecture est de permettre la simulation par graphes et, plus récemment avec PROTEUS VSM, la simulation interactive des processeurs. Pour la première fois, il est donc possible de simuler un circuit basé sur des microprocesseurs et de le tester de manière interactive, logiciel compris. De plus ISIS regroupe des fonctionnalités utiles à la création d’un PCB afin qu’un même projet puisse être exporté vers ARES ou un autre logiciel de création de circuit imprimé.

Pour les utilisateurs de l’éducation ou les auteurs techniques, ISIS excelle dans la production de schémas attractifs tels que ceux présents dans les magazines. Il fournit un contrôle total de l’apparence du dessin en termes de largeurs de lignes, de styles de remplissage, de couleurs et de polices. De plus des gabarits vous permettent de définir votre style personnel et de le répercuter d’un dessin à un autre.

Voici quelques-unes des caractéristiques de l'éditeur :

  • Fonctionnement sous tout système d'exploitation depuis Windows XP.

  • Routage automatique des fils, placement et effacement des points de jonction automatiques.

  • Outils puissants de sélection d’objets et d’affectation des propriétés.

  • Support total des bus, y compris au niveau des broches, des terminaux inter-feuilles, des ports de modules et des fils.

  • Rapport de liste du matériel et contrôle des règles électriques.

  • Sortie Netlist compatible avec la plupart des outils de création des circuits imprimés.

ISIS possède également de puissantes caractéristiques de gestion de projet, qui le rendent idéal pour gérer de grands projets dans un environnement de CAO hautement intégré. Plusieurs de nos clients l’ont utilisé pour produire des schémas comportant plusieurs milliers de composants.

  • Projet hiérarchisé avec support des valeurs de composants paramétrées pour les sous-circuits.

  • Annotation globale qui autorise l'affectation de références différentes à plusieurs instances d'un même sous-circuit.

  • Annotation automatique - la capacité de numéroter automatiquement les composants.

  • Importation de données ASCII. Ce dernier utilitaire permet d'intégrer directement dans un projet ISIS les coûts et les codes de stock des composants, ou des fichiers où ils peuvent être entrés et même totalisés dans le rapport de nomenclature (Bill of Materials).

Système requis

L'éditeur de schémas ISIS requiert le système suivant pour une utilisation optimum:

  • Processeur Intel Pentium1GHz ou plus.

  • Carte graphique supportant le format OpenGL Version 2.0 ou plus et le multi-échantillonnage (MSAA).

  • RAM 512Mb.

  • Windows XP, Vista, 7, 8.

Notez que si votre carte graphique ne possède pas les caractéristiques requises, le logiciel fonctionnera sous le mode GDI. Ceci signifie que l'affichage est géré par Windows plutôt que par un accélérateur graphique. Certaines fonctions du logiciel seront donc indisponibles.

En règle générale, les concepteurs des cartes graphiques ATI et NVIDEA répondent aux exigences, contrairement aux chipset graphiques d'Intel .

ISIS & ARES

Les utilisateurs d'ARES, ou même d'autres logiciels de conception de circuits imprimés (PCB), trouveront intéressantes quelques-unes des caractéristiques spécifiques d'ISIS suivantes :

  • La possibilité d'affecter et de configurer directement les classes de lien à partir de la commande de placement des label de fils sur les connexions du schéma. Cette fonction vous permet de spécifier la longueur des pistes et le styles des traversées et d'alimenter le gestionnaire des règles de conception dans ARES quand vous avez besoin de configurer les contraintes de votre carte.

  • Propriétés globales de liens au niveau de la feuille qui permet de définir une stratégie globale de routage pour tous les liens d’une feuille donnée (exemple d’une alimentation qui nécessite de largeurs de pistes spécifiques).

  • Terminaux physiques qui permettent de répartir les broches du connecteur dans l’ensemble du projet.

  • Support des composants multi-éléments. Par exemple, un relais, peut avoir 3 éléments, appelés RELAY:A, RELAY:B et RELAY:C. RELAY:A est l'élément bobine, alors que les éléments B et C sont des contacts séparés. Chaque élément peut être placé séparément sur le schéma, à l'endroit qui convient le mieux.

  • Une netlist temp réel, un passage automatique et une rétroannotation entre les modules ARES et ISIS.

  • Prise en compte de la permutation des pins et des portes (pin-swap, gate swap). Ceci comprend la possibilité de spécifier des permutations dans les éléments des bibliothèques d'ISIS et la capacité de reporter les modifications effectuées dans ARES vers le schéma.

  • Un outil visuel d’affectation de boîtier montre l’empreinte sur le circuit imprimé avec les numéros de pins en regard des noms des pins. Cet outil permet de simplifier et d’éviter les erreurs lors de l’attribution des numéros par rapport aux noms. Par ailleurs, il est possible d’associer plusieurs packages à un élément du schéma.

  • Un outil visuel d’affectation de boîtier montre l’empreinte sur le circuit imprim. Un chapitre entier est consacré à l’utilisation conjointe de ISIS et ARES.

ISIS & la Simulation

ISIS fournit l'environnement de développement de PROTEUS VSM, notre simulateur interactif révolutionnaire. Ce produit combine le mode mixte de simulation, les modèles de microprocesseurs et les modèles de composants interactifs pour permettre la simulation des projets complexes qui incluent des microprocesseurs.

ISIS regroupe les fonctionnalités de saisie de schéma, l'architecture de la simulation interactive temps réel et l'environnement de gestion des codes sources et des codes objets associés à chaque projet. De plus, des objets graphes peuvent être placés sur le schéma pour permettre la simulation temporelle, fréquentielle et le balayage des variables.

Les caractéristiques principales de PROTEUS VSM sont :

  • Vrai mode de simulation en mode mixte base sur le noyau SPICE3F5 de Berkeley avec des extensions pour la simulation numérique et les opérations en mode mixte.

  • Supporte à la fois la simulation interactive et la simulation par graphes.

  • Dispose de plusieurs modèles de microcontrôleurs standards tels que les familles PIC, AVR, ARM, HC11 et 8051.

  • Modèles de périphériques interactifs tels que les afficheurs LED et LCD, un pavé numérique universel, un terminal RS232 et une bibliothèque complète d'interrupteurs, de potentiomètres, de lampes, de LEDs, etc.

  • Instruments virtuels qui comprennent les voltmètres, ampèremètres, oscilloscope, analyseur logique, etc.

  • L'intégration du module VSM Studio - IDE qui permet de détecter et configurer automatiquement les compilateurs installés et de générer le code optimal pour le débogage dans Proteus VSM.

  • Des Popups actifs dans VSM Studio qui vous permettent a la fois de voir et d'intéragir avec les composants du schéma à partir de l'IDE.

  • Mise en place des graphes sur écran - les graphes sont placés directement sur le schéma comme tout autre objet. On peut agrandir les graphes sur la totalité de l'écran pour des mesures à l'aide de curseurs.

  • Les analyses par graphes incluent l'analyse temporelle, fréquentielle, bruit, distorsion, balayage AC et DC, transformée de Fourier. Un graphe audio autorise de rejouer les formes d'ondes simulées.

  • Support direct des modèles de composants analogiques au format SPICE.

  • Architecture ouverte pour des modèles de composants ‘plug in’ codés en C++ ou d'autres langages. Les modèles peuvent être électriques, graphiques ou une combinaison des deux.

  • Simulateur numérique qui inclut un langage de programmation BASIC pour la modélisation et la génération des vecteurs de test.

  • Un projet créé pour la simulation peut directement être utilisé pour générer la netlist et concevoir le circuit imprimé - il n'est pas nécessaire de définir le projet une seconde fois.

Vous trouverez plus de détails sur ces caractéristiques et bien d’autres choses encore dans notre manuel PROTEUS VSM.

ISIS & les réseaux

ISIS est entièrement compatible avec les réseaux et offre les possibilités suivantes pour aider les administrateurs de réseaux:

  • Les fichiers bibliothèques peuvent être déclarés en lecture seule. Cela empêche les utilisateurs d'intervenir sur des symboles et des composants qui peuvent être utilisés par d'autres personnes.

  • ISIS individualise la configuration utilisateur dans la base des registres. Comme la base de registres détermine l'emplacement des fichiers bibliothèques, il s'ensuit que les utilisateurs peuvent utiliser des fichiers USERDVC.LIB personnels présents dans leur répertoire de travail ou dans un répertoire de groupe.

Comment utiliser cette documentation?

Alors que le manuel contient des informations de fond et des tutoriaux, l'aide en ligne fournit des informations contextuelles relatives aux icônes, commandes et boites de dialogue. L'aide est disponible pour la plupart des objets et peut être obtenue en pointant sur l'objet en question avec la souris et en appuyant sur la touche F1.

ISIS est un logiciel vaste et très puissant; il n'est donc pas raisonnable de penser le maîtriser immédiatement. Cependant les éléments de base de dessin d'un schéma d'un circuit élémentaire et de création de nouveaux composants sont extrêmement simples, et les techniques exigées pour ces tâches peuvent se maîtriser très vite, en suivant le Tutorial présent dans ce document.

Pour les aspects plus évolués qui font appel à des nouveaux concepts, sachez que des chapitres particuliers leurs sont dévolus. Généralement, nous commençons par expliquer la théorie avant de passer au fonctionnement et à l'emploi des différentes caractéristiques. Vous serez donc bien inspiré de lire les sections d'introduction, plutôt que de sauter immédiatement aux points sur le 'comment faire'.


INTERFACE UTILISATEUR

La barre de menu

La barre de menu dans ISIS

La barre de menu se situe dans la partie supérieure de l’écran et vous permet d’accéder aux commandes, comme dans toute application Windows. De plus, la barre de titre au-dessus du menu affiche certains messages lorsque le programme entre dans des modes particuliers de traitement.

Les barres d'outils

Comme dans toute application Windows, ISIS permet l’accès à certaines commandes par l’intermédiaire de barres d’outils. Ces barres d’outils peuvent être déplacées sur un des quatre côtés de l’application.

Barre d'outils de commande

Les outils, présents à partir du haut de l’écran (par défaut), fournissent un accès équivalent à des commandes du menu:

TITLE | TOOLBAR
Commandes Fichier/Impression |
Commandes Applications |
Commandes Affichage |
Commandes Editions |
Outils de conception |

Si vous travaillez sur un moniteur relativement petit, vous pouvez cacher une ou plusieurs de ces barres d’outils par l’intermédiaire de la commande ‘Barres d’outils’ du menu ‘Affichage’.

Barre d'outils de sélection de modes

Cette barre d’outils verticale, à gauche de l’écran, sélectionne le mode d’édition, c’est à dire ce qui se passe lorsque vous cliquez avec la souris dans la fenêtre d’édition.

TITLE | TOOLBAR
Modes principaux |
Gadgets |
Graphiques 2D |

Notez que la barre d’outils de mode ne peut être cachée, car ses possibilités ne sont pas dupliquées dans les menus.

Barre d'outils d'orientation

La barre d’outils d’orientation affiche et contrôle la rotation et la réflexion d’un objet placé dans le schéma.

TITLE | TOOLBAR
Rotation |
Reflection |

Le champ permet d’entrer directement un angle de rotation; mais notez que ISIS n’autorise que les angles orthogonaux.

Lorsqu’un objet existant est sélectionné, les icônes Rotation et Miroir sont mis en surbrillance pour indiquer qu’ils modifieront l’orientation d’un objet placé. Lorsque les icônes ne sont pas en surbrillance, ils servent à déterminer l’orientation des nouveaux objets.

La fenêtre d'édition

La fenêtre d'édition affiche la portion du circuit sur laquelle vous travaillez. Le contenu de la fenêtre d'édition peut être redessiné à l'aide de la commande 'Redessiner' qui redessinera également la vue d'ensemble.

Panoramique

Vous pouvez repositionner la fenêtre d’édition sur différentes portions du schéma de plusieurs façons :

  • Un clic gauche sur un point de la vue d'ensemble - ceci recentre la fenêtre d’édition autour du point marqué.

  • En cliquant sur le bouton central de la souris pour préempter la feuille; dès lors tout déplacement de la souris déplace la feuille et il suffit de cliquer à nouveau sur le bouton central pour ‘relâcher’ la feuille.

Notez que vous pouvez faire rouler la molette centrale de la souris pour faire des zooms avant et arrière sur le schéma.

  • En faisant glisser la souris sur la fenêtre d'édition tout en maintenant la touche majuscule (SHIFT) enfoncée, et en butant avec le pointeur sur un des bords. Cela assure un panoramique dans la direction appropriée.

  • En pointant la fenêtre d'édition et pressant les touches Zoom. Cette action recentre l'affichage à la position du curseur.

  • En utilisant l’icône Panoramique de la barre d’outils.

Zoom avant/Zoom arrière

Vous pouvez augmenter ou réduire l'échelle d'affichage de la carte grâce aux commandes Zoom avant et Zoom arrière (raccourcis clavier par défaut F6 et F7). Il existe également un zoom qui visualise la totalité du circuit (Zoom tout - raccourci F8). Les icônes de zoom sont disponibles dans la barre d'outils ou par utilisation de la molette centrale de la souris. Un clic sur le bouton central peut être utilisé pour préempter la feuille, puis la molette sert à agrandir/réduire le niveau de zoom pendant le repositionnement. Dans la pratique cette manipulation est très intuitive.

Zoom Variable

Un niveau de zoom arbitraire peut être appliqué via la fonctionnalité Zoom-shift. Vous pouvez sélectionner une portion du circuit grâce au bouton gauche de la souris tout en maintenant la touche SHIFT enfoncée. Vous étirez ainsi un rectangle autour de la zone d'intérêt.

La vue d'ensemble

La vue d'ensemble

Cette fenêtre montre une représentation simplifiée de la totalité du dessin, avec une grille d'un demi - pouce. Le cadre cyan marque le contour de la feuille alors que le cadre vert montre la zone de schéma actuellement visible dans la fenêtre d’édition.

Un clic gauche dans la vue d'ensemble recentre la fenêtre d'édition autour du point de clic et redessine la fenêtre d’édition.

Vous pouvez également utiliser les détails des fonctionnalités Zoom-shift et Track-Pan au dessus de la vue d'ensemble.

A d'autres moments, la vue d'ensemble est utilisée pour vous donner un aperçu d'un objet avant placement. Cette fonction d'aperçu avant placement s'active dans les cas suivants, pour tout objet que l'on peut réorienter:

  • Quand un objet est choisi dans un sélecteur d'objets.

  • Lorsque les icônes Rotation ou Miroir sont utilisées.

  • Quand une icône de type d'objet est validée, pour un objet dont on peut régler l'orientation (par exemple les icônes l’icône Composant, Broche de composant, etc.).

Cette prévisualisation est automatiquement effacée dès que vous placez l'objet ou quand vous effectuez une opération différente de celles mentionnées ci-dessus.

La vue d’ensemble peut être cachée dynamiquement par un clic-droit sur elle, et la sélection de la commande « Cacher automatiquement » du menu contextuel. Ceci permet de maximiser l’espace réservé à la fenêtre d’édition. Vous trouverez plus d’informations sur les commandes du menu contextuel ici.

Le sélecteur d'objets/ composants

Le sélecteur d'objets

Le sélecteur d'objet est utilisé pour sélectionner des composants, des packages, des styles de pastilles & de pistes, etc., parmi ceux disponibles. Il porte toujours un titre indiquant ce qui est listé et celui-ci sert aussi de message supplémentaire pour indiquer l'état courant du tableau d'icônes.

La largeur et la position du sélecteur d'objet peuvent être ajustées en conjonction avec la taille de la fenêtre d'affichage, comme décrit ci-dessus. Vous pouvez aussi cacher le sélecteur d'objets pour maximiser l'espace de la fenêtre d'édition par un clic droit sur le sélecteur d'objet et en sélectionnant la commande 'Cacher automatiquement' dans le menu déroulant.

Ce menu déroulant vous fournit un certains nombre d'options, vous offrant un accès facile et rapide aux fonctionnalités pendant la création de votre schéma.

Affichage des coordonnées

Les coordonnées du curseur de la souris sont affichées par défaut en bas à droite de l'écran. Elles sont en unités impériales; une fausse origine peut être fixée. La commande de fausse origine (touche clavier 'O') peut être configurée via la commande "Définir raccourcis clavier" dans le menu SYSTEME ou activées directement à partir du menu AFFICHAGE.

La commande curseur-X sera affichée sous la forme d'une plus ou moins petite croix à l'endroit exact des coordonnées en cours (soit la localisation précise sur la grille pour le placement). Là encore, cela peut être modifié via le menu AFFICHAGE ou en utilisant la bonne touche sur le clavier (par défaut 'x').


Affichage des coordonnées

AFFICHAGE DES COORDONNEES

Généralité

Toutes les coordonnées dans ISIS sont en unités de 10nm, pour être en accord avec le module ARES. Cependant, l'affichage des coordonnées est réstreint à des unités de 1 thou. L'origine des coordonnées est le centre de la zone de travail; Les valeurs positives et négatives sont utilisées. Les coordonnées du curseur sont affichées en bas à droite de l'écran.

Nous nous référons à l'unité 1 thou.

Fausse Origine

Bien que la commande Origine soit présente dans le menu AFFICHAGE, elle ne devrait être utilisée que par l’intermédiaire du raccourci clavier par défaut, la touche "O". Sa fonction est de remettre à zéro les coordonnées par rapport à la position courante de la souris, une fonctionnalité très pratique lorsque vous définissez un groupe complexe de pastilles en relation avec un dessin du composant.

Lorsqu’une fausse origine est validée, les coordonnées sont affichées en couleur magenta au lieu de la couleur noire.

Il est possible d’annuler la fausse origine en appelant la commande Origine une seconde fois.

La grille de points

Une grille de points est affichée dans la fenêtre d’édition – elle peut être rendue visible ou masquée par l’intermédiaire de la commande "Grille" du menu AFFICHAGE. L’espacement entre les points dépend du pas utilisé.

La grille magnétique

Vous remarquerez que lorsque le pointeur est dans la fenêtre d’édition, les incréments du système de coordonnées se font suivant des pas fixes – 100 thous par défaut. Cette caractéristique de recalage par rapport à la grille permet de positionner et de placer précisément les objets sur la grille. Le pas de la grille peut être défini dans la commande "Snap" du menu AFFICHAGE, ou directement par l’intermédiaire des touches clavier par défaut F4, F3, F2 et CTRL+F1.

Si vous souhaitez voir exactement la position d’accrochage sur la grille, vous pouvez utiliser la commande "Curseur-X" du menu AFFICHAGE qui affichera une petite ou une grande croix à cette position.

Accrochage temps réel

De plus, lorsque le pointeur est positionné à proximité de l’extrémité d’une broche ou d’un fil, le curseur s’accrochera sur ces objets. Cette fonction est appelée « accrochage temps réel », et vous permet d’effectuer des connexions sur des broches ou des fils qui ne sont pas sur la grille courante.


COMMANDES FICHIER

Introduction

ISIS utilise les types de fichiers suivants:

  • Fichiers Projet (.PDSPRJ)
  • Fichiers Environnement de travail (.WORKSPACE)
  • Notes de projet (.PDSCLP)
  • Fichiers Module (.MOD)
  • Fichiers Bibliothèque (.LIB)

Les fichiers projets, d’extension ‘PDSPRJ’, contiennent toutes les informations sur un circuit: données du schéma, données du circuit, données du projet et éventuellement d'autres fichiers relatif à la simulation. Des copies de sauvegarde (backup, d’extension ‘DBK’) sont automatiquement créées lorsque vous faites une sauvegarde dans un fichier dont le nom existe déjà.

Les fichiers Environnement de travail contiennent les informations sur les modules ouverts dans Proteus (par ex. le schéma, la nomenclautre et le circuit) ainsi que leur position à l'écran. Ce fichier vous permet de revenir à un stade donné de votre projet quand vous le relancer.

Une portion de dessin peut être exportée dans un fichier section pour, par la suite, être chargée dans un autre dessin. Les fichiers section ont l'extension 'SEC', et sont lus ou écrits par les commandes "Importer", ou "Exporter" du menu FICHIER.

Les fichiers de module, d'extension ‘MOD’, s'utilisent conjointement avec les possibilités de projets hiérarchisés. Voir PROJETS HIERARCHISES pour plus d’informations.

Les bibliothèques de symboles ou de composants sont sauvegardées dans des fichiers d'extension ‘LIB’.

Les fichiers Netlist, d’extension ‘SDF’, exportent les informations de connectivité vers ProSPICE et ARES. D’autres extensions sont utilisées lors de la génération de fichiers netlist compatibles avec des formats tiers.

La simulation Proteus VSM utilise également d’autres types de fichiers. Voir le manuel VSM pour plus d’informations.

Créer un nouveau projet

Pour commencer un nouveau schéma, vous devez en premier lieu créer un nouveau projet Proteus en lançant 'l'assistant de nouveau projet' à partir de la page d'acceuil de votre logiciel ou du menu FICHIER. L'assistant de nouveau projet vous guide pour configurer votre nouveau projet. La page de démarrage permet de nommer le projet et le fichier dans lequel il sera enregistré, puis vous naviguerez à travers trois écrans pour le schéma, le PCB et le firmware.

Le schéma

Pour créer un schéma, cochez la case en haut de l'écran, puis sélectionnez le gabarit à utiliser pour votre schéma. Ceux fournis par Labcenter, contiennent différentes tailles de zones de travail, mais vous pouvez aussi personnaliser et sauvegarder vos propres gabarits à partir du module de capture de schéma.

Circuit imprimé PCB

Pour créer un circuit imprimé, cochez la case en haut de l'écran, puis sélectionnez le gabarit souhaité. Les gabarits de circuit imprimé contiennent des bords de cartes prédéfinis, des trous de fixation et des données technologiques complètes (règles de conceptions, couches utilisées, unités par défaut, etc.). Comme pour le schéma, vous pouvez personnaliser et créer vos propres gabarits.

Firmware

Pour créer un projet enfoui et simuler votre firmware, cochez la case en haut de l'écran, puis sélectionnez le microcontrôleur et le compilateur que vous allez utiliser. En cochant la case 'Créer fichiers initiaux', vous génèrerez un squelette de projet firmware qui sera configuré pour la compilation.

La création d'un projet firmware requiert la création préalable d'un schéma.

Voir également:

Créer un nouveau projet

Charger un projet existant

Vous pouvez charger un projet existant de trois façons :

  • A partir de la ligne de commande PDS.EXE <my_project>

  • En utilisant la commande 'Ouvrir projet' une fois qu'ISIS est lancé.

  • En double cliquant sur le fichier concerné dans l'explorateur de projet.

Importer un ancien projet

Les anciennes versions de Proteus contiennaient plusieurs fichiers comme le fichier DSN pour le schéma ou le fichier LYT pour le PB. Sur la page d'accueil, l'asssistant d'importation de projet et le menu FICHIER permettent d'importer ces projets dans Proteus V8.

Pour importer un ancien projet

Lancez l'assistant d'import des anciens projets.

Parcourez vos anciens schémas (.dsn file)

Si un fichier de circuit imprimé (fichier .lyt) est associé au schéma, celui-ci apparaîtra automatiquement dans le champs 'Circuit'. Si ce n'est pas le cas, ce champ restera vide.

Si un ancien fichier VSMStudio (.vsmp) avec le même nom que le schéma existe dans le même répertoire, alors il apparaîtra automatiquement dans le champ VSM Studio.

Le nom du projet et le chemin de destination sont automatiquement déduits des informations du projet importé. Vous pouvez les modifier si besoin.

Si vous changez le chemin d'un projet VSM, alors vous devrez manuellement modifier la propriété PROGRAM du microcontrôleur pour ne pas que faire échouer votre simulation.

Une fois terminé, utilisez le bouton IMPORTER pour lancer votre projet dans Proteus 8.

Sauver un projet

Vous pouvez sauvegarder votre projet quand vous quittez ISIS via la commande Quitter, ou à n'importe quel moment, avec la commande Enregistrez. Dans les deux cas, le dessin sera sauvegardé dans le fichier de même nom que lors du chargement. Le préfixe « Backup Of » est ajouté à l'ancienne version.

La commande ''Enregistrez sou's vous permet de sauvegarder le schéma dans un fichier de nom différent.

Importer / Exporter une section

La commande Exporter du menu FICHIER crée un fichier qui regroupe tous les objets actuellement sélectionnés. Ce fichier peut être intégré dans une autre feuille avec la commande Importer. Après avoir choisi le fichier section, l’opération est identique à la fonction de copie de bloc.

Ces commandes sont différentes de celles à utiliser pour créer un fichier graphique. Les commandes Exporter graphiques gèrent cette possibilité.

Quitter Proteus

Pour quitter ISIS, vous devez utiliser la commande Quitter du menu FICHIER, ou son raccourci clavier : touche 'Q' par défaut.

Si vous avez modifié le schéma, on vous demandera si vous souhaitez le sauvegarder.


Fonctions d'édition des objets

FONCTIONS D'EDITION DES OBJETS

Placer un objet

ISIS accepte de nombreux types d'objets. Des informations complètes sur leurs caractéristiques, leur but et leur comportement sont données dans le chapitre suivant. Cependant les principes de base pour placer un objet sont les mêmes, quel que soit le type.

Pour placer un objet:

  1. Selectionnez l'icône appropriée dans la barre d'outil Sélection de mode, pour la catégorie d'objet à placer

  2. Si le type d'objet est: Composant, Terminal, Broches, Graphe, Symbole ou Marqueur, choisissez dans le sélecteur le nom de l'objet à placer. Pour les composants, les terminaux, les broches, les symboles, cela impliquera, peut-être, d'aller les chercher en bibliothèques.

  3. Si l'objet est orientable, il apparaîtra dans la fenêtre d’ensemble. Il faut régler son orientation, si nécessaire, en cliquant sur les icônes Rotation et Miroir.

  4. Pour terminer, placez le pointeur dans la fenêtre d’édition, et cliquez gauche pour positionner ou faire glisser l'objet. Les procédures exactes varient selon le type d'objet, mais sont assez intuitives et semblables à celles d'autres logiciels graphiques.

Voir également:

Selectionner des composants à partir des bibliothèques (Tutorial)

Placer des objets sur le schéma (Tutorial)

Sélectionner un objet

Tout objet peut être sélectionné de plusieurs façons :

  • Validez le mode de sélection et clic-gauche sur l’objet.

  • Clic-droit sur l’objet (ceci sélectionne l’objet et affiche un menu contextuel).

  • Etirez un rectangle de sélection autour de l’objet (ou des objets!) avec le bouton gauche de la souris.

  • Sélection naturelle par un clic-gauche sur l’objet. Ceci est très rapide et fonctionne avec tous les objets, exceptés les objets fils et graphiques 2D pour lesquels il faut utiliser une des méthodes indiquées ci-dessus.

Nous conseillons plutôt la sélection naturelle ou le clic-droit sur l’objet.

Les objets peuvent être désélectionnés par un clic droit dans une zone vierge de la fenêtre d’édition, suivi du choix Désélectionner tous les objets du menu contextuel.

Voir également:

(Tutorial)

Supprimer un objet

Vous pouvez effacer tout objet en plaçant le pointeur sur l'objet, en cliquant droit et en choisissant Supprimer dans le menu contextuel. Tous les fils reliés à l'objet seront également effacés, excepté s'il s'agit d'un point de jonction relié à 2 fils, auquel cas les deux fils seront réunis.

Notez que pour les objets graphiques 2D vous devez cliquer sur la frontière du graphique afin d’appeler le menu contextuel – il est possible que les graphiques 2D soient placés autour ou derrière un autre objet. Il est donc nécessaire de vous assurer que c’est bien l’objet graphique que vous souhaitez manipuler (et non pas l’autre objet).

Déplacer un objet

Vous pouvez déplacer n'importe quel objet sélectionné en pointant sur lui (le visuel du pointeur souris changera) et en déplaçant la souris, le bouton gauche étant maintenu enfoncé. Ceci s'applique non seulement à un objet entier, comme les composants, mais également aux labels.

  • Si la fonction Routeur automatique de fil est active et que des fils sont reliés à l'objet, le routage sera modifié en conséquence. Cela peut prendre du temps si l'objet possède de nombreuses connexions. Dans ce cas le pointeur se transforme en sablier.

  • Si vous déplacez un objet par erreur, et que le câblage s'embrouille complètement, vous pouvez utiliser la commande Annuler, combinaison clavier CTRL + Z pour revenir à la situation initiale.

Voir également:

(Tutorial)

Edition des blocs

Déplacer un label d'objet

Il est possible d’attacher un ou plusieurs labels à des d'objets. Par exemple, chaque composant possède un label de référence et un label de valeur. Il est très facile de les déplacer pour améliorer l'aspect et la lisibilité du schéma.

Pour déplacer un label:

  1. Sélectionnez l'objet avec l’une des méthodes décrites ci-dessus.

  2. Pointez sur le label et enfoncez le bouton gauche.

  3. Glissez le label à la position souhaitée. Pour obtenir une position très précise, modifiez la résolution de la grille avec les raccourcis clavier, même lors du déplacement (les raccourcis par défaut sont F4, F3, F2, CTRL+F1).

  4. Pour finir, relâchez le bouton de la souris.

Redimensionner un objet

Il est possible de modifier la taille des sous-circuits, des graphes, des lignes, des cadres et des cercles. Quand vous sélectionnez ces objets, des petits carrés blancs, appelés « poignées » apparaissent- le déplacement de ces poignées permet de modifier la taille des objets.

Pour redimensionner un objet:

  1. Sélectionnez l'objet en validant le mode de sélection, puis en cliquant gauche sur lui (rappelez-vous de cliquer sur la frontière dans le cas d’un objet graphique 2D).

  2. Si l’objet peut être redimensionné, les poignées apparaîtront.

  3. Modifiez la taille de l'objet, en pointant sur une poignée, en pressant le bouton gauche, et en faisant glisser la poignée vers une nouvelle position. Les poignées disparaissent pendant le déplacement de façon à ne pas occulter l'objet lui-même.

Voir la section sur la redimension des graphiques 2D pour plus d'information.

Modifier l'orientation d'un objet

L'orientation de nombreux types d'objets est paramétrable - ils peuvent être orientés suivant les angles de 0°, 90°, 270° et 360°, et réfléchis en x et/ou en y. Si vous sélectionnez un objet de ce type, les icônes Rotation et Miroir changeront de couleur pour passer du bleu au rouge, et affecteront alors l'objet sélectionné.

Pour orienter un objet:

  1. Sélectionnez l'objet avec l’une des méthodes décrites plus haut.

  2. Clic-gauche sur l’icône Rotation pour orienter dans le sens inverse des aiguilles du montre, ou clic droit pour le sens horaire.

  3. Clic-gauche sur l’icône Miroir pour activer sa réflexion en x, clic droit pour la réflexion en y.

Il faut noter que, lorsque les icônes Orientation et Miroir sont en rouge, si vous effectuez une opération, vous modifierez l’objet placé sur le schéma même si vous ne le voyez pas à l'écran. Ceci devient important si vous voulez manipuler un objet que vous êtes sur le point de placer. Si les icônes sont rouges, désélectionnez d'abord l'objet en mettant le pointeur sur une zone vide de l'écran de la fenêtre d’édition et clic gauche. Les icônes redeviendront bleues.

icônes de rotation

Editer un objet

La plupart des objets possèdent des propriétés graphiques ou textuelles qui peuvent être éditées par l’intermédiaire d’une boite de dialogue. Comme cette opération est très courante, elle est accessible de plusieurs manières.

Pour éditer un objet simple avec la souris:

Soit:

Clic-droit sur l’objet et appelez la commande Editer propriétés du menu contextuel.

Ou:

Double cliquez avec le bouton gauche sur l’objet.

Pour éditer une succession d’objets avec la souris:

1. Validez le mode de sélection.

2. Pointez et clic-gauche successivement sur chaque objet.

Pour éditer un objet et accéder au mode d’édition:

1. Pointez sur l’objet.

2. Utilisez le raccourci clavier d’édition de l’objet sous la souris (CTRL+'E'par défaut).

Pour les scripts textes, ceci appellera l’éditeur de texte interne. De même, lorsque la souris n’est pas positionnée sur un objet, cette commande éditera le graphe courant, s’il existe.

Pour éditer un composant par son nom:

1. Utilisez la raccourci clavier de rechercher et d’édition d’un composant (‘E’ par défaut).

2. Entrez la référence (ID de l’élément) du composant.

Ceci repérera le composant et appellera la boite de dialogue de tout composant du schéma, qu'il soit dans la feuille courante ou dans une autre feuille. Après l’édition, l'écran sera redessiné avec le composant au centre. Vous pouvez également utiliser cette commande pour localiser un composant même si vous ne voulez pas vraiment le modifier

Pour les détails concernant les opération de la boite de dialogue associée à chaque type d'objet, voir le chapitre Spécificité des objets de cette documlentation.

Editer un label d'objet

Les labels des composants, des terminaux, des fils et des bus peuvent être modifiés de la même façon que les objets

Pour éditer un objet simple avec la souris:

1. Pointez sur l’objet et cliquez gauche.

2. Clic-gauche sur le label (pas sur l’objet lui-même).

Pour éditer une succession de labels d’objets avec la souris:

1. Validez le mode de sélection.

2. Pointez et clic-gauche successivement sur chaque objet.

Dans les deux cas, une boite de dialogue, qui contient des onglets Label et Style, s’ouvre. L’édition des styles est expliquée dans le tutorial sur les styles de graphiques et des textes - voir Editer les styles locaux.

Copier les objets sélectionnés

Pour copier une portion du circuit:

1. Sélectionnez les objets en étirant un rectangle de sélection, comme indiqué dans Sélectionner un objet.

2. Clic-droit dans le rectangle et choisissez la commande "Copier bloc" du menu contextuel.

3. Déplacez la souris afin que le pourtour de la zone occupe la position désirée, et clic- gauche pour placer la copie.

4. Répétez l’étape [3] pour placer autant de copies que nécessaire.

5. Clic-droit pour terminer.

Lorsque des composants sont copiés, leurs références sont automatiquement initialisées avec un état « non-annoté », afin d’éviter les occurrences multiples et permettre une nouvelle annotation automatique.

Déplacer les objets sélectionnés

Pour déplacer un groupe d’objets:

1. Sélectionnez les objets en étirant un rectangle de sélection, comme indiqué dans Sélectionner un objet.

2. Placez la souris à l’intérieur du rectangle (le visuel du curseur changera pour indiquer que le bloc peut être déplacé).

3. Enfoncez le bouton gauche de la souris, déplacez le pourtour à la position désirée, et cliquez gauche pour valider le placement.

Déplacer un objet sélectionné

Le comportement des liens pendant le déplacement d’un bloc est subtil. Essentiellement, ISIS déplacera tous les fils incluent dans le rectangle sans modifier leur routage, puis routera les liens entre le point limite à la frontière et le premier point extérieur. Ainsi, vous pouvez contrôler si une section de fil est conservée ou routée à nouveau selon que vous l'avez incluse ou non dans un rectangle de sélection.

Supprimer les objets sélectionnés

Pour supprimer un groupe d’objets:

1. Sélectionnez les objets en étirant un rectangle de sélection, comme indiqué dans Sélectionner un objet.

2. Pointez la souris à l’intérieur du rectangle, clic-droit, et validez la commande Supprimer bloc du menu contextuel.

Si vous supprimez quelque chose par erreur, vous pouvez le faire réapparaitre avec la commande Annuler.

Roter les objets sélectionnés

Pour roter un groupe d’objets:

1. Sélectionnez les objets en étirant un rectangle de sélection, comme indiqué dans Sélectionner un objet.

2. Pointez la souris à l’intérieur du rectangle, cliquez droite, et validez la commande Tourner bloc du menu contextuel.

Notez qu’il n’est pas possible de tourner un bloc de circuit lorsqu’un sous-circuit ou un graphe est en surbrillance (ces objets possèdent une orientation fixe). De plus, selon la complexité du projet et la façon dont les composants à roter sont interconnectés, l’opération peut prendre plusieurs secondes à s’exécuter. Comme toujours, vous pouvez annuler la rotation via la commande Annuler.


Cablâge

CABLAGE

Placer un fil

Vous avez peut être remarqué qu'il n'existe pas d'icône spécifique pour réaliser des connexions. C'est parce que ISIS est assez intelligent pour détecter automatiquement quand vous désirez placer un lien. Cela évite la corvée d'avoir à valider un mode de placement de connexion.

Pour placer un fil entre deux objets:

  1. Déplacez la souris sur le premier objet – le visuel du curseur souris sera remplacé par un crayon vert pour indiquer que vous débutez le placement en ce point.

  2. Clic-gauche pour commencer le placement, puis déplacez la souris vers le second point. Le visuel de la souris sera remplacé par un crayon incolore pendant le placement.

  3. Lors du placement des routes complexes, dans lesquelles surviennent des changements de direction, un clic gauche place un point d’ancrage. Ceci valide la section de route jusqu’à ce point. Les points d’ancrage successifs peuvent être annulés avec la touche ‘retour arrière’ du clavier.

  4. Lorsque la souris se retrouve au-dessus du point de connexion final, le curseur souris sera remplacé par un crayon vert. Cliquez gauche pour valider le placement du fil.

A un point de connexion ne peut être relié qu’un fil. Les composants et les terminaux possèdent un point de connexion par broche. Une jonction possède 4 points de connexions au centre; on peut ainsi relier 4 fils sur un point de jonction.

Comme il est normal de vouloir se connecter sur un fil existant, ISIS traite aussi les fils comme une suite continue de points de connexion. De plus, comme une connexion sur un fil signifie invariablement que 3 fils se rejoignent en ce point, ISIS place automatiquement un point de jonction à l'interconnexion.

Utiliser l'autorouteur de fils

Le routeur automatique de fils vous évite la corvée d'avoir à préciser le chemin exact de chaque fil. Après avoir débuté le placement d’un fil, le routeur suivra les déplacements de la souris jusqu’au point final, avec des déplacements orthogonaux si nécessaire. Pour des routes plus longues et complexes, nous conseillons de placer des points d’ancrage intermédiaires.

L'autorouteur peut être complètement inhibé en maintenant la touche CTRL enfoncée pendant le placement du fil. C'est utile si vous voulez tracer une liaison oblique directe entre 2 points.

Dupliquer un fil

Supposons que vous ayez à relier le bus de données d'une ROM 8 bits au bus principal de données d’un circuit, et que vous ayez placé la ROM, le bus et les entrées de bus comme indiqué ci-dessous.

Vous cliquez d'abord en A, puis en B, pour placer une liaison horizontale entre ces points. Un double-clic sur C, fait appel à la fonction de répétition, qui placera alors un fil entre C et D. De la même façon, en cliquant 2 fois sur E, vous reliez E à F, et ainsi de suite.

Ce double-clic recopie à l'identique la pose du lien précédent. Si le lien précédent a été réalisé en routage automatique, il en sera de même pour le nouveau lien. D'autre part, si le lien précédent a été réalisé en routage manuel, sa piste sera décalée fidèlement pour définir le nouveau lien.

Déplacer des fils

Bien que les liens suivent le principe général de sélection puis déplacement, il existe plusieurs techniques applicables. En particulier:

  • Si vous pointez sur un coin et déplacez le coin, celui-ci suivra le pointeur.

  • Si vous pointez au milieu d’un segment de fil horizontal ou vertical, le segment sera déplacé dans la direction du déplacement, et les segments adjacents seront étirés afin de maintenir la connectivité

  • Si vous pointez au milieu d'un fil en diagonal, ou sur l'une des extrémités, un angle sera créé et déplacé. Notez que pour que ceci fonctionne, l'objet auquel le fil est relié ne doit pas être sélectionné, car sinon ISIS pensera que vous voulez déplacer l’objet.

Il est également possible de déplacer un segment de fil ou un groupe de segments de fils à l’aide des techniques de déplacement de bloc.

Pour déplacer un segment de fil ou un groupe de segments:

  1. Tracez un cadre de sélection autour du (ou des) segment(s) à déplacer. Ce rectangle peut être réduit à une ligne, contiguë au segment unique, si nécessaire.

  2. Placez la souris à l’intérieur du rectangle (le visuel du curseur indiquera que les objets peuvent être déplacés).

  3. Enfoncez la souris et déplacez-la de manière orthogonale aux segments de fils.

  4. Relâchez la souris pour terminer.

Déplacer un groupe de fils

Une autre technique fournit un moyen rapide pour éliminer des décrochements dans les connexions, par exemple lorsqu’ils ont été routés autour d'un objet qui depuis a été déplacé.

Pour modifier la topologie après routage:

  1. Sélectionnez le fil à modifier.

  2. Déplacez la souris au-dessus du segment à ajuster.

  3. Enfoncez le bouton gauche de la souris et déplacer la souris orthogonalement, comme indiqué par le visuel du curseur souris.

  4. Relâchez le bouton de gauche lorsque la modification est terminée.

Supprimer un décrochement


DIVERS

Le bord de feuille

Quand vous créez une nouvelle feuille soit comme première feuille d'un nouveau schéma, soit en utilisant la commande Nouvelle feuille, la taille affectée à cette feuille est celle actuellement validée par la commande Définir taille des feuilles du menu SYSTEME. Le contour de la feuille est représenté par un cadre bleu foncé qui n'apparaît pas sur les tirages.

Si vous avez besoin d'une bordure de feuille sur le tirage final, vous devez placer un rectangle graphique (ou autre chose) sur le contour de feuille ou utiliser un Gabarit prédéfini.

La commande Définir taille des feuilles mérite de plus amples explications, car elle a deux fonctions distinctes:

  • Pour changer le format en cours, appelez cette commande et cliquez sur le bouton correspondant à la taille voulue.

  • Pour redéfinir les dimensions d’un format, mettez en surbrillance le champ approprié et entrez au clavier les nouvelles dimensions. Si vous modifiez les dimensions de la feuille en cours cela n’affectera pas les autres feuilles du projet. Pour modifier les autres feuilles vous devez appeler la commande Définir taille des feuilles et cliquer sur OK pour chaque feuille, tour à tour.

La boite de dialogue de définition des tailles des feuilles répertorie jusqu'à cinq formats (de A4 à A0) ainsi qu'une taille non standard et valide le format de la feuille courante.

La boite de dialogue des tailles des feuilles

Pour chaque feuille (A4-A0 et utilisateur), deux champs sont disponibles. Le champ de gauche définit la largeur (dimension x) et le champ de droite définit la hauteur (dimension y). Lorsqu’ISIS charge une feuille dont la taille ne correspond pas aux formats standards (A4-A0) il place les dimensions de cette feuille dans le format utilisateur et valide ce champ pour la feuille courante.

Les valeurs par défaut des format standards devraient convenir avec la plupart des imprimantes, mais il faut savoir que toutes les imprimantes possèdent une marge dans laquelle elles ne peuvent pas imprimer – si vous tentez d’imprimer quelque chose qui empiète sur les marges, il est probable que rien ne sera imprimé. La taille de la marge varie d’une imprimante à l’autre, et la meilleure façon de procéder et de faire un essai d’impression avec un rectangle placé aux limites de la feuille courante. Si un ou plusieurs coins n’apparaissent pas à l’impression, ceci signifie que la taille de la feuille empiète sur les marges et qu’il convient de la réduire.

Point supplémentaire: chaque feuille d'un projet possède ses propres dimensions qui sont présentes dans le fichier. Si un projet est chargé dans ISIS configuré pour une taille de feuille différente, ceci n'aura aucune influence à moins d'appeler la commande Taille des feuilles.

Il est recommandé d’utiliser un gabarit existant ou de personnaliser la taille du projet vide et de le sauvegarder en tant que gabarit. Celui-ci pourra être utilisé dans tous vos projets futurs. Vous trouverez d’autres explications ici et un exemple concret est fourni ici.

Le Bloc d'en-tête

Il est assez pratique d'avoir sur chaque feuille du projet un bloc de tête vous montrant les détails du projet : titre du schéma et des feuilles, numéros de pages, auteurs, etc.

Ce bloc est défini comme une bibliothèque de symbôles nommé HEADER. Il sert à placer des objets graphiques, à les marquer et à invoquer la commande Créer Symboles. Par exemple, comme il faut un titre au projet, un objet texte avec la chaine de caractères @DTITLE a été placé et il sera automatiquement replacé avec le titre actuel du projet au moment de l'affichage/impression.

La liste complète des raccourcis clavier est donnée ci-dessous:

Keyword | Description
@DTITLE | Titre du projet pris à partir de la commande Editer Propriétés du Projet dans le menu PROJET.
@STITLE | Titre de la feuille pris à partir de la commande Editer Propriétés de la feuille dans le menu PROJET.
@DOCNO | Numéro de document du projet pris à partir de la commande Editer Propriétés du Projet dans le menu PROJET.
@REV | Révision du numéro du projet pris à partir de la commande Editer Propriétés du Projet dans le menu PROJET.
@AUTHOR | Auteur du projet pris à partir de la commande Editer Propriétés du Projet dans le menu PROJET.
@CDATE | Création de la date - générée automatiquement dans un format fixe.
@MDATE | Modification de la date - générée automatiquement dans un format fixe..
@WS_DATE | Création de la date - généré automatiquement et formaté en fonction du format court de la fenêtre.
@WL_CDATE | Création de la date - généré automatiquement et formaté en fonction du grand format de la fenêtre.
@WS_MDATE | Modification de la date - généré automatiquement et formaté en fonction du format court de la fenêtre.
@WL_MDATE | Modification de la date - généré automatiquement et formaté en fonction du grand format de la fenêtre.
@CTIME | Création d'un temps pour le projet - généré automatiquement et formaté en fonction du format temps de la fenêtre.
@MTIME | Modification du temps - généré automatiquement et formaté en fonction du format temps de la fenêtre.
@PAGENUM | Numéro de la page actuellement ouverte.
@PAGECOUNT | Nombre total de feuilles sur le projet.
@PAGE | Le numéro de feuille où le projet est exprimé en X/Y; X représente le numéro de chaque feuille du porjet et Y le nombre total de feuilles dans le projet.
@FILENAME | Nom de fichier du projet.
@PATHNAME | Chemin complet et nom du fichier du projet.

Les formats long et court de la date de la fenêtre et les formats de temps sont donnés en utilisant les actions régionales ou les microprogrammes internationaux dans le tableau de contrôle Windows.

Notez que les raccourcis clavier ci-dessus doivent apparaître au démarrage de la chaine de texte 2D et que cette chaine ne doit pas contenir de texte additionnel. Par exemple, vous ne pouvez pas placer une chaine de texte de type:

AUTHORED BY @AUTHOR ON @WS_MDATE

Pour terminer, vous devez placer 4 chaines de textes les uns à côté des autres (AUTHORED BY, @AUTHOR, ON et @WS_MDATE).

En utilisant les facilité d'import des fichiers bitmap, les objets 2D et les caratères spéciaux, il est possible de définir tous les blocs de tête que vous souhaitez. En particulier, vous pouvez incorporer le logo de votre société dans le bloc de tête. Une fois défini, le bloc de tête peut être placé sur chaque feuille du schéma, comme n'importe quel autre symbole graphique.

Nous vous avertissons que, après avoir crée votre bloc de tête, vous devez le placer sur la feuille maîtresse et le sauver comme gabarit de projet. Voir la documentation sur les gabarits pour plus d'information.

Mettre en arrière plan/Premier plan

Parfois plusieurs objets (surtout des graphiques) se chevauchent, et il devient difficile de pointer sur celui qui vous intéresse. Par défaut ISIS prend le dernier placé, mais vous pouvez modifier l'ordre en appelant les commandes Mettre en arrière plan et Mettre en premier plan. Chacune de ces commandes agit sur les objets sélectionnés à ce moment précis.

Vous pouvez également utiliser ces commandes afin d’ordonner le dessin lors de la création de nouveaux composants. Par exemple, si vous créez un nouveau symbole d’amplificateur opérationnel vous aurez peut-être besoin de placer le corps de l’amplificateur (le graphique du triangle) en arrière-plan afin d’assurer que le style de remplissage n'assombrisse pas le + et le - des symboles d’entrées qui, bien sûr, nécessitent d’être en premier plan.

Annotation automatique

ISIS peut annoter automatiquement les références des composants du projet (tout ou partie) – ce processus est appelé Auto-Annotation et s'obtient par la commande Annotation globale du menu OUTILS.

La boite de dialogue de l’annotateur global

Notez que l'annotateur global ne peut pas annoter des composants multi-éléments hétérogènes, car il est impossible de déterminer quel élément est associé avec quel autre élément – par exemple avec plusieurs relais et bobines placés? il est impossible de déterminer quelle bobine va avec quel relais et contacts.

Comme pour toutes les boites de dialogue dans ISIS, une aide contextuelle est disponible pour tous les champs. Utilisez le point d’interrogation de la partie supérieure droite de la boite de dialogue et pointez-cliquez sur le champ pour lequel vous souhaitez obtenir de l’information.

Configuration clavier

ISIS fournit une interface pour établir des raccourcis claviers, équivalents des commandes. Ceci vous permet de personnaliser l’accès au logiciel. La fenêtre de configuration, accessible via la commande Définir raccourcis clavier du menu SYSTEME est affichée ci-dessous (une aide contextuelle est disponible pour chaque champ):

La boite de dialogue de configuration du clavier

Notes :

Des raccourcis peuvent être utilisés en combinant les touches CTRL, SHIFTet ALT. Par exemple, CTRL+X, CTRL+ALT+T, SHIFT+CTRL+1, etc.

Une option de réinitialisation est fournie pour relancer les raccourcis clavier standard de Proteus. Elle supprime les configurations de l'utilisateur.

La plupart des claviers européens ont une touche ALT GR (A droite de la barre d'espace). Where present this translates to be CTRL+SHIFT for the purposes of assigning keyboard shortcuts.

Si vous attribuez un raccourci ALT qui est déjà utilisé comme menu Raccourcis, alors vous ne pourrez plus lancer le menu à partir de ce raccourci. Par exemple, ALT+T par défaut aggrandit le menu OUTILS sans ISIS. Si vous assignez ALT+T à la commande Nettoyer, alors vous aurez accès au menu OUTILS en utilisant la souris.

La plupart des commandes ont des raccourcis clavier qui ne peuvent pas être modifiés. Notez que les raccourcis clavier concernés ne peuvent pas être attribués à une autre commande.

Si vous attribuez un raccourci clavier (par ex CTRL+K) à une application, puis assignEZ le même raccourci à un pop-up, alors l'action enclenchée par le raccourci clavier dépendra du moment om vous l'utiliserez. Pour éviter les confusions, nous vous recommandons de ne pas attribuer des actions multiples à un même raccourci.

Quand la touche NUM LOCK est débloquée, les touches 0-9 du clavier numérique sont distinctes des touches 0-9 du clavier principal. Par exemple, Vous pourrez attribuer les raccourcis CTRL+0 jusqu'à CTRL+9 sur le clavier principal à des actions (listes MRU) et sur le clavier numérique, utiliser les raccourcis oCTRL+NUM-0 jusqu'à CTRL+NUM-9 aux différentes feuilles du projet 0-9.

Quand la touche NUM LOCK est en bloquée, les touches 0-9 du clavier numérique sont identiques à celle du clavier principal. Elles ne possèdent pas de fonction secondaire en tant que raccourcis.

Vous pouvez sauvegarder votre configuration de raccourcis clavier via la commande ‘Exporter raccourcis clavier’. Cela permet, par exemple, de charger votre configuration de raccourcis clavier sur un autre ordinateur. De façon similaire, la commande ‘Importer reccourcis clavier’ vous permet de charger une configuration qui a été enregistrée auparavant.


Généralités

GENERALITES GABARITS

ISIS implémente un mécanisme sophistiqué de personnalisation de l'apparence du schéma. Tous les styles graphiques, les styles de textes, les couleurs du projet, les couleurs de remplissage, les polices de caractères, les points de jonction, le logo de la société, etc. peuvent être placés dans un fichier de gabarit du projet.

Tout gabarit de projet contient les styles des graphiques et des textes ainsi qu’une feuille maîtresse. Lorsque vous initialisez un schéma avec un gabarit, tous les styles seront associés au schéma courant et la feuille maîtresse du gabarit sera visible sur chaque feuille du schéma.

Il existe essentiellement deux étapes pour créer ou modifier un fichier gabarit du projet : personnaliser l’apparence des styles des textes et des graphiques et personnaliser la feuille maîtresse avec une taille de feuille, une bordure, un cartouche, etc. Ces points sont explicités dans les paragraphes feuille maître et styles de graphiques et des textes.


La feuille maîtresse

LA FEUILLE MAITRESSE

Tout projet dans ISIS possède une feuille maîtresse (accessible dans le menu GABARIT). Le contenu de cette feuille est répercuté sur toutes les feuilles du projet.

Il est important de noter les points suivants, relatifs à la feuille maîtresse:

  • Alors que tous les objets contenus dans la feuille maîtresse sont visibles dans chaque feuille du projet, ils ne peuvent être édités ou supprimés qu’au niveau de la feuille maîtresse

  • Pour éviter toute confusion entre la feuille maîtresse et les autres feuilles du projet, seuls des objets graphiques 2D et des scripts peuvent être placés sur la feuille maîtresse – vous ne pouvez pas placer des composants ou d’autres objets, ni importer ou coller d’autres objets.

  • Si vous modifiez la taille d’une feuille et que la nouvelle taille est différente de celle de la feuille maîtresse, alors la feuille maîtresse sera supprimée sur toutes les feuilles (il est inutile d’avoir une taille de feuille maîtresse A4 lorsque la taille d’une feuille du projet est A3).

  • Si vous modifiez la taille de la feuille maîtresse et que cette taille est différente d’une des aurtres feuilles, il vous sera demandé de confirmer la modification de la taille de toutes les feuilles existantes. Notez que ceci peut fortement influer sur votre projet si, par exemple, votre feuille existante est au format A3 et que vous changer la taille de la feuille maîtresse en A4.

Le Tutorial des gabarits vous explique la création et la modification d’un fichier gabarit de projet, y compris l’édition de la feuille maîtresse.


Tutorial

TUTORIAL DES GABARITS

Généralités

Pour commencer, nous devons charger un projet pré-enregistré. A partir de la page d'accueil de Proteus, cliquez sur le bouton OUVRIR EXEMPLE, naviguer dans la rubrique 'Tutorials' et sélectionnez le projet nommé Styletut.pdsprj.

Quand vous ouvrez le fichier, vous pouvez voir que les couleurs par défaut du schéma sont le bleu et le jaune pour les composants, le rouge pour les terminaux, etc.

Notre circuit

Editer les styles globaux

Nous allons commencer par éditer les styles globaux. Ces styles sont, comme leur nom l'indique, globaux au projet et l'édition de ces styles vous permet d'apporter des modifications globales à l'apparence du schéma. Ces styles, lorsqu’ils seront sauvegardés dans un gabarit de projet, seront propagés dans tous les projets initialisés à partir du gabarit.

Commençons par modifier légèrement la couleur du composant. Tous les composants du projet sont choisis dans les bibliothèques standards et, de ce fait, tous les graphiques de composants utilisent le style « COMPONENT ». Nous pouvons changer ceci en utilisant la commande Définir styles des graphiques du menu Gabarit.

Formulaire de définition des styles graphiques

Le formulaire correspondant vous donne accès à tous les styles graphiques du projet courant - la liste déroulante Style présente tous les styles disponibles. Les boutons sous la liste Style montrent qu'il est possible de créer, d'éditer et de supprimer des nouveaux styles ainsi que d'éditer les styles existants.

Assurez-vous que le style « COMPONENT » soit sélectionné. Dans la zone Attributs de ligne, choisissez une couleur rouge et dans la zone Attributs de remplissage, choisissez un style de remplissage vide (none). Vous pourrez observer la répercussion de ces 2 modifications sur la prévisualisation à droite.

Modification du style de graphique ‘component’

A présent, choisissez le style « TERMINAL » dans la liste. Les modifications intervenues sur le style « COMPONENT » sont automatiquement sauvées lors de la commutation sur un autre style. Cette fois-ci, dans la zone Attributs de ligne, choisissez une couleur bleue pour les lignes et dans la zone Attributs de remplissage, choisissez « solid», ce qui valide le contrôle Couleur avant plan dans lequel vous choisirez une couleur de remplissage jaune.

Modification du style de graphique ‘terminal’

Fermez le formulaire à l'aide du bouton Fermer et le schéma sera redessiné en tenant compte des modifications. La nouvelle combinaison des couleurs serait probablement mieux mise en valeur sur un fond blanc et, comme vous imprimerez sur du papier blanc, voyons comment modifier cette couleur. Choisissez la commande Définir configuration par défaut du menu Gabarit. Ce formulaire vous permet de modifier la plupart des couleurs standards utilisées dans ISIS. Modifiez la couleur du papier de façon à obtenir du blanc ou du gris clair.

Edition de la configuration par défaut

Voilà comment modifier les styles graphiques. Et les styles de texte? Les modifications sont comparables à celles de styles graphiques, aux attributs de styles près.

Cependant, avant de modifier les styles de textes des éléments individuels, modifions la police de caractères utilisée dans le projet. Sélectionnez à nouveau la commande Définir configuration par défaut du menu Gabarit. Sous le titre « Police par défaut'», vous voyez que la police 'Vector Font' est sélectionnée - déroulez la liste et choisissez la police 'Times New Roman' puis fermez le formulaire. Observez le résultat.

Valeur par défaut avec la nouvelle police

Partout où ISIS affiche une liste de polices 'True Type™' (en tant qu'éléments d'édition d'un style de texte), deux polices sont exposées en début de liste. Ce sont les polices 'Default font' et 'Vector font'. L'option 'Default font' est un emplacement qui correspond à la police sélectionnée dans le formulaire Valeurs projet par défaut, alors que l'option 'Vector Font' valide la police 'Labcenter Electronics Vector Font'. Dans le cas de STYLETUT.DSN, tous les textes et les labels du projet ont été placés et/ou édités avec l'apparence de la police 'Default Font'; ceci signifie que tout est affiché avec la police sélectionnée dans le formulaire Valeurs projet par défaut - le fait de changer de police se répercute immédiatement sur tous les textes du projet!

La principale utilisation de la police 'Vector Font' intervient lorsque vous désirez imprimer sur un traceur. Windows ne supporte pas correctement les polices TrueType sur les traceurs et le pilote de Labcenter Electronics affichera les textes tels qu'ils apparaissent sur le dessin. L'autre avantage de la police 'Vector Font' est qu'elle garantit une taille identique vis à vis des supports d'impressions comme c'est le cas pour l'écran. Ce n'est pas toujours le cas avec les polices TrueType.

Précisons que lorsque vous utilisez des imprimantes « bitmap », ces problèmes n'existent pas et les polices TrueType™ conviennent. Nous vous conseillons de vous limiter à 2 polices maximum par schéma.

Après avoir modifié notre police par défaut avec la police 'Times New Roman', voyons comment apporter des changements de styles de texte spécifiques. Appelez la commande Définir styles de texte du menu Gabarit. Vous remarquerez que le formulaire Styles de textes globaux est comparable au formulaire Styles graphiques globaux.

Le style par défaut en cours d'édition est « COMPONENT ID » et la police choisie est 'Default Font', comme expliqué précédemment - à savoir 'Times New Roman'. Ceci explique pourquoi certains champs qui ne sont pas appropriés à une police TrueType telle que la largeur, sont grisés. Dans la liste 'Font Face', choisissez 'Courrier New' et validez l'effet 'Gras?'.

Styles de textes Component ID avec les choix utilisateur

A présent, choisissez le style « PIN NUMBER » (numéro de broche) dans la liste déroulante Style (les modifications apportées au style « COMPONENT » sont automatiquement sauvegardées), et décochez l'effet 'Visible?'. Fermez le formulaire à l'aide du bouton 'Fermer'.

Option qui permet de cacher le texte.

Editer les styles locaux

Jusqu'à présent nous avons modifié exclusivement des styles globaux. Les modifications se sont répercutées sur l'ensemble du schéma. Nous allons nous intéresser à des changements locaux et intervenir sur la référence du composant U1.

Notez que les modifications apportées à un style local ne seront pas répercutées sur le gabarit de projet. Ils permettent seulement de personnaliser des schémas individuels. Si vous souhaitez modifier un style de façon permanente, vous devrez appliquer la modification au style global, comme indiqué dans le paragraphe précédent.

Jetons un coup d'œil au style local: un clic droit pour sélectionner le label U1, et un clic gauche pour accéder à la boite de dialogue Référence composant.

Edition de la valeur du composant.

Validez l'onglet Style. Une liste déroulante de nom Style global est présente dans la partie supérieure de la fenêtre ainsi qu'un certain nombre d'attributs (Police, largeur, etc.), tous associés à une case à cocher "Suivre global?". Les styles des graphiques et des textes locaux répondent à ce format. Partout où la case à cocher Suivre global? est cochée, l'attribut de style associé est initialisé à l'aide du style global indiqué dans la liste Suivre global?. Le fait de décocher la case Suivre global? vous permet de spécifier une valeur locale pour cet attribut.

Nous allons afficher le label U1 avec une couleur différente. Commencez par décochez Suivre global?, à droite du contrôle 'Couleur' qui devient actif et affiche la couleur du style global (du style COMPONENT ID). Choisissez la couleur bleu foncé puis fermez le formulaire et désélectionnez l'amplificateur. Le label U1 est alors affiché en bleu foncé.

Edition du style de la valeur du composant.

Pour vérifier que la couleur du label est effectivement indépendante du style global, pour ce seul attribut, sélectionnez à nouveau la commande Définir styles de texte du menu Gabarit. Changez la couleur du style « COMPONENT ID » en magenta et validez l'option 'Italique' puis fermez le formulaire. Le label de l'ampli-op reste toujours en bleu foncé, alors que les labels des autres composants sont dessinés en correspondance avec le style global.

Pour être complet, nous allons voir comment éditer un style graphique local. Validez l’icône Rectangle. A présent assurez-vous que le style « COMPONENT » soit sélectionné dans le sélecteur d'objets, puis tracez un rectangle qui entoure l'ensemble du schéma à l'aide du bouton gauche de la souris. Nous allons modifier le style local du rectangle. Sélectionnez le rectangle (clic droit), puis cliquez gauche pour éditer ses caractéristiques - la boite de dialogue Styles graphique rectangle est affichée. Décochez la case Suivre global? pour le contrôle Style remplissage, puis modifiez le style de remplissage en 'aucun' (none). Fermez le formulaire à l'aide du bouton OK et désélectionnez le rectangle.

Edition du style ’Rectangle graphique’.

Nous avons terminé cette présentation sur l'utilisation générale et la puissance des styles locaux et globaux. L'utilisation principale des styles locaux intervient lors de la création d'éléments de bibliothèques avec des objets graphiques 2D. Nous recommandons tout de même d'éviter de valider des styles locaux, sauf nécessité absolue. Comme vous l'avez vu, lorsqu'un objet possède des attributs locaux, son apparence est figée et, lorsqu'il est utilisé dans une bibliothèque puis intervient dans un schéma, il risque de ne pas être en harmonie avec le reste du schéma. Dans certains cas, cela peut se révéler utile - par exemple, pour un transistor dont le style de remplissage de la base est 'solid', par comparaison avec le style ‘Component’ global.

Editer la feuille maîtresse

A présent que nous avons modifié les styles, jetons un coup d’œil à la configuration du projet. La première chose à faire est d’accéder à la feuille maîtresse via le menu GABARIT.

Menu GABARIT – Aller à la feuille maîtresse

Le contenu de la feuille maîtresse est dessiné dans chaque feuille du projet, mais ne peut être modifié que lorsque la feuille maîtresse est sélectionnée. Ce concept nous permet, par exemple, de valider un cartouche et un bord de feuille valable pour toutes les feuilles du projet.

Plus d’informations sur la feuille maîtresse peuvent être obtenues ici.

Vous devriez voir tous les objets graphiques du projet sans les composants, les connexions, comme indiqué ci-dessous.

La feuille maîtresse.

Toutes les modifications apportées aux graphiques seront répercutées sur l'ensemble des feuilles du schéma. De plus, elles seront sauvegardées dans le gabarit du projet et permettront ainsi d’initialiser tout projet qui fera appel à ce gabarit. Ceci signifie que vous pouvez valider une taille de feuille, un cartouche, un logo de société, etc. sur une feuille maîtresse et sauver le tout dans un gabarit de projet, puis utiliser ce gabarit dans tous vos projets futurs.

Nous allons à présent utiliser la feuille maîtresse pour modifier l’apparence du projet. Commencez par choisir la commande Définir taille des feuilles du menu SYSTEME et validez la taille A3.

Définir taille des feuilles avec A3 validé.

Il vous sera demandé de valider le fait que toutes les feuilles du projet auront la même taille que la feuille maîtresse. Comme vos agrandissez la taille de la feuille, cliquez sur OK.

Si vous réduisez la taille des feuilles, il est possible que des composants se retrouvent en dehors en-dehors de l’espace de travail. Il est donc important de bien choisir la taille de la feuille maîtresse lors du développement d’un projet.

Comme nous avons élargi la taille de la feuille, le bord de la feuille n’a plus les bonnes dimensions. Pour l’élargir, cliquez droit sur le rectangle graphique et utilisez les poignées pour que le rectangle soit superposé à l’espace de travail.

A présent, définissez un rectangle autour du cartouche et déplacez-le en bas de la feuille.

Déplacement de l’entête sélectionnée.

Pour plus d’information sur le cartouche, voir ici.

Pour terminer, faites la même chose avec le script en le déplaçant dans un endroit approprié de la feuille. Vous pouvez, bien évidemment, modifier le texte, la police et la couleur du script en suivants les méthodes évoquées dans les paragraphes précédents.

Vous pouvez également inclure votre LOGO sur la feuille maîtresse aux formatsPNG, GIF, JPG, BMP à partir de la commande d'import des images du menu principal.

As with the other elements of the Master Sheet you will want to position carefully to avoid clashing with the actual electronic design on normal schematic sheets.

We will now go back to the root sheet of the design proper. To do this, navigate back to the root sheet from the design menu as shown below.

Projet – Aller à la feuille : Choisir la feuille racine (root sheet).

Des explications sur l’explorateur de projets sont disponibles ici.

Vous pouvez nommer vos feuilles dans ISIS via la commande Editer propriétés de la feuille du menu PROJET. Le fait de nommer les feuilles simplifie la navigation par la commande Aller à la feuille, particulièrement pour les projets hiérarchisés qui peuvent contenir de nombreuses feuilles

Vous devriez constater que toutes les modifications apportées à la feuille maîtresse sont répercutées sur la feuille-racine. A vous de choisir en fonction de la complexité de votre projet la taille de feuille adéquate.

Sauvegarder le gabarit de projet

Having now covered both graphical and design customization all that remains is to make our schematic into a design template. To do this go-to the Save as Design Template on the Template Menu, naming the template file appropriately (for example as tutorial) and make sure you check the box to save only the master sheet.

Enregistrer le projet comme gabarit

Dans notre cas, nous ne voulons pas que les composants, les connexions, etc. soient sauvegardés dans le gabarit. Vous pouvez sauvegarder les composants et les connexions dans le gabarit mais nous vous conseillons de ne pas le faire, car toute modification des bibliothèques ne serait pas mise à jour lors d’une initialisation d’un projet à partir du gabarit.

Les gabarits de projet DOIVENT être sauvegardés dans le répertoire Gabarit tel qu’il est spécifié dans la commande Définir chemin du menu Système. Si vous souhaitez disposer de plusieurs répertoires (par exemple, pour les utilisateurs et pour la société), vous pouvez ajouter d’autres chemins.

Lorsque vous lancez ISIS ou utilisez l’icône Nouveau projet, le gabarit par défaut est chargé. A l’installation c’est ce style ‘maison’ qui est pris en compte, mais vous pouvez créer votre propre gabarit et le renommer en ‘default’.

Charger un gabarit de projet

La dernière opération à faire est de débuter un nouveau projet qui utilise notre gabarit pour s’assurer que nos modifications sont prises en compte.

Pour charger un gabarit de projet:

  1. Validez la commande Nouveau projet du menu Fichier.

  2. Une liste des gabarits existants est alors affichée. Cette liste contient tous les fichiers gabarits trouvés dans le répertoire Gabarit tel qu’il est défini par la commande Définir chemins du menu SYSTEME. Double cliquez sur le gabarit que vous souhaitez utiliser (dans notre cas celui que vous venez de sauvegarder) pour qu’il soit chargé dans ISIS.

La boite de dialogue ‘Nouveau Projet’


Propriétés des objets

PROPRIETES DES OBJETS

Introduction

Il existe 2 types distincts de propriétés d'objets - les propriétés système et les propriétés utilisateur. Les premières comprennent une série de mots clés qui influent directement sur ISIS, tandis que les autres agissent sur des programmes externes, comme ARES et ProSPICE, ou se rapportent à votre utilisation personnalisée du logiciel.

Propriétés Système

Ce sont des propriétés dont les mots clés ont un sens particulier dans ISIS. Par exemple la propriété DEVICE d'un objet composant détermine directement l'élément de bibliothèque qui lui est attribué. Quelques unes de ces propriétés sont textuelles - par exemple, les labels REF et VALUE d'un composant sont directement accessibles à partir de la fenêtre de dialogue d'édition du composant, mais d'autres comme la propriété DEVICE déjà mentionnée, sont manipulées en tant que résultats d'opérations graphiques.

En général, vous ne devez vous préoccuper des propriétés système que si vous souhaitez lire leurs valeurs avec les commandes de recherche et de sélection, ou les modifier avec l'outil d'affectation de propriétés. Par exemple, vous pouvez sélectionner tous les composants 7400 du schéma. Ceci demande suppose que vous sachiez que la propriété système qui contient le nom des éléments des bibliothèques s'appelle DEVICE.

Plus d’informations sur les propriétés système utilisées par chaque type d’objet sont disponibles dans la section consacrée aux spécificités sur les objets.

Propriétés Utilisateur

Il est possible d'ajouter autant de propriétés utilisateur que nécessaire aux composants, aux sous-circuits et aux objets de simulation de VSM, en plus de leurs propriétés système. Ces propriétés utilisateur sont contenues dans un bloc de propriétés composé de lignes telles que:

FOURNISSEUR=XYZ Electronics

Vous pouvez éditer ces blocs de propriétés soit directement dans la fenêtre de dialogue des différents objets, soit à l'aide de l'outil d'affectation de propriétés.

Pour éditer les propriétés utilisateur d’un objet:

  1. Faites apparaître la fenêtre de dialogue de l'objet en le sélectionnant par un clic droit, puis en appelant la commande Editer propriétés du menu contextuel.

  2. Si l'objet peut contenir des propriétés utilisateur, la fenêtre inclura une zone « Propriétés ». Pointez au dessous du texte existant et cliquez gauche.

  3. Ajoutez vos propriétés. Chaque propriété se compose d'une ligne qui contient un mot clé et une valeur, séparés par le caractère égal (=).

Règle: les mots clés utilisateur doivent comporter uniquement des lettres, des chiffres et des caractères de soulignement. En aucun cas, ils ne doivent contenir des espaces, des virgules, des guillemets ou le signe = (, " =).

En accord avec le comportement général des textes dans ISIS, si une affectation de propriété est insérée entre des accolades '{' et '}', elle ne sera pas affichée à l'écran. Par exemple, la ligne:

{PRIMITIVE=DIGITAL}

définit un objet qui requiert une simulation numérique. Ce texte n'apparaîtra pas dans la fenêtre d'édition.

Quelquefois, on peut désirer afficher uniquement la valeur; dans ce cas vous pouvez taper:

{MODFILE=}OPAMP

En théorie, vous pouvez placer les accolades à d'autres endroits. Cependant lorsque l’outil d’affectation des propriétés est utilisé pour modifier des blocs de propriétés, son fonctionnement implique que les accolades soient utilisées comme dans les exemples ci-dessus. Si on les place ailleurs le résultat obtenu est incertain.

Pour éditer des propriétés utilisateur via la nomenclature:

1. Définir une propriété et l'ajouter à la grille des prorpriétés.

2. Utiliser la grille pour ajouter une donnée à une propriété pour chaque composant.

Définitions de Propriétés (PROPDEFS)

Il est possible d'ajouter des caractéristiques supplémentaires aux propriétés utilisateur d'un composant. Par exemple, les propriétés communes d'un composant sont PACKAGE et MODFILE. Ces propriétés sont visualisées dans leur champ respectif de la boite de dialogue d'édition du composant. La définition d'une propriété comprend une description de la propriété, un type de données (entier, réel ou chaîne de caractères) et des limites d'acceptation pour les types numériques. Une valeur par défaut peut être spécifiée.

Ce mécanisme permet d'observer plus facilement la validité des propriétés pour un modèle, ainsi que leurs significations. Il est dès lors possible d’indiquer des types de boîtiers et des modèles de simulation particuliers, clairement identifiables par l’utilisateur final d’une bibliothèque.

Les propriétés inconnues d’un composant particulier (c’est à dire celles qui n’ont pas de définition de propriété) apparaîtront toujours dans le bloc de texte décrit ci-dessus. Ce mécanisme assure une compatibilité avec les projets issus d’anciennes versions des bibliothèques et/ou avec des éléments de bibliothèques qui ne possèdent pas de définitions de propriétés.

Vous pouvez voir, éditer et supprimer des propriétés via la boite de dialoguqe de définition des propriétés disponible dans le menu SYSTEME de ISIS.


Propriétés des feuilles

PROPRIETES DES FEUILLES

Introduction

Chaque feuille d'un schéma peut contenir un jeu de propriétés. On peut les considérer comme des constantes définies (numériques ou textuelles) qui seront affectées à des propriétés d'objets d'une feuille particulière. En elles-mêmes elles n'offrent pas beaucoup d'utilité, mais leur véritable puissance apparaît quand on les emploie dans des d'expressions de propriétés d'objets.

Par exemple, considérons la propriété de feuille définie dans un bloc:

*DEFINEPI=3.142

Cette propriété vous permet de définir une résistance qui aura pour valeur:

VAL=EVAL(500/PI)

Au moment de la génération de la netlist, le compilateur évaluera cette expression et placera la valeur 159.134 dans la netlist ou la liste du matériel.

Pour plus d’informations sur les expressions de propriétés voir Evaluation d’une expression de propriété.

Définir les propriétés des feuilles

Les propriétés des feuilles sont définies de plusieurs manières:

  • En utilisant directement un script DEFINE. Ce script sert à définir des constantes utiles dans des expressions, comme dans l'exemple plus haut.

  • Dans un bloc de sélection appelé script MAP ON. Dans ce cas, la valeur de la propriété parente spécifiée par la déclaration MAP ON s'emploie pour activer un jeu des propriétés de feuille parmi ceux présents dans une table. Ceci s'utilise très couramment pour créer des modèles de simulation universels dans lesquels plusieurs composants sont modélisés en utilisant le même circuit, mais avec des propriétés de feuille différentes pour chaque type de composant. Ce point est détaillé dans le manuel VSM.

  • En héritant des propriétés d'un objet parent. En d'autres termes, si l'objet parent possède la propriété d'objet:
    R3=10k
    alors la feuille enfant héritera de cette propriété comme propriété de feuille. Ceci fournit la base des circuits paramétrés (section CIRCUITS PARAMETRES) dans lesquels on peut attribuer des valeurs de composants différentes à plusieurs instances d'un module hiérarchique donné.

Si la même propriété est définie à la fois sur une feuille-enfant dans un bloc DEFINE ou MAP ON et dans le bloc de propriétés parent, c'est la valeur du parent qui prévaut. Cette action offre le moyen de fournir des valeurs par défaut à des propriétés de feuille que l'on peut outrepasser si nécessaire.

Règles de visibilité des propriétés des feuilles

Il est important de comprendre que les propriétés des feuilles ne sont référencées que sur la feuille dans laquelle elles sont définies. En particulier les propriétés d'une feuille-parent ne sont pas accessibles aux feuilles-enfants à moins d’être transmises par l'intermédiaire du bloc de propriété objet du parent. Si vous avez besoin d'accéder à une propriété de cette façon, vous pouvez ajouter une ligne du genre:

TDHL=<TDHL>

dans le ou les objet(s) parents appropriés. Si TDHL est définie comme propriété de feuille sur la feuille-parent, elle deviendra donc une propriété objet du parent et sera définie comme propriété de feuille pour la feuille enfant, où elle pourra à son tour apparaître dans des expressions de propriété d'objet.

Cette règle est comparable à la transmission des paramètres dans un programme en langage C.

Les feuilles parent et enfant avec la transmission des paramètres

Propriétés du projet

Les propriétés d'un projet correspondent au cumul de toutes les propriétés des feuilles-racines. Comme les feuilles-racines ne peuvent avoir de parent, il s'ensuit que les propriétés de projet peuvent seulement être déclarées en utilisant des scripts DEFINE sur les feuilles-racines.

Dans le fichier netlist, d'extension SDF, les propriétés apparaissent dans le bloc PROPERTIES et peuvent être interprétées par n'importe quel utilitaire qui exploite la netlist. Dans le cas de PROTEUS VSM, les propriétés du schéma s'utilisent pour définir des options de simulation comme le nombre de pas, la température de fonctionnement, etc. Des précisions sont données dans le manuel de VSM.

Pour créer une liste de propriétés:

  1. Ouvrez la feuille racine du projet via la commande Aller à la feuille du menu OUTILS.
  2. Sélectionnez la feuille racine via la menu PROJET.

  3. Validez l’icône script de la barre d’outils.

  4. Pointez à l'endroit où vous voulez voir apparaître le script et cliquez gauche.

  5. Entrez sur la première ligne du script *DEFINE puis les affectations de propriétés souhaitées.


Circuits paramètrés

CIRCUITS PARAMETRES

Introduction

ISIS possède une caractéristique unique et très puissante qui combine les propriétés de feuilles, les propriétés d'objets et le dessin hiérarchisé, et facilite considérablement la description des circuits paramétrés. Un circuit paramétré est un circuit dans lequel certaines valeurs de composants (ou d'autres propriétés) sont des formules et non des valeurs constantes. Naturellement les formules contiennent des variables, ou paramètres, dont les valeurs sont prises dans les propriétés de feuilles définies pour cet exemplaire particulier de circuit. Il s'ensuit que, dans un contexte de dessin hiérarchisé, les différents exemplaires du circuit peuvent avoir différents paramètres et donc différentes valeurs de composants.

Pour plus d’information voir PROJETS HIERARCHISES. Si vous n’avez aucune notion sur les projets hiérarchisés, nous vous conseillons de sauter cette section pour l’instant!

Exemple

Les circuits paramétrés sont bien illustrés dans le fichier projet LPF.DSN, présent dans le répertoire « Samples/Graph Based Simulation » relatif au dossier d’installation de Proteus. La feuille-racine du projet est montrée ci-dessous:

Il se compose d'un seul sous-circuit qui possède 2 propriétés utilisateur définissant la fréquence et l'impédance du filtre. Le module relié au sous-circuit est le véritable circuit paramétré (utilisez l’explorateur de projet ou la commande feuille suivante pour vous rendre sur la feuille du sous-circuit).

Vous trouverez plus d'information sur l'explorateur de schéma ici.

La feuille du sous-cricuit de l'exemple LPF.DSN

Quelques points sont à retenir ici:

  • Le bloc DEFINE définit une propriété de feuille: PI. Celle-ci sert de constante dans l'expression de propriété pour la valeur du condensateur.

  • Le champ de valeur de la résistance contient la chaîne <IMP>. Cette syntaxe avec les chevrons '<' et '>' amène le compilateur de netlist à substituer <IMP> par la valeur de propriété de feuille parent IMP, c'est à dire 33k. Dans ce cas aucune évaluation n'a lieu - la substitution est purement littérale.

  • La valeur du condensateur est obtenue par une expression qui utilise la propriété VALEUR=. La fonction E12 spécifie que l'expression doit être évaluée par le compilateur de netlist et aussi, qu'elle doit être arrondie à la valeur la plus proche de E12. Les autres options sont EVAL (pas d'arrondi), et E24 (arrondi à la valeur E24).

PI, IMP et FREQ sont toutes des propriétés de feuille. PI provient du bloc DEFINE alors que IMP et FREQ proviennent du sous-circuit parent.

Si vous créez la liste du matériel, vous obtiendrez ceci:

La liste de matériel HTML du projet LPF.DSN

ISIS a évalué 1/(2*3.142*33000*1000) pour obtenir approximativement 0.000000000482, arrondi à la valeur E12 la plus proche - 470p.

Il y a en fait 2 processus distincts qui se déroulent dans l'exemple ci-dessus - une substitution de propriétés et une évaluation d'expression. Toutes les deux ont leurs avantages et leurs inconvénients dont nous allons discuter en détails dans les paragraphes suivants.

Substitution de propriétés

C'est le mécanisme qui a été utilisé pour déterminer la valeur de la résistance et qui fonctionne chaque fois que le compilateur de netlist rencontre une valeur de propriété qui contient un mot entre chevrons « <> » Si le mot correspond à une propriété de feuille, l'expression entre chevrons est remplacée par la valeur de la propriété de feuille. S'il n'existe pas de propriété de feuille un avertissement (warning) est généré et la propriété est enlevée de l'objet.

Il existe deux cas principaux où la substitution de propriété est utile:

  • Vous pouvez l'utiliser dans un circuit paramétré lorsque les paramètres ne sont pas numériques. Les boîtiers des circuits imprimés en sont peut-être l'exemple le plus courant - c'est très bien d'amener ISIS à calculer que l'on doit utiliser un condensateur de 470pF mais vous aurez certainement besoin d'un boîtier pour votre CI. Si vous liez au condensateur, la propriété utilisateur:

    PACKAGE=<C1_PACKAGE>

    alors vous pouvez ajouter au sous-circuit la propriété:

    C1_PACKAGE=CAP10

    Lors de la génération de la netlist, C1 apparaîtra avec la propriété:

    PACKAGE=CAP10

    Il n'est pas possible d'utiliser l'évaluation d'expression de propriété dans ce cas, car CAP10 ne sera pas évalué comme un nombre.

  • L'autre emploi important de la substitution de propriété intervient dans Proteus VSM, lors de la définition d'une simulation avec balayage de paramètre. Dans ce cas, c’est le simulateur qui évalue les expressions et pas ISIS, c'est pourquoi il est préférable d'utiliser la substitution plutôt que l'évaluation dans les expressions de propriétés. Nous discutons plus amplement de ce problème dans le manuel de VSM.

Evaluation d'expression de propriétés

Contrairement à la substitution de propriété, qui est un processus de substitution de chaînes de caractères, l'évaluation d'expression de propriété implique ISIS dans une évaluation numérique à partir d'une formule. De plus ISIS peut aussi arrondir les résultats à une valeur de série E12 ou E24.

Trois syntaxes sont disponibles

EVAL (...)

E12 (...)

E24 (...)

Dans tous les cas, les parenthèses devraient contenir une expression mathématique qui peut contenir les opérateurs +, - , *, / et des valeurs. Les valeurs peuvent être des nombres constants ou les noms de propriétés de feuilles. La multiplication et la division ont une priorité plus élevée, mais on peut utiliser d'autres niveaux de parenthèses pour supplanter cette priorité selon le besoin.

Nous vous donnons ci-dessous quelques exemples d'expressions:

Expression | Description
EVAL(1/(A+B)) | A et B sont des propriétés de feuille.
E12(20k+2*F*PI) | 20k est traité automatiquement comme 20000.
E24(3+4*5) | Evalué à 24.

Bien que l'évaluation soit, d'une certaine façon, plus puissante que la substitution de propriété, il existe des limitations:

  • L'évaluateur peut uniquement traiter des valeurs numériques - les expressions contenant des chaînes de caractères ne sont pas admises.

  • Dans la formule, vous ne pouvez vous référer qu'à des propriétés de feuille - vous ne pouvez pas avoir accès à d'autres propriétés d'objets ou aux valeurs d'autres composants.

  • L'évaluateur n'accepte pas les fonctions mathématiques (par exemple, sinus, cosinus, racine carrée, etc.).

Les fonctions d'arrondi E12(), E24()

Le mécanisme d’évaluation d’expression de propriété permet d’arrondir la valeur trouvée à la plus proche des séries E12 ou E24.

Notez que:

  • L'arrondi est invalidé pour des expressions qui aboutissent à des valeurs nulles ou négatives. Il est peu probable que cela crée un problème, car les résistances ou les condensateurs à valeur négative sont difficiles à se procurer !

  • L'arrondi se fait plus sur une base géométrique qu'arithmétique, ainsi le point moyen entre 3k3 et 4k7 est d’environ 3.94. Nous pensons que ceci cadre avec la philosophie des séries E12 et E24.

  • Souvenez vous que si un circuit paramétré contient plusieurs valeurs arrondies, il n'y aucun mécanisme pour les arrondir dans la direction optimale en tenant compte du fait qu'il peut y avoir interaction. Cela veut dire que pour des projets de filtres critiques et autres, il sera préférable de calculer les valeurs manuellement (en considérant les différentes associations de valeurs), et d'utiliser la substitution de paramètres pour entrer vos valeurs directement dans le circuit.

Bien sûr, si vous possédez une licence Proteus VSM, vous pouvez lancer une simulation et voir comment les valeurs choisies par ISIS modifient les performances du circuit.


Outil d'affectation des propriétés

OUTIL D'AFFECTATION DES PROPRIETES (PAT)

La boite de dialogue de l'outil d'affectation des propriétés

Cet outil opère à partir d’une boite de dialogue de complexité raisonnable qui contient les champs suivants:

La boite de dialogue du PAT

Champ | Description
Chaîne | Affectation de propriété ou mot clé de propriété pour laquelle l'action choisie s'appliquera à chaque objet.
Compteur | Valeur initiale du compteur. Le compteur est incrémenté à chaque application de l'outil. La valeur courante du compteur peut être incluse dans la chaîne de caractère, en entrant le caractère #. - voir exemples.
Action | TL'action souhaitée. Voir ci-dessous pour une description des types d’actions reconnu. - voir actions PAT .
Appliquer | Mode d'action de l'outil. Voir ci-dessous pour une description des modes reconnus. - voir modes d'application PAT

Les Actions de PAT

Champ Description

AFFECTER

La chaîne de caractères doit contenir une affectation de propriété de la forme:

Kmot_clé=value

et cette propriété sera appliquée aux objets sélectionnés. Si vous voulez attribuer des valeurs séquentielles telles que D0, D1, D2, etc., utilisez le caractère # dans la valeur et initialisez la valeur de compteur comme souhaité.

Il est possible d’attribuer des propriétés utilisateur ET système. L'affectation de propriétés système peut provoquer des changements graphiques dans votre dessin.

SUPPRIMER

La chaîne ne doit contenir qu'un mot clé de propriété et cette propriété sera enlevée aux objets sélectionnés.On ne peut supprimer que des propriétés utilisateur.

RENOMMER

La chaîne doit contenir une affectation de la forme:

mot_cle_courant=nouveau_mot_cle

Le nom à gauche de l'affectation est le nom de propriété existant que vous souhaitez changer; le nom à droite est le nouveau nom Seules les propriétés utilisateur peuvent être renommées.

MONTRER

La chaîne ne doit contenir qu'un mot clé de propriété et la propriété sera rendue visible pour les objets sélectionnés.

Toutes les propriétés, système et utilisateur, peuvent être montrées.

HACHER

La chaîne ne peut contenir qu'un mot clé de propriété et cette propriété sera rendue invisible pour les objets sélectionnés.

Toutes les propriétés, système et utilisateur, peuvent être cachées.

REDIMENSIONNER

La chaîne doit contenir une affectation telle que

REF=20,16

qui modifie la hauteur et la largeur de la propriété pour les objets sélectionnés Seule la taille des propriétés système de type texte peut être modifiée.

La modification de la taille des labels de texte positionne les attributs de style Hauteur et Largeur en mode local, par conséquent une modification des styles de textes globaux n'aura aucune répercussion sur ces labels.

Les modes d'application du PAT

Les actions peuvent être appliquées de plusieurs façons:

Champ Description

Sur clic

Lorsque le bouton « OK » est choisi, le mode principal est automatiquement validé ainsi que l'icône édition instantanée. L'action sera appliquée à chaque objet sur lequel vous cliquez gauche.

Lorsque vous validez une autre icône, le PAT est dévalidé.

Ce mode est le seul moyen d'utiliser l'outil avec des fils pour affecter des labels de fils. ISIS ne peut pas affecter des propriétés à des fils sélectionnés car il ne saurait pas où placer les labels.

Action locale

locale L'action choisie est appliquée à tous les objets sélectionnés de la feuille courante.

Vous pouvez sélectionner les objets individuellement ou par l'intermédiaire de la commande Rechercher et sélectionner

Action globale

L'action choisie est appliquée à tous les objets sélectionnés du projet.

Vous pouvez sélectionner les objets individuellement ou par l'intermédiaire de la commande Rechercher et sélectionner

Tous les Objets

L'action choisie est appliquée à tous les objets du projet.

Commandes Rechercher & Sélectionner

La commande Rechercher et Sélectionner permet de rechercher, dans le projet, un groupe particulier d'objets qui répondent à un critère particulier. Les critères sont spécifiés par des propriétés du type d’objet que vous recherchez. Par exemple, la recherche de tous les composants dont la valeur est de 10k est décrite de la façon suivante :

Recherche de tous les composants de valeur de 10k

Le résultat de la recherche est affiché dans une liste en bas de la boite de dialogue. Vous pouvez centrer le schéma sur un composant particulier par un double-clic sur le nom du composant dans la liste.

La boite de dialogue Rechercher et Sélectionner fournit les fonctionnalités additionnelles suivantes:

Plusieurs modes de critères de correspondance sont disponibles, ce qui augmente les possibilités de recherche.

Lorsque vous avez terminé votre recherche initiale, vous pouvez affiner et/ou étendre celle-ci en modifiant les paramètres et en sélectionnant des types de recherche ET ou OU.

Vous pouvez rechercher dans tout le projet ou seulement dans la feuille courante. Par défaut, la recherche s’effectue sur l’ensemble du projet.

Lorsque vous zoomez sur un objet de la liste, tous les objets de la liste sont mis en surbrillance et la boite de dialogue disparaît pour vous permettre de mieux visualiser le schéma. Cependant, la liste se remet à jour automatiquement dès que vous appelez à nouveau la commande Rechercher et sélectionner. Vous pouvez ainsi vous déplacer sur un autre composant de la liste en appelant à nouveau la boite de dialogue (raccourci clavier par défaut ‘T’).

Exemples

L'outil d'affectation et les commandes de recherche et sélection offrent une puissance et une souplesse considérables quand il s'agit de manipuler les propriétés d'objets. Cependant elles peuvent impressionner les débutants. C'est pourquoi nous donnons quelques exemples pour vous aider à vous lancer.

Pour donner un label aux liens d'un bus

1. Appelez l'outil d'affectation de propriétés en utilisant le raccourci clavier par défaut (touche 'A'), bien que vous puissiez faire appel à l’outil via le menu Outils.

2. Écrivez NET=D# dans le champ Chaîne, puis cliquez sur OK. L'action par défaut sera 'Affecter' et le mode sera Sur clic.

3. Cliquez gauche sur chaque fil sur lequel vous voulez placer un label. On peut utiliser les touches du curseur et la touche ENTREE à la place de la souris. Les fils sur lesquels vous cliquez recevront des nouveaux labels, en séquence D0, D1, D2, etc.

Placer des labels sur les fils d’un bus avec le PAT.

Pour affecter un boîtier à tous les BC108 du projet

1. Lancez la commande Rechercher et sélectionner (par défaut associée au raccourci clavier 'T').

2. Placez VALUE dans le champ Propriété et la chaîne BC108 dans le champ Chaîne, puis cliquez sur OK. Le mode par défaut sera Egal. Tous les composants BC108 seront sélectionnés.

3. Appelez l'outil d'affectation de propriétés en utilisant le raccourci clavier par défaut (touche 'A' ).

4. Entrez PACKAGE=TO18 dans le champ Chaîne et cliquez sur OK. L'action par défaut passe à Affecter et le mode à Sélection globale (en supposant qu'il y ait des BC108 sélectionnés). Tous les BC108 sélectionnés recevront la nouvelle propriété utilisateur.

Pour renommer toutes les propriétés ITEM en propriétés CODE:

1. Appelez l'outil d'affectation de propriétés en utilisant le raccourci clavier par défaut (touche 'A').

2. Entrez la chaîne ITEM=CODE dans le champ Chaîne, l'action à Renommer et le mode à Tous les objets. Tous les objets de propriété ITEM=valeur seront remplacés par la propriété CODE=valeur.

Renommer globalement les propriétés avec le PAT

Pour cacher les propriétés de boîtiers

1. Appelez l'outil d'affectation de propriétés.

2. Entrez la chaîne PACKAGE dans le champ Chaîne, l'action à Cacher et le mode à Tous les objets, puis cliquez sur OK. Toutes les propriétés PACKAGE seront cachées.

Cacher globalement les propriétés package avec le PAT

Pour redimensionner toutes les références des composants

1. Appelez l'outil d'affectation de propriétés.

2. Entrez la chaîne REF=10,8, l'action à Redimensionner, le mode à Tous les objets, puis cliquez sur OK. La taille de toutes les références de composants sera modifiée.

Redimensionner globalement les références avec le PAT

Pour affecter des boîtiers plus grands aux condensateurs 1000 µF

1. Lancez la commande Rechercher et sélectionner (par défaut associée au raccourci clavier 'T').

2. Entrez DEVICE dans le champ Propriété, la chaîne CAP ELEC dans le champ Chaîne, puis cliquez sur OK; ceci sélectionnera tous les condensateurs électrolytiques.

3. Validez la mode de recherche ET.

4. Entrez VALUE dans le champ Propriété, la chaîne 1000 dans le champ Chaîne, le mode à Commence, puis cliquez sur OK. Ceci limitera la sélection aux condensateurs ayant une valeur de 1000u ou 1000µF.

5. Appelez l'outil d'affectation de propriétés.

6. Entrez la chaîne PACKAGE=ELEC-RAD30 dans le champ Chaîne puis cliquez sur OK. L'action par défaut passera à Affecter, et le mode à Sélection globale (en supposant qu'il y ait des condensateurs sélectionnés). Le nouveau boîtier sera affecté à tous les condensateurs sélectionnés.


Définitions de propriétés

DEFINITIONS DE PROPRIETES

Créer des définitions de propriétés

Les définitions de propriétés se font par l'intermédiaire de l'onglet Propriétés de la boite de dialogue de création d’un composant. Une aide contextuelle est disponible pour chaque champ de la boite de dialogue créer un composant.

La page des propriétés lors de la création d’un composant.

Vous pouvez également créer des définitions de propriétés en ajoutant des champs dans le rapport de nomenclature. par exemple, si vous ajoutez un champ pour une quantité minimum (MoQ) à la nomenclature, vous pouvez y placer les valeurs pour chaque composant et répercuter ensuite les changements sur le schéma. Vos définitions de propriétés seront mises à jour avec la propriété MoQ. Pour plus d'information, vous pouvez consulter le chapitre dédié à la nomenclature.

Si vous ajouter des définitions de propriété lors de la création de composant, alors la définition et la valeur seront stockées dans la bibliothèque et pourront être réutilisées dans de futurs projets. Si vous utilisez l'éditeur de propriétés de la nomenclature, les changements s'appliqueront seulement au schéma en cours. Dans ce cas, vous pouvez alors utiliser la commande 'Compilation globale vers la bibliothèque' pour stocker ces modifications en vue d'une utilisation future.

Définitions des propriétés par défaut

Un certain nombre de propriétés seront appliqués à la plupart des composants que vous créerez. Par exemple, tout ce qui concerne un circuit imprimé nécessite une propriété PACKAGE, et tout ce qui concerne un modèle de simulation nécessite une propriété MODFILE, MODEL ou SPICEMODEL.

Vous pouvez également définir une définition de propriété système pour la valeur de l'élément, ou ajouter vos propriétés utilisateur telles que STOCK, FOURNISSEUR ou PRIX à la plupart des composants que vous créez.

Vous pouvez également travaillez directement à partir de la nomenclature pour définir vos propriétés.

Les informations manipulées par cette commande sont présentes dans le fichier PROPDEFS.INI du répertoire d'installation de PROTEUS


Les composants

COMPOSANTS

Introduction

Un composant est une instance d'un objet de bibliothèque. Etant donné que certains objets sont multi-éléments, il s'ensuit que, dans certains cas, plusieurs composants du schéma peuvent en réalité appartenir à un seul composant physique sur le circuit imprimé. Dans ce cas les composants logiques sont annotés tels que U1:A, U1:B, U1:C, U1:D pour indiquer qu'ils appartiennent tous au même objet physique. Cette forme d'annotation permet à ISIS de valider le jeu de numéros de broches de chaque élément.

Mis à part les terminaux physiques, les composants sont les seuls objets que vous pouvez placer et qui engendreront des entités physiques sur le circuit imprimé. Tous les autres objets que vous placez servent soit à spécifier une connectivité, soit à améliorer la lisibilité et la compréhension de votre schéma. C'est un point important, car des tentatives d'utilisation d'autres objets d'ISIS (en particulier les symboles graphiques) pour représenter des objets du circuit imprimé échoueront.

Sélectionner des composants en bibliothèques

Quand vous débutez un nouveau projet dans ISIS, le sélecteur d'objets est vide. Avant de pouvoir placer des composants, vous devez d'abord les choisir en bibliothèques afin qu'ils apparaissent dans le sélecteur.

Pour prendre des composants en bibliothèque:

1. Validez l’icône 'Composant'

2. Cliquez gauche sur le bouton 'P' du sélecteur d’objets. Ceci ouvrira le gestionnaire de bibliothèque.

  3. Entrez un ou plusieurs mots clés ou parcourez les catégories et les sous-catégories pour localiser l’élément dont vous avez besoin.

  4. Double cliquez sur l’élément dans la liste des résultats afin de le sélectionner pour le projet.

  5. Lorsque vous avez terminé de prendre les composants, utilisez le bouton OK pour fermer la boite de dialogue et revenir à ISIS. Ce processus est également décrit dans le tutorial.

Voir également

Prendre des composants dans la bibliothèque (Tutorial)

Créer de nouveaux composants (Tutorial)

Bibliothèques de composants

Placer un composant

Le placement des composants suivent la règle générale décrite dans Placement des objets.

Pour placer un composant:

1. Si le type de composant souhaité n’est pas listé dans le sélecteur d’objets, validez l’icône composant et prenez-le dans les bibliothèques suivant la méthode décrite ci-dessus.

2. Cliquez sur le nom du composant dans le sélecteur d'objets - ISIS vous donnera un aperçu du composant dans la vue d’ensemble.

3. Utilisez les icônes Rotation et Miroir pour orienter le composant dans la position souhaitée pour le placement.

5. Cliquez gauche dans la fenêtre d’édition pour initialiser le mode de placement. Vous obtiendrez l’affichage du pourtour du composant.

6. Déplacez la souris jusqu’à la position de placement du composant et cliquez gauche à nouveau pour valider le positionnement et quitter le mode de placement.

Remplacer un composant

Pour remplacer un composant:

1. Procédez jusqu’à l’étape 4 ci-dessus pour placer une composant. Vous devriez visualiser le pourtour du composant qui suit les déplacements de la souris.

2. Placez le pourtour au-dessus du composant existant, afin que l’une des broches se superpose au composant déjà placé et que la souris soit au-dessus du composant.

3. Cliquez gauche pour remplacer le composant du schéma.

Vous pouvez aussi remplacer le composant en utilisant l’outil d’affectation des propriétés avec la syntaxe 'DEVICE=<component_name>' en mode ‘sur-clic’.

Editer un composant

Un composant peut être édité à l'aide d'une des techniques d'édition disponibles (voir Editer un objet) ou, plus spécifiquement, par la commande 'Editer composant' du menu 'Editer' (touche 'E'). Comme pour la plupart des fonctionnalités d'édition de PROTEUS, une boite de dialogue apparaîtra avec les champs appropriés. Cependant, les champs disponibles dans la boite de dialogue 'Edition composant' dépendent des propriétés du composant. Vous vous apercevrez que le contenu de cette boite de dialogue peut varier d'un composant à l'autre. Une aide contextuelle est disponible pour vous fournir plus d'explications sur les champs.

Certains attributs spécifiques sont communs aux composants; ils se trouvent en bas de la boite de dialogue. Trois, en particulier, sont utilisés pour exclure le composant des autres modules :

Exclusion de la simulation :

Cette variable peut notamment être utilisée avec les connecteurs qui n'ont rien à faire dans une simulation mais relève cependant du circuit imprimé.

Exclusion du circuit imprimé (PCB) :

Cela peut être le cas pour les instruments virtuels qui relèvent de la simulation mais en rien du PCB.

Exclusion de la liste du matériel :

Cette fonction concerne les composants qui ne doivent pas être inclus dans la nomenclature. Cela peut être le cas quand vous voulez fabriquer une carte à bas coût à partir d'un modèle de carte standard et que cette carte à bas coût nécessite par conséquent de supprimer certains composants par rapport au modèle classique.

Composants permutables (gate-swapping)

La boite de dialogue d'édition des composants permet également de ré-annoter ou permuter des composants multi-éléments. Un composant multi-éléments est un composant physique avec plusieurs éléments logiques associés. La base de données commune concerne principalement les composants et il n'est ainsi pas possible d'avoir des éléments qui contiennent des données contradictoires. Cela se voit clairement avec les propriétés; contrairement aux versions antérieures, changer une propriété d'un élément modifiera également cette propriété pour tous les autres éléments d'un même composant.

L'annotation et la permutation des portes dans la boite de dialogue d'édition des composants fonctionnent maintenant un peu différemment. Prenons l'exemple suivant:

Une élément placé possède à la fois une référence (tel que U1) et un identifiant (tel que A). Dans la boite d'édition du composant ces deux informations apparaissent dans deux champs séparés.

Reference du composant

Pour ré-annoter tous les éléments, il faut modifier la référence du composant. Par exemple, si l'on remplace U1 par U4, alors tous les éléments de référence U1 deviendront des éléments de référence U4. Un message d'avertissement apparaît lorque vous voulez remplacer une annotation par une autre déjà créée (par exemple U2).

Elément

En modifiant le champ 'Elément', l'élément actuel permutera vers celui sélectionné dans la liste déroulante. Pressez le bouton NOUVEAU pour modifier les annotations qui font référence à ce nouvel élément sur le schéma.

Exemples

Ré-annotation de U1 en U4

Editez l'un des éléments U1 du schéma et changer le champ 'Référence du composant' en U4.

Permutation de U4:A vers U4:C

Editez l'élément U4:A et remplacez-le par U4:C.

Annotation d'un composant hétérogène

Pour les composants multi-éléments hétérogènes comme un relais composé d'une bobine et de plusieurs connecteurs, le processus est similaire aux versions antèrieures du logiciel. Une annotation manuelle est requise pour les composants hétérogènes.

L'annotation de chaque élément se présente sous cette forme:

<part ref> : <element>

et doit être entrée dans le champ 'référence de composant' de la boite de dialogue. Par exemple, la bobine pourra être annotée RL1:A et les connecteurs comme RL1:B et RL1:C.

Si nous considérons que les connecteurs sont identiques, vous pouvez alors les permuter entre eux via le champ 'élément' de la boite de dialogue d'édition des composants.

La permutation n'est possible que si les connexions sont des éléments d'une même bibliothèque de composants.

Propriétés des composants

Les composants possèdent les propriétés systèmes suivantes

Nom de propriété | Description
REF | Référence du composant sous la forme d'un label.
VAL | Valeur du composant.
VALEUR | Valeur du composant ou propriété utilisateur VALEUR, lorsque le texte du label est trop long.
COMPOSANT | Élément de bibliothèque. Si affectée, la logique de remplacement automatique qui tente de conserver la connectivité sera automatiquement appliquée.

Si d'autres noms de propriétés sont affectés (par exemple STOCKCODE, TOLERANCE, etc.) ils créeront des propriétés « utilisateur » dans le bloc de texte du composant.

Voir également:

Nomenclature

Outil d'assignation de propriétés

Création de composant

Outil de visualisation des packages

Broches d'alimentation cachées

Si le composant a été défini avec des broches d’alimentation cachées, alors les liens auxquels ces broches sont connectées peuvent être vus et édités en cliquant sur le bouton ‘Pins cachées’ de la boite de dialogue d’édition du composant.

Le bouton des broches cachées de la boite d’édition du composant.

Par défaut, les broches se connectent à un lien de même nom – par exemple, une broche cachée de nom ‘VDD’ se connectera à ‘VDD’, une broche ‘VSS’ à ‘VSS’, et ainsi de suite.

Voir également:

Configuration des rails d'alimentation

Broches cachées


Les points de jonction

POINTS DE JONCTION

Introduction

Les points de jonction s'emploient pour repérer l'interconnexion entre fils. ISIS les place et les enlève automatiquement, mais il est parfois utile de placer une jonction en un point spécifique et ensuite de relier des fils en ce point.

Les fils qui se touchent ou se croisent ne sont jamais considérés comme reliés s'il n'y a pas de point de jonction au point de contact. Inversement, là où il y a un point de jonction il y aura toujours une connexion, à moins que vous n'ayez superposé des fils et des points de jonction en les déplaçant jusqu'à les mettre en contact.

Vous pouvez personnaliser l'apparence des points de jonction en éditant le style graphique WIRE DOT. Voir Edition des styles globaux. Vous pouvez également définir leur taille et leur forme à l’aide de la commande ‘Définir points de jonction’.

Placer un point de jonction

Pour placer une jonction:

  • Validez l’icône Point de jonction.
  • Positionnez le pointeur à l'endroit souhaité de la fenêtre d’édition.
  • Clic-gauche pour placer le point de jonction.

Placement automatique des points de jonction

ISIS placera automatiquement une jonction à chaque fois qu'un fil rejoint un autre fil - 3 connexions existent en ce point.

Suppression automatique des points de jonction

Quand un ou plusieurs fils sont supprimés, ISIS détecte les endroits où il reste des jonctions avec un ou 2 fils non connectés. De tels points de jonction sont automatiquement supprimés sauf si on aboutit à une boucle ininterrompue.


Les labels de fils

LABELS DE FILS

Introduction

Les labels de fils s'emploient pour attribuer des noms à des groupes de fils et des broches, mais également pour attribuer des propriétés de liens (nets) à des liens spécifiques. Ce ne sont pas véritablement des objets, relativement à l'organisation générale du logiciel. A part cela leur comportement est identique à celui des autres labels, tels un label de référence ou une valeur d'un composant. Il s'ensuit que les procédures de placement et d'effacement sont un peu différentes de celles des autres objets.

Voir également:

Generation de netlist

Placer et éditer des labels de fils

Pour placer ou éditer un label de fil:

  1. Validez l’icône Label de fils.

  2. Si vous placez un nouveau label, pointez sur un fil à l'endroit où vous souhaitez voir le label ou, pour un label existant, pointez n'importe où le long du fil ou sur le label lui-même..

  3. Cliquez-gauche pour placer le label. La fenêtre de dialogue de création ou d'édition des labels apparaîtra.

  4. Entrez le texte du label.

  5. Cliquez sur OK ou utilisez la touche ENTREE pour fermer la fenêtre.

Voir Editer les styles globaux éditer les styles glocaux pour obtenir des informations sur les champs de l’onglet Style de la boite de dialogue. for more details of the controls on the Style tab of the dialogue forms.

Vous ne pouvez pas placer de label de fil ailleurs que sur un fil.

Vous pouvez placer plusieurs labels sur un fil. Si vous souhaitez que tous les labels du fil soit identiques, et qu’ils soient tous mis à jour automatiquement quel que soit celui d’entre eux qui est modifié, validez la case à cocher Auto-Sync checkbox.

ISIS oriente le label en fonction de l'orientation du segment de fil sur lequel on le place. Ceci peut être modifié dans la boite de dialogue d’édition d’un label de fil.

Pour modifier l’apparence d’un fil:

1. Contrôlez que l’icône label de fil n’est pas validé.

2. Sélectionnez le fil en pointant sur lui et clic-droit.

3. Choisissez la commande ‘Editer le style de fil’ du menu contextuel.

4. Décochez les cases à cocher 'Suivre global?' des styles d'attribut graphique que vous voulez modifier. Si un attribut de style et sa case 'Suivre global?' sont tous deux dévalidés, c'est parce que l'attribut de style n'est pas représentatif des attributs en question soit localement, soit par l'intermédiaire des attributs de style globaux.

5. Choisissez l'attribut de style selon la caractéristique désirée.

6. Utilisez la touche ENTREE ou cliquez sur le bouton OK pour fermer la boite de dialogue et conserver les modifications. Utilisez la touche ESC ou cliquez sur le bouton ANNULER pour fermer la boite de dialogue et abandonner les modifications.

Pour modifier l'apparence de tous les fils du schéma, utilisez la commande 'Définir styles des graphiques' du menu 'Gabarit' afin d'éditer le style graphique WIRE.

Configuration du style et de l’apparence des fils dans ISIS

Voir également:

Styles graphiques et styles de textes

Supprimer un label de fils

Pour supprimer un label de fil:

  1. Validez l’icône sélection dans la barre d'outils.

  2. Cliquez gauche sur le label. Le fil et le label seront sélectionnés. Soyez bien attentif à cliquer sur le label et pas sur le fil.
  3. Cliquez droit pour choisir la commande ‘Supprimer label’ du menu contextuel. Si la commande n’est pas disponible, ceci signifie que vous avez cliqué sur le fil et pas sur le label. Vous pouvez être plus précis grâce au zoom.

Utiliser un label de fils pour affecter un nom de lien

L'usage normal d'un label de fil est d'indiquer qu'un fil particulier et toutes les broches auxquelles il est graphiquement relié appartiennent à un lien donné. Alors on considère que ce groupe de broches est relié à tous les autres groupes de pins qui ont reçu le même nom de lien, même s'il n'existe pas de connexion graphique. Accessoirement, on peut affecter un label à des liens particuliers pour des raisons personnelles de lisibilité qui n'ont rien à voir avec la notion d'équipotentiels.

Nom de lien AGND

Voir également:

Noms de liens

Utiliser un label de fils pour affecter une propriété de lien

Les propriétés des liens s'emploient pour attribuer une information particulière à un lien- par exemple POWER et SIGNAL. Le fait de créer votre propre classe de liens vous permet de définir des styles spécifiques de pistes et de traversées utilsées au routage.

Pour spécifier qu'un fil appartient à une classe de liens

1) Cliquez droit sur le fil et sélectionnez 'Placer un label de fil' dans le menu déroulant.

2) Allez sur l'onglet 'Classe de liens' et cliquez sur le bouton NOUVEAU pour créer une nouvelle classe de liens.

3) Entrez un nom pour la classe de liens, puis définissez les styles de routage.

4) Cliquez sur OK pour terminer le placement.

Voir également:

Classes de routage

Propriétés des labels de fils

Un fil ou un label de fil (ils sont équivalents dans ce cas) possèdent la propriété suivante:

Nom de propriété | Description
NET | Le texte du label de fil.

On ne peut attribuer des labels de fils avec l'outil d'affectation de propriétés que lorsqu’il est positionné en mode Sur clic. Ceci est dû au fait qu'ISIS n'a aucun moyen de déterminer où un label doit être placé sur un fil sélectionné, à moins que vous ne définissiez la position avec la souris.


Les scripts

SCRIPTS

Introduction

Une caractéristique fondamentale d'ISIS est sa capacité à accepter des scripts de texte de format libre, et les emplois qu'il en fait sont nombreux, tels que:

  • Définir des variables à utiliser dans des expressions de propriété et l'affectation de paramètres (mapping).

  • Définir des modèles de primitives et de scripts utilisés dans les simulateurs de VSM.

  • Annoter des schémas avec des quantités importantes de texte.

  • Sauvegarder des informations sur le packaging et les propriétés lorsqu’un composant est décomposé.

Placer et éditer les scripts

La procédure de placement et d'édition des scripts est presque identique aux opérations de la boite de dialogue Editer bloc de scripts.

Pour placer un label de fil:

  1. Validez l’icône Label de fil.
  2. Si vous placez un nouveau label, pointez sur un fil à l'endroit où vous souhaitez voir le label ou, pour un label existant, pointez n'importe où le long du fil ou sur le label lui-même.

  3. Entrez le texte du nouveau script dans le champs prévu à cet effet. Vous pouvez également ajuster les attributs du script à ce moment là - voir ci-dessous pour les détails de la boite de dialogue.

  4. Fermez la boite de dialogue en cliquant sur le bouton OK pour placer le nouveau script ou en cliquant sur le boutonn ANNULER pour quitter la boite de dialogue et annuler le placement du script.

Pour éditer un script:

  1. Soit :
    (a) Marquez le script en le pointant avec le curseur de la souris et cliquez droit, puis sélectionner 'Editer' dans le menu déroulant.
    (b) Pointez le script avec la souris et utiliser le raccourci clavier correspondant pour l'éditer (by default this is CTRL+E).
    (c) Entrez en mode Sélection via l'icône de selection et double cliquez sur le bloc script.

  2. Ajuster les attributs du script comme requis.

  3. Fermez la boite de dialogue. Pour fermer la boite de dialogue et sauvegarder les changements, soit en cliquant sur le bouton OK, soit en utilisant le raccourci clavier CTRL+ENTER. Pour fermer la boite de dialogue et abandonner les changement opérés, cliquez sur le bouton ANNULER ou utiliser la touche ESC.

Pour plus d'information sur les styles de textes locaux, voir le tutorial sur les graphiques et styles de texte.

Vous pouvez redimensionner la boite de dialogue d'édition des blocs de script pour rendre le champ plus grand, puis sauvegarder cette nouvelle taille en utilisant la commande 'Sauvegarder Fenêtre' dans le menu SYSTEME.

Types de bloc Script

Actuellement ISIS accepte les types de blocs suivants:

Type de bloc de script | Entête de bloc
Affectation de propriété globale à un lien d'une feuille | *NETPROP
Définition de propriété de feuille | *DEFINE
Table d'affectation de paramètre | *MAP ON varname
Table de définition de modèle | *MODELS
Script nommé | *SCRIPT type name
Scripts de modèles SPICE | *SPICE type name

Affecter une propriété d'élément (*FIELD)

Voir également Terminaux physiques

Voir également ISIS et ARES

Les blocs FIELD sont prévus principalement pour faciliter l'attribution de propriétés à des connecteurs constitués à partir de terminaux physiques. En effet lorsqu'on utilise des terminaux physiques, il n'existe pas d'entité physique unique sur le schéma pour représenter le connecteur à laquelle on pourrait lier des propriétés.

Un exemple de bloc est montré ci-dessous:

*FIELD

J1,PACKAGE=CONN-D9

J2,PACKAGE=CONN-D25

Ceci attribue au connecteur J1 un boîtier de 9 broches et à J2 un boîtier 25 broches.

You can assign properties to ordinary components as well, but there is generally little point since you can add them directly to the components.

Affecter une propriété globale de lien (*NETPROP)

Normalement on attribue une propriété de lien en plaçant un label de fil avec la syntaxe:

<prop>=<value>

Cependant, dans certains cas, vous souhaiterez affecter la même propriété à un grand nombre de liens. Le plus souvent vous voulez que toutes les connexions d'une feuille particulière soient d'un type particulier (par exemple des pistes très larges pour une alimentation), et c'est dans ce cas que l'on peut utiliser un bloc NETPROP. Par exemple, si le bloc :

*NETPROP

CLASS=POWER

est inclus dans une feuille alors tous les liens dont les fils n'ont pas de propriété particulière recevront la propriété: CLASS=POWER.

Voir Utiliser un label de fils pour affecter une propriété de liens.

Définitions de propriétés de feuilles (*DEFINE)

Une propriété de feuille est principalement une variable définie sur une feuille donnée et qui peut être utilisée dans des expressions de propriétés des composants. Les propriétés de feuille définies sur la feuille racine d'un projet apparaissent aussi dans la netlist et peuvent s'utiliser comme paramètres de contrôle par le logiciel (comme les simulateurs VSM) qui lit la netlist.

Nous vous donnons ci-dessous un bloc d'exemple:

*DEFINE

TEMP=40

MINSTEPS=100

Ceci définit deux propriétés TEMP et MINSTEPS qui devraient être placées sur la feuille racine d'un projet pour être transmises à VSM comme paramètres de contrôle.

Tables d'affectation de paramètres (*MAP ON varname)

Les notions de ce paragraphe s’adressent aux utilisateurs expérimentés qui souhaitent proposer des modèles VSM universels.

*MAP ON VALUE

7400 : TDLH=12n,TDHL=7n

74LS00 : TDLH=10n,TDHL=6n

74S00 : TDLH=5n,TDHL=3n

Cette table doit être placée sur le schéma en relation avec une porte NAND à 2 entrées et permet de choisir différentes valeurs pour TDLH et TDHL selon la valeur (c'est à dire le type) de l'objet parent. Une feuille enfant peut également contenir une primitive NAND_2 avec les propriétés :

TDLH=<TDLH>

TDHL=<TDHL>

Au moment de la création de la netlist, on analyse la propriété VALEUR de l'objet parent et, par exemple, si nous avons un 74LS00, les propriétés de feuille TDLH=10n et TDHL=6n seront choisies pour la simulation. Puis, au moment du traitement de la primitive NAND_2 ces valeurs seront substituées à <TDLH> et <TDHL> de sorte que la primitive retiendra la chronologie correcte pour modéliser un 74LS00.

Un cas par DEFAULT est disponible.

Tables de définition des modèles (*MODELS)

Ces blocs sont seulement utilisés avec les simulateurs de VSM (seulement avec le simulateur analogique) et offrent une sorte de sténo pour gérer le grand nombre de propriétés qu'utilisent certaines primitives du simulateur. Par exemple le modèle de transistor bipolaire possède plus de 30 propriétés et il serait impossible de les attribuer toutes individuellement à chaque transistor du circuit.

À la place, vous pouvez utiliser un bloc MODELS pour définir les propriétés d’un type particulier de transistor, et ensuite vous référer à ce jeu de propriétés en employant un nom de modèle.

Voici un exemple de bloc:

*MODELS

741_NPN : BETAF=80,ISAT=1E-14,RB=100,VAF=50,\

TAUF=0.3E-9,TAUR=6E-9, CJE=3E-12,CJC=2E-12

741_PNP : BETAF=10,ISAT=1E-14,RB=20, VAF=50,\

TAUF=1E-9, TAUR=20E-9,CJE=6E-12,CJC=4E-12

Ceci définit les 2 transistors utilisés dans un 741. On peut alors donner aux transistors individuels les valeurs 741_NPN et 741_PNP et le simulateur analogique leur affectera automatiquement les caractéristiques présentes dans la table des modèles.

Voir également le manuel VSM.

Scripts nommés (*SCRIPT scripttype scriptname)

Dans certaines circonstances, il peut s’avérer utile d'exporter un bloc de texte vers une application externe. En particulier les formateurs de netlist SPICE et SPICE-AGE utilisent des scripts nommés PSPICE et SPICE-AGE pour contrôler l'action des simulateurs.

Un bloc de script nommé typique est montré ci-dessous. Notez que la fin du script nommé est repérée par le mot clé ENDSCRIPT, quoique ceci soit facultatif s'il n'y a pas d'autre bloc dans le script.

*SCRIPT PROGRAM 7493

// Declare linkage to pins and local variables:

PIN CKA, CKB, RA, RB

PIN QA,QB,QC,QD

INT counta = 0, countb = 0

// Handle single-bit ‘A’ counter and assign output:

IF RA=H THEN

counta = 0

ELIF CKA=HL THEN

counta = (counta+1) % 2

ENDIF

QA = counta & 1

// Handle three-bit ‘B’ counter and assign output:

IF RB=H THEN

countb = 0

ELIF CKB=HL THEN

countb = (countb+1) % 8

ENDIF

QB = countb & 1

QC = countb & 2

QD = countb & 4

*ENDSCRIPT

Scripts de modèles SPICE (*SPICE)

Ces scripts permettent d’entrer directement les instructions SPICE dans le schéma et de les charger automatiquement dans VSM lors de la simulation. Cette fonctionnalité peut être utile si vous voulez développer ou tester des modèles SPICE au format SPICE natif.

Pour plus d'information, voir le manuel VSM.


Les bus

BUS

Introduction

Un bus est le regroupement d'un grand nombre de fils - Il est souvent utilisé dans des schémas de microprocesseurs. ISIS gère les bus de manière inégalée et permet non seulement la gestion des bus entre modules hiérarchisés, mais aussi la possibilité de définir des composants de bibliothèque avec des broches bus. Il est donc possible de connecter un CPU à des mémoires et des périphériques par des fils de bus uniques, plutôt que par un dispositif complexe de fils.

Placer un bus

Les bus sont placés comme des fils ordinaires, sauf qu'ils doivent partir et arriver sur des points de connexions de bus plutôt qu'en des points de connexions de fils. D'autre part, contrairement aux fils, les bus peuvent être isolés de tous les autres objets.

Placer un bus:

  1. Validez l’icône Bus.

  2. Pointez la souris sur l’endroit où vous voulez faire commencer le bus. Cela peut-être une broche bus, un bus existant ou un espace libre de votre dessin.

  3. Clic-gauche pour faire commencer le bus, puis cliquez à chaque endroit où vous voulez faire passer le bus.

  4. Pour terminer, pointer le curseur là où vous souhaitez que se termine votre bus (un bus broche ou un bus existant) et clic-gauche. Si vous voulez que le bus se termine sans être relié à un autre point, double-cliquez sur la souris.

Labels de bus

Un bus peut être étiqueté de la même façon qu’un fil. Cependant, ISIS définit une syntaxe spécifique aux étiquettes « Bus ».

Placer un label "bus" :

  1. Validez l’icône Label fil.

  2. Sur le bus, pointez l’endroit où vous souhaitez positionner le label.

  3. Clic-gauche pour placer le label. L’éditeur de création de label s’affichera dans une boite de dialogue.

  4. Tapez le texte requis pour le label "fil". Cela pourrait être quelque chose comme D[0..7] or A[8..15]. Si vous omettez de spécifier l’étendue du bus, alors le bus aura comme base zéro et sa longueur sera identique à celle du bus le plus large auquel il est connecté.

  5. Cliquez sur OK ou tapez ENTRER.

Vous ne pouvez pas placer un label de fil ailleurs que sur un fil ou un bus.

Vous ne pouvez pas placer plus d’un label de fil sur une section d’un bus. Cette tentative éditera le label déjà existant.

ISIS orientera le label de fil en fonction de l’orientation du segment de fil sur lequel il est placé. Cela peut être changé à partir de la boite de dialogue "Edition label fil".

Editer un label de fil :

1. Validez l’icône Sélection

2. Clic-gauche sur le label du bus. Le bus et le label seront sélectionnés. Cliquez plutôt sur le label que sur le bus lui-même.

3. Clic-droit et sélectionné "Edition label" dans le menu déroulant. Si l’option n’est pas disponible, alors cliquez sur le bus lui-même plutôt que sur le label. Essayer de zoomer autour du label pour plus d’exactitude.

Supprimer un label de fil :

1. Sélectionnez l’icône Sélection

2. Clic-gauche sur le label. Le bus et le label seront sélectionnés. Cliquez plutôt sur le label que sur le bus lui-même.

3. Clic-droit et sélectionnez « Supprimer label » dans le menu déroulant. Si l’option n’est pas disponible, alors cliquez sur le bus lui-même plutôt que sur le label. Essayer de zoomer autour du label pour plus d’exactitude.

Changer l’apparence d’un bus :

1. Assurez-vous que l’icône label fil n’est pas sélectionnée.

2. Sélectionnez le bus en pointant dessus avec le curseur et clic-droit.

3. Sélectionnez le "Edition fil" dans le menu déroulant.

4. Décochez la case « Suivi global » des attributs des styles graphiques que vous voulez changer. Si un attribut de style et la case à cocher ‘Suivre global’ qui lui correspond sont tous deux dévalidés, ceci signifie que cet attribut n’est pas significative pour le style en question.

5. Validez les valeurs des attributs de style qui vous conviennent.

6. Tapez ENTRER ou cliquez sur le bouton OK pour fermer la boite de dialogue.

Pour changer l’apparence de tous les bus du schéma, utilisez la commande Définir style des graphiques du menu Gabarit.

Jonctions entre fils et bus

Il est parfois nécessaire d’extraire un signal unique à partir d’un bus, par exemple pour décoder un objet. D’un point de vue purement graphique, il s’agit de placer un fil relié à un bus.

Placer une connexion sur un bus:

1. Si vous envisagez de relier un fil de bus à un autre objet, assurez-vous que l’icône "Bus" n’est pas cochée.

2. Placez le fil dans le bon sens. Dans cette situation, le bus se comportera comme un fil ordinaire.

Il est important de comprendre que, lorsque vous placer un fil dans ce sens, un point de placement automatique sera ajouté pour permettre au fil et au bus de se connecter. Cependant, vous ne verrez pas le point car il adopte la même couleur et la même largeur que le bus.

Une fois le fil relié au bus, vous devez spécifier quel signal provenant du bus vous êtes en train de connecter.

Double-cliquez sur une broche du composer pour appeler la fonction Répéter automatiquement un fil.

Nommer une connexion sur un bus :

1. Assurez-vous que le bus comporte un label bus comme ‘D[0..7]’. Ce label définira 8 petits fils appelés ‘D0, D1, ... , D7’.

2. Placez un label de fil sur le lien pour indiquer à quel signal il est relié.

Un exemple vous est montré ci-dessous :

Connexions de Bus.

Si le bus n’est pas connecté à des broches bus ou à un terminal de bus, vous pouvez sauter l’étape 1. Dans ce cas-là, le bus en question ne fera pas partie des connections déterminantes du projet.

Vous pouvez également placer semi-automatiquement les marqueurs de bus via l'outil d'affectation de propriété; pour plus d'information, consulter le chapitre sur l'outil d'affectation des propriétés.

Placer une connexion sur un bus sans le nommer génère une erreur de netlist car c’est une situation ambigüe. ISIS ne peut alors pas savoir quel signal vous essayez de relier.

Propriétés de bus

Un bus ou un label de bus possèdent les propriétés suivantes :

Nom de Propriété | Description
NET | Texte "label de bus"


Les sous-circuits

SOUS-CIRCUITS

Introduction

Les sous-circuits sont utilisés pour rattacher les feuilles de niveau inférieur aux feuilles de niveau supérieur dans un projet hiérarchique. Chaque sous-circuit possède un nom qui identifie la feuille-enfant et un nom de circuit qui identifie le circuit-enfant. A chaque feuille donnée, toutes les sous-feuilles possèdent un nom différent, mais leurs circuits peuvent – et souvent doivent – avoir les mêmes noms.

Vous trouverez plus d’informations sur les projets hiérarchiques dans la section Projets hiérarchiques.

Les sous-circuits peuvent également incorporer des listes de propriétés; Cela vous donne la possibilité de paramétrer des circuits dans lesquels différentes parties d’un même circuit peuvent avoir différentes valeurs (ou autres propriétés) ou annotations particulières.

Vous trouverez davantage d’information à ce sujet dans Circuits paramètrés.

Placement des sous-circuits

Placer un cadre de sous-circuits :

  1. Validez l’icône sous-circuit.

  2. Cliquez-gauche sur le point de la fenêtre d’édition où vous souhaitez dessiner le contour du sous-circuit.
  3. Déplacez la souris pour définir la taille du sous-circuit et puis, clic-gauche pour valider la forme et placer le sous-circuit.

Placer les ports d’un sous-circuit :

  1. Validez l’icône sous-circuit sur la barre outils.

  2. Choisissez le type de port que vous souhaitez à partir du Sélecteur Objets. Votre choix est ici indépendant de la fonction future du port.

  3. Pointez sur l’endroit où vous voulez insérer le port. Le curseur de la souris changera de forme pour vous indiquer les endroits où vous pouvez placer votre port.

  4. Cliquez gauche pour placer le port.

Après avoir placé votre ou vos port(s), vous devez les nommer. Le port et le terminal doivent avoir le même nom:

  • Editez le label du terminal en utilisant la méthode décrite dans Editez un objet.

  • Utilisez les Outils de d’affectation de Propriétés pour affecter la propriété ‘NET’ à un ou plusieurs ports. Ce procédé est très efficace dans le cas où un groupe de ports a des noms qui sont dans un ordre alphanumérique.

Il est tout à fait possible de connecter des bus aux ports. Dans ce cas, le nom d’un port définira généralement la série du bus – par exemple D[0..7] - , bien que ce ne soit pas obligatoire. Si aucune série n’est donnée, ISIS utilisera la série donnée par la section de bus à laquelle est connectée le port ; si aucun nom ou série n’est donné, la largeur sera définie à partir d’une des broches connectées au bus.

Placer un port sans le nommer sera considéré comme une erreur de netlist.

Vous trouverez plus d’information sur les noms de sous-circuits et leur usage général dans « Projets hiérarchiques ».

Editer des sous-circuits

Un sous-circuit peut être redimensionné en suivant la procédure donnée dans Redimensionner un Objet et édité en utilisant les techniques générales d’édition décrites dans Editez un objet.

Voir Circuits paramètrés pour plus d’information sur le paramétrage des circuitsfor further information on parameterized circuits.

Proprietés d'un sous-circuit

Les sous-circuits ont les propriétés suivantes :

Nom de propriétés | Description
NAME | Le nom de l’instance du sous-circuit. Ceci est également utilisé comme nom de la feuille enfant.
CIRCUIT | Le nom du circuit enfant. Si vous ne spécifiez aucun nom, ISIS affectera automatiquement un nom la première fois que vous entrerez dans la feuille enfant.

Si d’autres noms de propriétés sont assignés, alors cela créera de nouvelles propriétés dans les blocs de textes des sous-circuits. Ces propriétés deviennent alors des propriétés de feuilles pour les feuilles-enfant et peuvent être utilisées dans des expressions de propriétés.


Les terminaux

TERMINAUX

Introduction

On utilise les terminaux pour spécifier une interface à un circuit car ISIS n’autorise pas les fils "flottants"; pour que les terminaisons soient connectées, toutes les entrées et les sorties de votre système seront repérées avec des terminaux.

Il existe deux types de terminaux – les terminaux logiques et les terminaux physiques. Les deux se distinguent naturellement par la syntaxe de leur label.

Vous pouvez personnaliser l’apparence des terminaux en éditant le style graphique "TERMINAL" comme ci-dessous. Pour plus d’information, se référer à Edition styles globaux.

La boite de dialogue d’édition du style Terminal

Terminaux logiques

Un terminal logique sert avant tout à donner un nom de lien au fil auquel il est connecté. Les groupes de fils dont le nom de lien est commun seront interconnectés par le générateur de netlist. Les terminaux logiques permettent ainsi des connexions sans utiliser des fils. En particulier, ils permettent de faire des connexions entre plusieurs feuilles dans un projet multi-feuilles.

Comme avec les labels de fils ou les entrées de bus, les noms de lien peuvent contenir des caractères alphanumériques comme le tiret "-" ou le souligné ‘_’. Les espaces peuvent être utilisés dans PROTEUS, mais ils peuvent causer des erreurs avec d’autres logiciels ; le mieux est de les éviter.

Les terminaux logiques peuvent aussi être connectés aux bus.

Voir Noms de liens pour le rôle des terminaux logiques dans la netlist;

Voir Projets hiérarchiques Projets hiérarchiques pour le rôle des terminaux logiques dans les projets hiérarchiques.

Terminaux physiques

Un terminal physique correspond à une broche sur un connecteur physique. Par exemple, un terminal avec le nom :

J3:2

représente la broche 2 du connecteur J3. Il et ainsi parfaitement possible d’agir avec les connecteurs comme nous le ferions avec tout autre composant (c’est-à-dire définir un élément qui les représente), en utilisant les terminaux physiques. Leur principal avantage est que les broches peuvent être placées où bon vous semble.

Pour la conception du circuit imprimé, où il est nécessaire de spécifier un boîtier pour le connecteur, une affectation de propriété ‘FIELD’ (Voir Partie affectation de propriété (*FIELD) doit être utilisée comme il n’y a pas de composant à éditer.

Vous pouvez également spécifier le type de package d'un composant en utilisant un block d'assignation de propriété FIELD.

Notez qu’un terminal de bus peut ne pas être physique, car il n’y a aucun moyen de spécifier la numérotation de broches pour les broches uniques.

Placer des terminaux

ISIS supporte un nombre illimité de symboles de terminaux. Cependant, quand vous validez pour la première fois l’icône "Terminal", un ensemble de 7 types basiques apparaît automatiquement dans le sélecteur d’objets.

Placer un terminal:

1. Si le type de terminal que vous souhaitez n’est pas dans la liste du Sélecteur Objets, piochez-le dans la bibliothèque "Symbole".

2. Validez le nom du terminal dans le sélecteur d’objets. ISIS affichera alors une prévisualisation du terminal dans la Fenêtre de prévisualisation.

3. Utilisez les icônes Rotation et Miroir pour orienter le terminal de façon appropriée.

4. Clic-gauche sur la fenêtre Edition pour entrer dans le mode de placement et déplacez la souris à l’endroit où vous souhaitez placer le terminal.

5. Clic-gauche encore sur ce point pour valider les changements et quitter le mode de placement.

Après avoir placé votre terminal, vous devez le nommer car un terminal sans nom serait ignoré par la netlist. Il existe une multitude d’approches:

Editez le label de terminal en utilisant les méthodes générales décrite dans le chapitre "Editer un objet".

Sélectionnez le label de terminal dans la liste déroulante. Cette liste contient tous les noms des liens du projet actuel.

Utilisez l’outil d’affectation des propriétés pour assigner une propriété NET à un ou plusieurs terminaux. Cette opération est particulièrement efficace si un le nom d’un groupe de terminaux progressent selon une suite alphanumérique.

Il est parfaitement possible de connecter des bus aux terminaux. Dans ce cas, le nom du terminal sera généralement défini par l’étendue du bus – par exemple [0..7] -, bien que ce ne soit pas obligatoire. Si aucune étendue n’est donnée, ISIS utilisera celle donnée par la section du bus sur lequel est connecté le port ; si celle-ci n’a pas de nom ou de série, alors les données se rapporteront à une des broches connectée au bus.

Placer un terminal sans le nommer est considéré comme une erreur de netlist.

Editer des terminaux

Un terminal peut être édité en utilisant les techniques générales d’édition (voir Editer un objet). Une liste des liens existants est à votre disposition si besoin est.

La boite de dialogue Edition Terminaux montrant une liste déroulante de noms de liens

Comme les terminaux apparaissent souvent en groupes, l’outil "d’attribution de propriété" peut vous servir à nommer et caractériser le type électrique des terminaux.

Propriétés des terminaux

Les terminaux ont les propriétés suivantes:

Nom de Propriété | Description
NET | label du terminal
SYMBOL | Symbole utilisé pour le terminal. Ce peut être un symbole de terminal standard ou le nom d’un symbole de terminal utilisateur.
NAME | Type électrique du terminal, à choisir parmi PASSIVE, INPUT, OUTPUT, BIDIR ou POWER.


LES BROCHES

Introduction

Dans gestion des bibliothèques, vous trouverez une explication complète pour créer et éditer vos propres composants. Dans cette partie, nous nous contenterons de voir le placement et l’édition des broches des composants.

Notez que pour se connecter à un objet broche, il faut que la broche fasse partie d’un composant totalement constitué et sauvegardé.

Placer une broche

Un nombre illimité de types de broches de composant peut être défini et vous en trouverez une bonne selection dans SYSTEM.LIB. Cependant, quand vous sélectionnerez pour la première fois l’icône Broche de composant, un ensemble basique de 6 types est automatiquement pré-chargé dans le sélecteur d’objets.

Placer une broche:

  1. Si le type de broche désiré n’est pas listé dans le sélecteur d’objets, piochez-le dans la bibliothèque de symboles.

  2. Mettez en surbrillance le nom de la broche dans le sélecteur d'objet. ISIS montrera alors une prévisualisation de la broche dans la vue d'ensemble

  3. Utilisez les icônes 'Rotation' et 'Miroir' pour orienter votre broche comme souhaité.

  4. Cliquez gauche sur la fenêtre Edition pour entrer dans le mode de placement.
  5. Déplacez la souris jusqu’à l’endroit où vous souhaitez placer votre broche.

  6. Cliquez -gauche pour confirmer la position de la broche et quitter le mode de placement.

Après avoir placé votre broche, vous voudrez sans doute la modifier en lui donnant un nom, un numéro et un type électrique. Plusieurs possibilités sont offertes :

  • Editez le label du terminal en utilisant l’une des méthodes décrites dans éditer un composant

  • Utilisez l’outil d’affectation des propriétés pour assigner une propriété ‘NOM, NUMERO et TYPE’ à une ou plusieurs broches. Cela est particulièrement efficace si un groupe de ports ont des noms qui progressent selon une suite alphanumérique.

Si une broche représente un bus de données ou d’adresse, vous pouvez utiliser une broche de bus. Dans ce cas, le numéro des broches sera spécifié en utilisant l’outil visuel d’affectation de boîtier. De même, si un composant à des éléments multiples (tel un 7400), vous devez aussi spécifier le numéro des broches de chaque élément en utilisant l’outil d’affectation de boîtier. Dans tous les cas, les numéros de broches seront laissé vierges

Editer une broche

Une broche peut être éditée en utilisant les techniques générales d’édition (voir Editer un composant). Par ailleurs, lorsque les broches apparaissent en groupe, l’Outil d’affectation de propriétés peut s’avérer utile pour définir les noms de broches et leur type électrique.

Propriétés des broches

Les broches ont les propriétés système suivantes:

Nom de Propriété | Description
NAME | Nom de la broche.
NUM | Numéro de la broche.
SYMBOL | Symbole utilisé pour les broches. Cela peut être un des symboles standards des broches ou bien un nom défini par un utilisateur pour un symbole de broche donné.
TYPE | Type électrique du terminal à choisir parmi PASSIVE, INPUT, OUTPUT, BIDIR, TRISTATE, PULLUP, PULLDOWN, POWER.


Les élèments graphiques 2D

ELEMENTS GRAPHIQUES 2D

Introduction

ISIS accepte les éléments graphiques 2D suivants: lignes, rectangles, cercles, arcs, textes et symboles. Ces éléments sont destinés à être utilisés directement sur le dessin – par exemple pour dessiner des lignes de division autour d’une partie du projet – et également pour créer de nouvelles parties de bibliothèque (composants, symboles, broches et terminaux).

Placer des éléments 2D

Voici les procédures à suivre pour placer différents type d’éléments 2D :

Placer une ligne:

1. Validez l’icône ligne.

2. Sélectionnez le style graphique désiré dans le sélecteur d'objets.

3. Clic-gauche dans la Fenêtre d’Edition pour marquer le début de la ligne.

4. Déplacez la souris jusqu’au point où la ligne se termine et clic-gauche encore pour valider le placement.

Placer un rectangle :

1. Validez l’icône rectangle.

2. Sélectionnez le style graphique désiré dans le sélecteur d’objets.

3. Clic-gauche dans la Fenêtre d’Edition pour marquer le début du rectangle.

4. Déplacez la souris pour définir la taille du rectangle et clic-gauche encore pour valider le placement.

Placer un cercle:

1. Validez l’icône cercle.

2. Sélectionnez le style graphique désiré dans le sélecteur d’objets.

3. Clic-gauche dans la Fenêtre d’Edition pour situer l’endroit où placer le centre du cercle.

4. Déplacez la souris pour définir la taille du cercle et clic-gauche encore pour valider le placement.

Placer un arc:

1. Sélectionnez l’icône arc.

2. Sélectionnez le style graphique désiré dans le sélecteur d’objets.

3. Considérez l’arc comme étant couché dans un quart de cercle d’une ellipse – vous devez en premier lieu définir ce quart de cercle. Positionnez-vous avec la souris sur l’endroit où commence votre quart de cercle et clic-gauche avec la souris.

4. Déplacez alors la souris le long du quart de cercle en maintenez le bouton de la souris enfoncé; et relâchez quand vous arrivez à la fin de votre arc.

5. Pour éditer la forme de l’arc, placez-vous en mode sélection et clic-gauche sur l’arc. Des poignées de sélection apparaîtront. Elles peuvent être étirées pour modifier la taille de l’arc.

Placer un chemin fermé:

1. Validez l’icône chemin fermé.

2. Sélectionnez le style graphique désiré dans le sélecteur d’objets.

3. Positionnez la souris à l’endroit de la Fenêtre d’Edition où vous souhaitez placer le premier segment du chemin et clic-gauche.

4. Pour dessiner un segment en ligne-droite, déplacer simplement la souris; pour dessiner un segment incurvéé, maintenez enfoncé la touche CTRL du clavier et déplacez la souris.

5. Le segment de chemin apparaît en même temps que la souris se déplace.

6. Clic-gauche quand votre segment est terminé pour en commencer un nouveau.

7. Répétez l’opération autant de fois que nécessaire ou pressez la touche « Echap » pour annuler votre chemin. Le chemin est terminé quand votre dernier segment a rejoint le premier, fermant le chemin ainsi créé.

Placer un texte:

1. Validez l’icône Texte .

2. Sélectionnez le style graphique désiré dans le sélecteur d’objets.

3. Utilisez les icones Rotation et Miroir pour orienter le texte en fonction de vos besoins.

4. Dans la Fenêtre d’Edition, pointez l’endroit où vous souhaitez qu’apparaisse le texte et clic-gauche. La boite de dialogue Edition texte 2D s’affiche.

5. Tapez votre texte dans la boite de dialogue et mettez-le en forme selon vos souhaits (police, taille, typo, etc.).

6. Appuyez sur ENTRER ou cliquez sur le bouton OK pour placer le texte. Les touches « Suppr » ou « Echap » annulent le placement du texte.

Placer un symbole:

1. Validez l’icône symbole.

2. Sélectionnez le style graphique désiré dans le sélecteur d’objets. Si le symbole souhaité ne se trouve pas dans le sélecteur, vous pouvez allez le piocher dans la bibliothèque de symbole. La librairie de symbole peut être affichée en cliquant sur le bouton 'P' du sélecteur de composants.

3. Utilisez les icones Rotation et Miroir pour orienter le symbole dans la position souhaitée sur le dessin.

4. Sur la Fenêtre d’Edition, pointez l’endroit où vous souhaitez placer le symbole et clic-gauche pour entrer dans le mode de placement.

5. Une fois le symbole placé, clic-gauche pour valider le placement.

Redimensionner des éléments 2D

Les lignes, rectangles, cercles, arcs et chemins fermés peuvent être redimensionnés en les sélectionnant (validez le mode sélection et clic-gauche sur l’élément concerné), puis déplacez les points d’ajustement spécifiques à chaque élément :

  • Les lignes ont 1 point d’ajustement à chacune de leurs extrémités.

  • Les rectangles ont 8 points d’ajustement situées sur les côtés et aux angles

  • Les cercles ont 4 points d’ajustement, situés à l’extrémité de leurs diamètres.

  • Les arcs ont 1 point d’ajustement à chacune de leur extrémité

  • Les chemins fermés ont un point d’ajustement par segment, deux pour les segments incurvés

Les chemins fermés supportent des opérations additionnelles qui permettent de les modifier sans avoir un supprimé tout un chemin et à le recommencer. Pour cela, vous pouvez utilisez la touche ALT en la gardant enfoncée, puis:

  • Clic-droit sur la partie de segment à supprimer. Les segments des deux côtés de la ligne supprimée se recolleront automatiquement ensemble.

  • Clic-gauche sur un segment droit ou incurvé pour le subdiviser en deux segments distincts avec un sommet commun au niveau du point cliqué.

  • Maintenez la touche CTRL enfoncée et clic-gauche sur un segment droit ou incurvé pour subdiviser le segment en deux parties avec un sommet partagé au niveau du point cliqué.

N’oubliez pas que pour ces opérations, la touche ALT du clavier doit toujours être maintenue enfoncée.

Les autres types d'éléments graphiques ne peuvent pas être redimensionnés - pour modifier leur taille, vous devez les supprimer et les replacer avec la taille requise.

Editer des éléments 2D

Tous les éléments graphiques en 2D peuvent être édités en mode sélection, puis clic-droit pour ouvrir le menu contextuel. Tous les éléments graphiques en 2D, excepté le texte, possèdent une boite de dialogue Edition des styles graphiques dans leur menu qui vous permet de personnaliser l’apparence.

Vous pouvez également sélectionner un élément graphique 2D en dessinant un cadre autour de l’élément en question ; pour cela, vous devez garder appuyé le bouton gauche de la souris et relâcher votre pression une fois le cadre dessiné.


Les marqueurs

MARQUEURS

Types de marqueurs

Les marqueurs sont utilisés dans la création et l’édition de composants, symboles, terminaux ou broches. Les marqueurs suivants sont disponibles:

Types de Marqueurs | Description
ORIGIN | Indique le point d’ancrage du composant en bibliothèque. Le point d’ancrage est le point autour duquel s’effectue la rotation de l’objet, ainsi que la position du placement initial.
NODE | Indique la position du point de connexion d’un fil pour une broche ou un terminal.
BUSNODE | Comme ci-dessus, mais indique que la broche ou le bus est de type bus. Un lien bus (trait épais bleu) sera tracé du BUSNODE jusqu’à l’origine.
LABEL | Indique la position et l’orientation du label pour un terminal.
PINNAME | Indique la position et l’orientation du nom de la broche.
PINNUM | Indique la position et l’orientation du numéro de la broche
INCREMENT | Utilisé pour la simulation interactive. Ceci définit un point actif pour incrémenter une variable d’état.
DECREMENT | Utilisé pour la simulation interactive. Ceci définit un point actif pour décrémenter une variable d’état.

Placer des marqueurs

Les marqueurs se placent de la même façon que les symboles graphiques.

Placer un marqueur:

1. Validez l’icône Marqueur.

2. Sélectionnez le marqueur souhaité dans le sélecteur d’objets.

3. Utilisez les icones Rotation et Miroir pour orienter le marqueur comme désiré, en particulier pour les marqueurs LABEL, PINNAME et PINNUM. L’orientation n’a pas de signification pour les autres types de marqueurs.

4. Clic-gauche sur la Fenêtre d’Edition pour entrer en mode de placement.

5. Déplacez la souris jusqu’à l’endroit où vous souhaitez placer le marqueur.

6. Clic-gauche pour placer le marqueur et quitter le mode de placement.


Les gadgets de simulation

GADGETS DE SIMULATION

L'interface du simulateur ProSPICE parmet d'utiliser certains gadgets dans le module ISIS, notamment:

  • Generateurs.
  • Sondes de courant.
  • Sondes standards.
  • Graphes.
  • Bandes passantes.
  • Popups actifs.

Les Instructions pour utiliser ces fonctions sont fournies dans la documentation Proteus VSM.


Généralités

GENERALITES

Gestion des bibliothèques

Le repertoire LIBRARY contient deux bibliothèques de symbôles et environ 120 bibliothèques de composants. Les extensions de fichiers pour ces bibliothèques sont le suivantes :

  • Fichiers Bibliothèques (.LIB)

  • Fichiers Index (.IDX)

  • Fichiers Modèle 3D (.VML or .3DS)

  • Fichiers style maître (.STY)

  • Fichiers de Configuration (.INI).

Le chemin vers le répertoire des bibliothèques est donné à l'installation dans la branches utilisateurs ProgramData. Vous pouvez changer ou ajouter d'autres chemins vers les bibliothèques à partir de la commande 'Réglage Système' du menu SYSTEME.

Nous vous recommandons de ne déplacer votre répertoire LIBRARY qu'en cas de besoin. Avant de faire quoi que ce soit, voici nos recommandations :

  • 3 bibliothèques, nommées USERDVC.LIB, USERPKG.LIB et USERSYM.LIB sont installées en 'lecture/écriture' et permettent aux utilisateurs de créer leurs propres composants, empreintes et symbôles. Vous pouvez créer des bibliothèques supplémentaires si nécessaire en utilisant le gestionnaire de bibliothèques. Toutes les autres bibliothèques sont installées seulement en leture seule et contiennent des éléments founis par Labcenter. Si vous voulez écrire dans ces bibliothèques, vous prenez le risque de perdre toutes les modifications apportées à ces bibliothèques lors des mises à jour du logiciel.

  • Si vous déplacez le dossier LIBRARY sur un réseau, alors il est important que le repertoire soit totalement en lecture/écriture pour tous les utilisateurs. Si Proteus ne peut pas écrire dans ce répertoire, celui-ci ne pourra tout simplement pas fonctionner.

  • Si vous décidez d'avoir plus d'un dossier LIBRARY (par exemple, un local et un en réseau), alors ces dossiers doivent être vraiment différenciés. Deux bibliothèques ou fichiers qui ont le même nom à des endroits différents risque d'entraîner des confusions.

  • Dans aucun cas, vous ne devez supprimer des fichiers de la bibliothèque SYSTEM.LIB

Le gestionnaire de bibliothèques

A chaque élément de bibliothèque est affecté une catégorie, une sous-catégorie et une description textuelle. Ces informations sont visualisées dans le gestionnaire de bibliothèques. Ce navigateur peut être lancé depuis la commande "Prendre un composant/symbole" du menu BIBLIOTHEQUE (raccourci par défaut ‘P’), ou via l’icône gestionnaire de bibliothèques.

Boite de dialogue des composants

Effectuer une recherche à l’aide de mots-clés

  1. Entrez les mots-clefs qui décrivent l’élément. Les composants retenus sont ceux dont les mots clefs se retrouvent dans leur nom, leur description, leur catégorie ou leur sous-catégorie.

  2. Si le nombre de résultats est trop important – par exemple si vous avez saisie 741 comme mot-clef - vous obtiendrez tous les éléments des bibliothèques 74 TTL; vous pouvez affiner la recherche en utilisant les filtres « catégorie », et « sous-catégorie ».

  3. Pour prendre le composant, vous devez double-cliquez sur ce dernier dans la liste de résultat.

Parcours de bibliothèques en relation avec les catégories et sous-catégories

  1. Assurez-vous que le champ ‘Mots-clefs’ est vide.

  2. Sélectionnez la catégorie de l’élément à rechercher. Ceci mettra à jour les listes sous-catégorie et fabricant, en relation avec la catégorie choisie.

  3. Sélectionnez la sous-catégorie et/ou le fabricant pour affiner la recherche.

  4. Si vous obtenez toujours un grand nombre de résultats, vous pouvez entrer un ou plusieurs mots-clés pour affiner la recherche. Souvent ce sera une valeur ou une tension. Par exemple, une recherche d’une diode Zener commencera par la recherche d’une catégorie spécifique – « Diodes », d’une sous-catégorie – « Zener » et d’un fabricant. Le fait d’entrer une tension limitera les résultats à un petit nombre de composants.

  5. Pour prendre le(s) composant(s), il suffira de cliquer sur lui (eux) dans la liste résultat.

Parcours de bibliothèques spécifiques (e.g. USERDVC)

  1. Assurez-vous que l’option 'bibliothèque' est activée (clic-droit sur la zone de résultats et sélectionnez l’option dans le menu contextuel qui s’affiche).

  2. Préfixez le nom de la partie ou la description à partir de l’intégralité ou d’une partie du nom de la bibliothèque concernée. Par exemple, taper ‘User res 10k’ dans le champ des mots-clefs permettra de restreindre la recherche à la bibliothèque « USERDVC » et de mettre toutes les résistances 10k dans cette bibliothèque.

  3. Choisissez les éléments souhaités par un double-clic dans la liste de résultats.

Chercher un élément avec le code de stock

  1. Assurez-vous que l’option 'Code' est activée (clic-droit sur la zone de résultats et sélectionnez l’option dans le menu contextuel qui s’affiche).

  2. Préfixez le nom de la partie ou la description à partir de l’intégralité ou d’une partie du nom du fabricant. Par exemple, taper ‘digi BN54’ dans le champ des mots-clefs permettra de filtrer la recherche par codes de stock dans les bibliothèques. Les bibliothèques pré-enregistrées contiennent seulement des codes de stock. Vous pouvez bien sur rajouter des codes de stocks dans vos propres bibliothèques.

  3. Choisissez le ou les éléments souhaité(s) par un double-clic dans la liste de résultats.

Le point essentiel à retenir est que seules les colonnes actives dans la liste des résultats sont recherchées quand vous entrez les mots-clefs. Cela signifie qu’avant de filtrer vos résultats sur des mots-clef précis, il vous faut vous assurer que les champs pertinents sont validés. Pour ce faire, cliquez-droit dans la zone de résultats de la boite de dialogue et sélectionnez le(s) champ(s) concernés dans le menu déroulant en résultant.

Voici quelques règles à propos de la recherche par mots-clefs:

  • Si vous entrez plusieurs mots-clefs, ils seront tous comparés à la description de l’élément. En d’autres mots, la recherche est de type AND.

  • Si le mot-clef est totalement numérique, alors il ne sera comparé qu’aux digits du nom des éléments. Ainsi ‘7400’ trouvera ‘7400’, ‘74LS00’, ‘74HC00’ et ainsi de suite.

  • Si le mot-clef peut être évalué comme un nombre, il sera comparé numériquement aux valeurs de la description. Ainsi ‘1500’ trouvera ‘1k5’ et vice versa. Ceci signifie que vous pouvez entrer ‘res 2k2’ pour trouver les résistances de 2k2, ou ‘zener 4.7’ pour trouver les diodes zener 4.7V. Notez que vous ne devriez pas indiquer d’unité à la fin de la séquence numérique, comme dans ‘4.7V’, car cela dévaliderait la fonction de recherche numérique.

  • Si un mot-clef correspond exactement à la valeur d’un élément, celui-ci sera automatiquement sélectionné dans la liste des résultats. Ceci facilite la sélection des éléments dont vous connaissez le nom. Utilisez les touches TAB puis ENTRER pour prendre l’élément et refermer la fenêtre.

  • Si le mot-clef contient les caractères génériques « * » ou « ? », ceux-ci seront utilisés pour une recherche générique.

  • Sauf si vous cochez la case Identique sur tous les mots, c’est une recherche partielle qui sera effectuée, donc ‘RES’ trouvera ‘RESISTOR’ et ainsi de suite. La case est utile lorsqu’un mot-clef fournit de nombreux résultats inutiles.

Vous pouvez redimensionner la fenêtre de sélection en bibliothèque et sauver sa position via la commande Save Window Position dans le menu système de la fenêtre (cliquez dans la barre de titre bleue de la fenêtre).

Bibliothèques qui proviennent d’une ancienne version de Proteus

Les bibliothèques des versions antérieures à la version 6.5 ne contiennent pas d’informations sur les catégories et les sous-catégories. Les éléments provenant de ce type de bibliothèque apparaissent sous la catégorie Non spécifié, et le nom de la bibliothèque sera utilisé comme sous-catégorie.

Veuillez vous reporter Indexer les bibliothèques pour plus d’information sur la façon d’indexer vos bibliothèques.

Mettre à jour le schéma à partir des bibliothèques

Si vous prenez un composant ou un symbole qui est déjà chargé dans le projet, ISIS mettra à jour le composant ou symbole depuis sa version en bibliothèque.

Notez également:

  • Lorsqu’un composant est mis à jour, l'algorithme de remplacement assure la pérennité des connexions même si vous déplacez ou renumérotez les pins.

  • Lorsqu’au minimum deux composants ou symboles sont enregistrés sous le même nom dans plusieurs bibliothèques, la commande Prendre chargera le plus récent. C'est très utile si vous avez changé un de nos composants et que vous l’avez enregistré dans USERDVC.LIB, puisque votre version (plus récente) sera prise en compte en priorité.


Les bibliothèques de symboles

BIBLIOTHEQUES DE SYMBOLES

Introduction

Les bibliothèques de symboles contiennent, à la fois des symboles graphiques à placer directement sur les dessins, et aussi des symboles pour les terminaux, les ports de modules et les broches des composants.

Les différents types de symboles sont créés avec des préfixes de noms différents et sont donc prévus pour être stockés dans des ‘zones' différentes de la bibliothèque de symboles. Une série de ces objets, définie dans SYSTEM.LIB, est chargée dans les différents sélecteurs d'objets, au lancement d’ISIS. Donc, quand vous sélectionnez l'icône Terminal, et que vous voyez les noms DEFAULT, INPUT, OUTPUT, etc., en fait vous accédez à des symboles appelés $TERDEFAULT, $TERINPUT, $TEROUTPUT, et ainsi de suite. Quand vous placez un terminal sur le schéma, un objet terminal est créé avec un symbole approprié lui est assigné.

2 points sont à retenir :

  • Les symboles graphiques, terminaux, ports de modules et broches de composants sont tous stockés dans des bibliothèques de symboles (c'est à dire, SYSTEM.LIB et la bibliothèque utilisateur USERSYM.LIB). Il n'y pas de bibliothèques spéciales pour les terminaux, ports et broches.

  • Les procédures pour fabriquer les différents types de symboles sont très semblables.

Symboles graphiques

Un symbole est un groupe d'objets graphiques traités comme un objet unique. Par exemple, en utilisant quatre lignes et deux arcs, vous pouvez former un symbole de porte AND.

Les lignes et les courbes sont converties en une forme sauvegardée en tant que symbole.

Pour créer un symbole graphique:

  1. Validez l’icône Graphique 2D adaptée – Ligne, Rectangle, etc.

  2. Dans le sélecteur d’objets, validez le style graphique approprié au type de symbole que vous créez. Pour un symbole que vous utiliserez dans vos futurs composants, c’est généralement le style COMPONENT qui convient, bien que, pour certains symboles, tels que OP AMP où une ligne fine doit relier le corps du symbole à la base de la broche, il faut choisir le style PIN. Si le bord du symbole est constitué de lignes et d'arcs et que vous désirez que le symbole soit rempli, utilisez l’objet chemin pour définir le contour.

  3. Choisissez et placez les objets graphiques comme désiré.

  4. Tout élément graphique qui nécessite une apparence spécifique doit être édité, les cases Suivre global ? appropriées décochées et le style de graphique attribué changé.

  5. Si vous voulez définir l’origine d’un symbole, validez l’icône Marqueurs, cliquez sur le marqueur 'Origine' dans le sélecteur d’objets et placez l’origine. Si vous ne placez pas une origine, ISIS validera l’origine au centre du symbole.

  6. Sélectionnez les objets qui contiendront les symboles, en mode sélection puis en dessinant un rectangle autour d’eux avec le bouton gauche de la souris.

  7. Appelez la commande "Créer symbole" du menu BIBLIOTHEQUES, choisissez un nom et une bibliothèque pour le nouveau symbole.

  8. Cliquez sur OK pour terminer.

Un symbole ne peut être composé que d'objets graphiques 2D - vous ne pouvez pas sélectionner toute une section de circuit comprenant des composants, des fils, etc., et faire un symbole de tout cela. Pour manipuler des sections de circuit de la sorte, vous devriez utiliser les commandes Importer ou Exporter du menu FICHIER.

Terminaux

ISIS permet de définir des symboles que l'on peut utiliser comme terminaux logiques ou physiques. Ils sont faits comme les symboles ordinaires, excepté que vous devez placer un marqueur Node pour spécifier la position du point de connexion de la terminaison, et un marqueur Label pour spécifier la position et l'orientation du label de lien.

Pour créer un terminal utilisateur:

  1. Validez l’icône Graphique 2D approprié – typiquement l’icône Ligne.

  2. Dans le sélecteur d’objets, choisissez le style graphique approprié. Ce sera presque toujours le style TERMINAL, bien que le style BUS WIRE puisse être également approprié pour des petits éléments du symbole.

  3. Choisissez et placez les objets graphiques pour former le corps du terminal.

  4. Tout graphique qui nécessite une apparence spécifique doit être édité, les cases Suivre global ? appropriées décochées et le style de graphique attribué changé.

  5. Validez l’icône Marqueurs. Placez un marqueur ‘Node’ ou ‘Busnode’ à l’endroit où vous voulez connecter le fil ou le bus sur le terminal, et un marqueur ‘Label’ à l’endroit où vous voulez que figure son label. Vous pouvez également placer un marqueur ‘Origine’.

  6. Sélectionnez les objets qui contiendront les terminaux en mode sélection puis en dessinant un rectangle autour d’eux avec le bouton gauche de la souris.

  7. Appelez la commande "Créer symbole" du menu BIBLIOTHEQUES, choisissez un nom et une bibliothèque pour le nouveau terminal.

  8. Cliquez sur OK pour terminer.

Notez que le type électrique des terminaux utilisateur sera, par défaut, toujours passif. Si vous avez besoin de terminaux utilisateur d'un type électrique différent, vous devez l'attribuer après placement, avec l’outil d’affectation de propriétés.

Ports de module

Les ports de module sont les connecteurs utilisés pour relier des fils aux sous-circuits, et il est possible de créer des symboles utilisateur pour les manipuler. Ils sont créés de la même façon que les symboles ordinaires, à part que vous devez placer un marqueur ‘Node’ pour spécifier la position du point de connexion du port, et un marqueur ‘Label’ pour spécifier la position et l'orientation de son label.

Créer un port de module:

1. Validez l’icône Graphique 2D approprié - typiquement l’icône Ligne.

2. Dans le sélecteur d’objets, choisissez le style graphique approprié. Ce sera presque toujours le style PORT, bien que le style BUS WIRE puisse être également approprié pour des petits éléments du symbole.

3. Placez les objets graphiques comme désiré.

Tout graphique qui nécessite une apparence spécifique doit être édité, les cases ‘Suivre global ?’ appropriées décochées et le style de graphique attribué changé.

En dessinant le port, il est préférable de l’orienter afin qu'il soit placé sur le bord gauche d'un sous-circuit - ISIS utilisera une fonction miroir suivant l'axe X, lorsqu'il sera placé sur le bord droit.

4. Validez l’icône Marqueurs. Placez un marqueur ‘Node’ ou ‘Busnode’ à l’endroit où vous voulez connecter le fil ou le bus sur le terminal, et un marqueur ‘Label’ à l’endroit où vous voulez que figure son label. Il est préférable de placer également un marqueur ‘Origine’ correspondant au bord du futur sous-circuit.

5. Sélectionnez les objets qui contiendront les ports en mode sélection puis en dessinant un rectangle autour d’eux avec le bouton gauche de la souris.

6. Appelez la commande "Créer symbole" du menu BIBLIOTHEQUES, validez le type Module Port et choisissez un nom et une bibliothèque pour le nouveau terminal.

Broches de composant

Les broches des composants sont, en réalité, tracées comme des symboles; vous pouvez donc définir vos propres symboles pour ces broches. Nous vous fournissons dans SYSTEM.LIB, un choix de broches. Cependant, il peut y avoir des cas où il convient de définir vos propres broches.

Pour créer une broche composant utilisateur:

1. Validez l’icône Graphique 2D appropriée - typiquement l’icône Ligne.

2. Dans le sélecteur d’objets, choisissez le style graphique approprié. Ce sera presque toujours le style BROCHE, ou le style BUS WIRE.

3. Placez les objets graphiques pour former votre élément. Tout graphique qui nécessite une apparence spécifique doit être édité, les cases Suivre global ? appropriées décochées et le style de graphique attribué changé.

4. Validez l’icône Marqueurs. Placez un marqueur ‘Node’ ou ‘Busnode’ à l’endroit où vous voulez que le fil ou le bus soit connecté à la broche, un marqueur ‘Pinname’ à l’endroit où vous voulez que figure le nom de la broche, et un marqueur ‘Pinname’ à l’endroit du numéro de la broche. Il est préférable de placer également un marqueur ‘Origine’ pour définir l'origine.

5. Sélectionnez les objets qui contiendront les ports en mode sélection puis en dessinant un rectangle autour d’eux avec le bouton gauche de la souris.

6. Appelez la commande "Créer symbole" du menu BIBLIOTHEQUES, choisissez un nom et une bibliothèque pour la nouvelle broche.

7. Cliquez sur OK pour terminer.

Editer un symbole existant

Il est possible d'éditer tout type de symbole existant en sélectionnant une instance dans la zone d'édition et en appelant la commande Décomposer du menu Bibliothèques.

Pour éditer un symbole:

  1. Placez une instance du symbole - symbole graphique, terminal, port de module, ou broche de composant, comme il convient.

  2. Sélectionnez les objets en mode sélection puis en dessinant un rectangle autour d’eux avec le bouton gauche de la souris.

  3. Appelez la commande "Décomposer" du menu BIBLIOTHEQUES. Ceci dissocie l'objet en ses composants graphiques et marqueurs.

  4. Ajoutez, effacez ou éditez les graphiques et les marqueurs, comme désiré.

  5. Reconstituez le symbole en suivant la procédure adaptée, décrite dans les sections précédentes.

Définitions des symboles hiérarchisés

Heureusement, ISIS permet qu'un symbole contienne d'autres symboles et/ou d’autres objets graphiques. Ceci vous permet de fabriquer, par exemple, une porte NAND à partir d'une porte AND déjà définie en ajoutant un cercle. Notez que les symboles définis à partir d'autres symboles ne leur sont liés en aucune manière - si les symboles d'un niveau hiérarchique inférieur sont modifiés ou même effacés, cela ne modifiera pas le nouveau. Ceci signifie aussi qu'un symbole peut être défini comme une modification de lui-même sans difficulté, quoique ceci détruise l'ancienne version.


Les bibliothèques de composants

BIBLIOTHEQUES DE COMPOSANTS

Introduction

Dans la terminologie d'ISIS, un objet composant (device) est une représentation d'un composant réel, tel un transistor ou un microprocesseur PIC. Il s'ensuit qu'un composant placé sur un schéma est une instance d’un objet composant. Il existe principalement trois types de composants:

  • Composant mono-élément. Ce sont des composants pour lesquels il existe une correspondance de un vers un entre la représentation dans le schéma et le boîtier du circuit imprimé. Chaque broche (pin) possède un seul nom et un seul numéro.

  • Composant multi-éléments homogènes. Ce sont des composants pour lesquels il existe plusieurs éléments identiques dans le boîtier du circuit imprimé. Les exemples typiques sont la quadruple porte 7400 ou le double amplificateur opérationnel TL072. Un nom de broche possède un numéro différent pour chaque élément, sauf pour les broches d’alimentation qui sont communes.

  • Composant multi-éléments hétérogènes. Ce sont des composants pour lesquels il existe plusieurs éléments différents dans le boîtier du circuit imprimé, sachant que chaque élément possède une représentation dans le schéma. L’exemple le plus courant est celui du relais, dans lequel vous avez une bobine et un ou plusieurs contacts présents sur le schéma.

ISIS accepte également les broches de bus. Les composants tels que les microprocesseurs et les périphériques associés peuvent ainsi être dessinés de façon très compacte, étant donné que leurs bus de données ou d'adresses sont représentés par des broches uniques. Leur câblage aussi devient nettement moins fastidieux. Les composants équipés d'une ou plusieurs broches de bus demandent aussi un brochage pour indiquer les numéros de chaque broche physique du bus.

Alors qu’un composant simple aura une seule numérotation de broche physique associée à chaque broche du schéma, les composants multi-éléments et les éléments avec des broches bus auront des numérotations de broches différentes pour chaque broche du schéma. Cet aspect de la création du composant est pris en charge par l’outil visuel d’affectation de package. De plus, cet outil vous permet d’affecter plusieurs boîtiers (chacun possédera sa propre numérotation de broches) pour le même élément du schéma. Par exemple, un microprocesseur tel le PIC16F877 est disponible en boîtier DIL40 et PLCC44.

Créer un composant

La plupart des composants que vous rencontrerez ne possèdent qu’un seul élément. Ceci signifie que, lorsque vous placez un objet composant, vous tiendrez compte de toutes les broches du composant physique. Contrairement à un composant multi-éléments, tel le 7400, pour lequel vous devrez placer 4 portes pour tenir compte des toutes les broches. Dans tous les cas, la première étape, lors de la création d’un nouvel élément de bibliothèque, est de placer les graphiques et les broches du ou des éléments du composant.

Pour créer un composant:

1. Placez les objets graphiques pour définir le corps du composant.

2. Placez les objets broches de composant pour représenter les broches.

3. Annotez les broches, pour attribuer les types, les noms et les numéros en utilisant n'importe quelle technique d’édition ou l'outil d'affectation de propriétés.

4. Sélectionnez tous les objets qui font partie du composant, puis appelez la commande Créer composant et affectez les propriétés par défaut.

Ces étapes méritent un complément d'informations:

Définir le corps du composant

Le corps du composant est le graphique complet de l'objet, moins sa référence et les broches. Très souvent ce sera juste un cadre; dans ce cas, vous choisirez et placerez un cadre graphique de taille appropriée en choisissant le style graphique COMPONENT.

Choisir le style graphique COMPONENT dans ISIS

Pour les composants avec des graphiques plus complexes, tels les transistors, les ampli-ops et consorts, vous pouvez employer n'importe lequel des objets graphiques et des styles qu’ISIS propose. Ces derniers peuvent être édités afin d'affecter des valeurs locales spécifiques à plusieurs ou à la totalité des attributs de style.

Il est très important de bien réfléchir aux styles graphiques que vous choisissez pour les graphiques du nouveau composant. En général plusieurs graphiques seront placés avec le style COMPONENT et les objets graphiques n’auront pas besoin d’être modifiés car les valeurs par défaut conviendront. Occasionnellement, vous voudrez personnaliser des parties de votre nouveau composant. Par exemple, vous voudrez peut-être que le corps plein d’un transistor soit toujours rempli en noir. Dans ces cas il est approprié d’éditer l’objet graphique après placement et de décocher un ou plusieurs attributs de style, puis de sélectionner des valeurs locales. Vous devez également prendre en compte la façon dont l’objet graphique apparaîtra dans la schématique. Par exemple, si vous concevez un OPAMP, il est préférable d’utiliser des lignes courtes, de style BROCHE, entre les segments inclinés du corps et les terminaux d'alimentation.

Si vous souhaitez définir l'origine du composant, vous devez aussi placer un marqueur d'origine au point convenable. Si vous ne spécifiez pas d'origine ISIS la mettra, par défaut, à l'extrémité de la broche la plus haute et la plus à gauche.

Voir également 2D Graphiques 2D pour plus d'information sur le placement et l'édition des objets graphiques.

Voir également Editer les styles locaux pour la personnalisation des styles.

Voir également Editier les styles globaux pour la personnalisation d’un style ‘maison’.

Placement des broches

Quand vous créez un composant, vous utilisez les objets broches, disponibles par l'icône Broche, qu'il faut placer à tour de rôle. Plusieurs types de broches système sont préchargés dans le sélecteur d'objets quand vous validez l'icône BROCHE pour la première fois, mais vous pouvez extraire d'autres types de symboles des bibliothèques. Vous pouvez aussi définir vos propres types de broches.

Quand vous placez un objet broche, vous devez vous assurer de son orientation. La croix bleue qui apparaît à une extrémité de chaque broche indique le point de connexion électrique. L'autre extrémité doit être en contact avec le corps du composant.

Une broche correctement orientée, placée sur le contour d’un composant.

Pour plus d'information, Voir également les Objets broches.

Annotation des broches

La 3ème phase de création de composant est certainement la plus délicate, et peut engendrer de sérieux problèmes ultérieurement dans le cycle de conception, si elle n'est pas exécutée correctement. Vous êtes prévenu!

Chaque broche peut avoir un nom, un numéro et un type électrique. Ce dernier est utilisé pour les contrôles de règles électriques et également par le simulateur ProSPICE. Le type électrique des broches doit être correctement spécifié, en particulier, pour les primitives de simulation numériques.

Deux techniques d'annotation des broches sont à votre disposition:

  • Editez chaque broche, tour à tour (le plus simple est de pointer sur la pin et d’utiliser la combinaison CTRL+E) et modifiez les propriétés avec le formulaire.

La boite de dialogue d’édition des formes de broches

  • Utiliser l'Outil d'affectation de propriétés pour attribuer les propriétés de PINNAME (nom), PINNUM (numéro) et TYPE.

Le PAT configuré pour affecter le type électrique bi-directionnel.

Dans la plupart des cas, vous mixerez ces deux techniques. En général il est plus simple d’affecter les numéros de broches avec l’outil visuel de packaging, et c’est la seule façon d’affecter les numéros dans le cas d’un composant multi-éléments ou de broches bus. Cependant, pour un composant simple mono-élément, vous pouvez entre les numéros de broches à cette étape, si vous le souhaitez.

Quand vous attribuez les noms et les numéros de broches, pensez à ceci:

  • Une broche doit toujours avoir un nom. Si vous entrez un numéro lorsque aucun nom n’est précisé, le nom de broche sera identique au numéro.

  • Pour entrer des noms avec une barre verticale au-dessus de la chaîne de caractères, il faut utiliser le caractère dollar ('$') pour délimiter le début et la fin de la barre. Par exemple RD/$WR$ affichera avec un barre au-dessus des lettres 'WR'.

Si vous donnez le même nom à deux ou plusieurs broches, elles seront considérées comme interconnectées dans la netlist, comme sur le circuit imprimé. Ceci est très commode mais peut conduire à de sérieux problèmes lors d’une utilisation impropre.

Lors de l’affectation des types de broches, la table suivante est utile:

Type des broches | Type ID | Exemples
Passive | PS | Terminaux de composants passifs
Input | IP | Entrée analogique ou numérique
Output | OP | Sortie analogique ou numérique
BiDir | IO | Bus de données mémoire ou processeur
Tri-State | TS | Broches de sortie ROM
Pull Down | PD | Sortie collecteur ouvert/ drain
Pull Up | PU | Sorties émetteur ouvert/source
Power | PP | Broches alimentation/masse

Vous pouvez également vous référer aux documentations indiquées ci-dessous:

Voir Objets broches pour les détails de la boite de dialogue d'édition des broches.

Voir Outils d'affectation de propriété pour les exemples sur l'utilisation de l'outils d'affectation des propriétés.

La dernière étape de la création d'un composant mono élément consiste à sélectionner tous les objets (graphiques et broches) constitutifs, puis à appeler la commande Créer composant du menu Bibliothèques. L’utilisation de cette commande est détaillée ici.

La commande "Créer composant"

La commande Créer composant aboutit à un formulaire à remplir en plusieurs étapes, également appelé Wizard dans d’autres applications. Quatre pages sont disponibles:

  • Propriétés composant – contient des caractéristiques telles que le nom du composant, le préfixe à utiliser pour de nouveaux composants et des propriétés de la simulation Proteus VSM.

  • Boîtier (packaging) – contient les boîtiers définis (pour un composant existant) et fournit un accès à l’outil visuel d’affectation de package.

  • Propriétés – permet de créer et d’éditer les définitions de propriétés et les valeurs par défaut..

  • Base de données & Aide - Cette page vous permet d'affecter une base de données et/ou un fichier "Aide" à un composant.

  • Sélection de bibliothèque – l’écran final permet de choisir la bibliothèque dans laquelle le composant sera sauvegardé.

Une aide contextuelle est également disponible pour les champs de ces pages. Si vous ne comprenez pas l’utilité d’un champ, cliquez sur « ? », en haut et à droite de la boite de dialogue, puis cliquez sur le champ lui-même pour voir le texte de l’aide.

Propriétés de composant

Cette page comprend deux sections: Propriétés générales et Propriétés de composant actif.

La page des propriétés du composant.

Les propriétés générales déterminent le nom et le préfixe du composant. Ce sont les lettres qui apparaissent devant chaque composant qui vient d’être placé. Notez que si vous laissez ce champ vide, les composants placés ne seront pas annotés, la valeur et les propriétés seront cachées. Ceci est pratique pour des blocs de dessins ou pour des composants tels que l’oscilloscope virtuel, qui ne font pas réellement partie du projet.

Les propriétés de composant actif sont utilisées pour créer des composants animés à utiliser avec Proteus VSM. Voir la documentation de Proteus VSM SDK pour plus d’informations.

Boitiers (Packages)

Cette page affiche les boîtiers qui ont été définis pour ce composant; pour un nouveau composant cette liste sera vide.

L’onglet de packagings lors de la création d’un composant.

Cliquez sur le bouton Ajouter/Editer qui lancera l’outil visuel d’affectation de package. Pour plus d’informations sur cet outil, voir. sections.

Tutorial: Créer nouveau composant

L'outil visuel de packaging

Définitions des propriétés des composants

Cette page est utilisée pour établir les définitions de propriétés et les valeurs par défaut des propriétés du composant. Le sélecteur placé à gauche liste les propriétés définies, et les groupes Définition de propriétés et Propriétés par défaut déterminent le type, la visibilité et les valeurs par défaut de la propriété sélectionnée.

La page de définition de propriétés.

Voir Definitions de propriétés pour plus d'information.

Base de données PDF & Aide

Cette page permet d’associer une base de données (fichier PDF) et/ou une aide à ce composant. Si une notice technique est définie, un bouton Data apparaîtra dans la boite de dialogue d’édition du composant et, si une aide est définie, un bouton Aide sera également présent. Ces boutons sont présents pour un grand nombre de composants des bibliothèques fournies avec le logiciel.

La page de notice technique et fichier d’aide.

Les notices techniques peuvent se trouver en trois endroits:

  • Dans le répertoire Data de votre installation de Proteus. Vous pouvez modifier le chemin de recherche des notices techniques en cliquant sur le bouton Configuration des chemins de la boite de dialogue qui s’affiche lorsque Proteus ne trouve pas une notice.

  • Sur un serveur FTP – sur Internet ou votre Intranet. Il est possible qu’un ID utilisateur et un mot de passe vous soit demandé sur certains serveurs.

  • Sur un CD-ROM

L’idée générale est de disposer d’un dossier où sont entreposées les notices techniques, et que Proteus copie dans des dossiers utilisateurs locaux les fichiers en fonction des besoins.

La référence à un dossier d’aide est très utile lors de la création de modèles de simulation ProSPICE complexes pour lesquels une documentation est la bienvenue.

Fenêtre de sélection de bibliothèque

La dernière page vous permet de sélectionner la bibliothèque dans laquelle sera sauvegardé le nouveau composant. Seules les bibliothèques accessibles en lecture/écriture seront listées.

La page de sélection de la bibliothèque.

La liste déroulante Catégorie liste l’ensemble des catégories existantes, tandis que la liste déroulante Sous-catégorie liste les sous-catégories existantes pour la catégorie sélectionnée. Vous pouvez ajouter de nouvelles catégories et sous-catégories en cliquant sur les boutons en face de ces listes. Notez qu'une catégorie ou une sous-catégorie disparaîtra automatiquement des listes lorsqu’aucun composant n’y est rangé.

Le champ Notes vous permet d'écrire des commentaires concernant le nouveau composant. Ces notes sont visualisées dans la boite de dialogue d’

édition du composant et peuvent être utilisées pour donner des informations sur les paramètres de simulation ou des limitations.

Après avoir cliqué sur le bouton OK, le composant sera sauvegardé dans la bibliothèque choisie. Si le composant est déjà placé dans le projet en cours, il vous sera demandé de confirmer la mise à jour en relation avec la nouvelle définition du composant.

L'outil visuel d'affectation de package

L’outil visuel d’affectation de package est un outil graphique qui permet de définir la correspondance entre un élément du schéma et le boîtier du circuit. Pour chaque boîtier, un tableau de correspondance entre les numéros de broches et les noms est créé. De cette façon chaque boîtier aura une numérotation différente en relation avec le même composant du schéma.

L’outil d’affectation de package facilite également l’entrée des numéros de broches de chaque élément d’un composant multi-éléments, ainsi que la définition des broches d’un bus.

’outil visuel de packaging.

L’outil de packaging peut être appelé de deux manières différentes:

  • En cliquant sur le bouton Ajouter/Editer de la page Packaging du formulaire de création de composant.

  • En plaçant le ou les éléments du composant à packager sur le schéma, en sélectionnant ces éléments, puis en appelant la commande Outil de packaging du menu Bibliothèques.

La seconde méthode est la seule qui permette de packager des composants multi-éléments hétérogènes.

Comme pour la commande Créer composant, une aide sensitive contextuelle est disponible pour les champs de l’outil. Pour obtenir une aide sur un champ, cliquez sur « ? », en haut et à droite de la boite de dialogue, puis cliquez sur le champ lui-même pour voir le texte de l’aide.

Sélecteur de package

La section de relative aux packages liste les boîtiers disponibles, et contient des boutons pour ajouter, renommer, supprimer ou ordonner. Un package peut être validé comme package par défaut; c’est celui qui sera utilisé lors du placement d’un nouveau composant.

En supposant que ARES est installé, le bouton Ajouter, ouvrir le visionneur des bibliothèques de packages pour vous permettre de choisir une nouvelle empreinte.

Parcourir les bibliothèques d’ARES pour ajouter une empreinte.

Tableau des broches

La fonction principale de l’outil de packaging est disponible via ce tableau. Vous pouvez entrer les numéros de broches de chaque élément, et indiquer quelles sont les broches communes à tous les éléments d’un composant multi-éléments.

L’affectation des numéros de broches (pins) se fait soit en entrant le numéro, soit en cliquant sur la pastille dans la représentation visuelle.

Le fait de cliquer sur une pastille affectera le numéro dans le tableau, et mettra la pastille en surbrillance.

Le type électrique est affiché seulement pour information, et ne peut pas être modifié ici – vous devez le définir lors du placement des broches.

Nombre d’éléments

Ce champ détermine le nombre de colonnes des numéros de broches du tableau. Pour un composant multi-éléments hétérogènes, il correspond au nombre total d’éléments.

Visionneur de package

Le visionneur de boîtier affiche l’empreinte choisie. Comme il existe une relation entre les broches du package et les broches du tableau, vous pouvez voir quelles sont les broches qui ne sont pas encore affectées. De plus, si vous pointez sur une broche avec la souris, ISIS affichera le nom associé (lorsque l’affectation existe) et le numéro.

Si le curseur texte est positionné dans le tableau des broches, le fait de cliquer sur une broche dans le visionneur de package validera l’affectation de ce numéro de broche en relation avec la cellule du tableau, et la broche sera mise en surbrillance pour indiquer qu’elle est à présent affectée.

Broches cachées

Les broches cachées sont généralement utilisées pour spécifier des connexions d’alimentation afin qu’elles ne surchargent pas le dessin. Une broche cachée peut être définie de deux manières:

  • En décochant la case Dessine corps de la boite de dialogue Editer broche. Ceci peut se faire lors de la création du composant. Ce type de patte apparaîtra dans le tableau des pins lors du premier appel à l’outil de packaging, et sera présente dans tous les packages.

  • En cliquant sur le bouton Ajout broche cachée. Ceci créera une broche cachée spécifique à un package donné, et sera commune à tous les éléments.

Broches communes

Une broche commune possède le même numéro pour tous les éléments d’un composant multi-éléments. Typiquement les broches d’alimentation et les broches enable/strobe sont communes à tous les buffers d’un driver multi éléments.

Si une broche commune n’est pas cachée, alors toute connexion à cette broche sera répercutée à tous les autres éléments.

On considère qu’une broche commune est associée à tous les éléments d’un composant multi-éléments, même si elle n’est pas présente sur certains d’entre eux. Ceci a une implication sur l’optimiseur de portes logiques de ARES.

Selecting this checkbox will flag to ARES that the gate elements can be swapped.

Permutation des broches

Les broches permutables sont de broches électriquement interchangeables. Par exemple, les deux entrées d’un 7400 quadruple NAND sont d’un point de vue électrique, identiques et, si nécessaire, peuvent être permutées afin de simplifier le routage.

Vous pouvez définir un groupe de broches permutables en mettant en surbrillance ces broches dans le tableau (maintenir le bouton CTRL enfoncé et cliquer gauche sur chaque nom de pin), puis en cliquant sur le bouton Ajouter.

Affecter des broches permutables dans l’outil de packaging

Broches non connectées (NC)

Lors du packaging d’un composant conséquent, il peut être utile de prouver que toutes les broches ont été prises en compte en vérifiant qu’elles apparaissent toutes en surbrillance dans le visionneur de package. Ceci est obtenu en entrant leur numéro dans le champ Pattes NC. Utilisez une virgule pour séparer les numéros.

Créer un composant mono-élément

La plupart des composants que vous créerez auront une correspondance un à un entre un symbole du schéma et un boîtier du circuit imprimé.

Pour créer un composant mono-élément

  1. Placez les objets graphiques pour définir le corps du composant.

  2. Placez les objets broches de composant pour représenter les broches.

  3. Annotez les broches, pour attribuer les types, les noms et les numéros en utilisant n'importe quelle technique d’édition ou l'outil d'affectation.

  4. Sélectionnez tous les objets qui font partie du composant, puis appelez la commande Créer composant.

  5. Entrez le nom et le préfixe de référence dans la page Propriétés du composant, puis cliquez sur le bouton Suivant pour accéder à la page Packaging.

  6. Comme on suppose que le composant possède un package, cliquez sur le bouton Ajouter/éditer et utilisez l’outil de packaging pour affecter un boîtier et les numéros des broches. Une fois cette opération terminée, cliquez sur Affecter boîtier pour revenir à la page Packaging.

  7. Cliquez sur Suivant pour ouvrir la page Propriétés composant et entrez les définitions de propriétés et les valeurs par défaut.

  8. Cliquez sur Suivant pour ouvrir la page Notice technique et spécifiez l’emplacement de toute notice ou fichier d’aide à associer au composant.

  9. Cliquez sur Suivant pour ouvrir la page Bibliothèque et choisissez la bibliothèque dans laquelle le nouveau composant sera sauvegardé.

  10. Pour terminer, cliquez sur OK.

Si vous préférez, vous pouvez également affecter les numéros de broches des composants mono-éléments lors de l’étape [3]. Dans ce cas, les numéros des broches apparaîtront automatiquement dans l’outil de packaging.

Créer un composant multi-éléments homogènes

Un composant multi-éléments homogènes ressemble à un 7400 dont le boîtier physique contient plusieurs éléments identiques qui seront placés en tant que composants séparés sur le schéma. Pour gérer un tel composant, ISIS doit permettre que différents jeux de numéros de broches soient appliqués à chaque élément. Pour un 7400, il existe 4 jeux de numéros de broches - un pour chaque porte - et le jeu qui est utilisé par une porte donnée est déterminé par le suffixe de référence du composant. Par exemple si vous étiquetez une porte de 7400: U1:C , ISIS utilisera le 3ème jeu de numéros de broches: 8, 9 et 10.

La question qui se pose alors est de savoir où sauvegarder les numéros de broches et quelle est la méthode de description utilisée. Dans ISIS, ceci est géré par le biais de l’outil de packaging.

Un exemple de composant multi-éléments homogènes dans l’outil de packaging

Pour créer un composant multi-éléments homogène

  1. Dessinez le corps du composant et placez ses broches comme pour un composant mono-élément.

  2. Annotez les broches pour attribuer les noms et les types à l’aide des techniques d’édition standard ou l’outil d’affectation de propriétés.

  3. Sélectionnez tous les objets constitutifs du composant (étirez un rectangle autour des objets avec le bouton gauche de la souris). Puis appelez la commande Créer composant.

  4. Entrez le nom et le préfixe de référence dans la page Propriétés du composant, puis cliquez sur le bouton Suivant pour accéder à la page Packaging.

  5. Cliquez sur le bouton Ajouter/éditer pour lancer l’outil de packaging.

  6. Indiquez le nombre d’éléments du composant et remplissez tous les champs relatifs aux numéros de broches de chaque élément. Cochez la colonne Commune (common) pour indiquer les broches (telles les pattes d’alimentation) qui possèdent le même numéro sur tous les éléments.

  7. Proceed as for a single element device from step 7.

Créer un composant multi-éléments hétérogènes

Un composant multi-éléments hétérogènes se définit comme un composant constitué de plusieurs éléments différents, chacun étant placé comme un composant séparé sur le schéma. L'exemple le plus courant est certainement un relais constitué d'une bobine et de un ou plusieurs contacts. Le but est de placer la bobine à un endroit du schéma et les contacts ailleurs.

Comme dans le cas d’un composant multi-éléments homogènes, l’outil de packaging est utilisé pour affecter les numéros de broches à chaque élément.

Exemple de création d'un composant multi-éléments.

  1. Placez les objets graphiques et les broches de composants pour définir l'aspect des éléments. Assurez-vous que les éléments sont suffisamment éloignés dans la fenêtre d’édition pour que vous puissiez sélectionner les parties qui composent chacun d'eux, séparément. La procédure de création d’un composant est décrite ici.

  2. Annotez les broches pour affecter uniquement les noms et les types
  3. Sélectionnez tous les objets qui composent le premier élément. Appelez la commande Créer composant du menu Bibliothèques. Entrez le nom du composant sous la forme
    NAME:A
    où NAME est représentatif du nom de votre composant global. Le suffixe :A indique à ISIS qu'il s'agit du premier élément d'un composant multi-éléments hétérogènes.

  4. Parcourez normalement l'assistant. Notez que nous ne créons pas le package à ce stade (passez cette page) et sauvegarder l'élément en bibliothèque.
  5. Répétez la procédure jusqu'à l'étape 3 pour l'autre élément, nommé NAME:B

  6. Vous devez désormais avoir deux éléments dans votre bibliothèque. Sélectionnez l'icône Composant et placer un élément A (bobine) et deux éléments B (contact) dans une zone libre du schéma.

  7. Editez RL?:A et RL?:B (seulement le 2ème élément) pour qu'ils deviennent RL1:A et RL1:B

  8. Editez le second élément B et appelez le C.

  9. Dessinez un rectangle de sélection autour de ces éléments, puis lancez l'outil de création de packages à partir du menu Library. Dans la boite de dialogue, vous pouvez voir qu'il y a des colonnes avec des numéros de broches pour chaque élément, mais certaines broches, qui sont indiquées '---' dans la colonne correspondant aux éléments, ne sont pas disponibles pour tous les éléments.

  10. Créez un package et entrez les numéros de broches (voir image ci-dessus).
  11. Cliquez sur 'Attribuer package' pour fermer la boite de dialogue. Notez que la bibliothèque sera mise à jour pour chaque éléments que vous avez créé.

Créer un composant avec des broches Bus

La bibliothèque de composants d'ISIS accepte des composants dans lesquels une seule broche du composant représente plusieurs broches d'un composant physique. Une broche bus est prévue pour faciliter la représentation des microprocesseurs et des puces associées telles les mémoires. Comme pour les composants multi-éléments, la prise en compte des broches de bus implique de faire appel à l’outil de packaging.

Pour créer un composant avec des broches bus

  1. Créez le corps du composant et placez ses broches comme pour un composant mono-élément. Vous devez utiliser des broches bus, ou une broche prédéfinie avec un marqueur de nœud de bus (Busnode).

  2. Annotez les broches uniquement avec les noms et les types. Pour les broches bus, il faut fournir la spécification complète telle que D[0..7]. Cependant vous pouvez choisir de cacher l’étendue du bus – tel que [0..7] - dans le schéma en décochant la case Dessine étendue du bus.

  3. Sélectionnez tous les objets qui composent le futur composant, puis appelez la commande Créer composant.

  4. Comme on suppose que le composant possède un boîtier équivalent, cliquez sur le bouton Ajouter/éditer et utilisez l’outil de packaging pour affecter un package et les numéros des broches. Vous verrez que chaque bit du bus apparaît dans sa propre ligne du tableau des broches. Le processus d’affectation des numéros est le même que pour un élément simple. Une fois cette opération terminée, cliquez sur Affecter boîtier pour revenir à la page Packaging.

  5. Procédez comme pour un composant simple à partir de l’étape 7.

Définitions de propriété et Propriétés par défaut

Il existe un grand nombre de situations pour lesquelles il est utile que les composants des bibliothèques utilisent les propriétés par défaut définies par l'utilisateur, et qui seront automatiquement attribuées au placement du composant. Voici quelques exemples courants:

  • PACKAGE : cette propriété est utilisée pour la création du circuit imprimé. La plupart des composants des bibliothèques livrées possèdent cette caractéristique.

  • PRIMITIVE, MODEL et MODFILE : ces propriétés sont utilisées pour la simulation VSM. Tous nos éléments des bibliothèques pour lesquels il existe un support de simulation possèdent ces propriétés par défaut.

  • Codes de stock et/ou de commande aux fournisseurs. Si vous ajoutez ces propriétés par défaut à vos bibliothèques, elles peuvent être intégrées dans la liste du matériel.

Pour ajouter une propriété par défaut à un composant en cours de création:

    1. Suivez les étapes décrites dans Création d’un composant mono-élément.

    2. Quand vous arrivez au formulaire de la commande Créer composant, utilisez la page Propriétés composant pour affecter les définitions de propriétés et les valeurs par défaut.

    3. Sauvegardez le composant en bibliothèque.

Pour ajouter ou éditer les propriétés par défaut d'un composant existant:

    1. Prenez, placez et sélectionnez une instance du composant. Il n'est pas nécessaire de le décomposer.

    2. Appelez la commande Créer composant et cliquez sur Suivant pour accéder à la page Propriétés composant. Toutes les définitions de propriétés seront affichées.

    3. Editez les propriétés selon votre besoin.

    4. Cliquez sur Suivant deux fois puis sauvegardez le composant en bibliothèque en cliquant sur OK.

Les propriétés par défaut peuvent être affectées en masse, en utilisant des scripts ADI depuis le gestionnaire de bibliothèques.

Gestion des broches d'alimentation

La gestion des broches d'alimentation est souvent un sujet quelque peu perturbant sur certains logiciels de saisie de schéma. D'autres difficultés surviennent lorsqu'on désire définir avec précision ce qui se passe sur les rails d'alimentation, tout en évitant d'embrouiller le schéma avec ce qui n'est qu'une information triviale.

ISIS offre plusieurs méthodes de gestion des broches d'alimentation:

  • Rendre les broches d'alimentation visibles et faire un câblage physique sur les points appropriés du circuit. Cela offre l'avantage de voir exactement ce qui est relié à quoi, mais qui peut devenir le fouillis quand il y a beaucoup de circuits intégrés sur le schéma.

  • Cacher les broches d'alimentation et laisser ISIS établir par défaut les connexions sur les liens dotés de noms identiques. Une broche ‘VCC’ cachée sera ainsi connectée au rail d'alimentation ‘VCC’, et une broche ‘GND’ cachée sera rattachée au rail d'alimentation ‘GND’.

  • Cacher les broches d'alimentation et spécifier explicitement les connexions en utilisant des propriétés utilisateurs telle que
    VCC = +5V
    Cette ligne, appliquée à un objet qui possède une broche d'alimentation cachée, reliera ‘VCC’ au lien +5V.

Vous pouvez également utiliser un mélange de ces techniques. En général, nous nous sommes aperçus que l'emploi des broches d'alimentation cachées était systématique pour les schémas numériques, alors que pour un travail analogique, il est souvent plus simple de câbler les boches d'alimentation aux rails d'alimentation appropriés. Ce constat a aussi conditionné la création des composants des bibliothèques livrées avec le logiciel.

Pour créer une broche cachée sur un composant mono-élément:

1. Placez un objet broche.

2. Faites apparaître le formulaire d'édition des broches en cliquant droit puis gauche sur la boche.

3. Décochez la case Dessiner corps. Ceci cache le corps de la broche, son nom et son numéro, indépendamment des réglages des cases à cocher Dessiner nom et Dessiner numéro.

4. Si la broche est une alimentation, validez le type Power.

La présence de l’objet broche sera repéré par la croix bleue sombre à son extrémité, et la broche ne sera pas tracée sur les composants dans lesquels elle intervient. Au moment de la création de la netlist elle sera automatiquement connectée à un lien portant le même nom que son nom, à moins que le nom soit explicitement remplacé par une propriété utilisateur.

Pour créer une broche d’alimentation cachée dans un boîtier:

1. Créez les éléments du composant de manière habituelle, mais ne placez pas d’objets broches pour les broches cachées.

2. Lors du packaging avec l’outil de packaging, utilisez le bouton Ajouter broche pour créer une ligne supplémentaire dans le tableau des broches.

3. Entrez le nom de la broche cachée tel que ‘VCC’, puis affectez-lui un numéro.

La broche virtuelle es tappelée VCC

Au moment de la création de la netlist, elle sera automatiquement connectée à un lien de même nom que son nom de broche, à moins que le nom soit explicitement remplacé par une propriété utilisateur.

Pour remplacer un lien de broche cachée

  1. Sélectionnez tous les éléments du composant pour lequel existe une broche cachée. Il est plus simple d'utiliser la commande Chercher et sélectionner avec l'option Commence par.

  2. Utilisez l'outil d'affectation de propriété pour affecter une propriété utilisateur de la forme.
    PINNAME=NET
    ou PINNAME est le nom de la broche cachée et NET est le nom du lien auquel la patte doit être connectée.

Editer un composant existant

out composant, quel qu'il soit, peut être décomposé en ses éléments constitutifs, broches et graphiques, via la commande Décomposer du menu Bibliothèques.

Pour éditer les graphiques et les broches d’un composant:

  1. Placez une instance du composant.

  2. Sélectionnez l'instance placée (pointez sur lui et clic gauche).

  3. Appelez la commande Décomposer du menu Bibliothèques. Le composant sera dissocié en graphiques 2D, broches et peut-être un marqueur origine. Vous obtiendrez également un script qui contient le nom, le préfixe, le packaging et les propriétés par défaut du composant.

  4. Ajoutez, effacez, éditez les graphiques 2D, les broches et les marqueurs à votre convenance.

  5. Reconstituez le composant en appelant la commande Créer composant. Si vous sélectionnez le script généré par la commande Décomposer, vous éviterez de devoir entrer à nouveau les propriétés de composant.

Sélectionner tous les éléments du composant et appeler la commande de création.

Si l’élément de bibliothèque ainsi modifié est utilisé dans le schéma en cours, on vous demandera si vous voulez mettre à jour les composants déjà placés. Si vous répondez OK, tous les composants du projet qui utilisent ce composant seront remis à jour en utilisant le même mécanisme que celui décrit dans la commande Prendre.

Notez que les propriétés du composant déjà placées ne seront pas modifiées, car ISIS ne peut pas savoir quelles sont les propriétés qui ont été éditées manuellement.

Pour éditer les propriétés du composant

1. Prenez, placez et sélectionnez une instance du composant. Il n’est pas nécessaire de le décomposer.

2. Appelez la commande Créer composant et cliquez sur Suivant pour accéder à la page Propriétés composant. Toutes les propriétés existantes seront affichées.

3. Editez les propriétés selon vos besoins.

4. Cliquez sur Suivant deux fois puis sauvegardez le composant à nouveau en bibliothèque en cliquant sur OK.

Il vous sera demandé si vous souhaitez mettre à jour les composants du projet courant.

Pour éditer les packagings

1. Prenez, placez et sélectionnez une instance du composant. Il n’est pas nécessaire de le décomposer.

2. Appelez la commande Outils de packagings du menu Bibliothèques.

3. Modifiez les packagings selon vos besoins.

4. Cliquez sur Affecter boîtier(s) et sauvegarder de nouveau en bibliothèque.

Il vous sera demandé si vous souhaitez mettre à jour les composants du projet courant.

Deux autres points sont à noter:

    • Rappelez-vous que tous les fichiers projets contiennent leur propre copie des composants qu’ils utilisent. Ainsi, toute modification dans une bibliothèque ne change en rien le contenu du projet qui utilise les éléments modifiés. Pour valider la modification vous devez charger le projet dans ISIS et utiliser la commande Prendre du menu Bibliothèques.

    • Lorsque ISIS est installé, nos bibliothèques sont positionnées en lecture seule, ceci afin d’éviter une modification de leur contenu. Il s’ensuit que vous devriez sauvegarder vous éléments créés dans USERDVC.LIB, ou toute autre bibliothèque personnelle.

Indexer les bibliothèques avec l'import de données ASCII (ADI)

Si vous avez procédé à la mise à jour de Proteus depuis une version antérieure à la V6.5, vous aurez probablement des bibliothèques de composants utilisateur qui n’intègrent pas les données d'indexation (catégorie, sous-catégorie, fabricant et description). Cette section explique la manière de classer de telles bibliothèques sans devoir refaire chaque composant.

La façon la plus simple d’ajouter des catégories, des sous-catégories, des fabricants et des descriptions aux bibliothèques existantes est d’

utiliser la fonctionnalité d’importation des données ASCII (ADI). L’ADI vous permet d’appliquer des propriétés textuelles à un schéma ou à une bibliothèque en les énumérant dans un fichier, puis de charger ce dernier dans un projet ou une bibliothèque.

Exemple de fichier ADI

Ce fichier ADI a pour but de classer les bibliothèques de composants créées avec une version antérieure de Proteus.

; ADI File For My Component Library.

; Last updated 1st January 2004.

BLOCK=INDEX

; Start by removing all data from the part:

IF TRUE

CAT,REMOVE

SUBCAT,REMOVE

MFR,REMOVE

DESC,REMOVE

END

DATA DEVICE : CAT-, SUBCAT-, MFR-, DESC-

74LS00 : "TTL", "Low Power Schottky", "TEXAS", "Quad NAND Gate"

74HC00 : "TTL", "High Speed CMOS", "TEXAS", "Quad NAND Gate"

74F00 : "TTL", "Fast TTL", "Fairchild", "Quad NAND Gate"

7400 : "TTL", "Standard TTL", [SKIP], "Quad NAND Gate"

END

Lorsque le fichier ADI est chargé, il est appliqué à chaque élément.

Toutes les lignes commençant par un point-virgule sont des commentaires et sont ignorées par le système ADI.

Dans le but d’indexer un composant ou une bibliothèque, tous les fichiers ADI doivent avoir l’instruction

BLOCK=INDEX

au début du script.

Les noms de propriété qui sont utilisés par ISIS pour classifier un composant sont CAT (catégorie), SUBCAT (sous-catégorie), MFR (fabricant) et DESC (description).

Puis nous utilisons des blocs IF TRUE…END avec un test à TRUE afin que l’expression d’applique à tous les éléments. Les instructions de ce bloc (indentés pour plus de lisibilité) suppriment les informations de catégorie (CAT), de sous-catégorie (SUBCAT), de fabricant (MFR) et de description (DESC) d’un composant afin que nous soyons sûr de commencer notre travail sur une base "propre".

Pour affecter la donnée, nous utilisons un bloc DATA…END. Dans l’exemple, seule la propriété DEVICE est testée dans le bloc DATA (son nom en bibliothèque) et, si la correspondance est trouvée, les propriétés CAT, SUBCAT, MFR et DESC seront affectées (le signe moins après le nom indique que la propriété sera cachée avec le script lorsque le composant est décomposé).

The lines within the DATA…END block specify the match criteria and values to be assigned. In our example, we are matching just the DEVICE name but if you want, you can modify the DATA statement to specify additional properties to be matched if you want a more selective test. To the right of the colon are the values to be assigned to the properties specified in the DATA statement, in the order they are specified – i.e. the first item is assigned to CAT, the next to SUBCAT, and so on.

Occasionally, you will find that you want to ‘skip’ assigning a property because either it isn’t pertinent or you don’t have the information. In these cases, use the special statement [SKIP] (the word SKIP inside square braces) to skip assignment. We’ve shown an example in the last line. Here, a 7401 device, would be assigned a category ‘TTL’, a subcategory ‘Standard TTL’ and a description ‘Quad NAND Gate’. The manufacturer would not be specified and, as we force its removal in the IF…END block means this part will not have a manufacturer specified for it.

Fichier ADI pour une bibliothèque dans laquelle tous les éléments appartiennent à la même catégorie

Si vous souhaitez écrire un fichier ADI à appliquer à une bibliothèque où tous les composants à sélectionner ont la même catégorie, vous pouvez utiliser cet exemple:

; ADI File For My Component Library.

; Last updated 1st January 2004.

BLOCK=INDEX

; Start by removing all data from the part:

IF TRUE

CAT="TTL",HIDE

SUBCAT,REMOVE

MFR="TEXAS",HIDE

DESC="A TTL Part",HIDE

END

DATA DEVICE : SUBCAT-, DESC-

74LS00 : "Low Power Schottky", "Quad NAND Gate"

74HC00 : "High Speed CMOS", "Quad NAND Gate"

74F00 : "Fast TTL", "Quad NAND Gate"

7400 : "Standard TTL", "Quad NAND Gate"

END

Dans ce fichier ADI, nous utilisons un bloc IF…END pour attribuer une catégorie, un fabricant, et une description par défaut. Comme précédemment, la condition TRUE dans le test (if) s’applique à tous les éléments dont la catégorie, sous-catégorie, fabricant et description correspond. Le bloc DATA…END est utilisé pour attribuer une sous-catégorie et une description. Ainsi, par exemple, le composant 74HCT00 (qui n’est pas dans le bloc DATA…END), obtiendra dans tous les cas une catégorie, un fabricant et une description par défaut via le bloc IF…END.

Utiliser les caractères génériques

Vous pouvez utiliser des caractères génériques dans un bloc DATA…END mais vous devez faire attention à leur utilisation. L'exemple suivant vous montre comment utiliser le caractère ‘*’ pour modifier entièrement deux familles TTL:

DATA DEVICE : DESC-

74*121 : "A TTL 74xx121 part"

74*21 : "A TTL 74xx21 part"

END

Ici, nous avons délibérément placé 74xx21 après 74xx121. Comme les expressions sont testées dans l’ordre, la correspondance avec un 74LS121 sera vérifiée (ce qui est correct), mais également pour la seconde expression (ce qui est incorrect)! Ceci signifie que le 74LS121 aura pour description "A TTL 74xx21". Il est donc préférable d’utiliser un ou plusieurs points d’interrogation ou d’éviter l’

association de caractères génériques!

Pour appliquer un fichier ADI à une bibliothèque, utilisez le Gestionnaire de bibliothèques. Sélectionnez la bibliothèque depuis la liste Source et cliquez sur le bouton Tous pour sélectionner l’ensemble de ses composants. Ensuite, cliquez sur le bouton Biblio. ADI pour chercher et appliquer votre fichier ADI. A l’issue de cette opération, vous pouvez vérifier le résultat en choisissant un composant dans la liste et en cliquant sur le bouton Information.

Bibliothèque ADI depuis le gestionnaire de bibliothèques.


BSDL Import

IMPORT BSDL

Introduction

Le Boundary Scan Description Language (BSDL) est un langage de description utilisé pour tester des puces électroniques grâce à un port JTAG. Il a été ajouté au IEEE Std. 1149.1; les fichiers BSDL sont trés bien supportés par les outils JTAG pour les applications Boundary-scan ou les générateurs de test.

BSDL est un sous-ensemble VHDL. Chaque fichier BSDL décrit une version d'un IC avec packages et différents maping de broches. Ceci est nécessare car, par exemple, deux packages BGA différents posséderont des billes différentes; même si une bille a le même nom elle peut être reliée à un signal différent de l'autre package.

L'utilisation de ce format a deux principaux atouts:

1) Le nom du composant, le nombre de broches, le type électrique et les noms des broches apparaissent dans le fichier. Cela permet de créer automatiquement un schéma basique pour un composant.

2) Le lien entre chaque nom de broche du schéma et le nom de la pastille de l'empreinte est inclus. Nous pouvons ainsi fournir une méthode de packaging automatique/assisté pour chaque composant du schéma.

Importer un fichier BSDL

Les fichiers BSDL peuvent être téléchargés à partir des sites des fabricants; il existe également des bibliothèques gratuites de fichiers BSDL comme http://www.bsdl.info. Aprés avoir téléchargé votre fichier BSDL sur votre ordinateur, vous pouvez l'importer via le menu BIBLIOTHEQUE dans le module ISIS.

Fichier d'iImport BSDL

Lorsque votre fichier BSDL est importé dans Proteus, le logiciel va lancer une version modifiée de la boite de dialogue de création des composants.

Boite de dialogue des fichiers BSDL

Liste des broches

La liste des broches recense tous les noms des broches importés dans le fichier BSDL. Elle est donnée dans la partie gauche de la boite de dialogue. Elle donne l'ordre de placement des broches sur le schéma. la première chose à faire est de grouper les broches ensemble telles que vous voulez qu'elles apparaissent sur le schéma.

Réordonner la liste des broches

Pour sélectionner un groupe de broches les unes à la suite des autres: Cliquez sur la première broche à sélectionner, utiliser la flèche descendante pour atteindre la dernière broche que vous souhaitez sélectionner.

Pour sélectionner des groupes de broches disparates: Cliquez droit pour sélectionner la première broche, puis utiliser le bouton CTRL pour cliquez sur les broches désirées.

Une fois vos broches sélectionnées, utilisez le bouton à droite pour les déplacer au bon endroit.

Cliquez sur 'Ajouter/Supprimer espace' pour insérer un espace entre des broches sur le schéma.

Renommer des broches de la liste

Les règles sont le suivantes:

1) Les broches avec le même nom sur un composant sont considérées comme connectées ensemble.

2) les broches avec comme préfixe NC (NC<num>) sont considérée comme non connectées.

Considérant cela, il y a deux cas où un utilisateur peut être amené à changer le nom des broches. Le premier et le plus important concerne les broches d'alimentation. Une broche est considérée comme broche d'alimentation si son type électrique est spécifié comme 'alimentation' (power). Quans vous examinez la liste des broches, vous vous apercevrez qu'il y a une multitude de broches d'alimentation portant des noms différents, mais ayant la même fonction. Il vous faudra alors les relier entre elles de façon correcte.

Exemple de broches d'alimentation aprés import

Vous pouvez alors renommer les broches concernées en leur donnant le même nom (VDD dans notre exemple). De cette façon, les cinq broches concernées ici ne seront plus visibles sur le schéma du composant; elle seront cachées mais automatiquement connectées entre elles et reliées à l'alimentation VDD.

Renommer un groupe de broches

Le second cas concerne les broches sans connexion ou broches NC. Chaque broche a un nom de type NC<num> (e.g. NC, NC1, NC2) qui la désigne comme une broche sans connexion. Toutes ses broches sont supprimés du schéma du composant et automatiquement ajoutées à la liste des broches sans connexion.

Broches sans connexion

La plupart du temps, vous n'avez rien à faire; les broches sans connexion sont nettoyées automatiquement et packagées au moment de l'import de votre fichier via l'assistant.

Les fichiers BSDL sont généralement créés pour des composants de grande taille avec de nombreuses broches.

Propriétés des broches

Quand vous sélectionnez une seule broche, une fenêtre de propriétés de broches apparaît avec le nom de la broche et son type électrique. Vous pouvez modifier ces informations importées du fichier BSDL au besoin. Si vous avez sélectionné plusieurs broches de types différents, les champs seront vides. Vous pourrez alors renommer vos broches et choisir leur type électrique.

Réprésentation des broches sur le schéma

Vous pouvez choisir la représentation de vos broches sur le schéma.

Package(s)

Une fichier BSDL peut contenir plusieurs packages pour un même composant, ce que Proteus supporte parfaitement. Cependant, les noms des empreintes risquent d'être différents. Vous devez donc éditer le package pour établr la correspondance des broches avec une empreinte des bibliothèques Proteus.

Il est important de noter que les informations fournies par les vendeurs dans les fichiers BSDL peuvent être incomplètes pour finaliser le schéma. En particulier, les broches passives et/ou les broches d'alimentation peuvent ne pas être présentes dans le fichier BSDL.

Décomposer un composant de grande taille

Quand vous devez importer un composant de grande taille, il est probable que vous soyez obligé de réaliser quelques ajustements manuels afin de l'utiliser correctement dans votre schéma. Si vous avez choisi une représentation des broches sur 4 côtés, il y aura beaucoup d'espace perdu au milieu; alors qu'une représentation sur 2 côtés risque de ne pas être contenu dans la feuille du schéma. Vos options sont les suivantes:

  • Augmenter la taille de la feuille pour l'ajuster au composant.
  • Décomposer votre composant (clic droit, puis sélectionner 'décomposer' dans le menu BIBLIOTHEQUE), puis ajuster la taille du corps du composant ou récréez-le comme composant 'multi-éléments'.


Projets sans hiérarchie

PROJETS SANS HIERARCHIE

Commandes du menu PROJET

ISIS accepte les projets multi-feuilles et conserve toutes les feuilles du projet dans un seul fichier. Trois commandes du menu PROJET donnent accès à la gestion des feuilles:

  • Nouvelle feuille - crée une nouvelle feuille racine et la charge.
  • Feuille précédente – change la feuille courante par la feuille précédente du même projet.
  • Feuille suivante – change la feuille courante par la feuille suivante du même projet.
  • Supprimer feuille – supprime la feuille courante. Vous ne pouvez supprimer que des feuilles racines, sans pouvoir supprimer la dernière feuille racine.

Les deux commandes – ‘Aller à la feuille racine ou sous-feuille précédente’ et ‘Aller à la feuille racine ou sous-feuille suivante’, ne sont pas présentes dans le menu mais des raccourcis clavier peuvent leur être associés grâce à la commande ‘Définir raccourcis clavier’ du menu SYSTEME (par défaut PGUP et PGDOWN). Ces commandes permettent de parcourir toute la hiérarchie du projet.

L’explorateur de projet peut également être utilisé pour se rendre sur une feuille particulière (ou sur un lien, ou sur un composant). Toutes les feuilles d’un projet sont également listées dans la partie inférieure du menu PROJET.

Les titres de la commande ‘Aller à la feuille’ sont ceux de la boite de dialogue d’édition des propriétés de la feuille ou du nom de feuille lorsqu’aucun titre n’a été fourni.

Boite de dialogue d’édition des propriétés.

Les noms des feuilles attribués aux feuilles déterminent aussi leur ordre dans le projet - c'est à dire l'ordre d'impression. Les nouvelles feuilles racines commencent avec les noms ROOT10, ROOT20 etc.; ceci vous donne de la place pour insérer la feuille ROOT15 ou le nom qui vous convient, si vous voulez intercaler une feuille.


Projets avec hiérarchie

PROJETS AVEC HIERARCHIE

Introduction

Un projet hiérarchisé se compose de deux niveaux de feuilles ou plus. Le niveau le plus élevé sera vraisemblablement un diagramme d'ensemble montrant la répartition du projet et chaque bloc aura une sous-feuille qui détaillera une section de projet. Selon la complexité du projet, ces sous-feuilles peuvent contenir d'autres blocs ou modules; ISIS n'impose aucune limite à la profondeur de la hiérarchie, bien qu'il soit probable que vous fassiez quelque chose de très bizarre, s'il vous faut plus d'une demi-douzaine de niveaux.

Un deuxième emploi de la hiérarchie concerne la duplication d'une partie de projet - un exemple simple serait un ampli stéréo avec deux canaux mono et une alimentation commune. Rien ne vous empêche de dessiner un seul canal, de l'exporter vers un fichier section SEC, et ensuite de l'importer dans une seconde feuille. Cependant si vous souhaitez alors modifier le circuit mono - même s'il ne s'agit que d'un changement mineur - vous allez être obligé de modifier les deux canaux. Quand cela concerne plus de 2 copies d'un circuit, cela peut impliquer beaucoup de tracas. Avec une approche hiérarchique, vous avez deux modules, appelés GAUCHE et DROITE, mais chacun étant associé au même circuit. Naturellement, vous devez avoir des références différentes pour le même composant dans chaque instance de l'ampli mono, et ceci est géré au moyen de l'annotation globale.

Dans ISIS, la hiérarchie facilite aussi la création et l'emploi de circuits paramétrés, et cet emploi est important quand on met au point des modèles de simulation pour VSM. Le premier sujet est présenté dans CIRCUITS PARAMETRES tandis que le second est traité dans le manuel VSM.

Terminologie

Avant d'aller plus loin nous devons définir quelques vocables.

Circuit

Un circuit est une collection de composants, d'objets divers et, généralement, du câblage associé. Par exemple, nous pouvons parler du circuit amplificateur mono.

Feuille

Une feuille est une instance de circuit et possède un jeu unique de données d'annotations qui sont cadrées sur les composants du circuit. Quand une feuille est reliée à un module dans le niveau immédiatement supérieur - la feuille parent - nous pouvons l'appeler feuille enfant ou sous-feuille ('sub-sheet', child-sheet'). Nous pouvons donc dire que les canaux droit et gauche de notre amplificateur sont dessinés sur les sous-feuilles droite et gauche. Les feuilles qui se trouvent au niveau supérieur sont appelées feuilles racines ('root sheets’).

Module

Un module est un objet qui possède une sous-feuille associée. Il existe deux types de module: les sous circuits (sub-circuits) et les composants module (module-components).

Propriété de feuille

C'est une affectation de propriété liée à une feuille particulière, et qui peut être utilisée dans des expressions de propriétés pour n'importe quel objet de la feuille. En projet hiérarchisé, toutes les propriétés utilisateur du module parent deviennent des propriétés de feuille pour la feuille enfant.

Circuit paramétré

C'est un circuit dans lequel une ou plusieurs valeurs de composants, ou d'autres propriétés d'objet, sont données sous forme d'expression de propriété impliquant une ou plusieurs propriétés de feuille. Etant donné que ces propriétés de feuille peuvent être spécifiées dans le module parent (que ce soit un sous-circuit ou un composant module), il s'ensuit que le circuit lui-même peut avoir différentes valeurs de composants ou de propriétés, d'une instance à l'autre. Les circuits de filtrage sont des applications typiques dans lesquelles quelques valeurs de résistances et de condensateurs sont différentes pour chaque instance.

Sous-Circuits

L'édition d'un sous circuit par les moyens habituels vous permet d'entrer une référence, un nom de circuit, et, peut-être, quelques propriétés utilisateur qui deviennent des propriétés de feuille sur la feuille enfant. La référence serait GAUCHE et DROITE dans l'exemple de notre amplificateur et le nom du circuit serait AMP.

Les connexions entre la feuille parent et la sous-feuille sont assurées par des ports de module portant des noms identiques sur les bords droit et gauche du sous-circuit, et par des terminaux sur la feuille enfant.

Les sous circuits sont extrêmement utiles dans les cas où l'interface entre les feuilles parents et enfants n'est pas claire dès le départ - vous pouvez facilement ajouter ou enlever des ports et des terminaux.

Pour établir une hiérarchie avec un sous-circuit:

  1. Sélectionnez l’icône Sous-circuit et étirez un rectangle pour le corps du sous circuit avec le bouton gauche de la souris. Cliquez une seconde fois sur le bouton gauche de la souris pour le placement.

  2. A partir du sélecteur d'objets, choisissez et placez les types appropriés de ports de module, sur les cotés droit et gauche du corps du sous-circuit. Il vous faudra seulement un port pour chaque interconnexion entre les feuilles parents et enfants. Par convention, on met, en général, les entrées sur la gauche et les sorties sur la droite.

  3. Attribuez les noms aux ports de modules soit directement, soit en utilisant l’Outil d’affectation de propriété. Ces noms doivent correspondre aux terminaux logiques que vous placerez sur la feuille enfant.
  4. Editez le sous-circuit et donnez lui un nom d'instance (GAUCHE par exemple) et un nom de circuit (AMP par exemple). Plusieurs sous-circuits peuvent partager le même nom de circuit, mais sur une feuille donnée, il ne doit exister qu'un seul nom d'instance.

  5. Pour charger la feuille enfant, utilisez l’explorateur de projet ou pointez sur le sous-circuit avec le raccourci ‘Zoom vers enfant’ (CTRL+C par défaut). A moins d’avoir choisi un nom de circuit qui existe déjà, vous devriez obtenir une feuille vierge.
  6. Validez l’icône Terminal et placez les terminaux en correspondance avec les ports de module du sous-circuit.

  7. A nouveau, soit directement, soit par l’intermédiaire de l’outil d’affectation des propriétés, annotez-les pour que les noms correspondent à ceux des ports de module. Un avertissement du compilateur de netlist signalera tout port de module qui ne possède pas de terminal associé.

  8. Dessinez le circuit enfant, en le connectant là où il convient, aux terminaux.

Composants modules

N'importe quel composant ordinaire peut être transformé en module en cochant la case ‘Attacher module hiérarchique’ du formulaire d'édition du composant. La valeur du composant est censée être le nom du circuit associé, et la référence du composant sert de nom d’instance.

La case à cocher attache une hiérarchie module au composant

La connexion entre le parent et l’enfant est effectuée en mettant, sur l'enfant, des terminaux qui correspondent aux noms de pins du composant module du parent. Ceci fonctionne aussi pour les broches d'alimentation cachées, bien que sans intérêt si l'on a coché la case ‘Liens d'alimentation globaux’ lors de l’appel de la commande Editer les propriétés du projet.

Les composants modules sont très commodes pour gérer des composants qui doivent être détaillés pour la simulation, mais conservés à l'état de composants pour la conception du circuit-imprimé. Le contrôle ‘Profondeur’ de la commande Générateur de netlist Générateur de netlist offre le moyen de contrôler ce qui se passe (Profondeur).

Pour établir une hiérarchie avec un composant module:

  1. Choisissez et placez le composant comme d'habitude.

  2. Faites apparaître le formulaire d'édition du composant relatif au composant (double-clic sur le composant ou clic-droit et choisir la commande ‘Editer propriétés’ du menu contextuel), et cochez la case ‘Attacher module hiérarchique’. Assurez-vous aussi que la référence et la valeur de composant conviennent comme nom d'instance et de circuit. En général, le composant module sera un CI, donc sa valeur aura un sens comme nom de circuit relié.

  3. Pour charger la feuille enfant, utilisez l’explorateur de projet ou pointez sur le sous-circuit avec le raccourci ‘Zoom vers enfant’ (CTRL+C par défaut). ISIS chargera alors la feuille enfant. A moins d’avoir choisi un nom de circuit qui existe déjà, vous devriez obtenir une feuille vierge.

  4. Sélectionnez l’icône Terminal placez les terminaux correspondants aux broches du composant parent.

  5. Soit directement, soit avec l’Outil d’affectation de propriétés, annotez les terminaux pour que leurs noms correspondent aux noms des broches du composant. Lorsqu'il n'est pas connu et qu'il n'apparaît pas sur l'écran, le nom d’une broche peut être retrouvé en pointant sur l'extrémité de la patte et en tapant CTRL+E. Un avertissement de compilateur de netlist est émis pour une broche dont le nom ne correspond pas à un terminal.

  6. Tracez le circuit de la feuille enfant, en le connectant aux terminaux comme il convient.

Modules externes

Après avoir créé un composant module et sa feuille enfant, il est possible de le sauvegarder à l’extérieur du projet, afin de l’utiliser dans d’autres projets. De plus, vos pouvez modifier la bibliothèque du composant parent afin que toute nouvelle instance placée soit automatiquement liée au module enfant.

Pour valider un module externe ainsi que sa représentation en bibliothèque:

1. Validez la hiérarchie du composant module comme décrit précédemment.

2. Placez-vous sur la feuille enfant et appelez la commande 'Editer propriétés de feuille' du menu PROJET, puis cochez la case Fichier MOD externe. Ceci créera un fichier MOD de même nom que l’élément en bibliothèque associé au composant parent.

Le fichier sera créé dans le même dossier que le fichier projet.

3. Revenez sur la feuille parent, sélectionnez le composant parent et appelez la commande 'Créer composant'.

4. Entrez le nom du fichier module dans le champ 'Module externe’.

5. Cliquez sur Suivant jusqu’à la page Bibliothèque, puis cliquez sur Ok pour sauvegarder le composant en bibliothèque.

A partir de cette opération, le placement d’une nouvelle instance du composant attachera automatiquement le fichier MOD.

Se déplacer dans la hiérarchie du projet

Il est possible de se déplacer dans la hiérarchie de plusieurs manières:

Utilisez l’Explorateur de projet. Ceci affiche une fenêtre de navigation, comparable à l’explorateur de Windows, qui permet de parcourir les feuilles, les composants et les liens du projet.

Utilisez la commande 'Aller à la feuille' dans le menu PROJET.

Les commandes 'Feuille précédente', 'Feuille suivante' et 'Retour vers parent' permettent de parcourir les feuilles de la hiérarchie. De plus, vous pouvez cliquer droite sur le feuille parent et validez la commande 'Aller à la feuille enfant' du menu contextuel.

Se rendre à la feuille enfant via le menu contextuel du sous-circuit parent.

Si vous zoomez sur un module qui ne possède pas encore de nom de circuit, un nom interne sera automatiquement généré. Vous pourrez éditer le circuit ultérieurement, mais cela aura pour effet de détacher l’ancien circuit du module plutôt que de renommer le circuit. Tout circuit orphelin ainsi créé sera conservé dans le projet, pourra être supprimé via la commande ‘Nettoyer’ du menu EDITION.

Annotation globale de projet

Quand plusieurs objets sous-circuits partagent le même nom de circuit, vous vous apercevrez que les éditions effectuées sur l'un d'entre eux se répercutent sur les autres. Il s'ensuit que vous ne devez tracer qu'un exemplaire de chaque type de circuit à la fois. Cependant, chaque instance possède son propre jeu de références de composants pour les objets du circuit. Ceci, bien sûr, est fondamental pour un projet de CI, où chaque instance référence des composants physiques distincts pour sa fabrication. L'annotateur automatique gère cette annotation globale de schéma sans faille, et il vous faut seulement avoir conscience que le changement d'une référence de composant sur une sous-feuille n'affecte pas les références sur d'autres exemplaires du circuit. On peut invalider cette caractéristique – voir Feuilles non physiques ci-dessous.

Feuilles non-physiques

Dans des applications où il y a de nombreuses instances d'un circuit, il est préférable que toutes les instances aient la même annotation. Si l'on produit une netlist à plat, les parties équivalentes de chaque instance doivent être différenciées, ce que permet la notion de feuilles non-physiques. Dans notre ampli, le nom de chaque canal serait GAUCHE_U1 et DROITE_U1, ces noms étant produits par la concaténation du nom de feuille (pas le titre de feuille) du module parent, le caractère souligné et la référence de l'élément.

L'appellation hiérarchique des éléments s’obtient par la commande ‘Editer les propriétés de la feuille’, après avoir chargé la feuille appropriée. Cochez la case ‘Feuille non physique’ pour affecter des noms aux composants afin qu’ils soient locaux à une feuille particulière.

Indiquer une feuille non-physique dans ISIS

Cette fonctionnalité est certainement peu utile si votre but final est de produire un circuit imprimé, mais cela peut se révéler pratique pour une simulation ou lorsqu’un module représente une carte enfant.

Les noms de liens sur les sous-feuilles reçoivent toujours un préfixe de cette façon, sauf si ce sont des liens d'alimentation, et que l'option ‘Lien d'alimentation global’ de la commande ‘Editer les propriétés du projet’ soit cochée. Ceci signifie que les noms des liens de sous-feuilles sont ‘locaux’: ceci est essentiel quand on utilise plusieurs exemplaires du même circuit.


GENERATION DE LA NETLIST

Introduction

Un projet schématique contient deux types d'information : des informations graphiques et des informations électriques. Le processus de génération d'une netlist consiste en l'extraction des données électriques et dans la réecriture de ces données afin qu'elles puissent être lues par d'autres programmes de CAD. Malheureusement, il existe autant de standards de fichiers de netlist que de vendeurs. Dans ces circonstances, seule la commission des standards internationaux ou un vendeur de poids peut changer la donne. La première a mis en place le format EDIF qui est cependant trop complexe pour être exploitable et aucun vendeur n'est devenu assez important pour imposer de facto son standard. Ainsi, comme beaucoup d'autres, nous avons décidé d'utiliser notre propre format et fournissons également la possibilité de le convertir dans les autres formats les plus couramment utilisés.

Notre format de netlist se nomme SDF pour 'Schematic Description Format' ou Format de Description de Schéma . Le format SDF a été pensé pour être compact, lisible et excptionnelement facile à traiter. SDF est également un format libre de droit - les spécificiations techniques seront fourniezs à qui le demande.

Voir également

ISIS et ARES


NOMS DE LIENS

Généralités

Qu'est qu'une netlist? Une netlist est une liste de liens; avant que vous ne le demandiez, un lien est un groupe de broches qui sont connectées ensemble. Dans ISIS, une broche est définie par la référence du composant auquel il appartient, son type (déterminé au moment de la création du composant) et le nom ou le numéro de la broche.

Un lien peut également être nommé et l'une des actions du compilateur de netlist sera de fusionner tous les liens qui ont le même nom. Les connexions entre les groupes de broches peuvent donc être indiquées sans avoir à dessiner les fils entre eux. Cette action est utile pour éviter l'encombrement sur une feuille; c'est un élément essentiel pour spécifier les connexions entre feuilles dans un schéma multi-feuilles. Un nom sera engendré pour être associé avec un lien:

  • En attachant un label de fil à n'importe quel fil d'un lien - le lien tient son nom du label de fil.

  • Connecté à un terminal logique, le lien tient son nom du terminal.

Si plusieurs fils arrivent avec des noms différents, le lien prend alors en compte tous les noms et fusionnera avec les autres réseaux, quelque soit leur nom. La netlist SDF finale choisira un nom pour le lien et un plan de priorité basé sur les types de donateurs de noms est utilisé pour le choisir - l'ordre décroissant de priorité est le suivant:

  • Plans d'alimentation (comme définis dans la configuration du réseau d'alimentation)

  • Terminaux d'alimentation & Broches d'alimentation cachées (voir ci-dessous)

  • Terminaux Bi-Directionaux

  • Terminaux de sortie

  • Terminaux d'entrée

  • Terminaux génériques

  • Entrées de Bus & Labels de fils

Cas spécial, les terminaux d'alimentation sans nom sont nommés VCC et les terminaux de terre sont nommés GND.

Les noms de liens peuvent contenir des caractères alphanumériques plus le signe moins ('-') et l'underscore ('_'). Les espaces peuvent être utilisés dans l'environnement PROTEUS, mais ils peuvent causer des problèmes avec les autres logiciels. Le point d'exclamation ('!') et l'astérix ('*') prennent des significations spéciales que nous verrons plus tard dans cette documentation. La comparaison de noms de liens est sensible à la casse.


DUPLIQUER LES NOMS DE BROCHES

Si un élément d'un composant possède plus d'une broche avec le même nom, ces broches seront considérées comme interconnectées en interne. Par exemple, dans la simulaton du circuit ci-dessous, l'ampoule sera allumée car les deux broches X sont considérées comme connectées entre elles.

Connecteur et circuit d'une lampe

Typiquement, cela est approprié pour les composants qui ont une alimentation multiple ou des broches de terre, mais cela peut être également pratique pour dessiner des schémas de matrices raccordées comme un commutateur de clavier ou un tableau led.


Broches d'alimentation cachées

BROCHES D'ALIMENTATION CACHEES

Introduction

La plupart des circuits intégrés dans la bibliothèque de composants comportent des broches d'alimentation cachées. Quand le générateur de netlist en rencontre, il crée alors un nouveau lien et lui assigne le nom de la broche cachée. Un 7400 génèrera ainsi deux liens d'alimentation - VCC pour la broche 14 et GND pour la broche 7. Une fois que tous les liens du même nom ont fusionné, toutes les broches du même noms seront connectées ensemble.

Connexion à une broche d'alimentation cachée

Vous pouvez vous connecter à ces liens en plaçant des objets "donneur de nom" (comme des terminaux logiques) avec le même nom, puis en les connectant à eux. Par exemple, pour connecter une résistance à VCC, vous pourrez placer un terminal d'alimentation sans nom (qui prendra automatiquement le nom 'VCC'), puis le relier à la terminaison de la résistance appropriée.

Connecter les broches cachées aux différents liens

Dans certains cas, vous pouvez vouloir cacher les broches d'alimentation pour connecter différents liens à partir du nom d'une broche. Cela est possible en ajoutant des des propriétés d'utilisateur convenablement nommées aux composants qui comportent les broches d'alimentation cachées. Par exemple, si ces broches se rattachent à un 7400, la propriété

VCC = VCC1

forcera la broche 14 à se connecter au VCC1. Notez que dans le cas d'un composant multi-éléments comme le 7400, vous devez ajouter la propriété à tous les autres éléments.

Vous pouvez visualiser et éditer les noms de liens donnés aux broches d'alimentation d'une composant en cliquant sur le bouton "Broches d'alimentation" dans la boite de dialoque d'édition des composant.

Notez que si vous avez placé plusieurs broches avec le même nom et que seules certaines d'entre elles sont cachées, alors elles seront toutes connectées ensemble, mais aucun nom de lien ne sera généré. A la place, elles seront connectées au fil relié aux broches visibles.

Déterminer quels liens d'alimentations ont été crées

Si votre schéma contient des composants avec des broches d'alimentation cachées, il n'apparaîtra pas immédiatement clairement que des liens d'alimentation ont été crées; et plus important, que ces liens ont été crées vers les liens des rails d'alimentation actuels du schéma.

Heureusement, ISIS détectera chaque lien d'alimentation qui n'a pas été connecté à une chemin d'alimentation et listera chaque lien "nu" comme une erreur au cours de la compilation de netlist. Vous pouvez utiliser la boite de dialogue de configuration des chemins d'alimentation pour spécifier les brochages appropriés.

Voir également Configuration des rails d'alimentation


Syntaxe des noms de liens spéciaux

SYNTAXES DES NOMS DE LIENS SPECIAUX

Liens globaux

Dans un schéma hiérarchisé, il est parfois utile d’établir une connexion entre une feuille-enfant et une autre feuille (racine ou enfant), sans avoir à remonter ou descendre toute la hiérarchie. Typiquement, ceci apparaît quand on met au point un projet avec VSM, ou lorsqu'on utilise des signaux, comme les signaux d'horloge, qui sont communs au projet. Dans les deux cas, ISIS reconnaît le point d'exclamation (!) au début d'un nom de lien comme définissant un lien global. Donc, un terminal dont le label est !CLK sera considéré comme reliée à tous les autres terminaux !CLK, ainsi qu'aux terminaux CLK des feuilles racines.

Cette opération n'est pas nécessaire pour les liens d'alimentation à moins que vous n'ayez désélectionner l'option "Liens d'alimentation globaux" dans la boite de dialogue Edition des propriété du projet.

Les terminaux d'alimentation et de terre sans nom sont nommé de facto !VCC et !GND et sont considérés comme globaux sauf s'ils sont marqués.

Connexions inter-Eléments pour composants multi-Eléments

Cette fonctionnalité sert spécifiquement pour résoudre un problème au moment de la création des modèles VSM. Cependant, nous allons vous expliqué son fonctionnement.

Considérons un modèle pour un double 1458 op-amp. Il nous faut ici deux composants; ceux-ci ont les mêmes connexions d'alimentations. Cependant, seul le composant 1458 a des broches d'alimentation dessinées sur le op-amp A. Comment alors spécifier les connexions d'alimentation pour le op-amp B?

Nous résolvons ce problème en déclarant que le nom du lien terminal *V+ sur une feuille-enfant spécifie une inter-connexion entre les liens sur toutes les feuilles-enfants rattachés au même composant parent et entre ces liens et les broches V+ des composants parents. Le caractère astérix ('*') déclenche ce mécanisme.


Règles de connectivité des bus

REGLES DE CONNECTIVITE DES BUS

La règle d'alignement de base

ISIS prend en charge les broches de bus et les connexions entre des broches de bus. Cette fonctionnalité est intuitive, mais il est nécessaire de comprendre le comportement d’ISIS dans des cas subtils qui peuvent se présenter.

Dans le compilateur de netlist, toutes les entités de bus (broches, terminaux, ports de module) reçoivent une largeur de bus. Ceci est géré par le compilateur en termes de base et de largeur, ainsi le bus D[0..7] possède une base 0 et une largeur de 8.

La notion fondamentale pour la connectivité des bus dans ISIS est que toutes les entités sur un bus (excepté les labels de bus autour d'un point de jonction) sont reliées en relation avec leur base. Ceci signifie, par exemple, que si 2 broches de bus D[0..3] et Q[4..7] sont reliées par un fil de bus sans label, D0 sera relié à Q4, D1 à Q5, et ainsi de suite.

La règle d'alignement de base s'applique, même si les broches de bus que l'on connecte sont des portions différentes du même bus. Par exemple, le diagramme ci-dessous sera interprété comme constituant un bus de 4 bits qui relie Q0 - Q4 à D0 - D4, et Q1- Q5 à D1 - D5, et ainsi de suite.

Bus 4 bits avec la règle d'alignement de base

Si ce n'est pas ce qui est souhaité, alors vous devez utiliser des labels de bus pour la connectivité requise, comme expliqué dans le paragraphe suivant.

Utiliser des labels de Bus pour changer les règles de connectivité

La règle d'alignement de base tolère une seule exception, quand certaines sections de bus sélectionnées sont combinées avec un point de jonction de bus. Dans ce cas, les sections de bus sont combinées sur la base de bits.

L'exemple suivant montre comment certaines broches de bus peuvent être connectées en se croisant en utilisant des labels de bus:

Connexion en croisement de bus

Dans le cas présent, Q0 est connectée à D4, Q1 à D5, Q4 à D0, Q5 à D1, etc. Il vaut la peine de souligner ici que le choix des noms pour les labels de bus est complètement deconnecté du nom des broches de bus - vous pourriez utiliser D[0..3] etc., et que cela ne ait aucune différence en matière de connectivité.

Il faut également souligner que la règle d'alignement de base s'applique toujours, sauf aux labels de bus à un point de jonction de façon à ce que la connexion entre Q[0..3] et X[4..7] connecte Q0 à X4 et ainsi de suite.

Utiliser des terminaux de Bus pour interconnecter des bus

Comme avec les fils ordinaires, il est possible de connecter des sections de bus sans dessiner les fils de bus. Pour cela, il est nécessaire d'utiliser des labels de bus et/ou des terminaux de bus, comme montré ci-dessous:

Terminaux des bus

Si vous oubliez de spécifier la largeur d'un terminal ou d’un label de bus, il prendra la largeur de la section de bus à laquelle il est relié. La largeur de bus est déterminée de la façon suivante:

  • S'il existe des labels de bus dans la section, alors ils sont combinés sur une base de bits semblables, de sorte que la rencontre de X[0..3] et X[4..7] sur une jonction, crée une largeur de X[0..7]. La rencontre de X[4..7] avec X[8..11] créerait une largeur combinée de X[4.. 11].
  • S'il n'y a pas de labels de bus dans une section, la base est 0 (étant donné que les broches sont toujours alignées sur la base), et l’étendue est celle de la broche la plus large. Pour exprimer les choses différemment, une section de bus sans label est toujours considérée comme ayant une base à 0, indépendamment des broches qui sont reliées.

Ce dernier point risque vraiment d'être un piège pour les étourdis! Considérons le diagramme ci-dessous:

Joindre des broches de bus ensemble

Étant donné que les terminaux X ont tous une largeur de X[0..3], le diagramme connecte la totalité des quatre broches de bus sur un bus 4 bits au lieu de créer un bus 8 bits entre Q et D. La morale de cette histoire est qu'il faut utiliser des labels de bus avec une étendue explicite dans tous les cas, sauf les plus simples (mais toujours si vous avez des doutes).

Notez qu'une section isolée de bus sans broches de bus, dans laquelle aucun des labels ou des terminaux ne précise de largeur de bus, n'est pas autorisée, car ISIS ne peut pas déterminer les noms et les numéros des bits individuels à interconnecter. A la place, vous devez utiliser une méthode comparable à celle indiquée ci-dessous:

Si vous ne le faites pas, le compilateur de netlist générera une erreur.

Connexions à des extrémités de bus individuelles

Dans la plupart des circuits, même ceux où tous les circuits intégrés importants utilisent des broches de bus, il est nécessaire de se relier à des bits individuels. Pour ce faire, vous devez connaître les noms des liens qu’ISIS crée quand il rencontre un label de bus ou un terminal. Vous avez compris maintenant que lorsque le compilateur de netlist rencontre un terminal logique ordinaire (Logical Terminal), ou un label de fil (Wire Label), l'objet donne un nom de lien au lien partiel. Tous les liens partiels qui ont un ou plusieurs noms de lien en commun sont considérés comme reliés.

Quand un label ou un terminal de bus est rencontré, il génère un jeu de noms de liens qui est attribué aux liens partiels de chaque bit du bus. Le label de bus D[0..7] génère les noms de liens D0, D1, ...D7.

Dans le circuit ci-dessous, la porte NAND et le 74154 sont reliés à Q[0..3] par ce mécanisme.

Plusieurs choses sont à noter dans cet exemple:

  • Les connexions aux extrémités des bus peuvent être faites sans avoir à dessiner un fil jusqu'au bus. Le label de bus Q[0..3] donne à l'extrémité du bus le nom de liens Q0-Q3;il peut alors être mentionné et connecté de façon habituelle.

  • le label de bus Q[0..3] est obligatoire.

  • En fait, la jonction entre un fil et un bus n'a aucune signification

  • Dans le circuit ci-dessus, vous pouvez juste marquer le bus comme Q, la broche de bus [0..3] donnant les informations de gamme.

Décomposer un bus de grande taille

Une situation assez fréquente liée à l'utilisation de bus est le besoin de fragmenter un grand bus en plusieurs petits bus qui se connectent par exemple sur des puces de 4 ou 8 bits.

Ici la sortie Q sur 8 bits de BUSBOX8 est divisée en 2 bus de 4 bits qui sont ensuite envoyés sur les modules 4_BIT_WOTSIT (sous-circuits). La règle d'alignement de base s'applique à la connexion de X[4..7] vers C[0..3] pour donner le résultat désiré. L'étiquette X[0..7] est superflue dans ce cas, mais cela ne fait pas de mal d'être explicite.

Le schéma montre aussi comment combiner la connectivité avec la notion de projet hiérarchisé pour offrir un mécanisme excessivement puissant de représentation des dispositifs. Les ports de module se comportent comme des broches pour exprimer la connectivité des bus.

Quelques exemples simples

Le premier exemple est une simple connexion entre A et B. Elle connecte A[0] à B[0], A[1] à B[1] etc. Le bus ne nécessite pas de label.

Dans l'exemple suivant, le bus n'est pas non plus marqué. Le bus n'a pas automatiquement besoin d'un nom (Sera-t-il A[0..3] ou B[0..3] ?), ainsi la résistance n'est pas connecté au bus. C'est une erreur fréquente - souvenez-vous que le bus lui-même doit être marqué!

A la place, nous voudrions le schéma ci-dessous. Dans ce cas, le bus est marqué X[4..7]; ainsi A[0] connecté à [X4] est connecté à B[0], A[1] connecté à X[5] est connecté à B[1] etc. La résistance est connectée à X4 et aussi à A0 et B0.

L'exemple ci-dessous connecte A[0] à B[0] à C[3], A[1] à B[1] à C[4], etc. (souvenez-vous de la règle d'alignement de base). C[7] à C[10] ne sont pas connectés et là encore aucun label de bus n'est requis.

Le dernier exemple est un peu plus poussé.

Il se connecte comme suivant :

A[0] à B[0] à C[3] à Z10

A[1] à B[1] à C[4] à Z11

A[2] à B[2] à C[5] à Z12

A[3] à B[3] à C[6] à Z13

C[7] à Z14

C[8] à Z15

C[9] à Z16

C[10] à Z17

La résistance R2 est connectée à Z10 et aussi à A[0], B[0] et C[3].

La résistance R1 est connectée à un terminal marqué Z17 et aussi au lien Z17 qui est C[10] sur le composant U12.

Commentaires généraux et avertissement

Les précédentes sections décrivaient le comportement des broches et labels de bus dans les contextes que nous prévoyions d'utiliser. D'autres façons de faire sont clairement possible ; ce qui importe, c'est que nos explications vous aient permis de comprendre comment fonctionnent les broches de bus.

Cependant, si vous avez un doute sur le résultat des connexions de votre dessin, nous vous recommandons fortement de contrôler la netlist résultante avec l'explorateur de schéma pour vérifier vos connexions.

Cela dit, pour ne pas vous tromper, vous devez surtout retenir les deux points suivants:

  • La règle d'alignement basique s'applique toujours, sauf dans le cas où les section de bus marqués fusionnent enà un point de jonction.

  • Les labels de terminaux de bus non déterminé ne doivent être utilisés que dans certains cas; un terminal de bus non marqué ou un port prendra 0 comme base si il n'y a pas d'autres labels de bus dans la section bus.


CONFIGURATION DU CHEMIN D'ALIMENTATION

Introduction

ISIS fournit une boite de dialogue spécifique pour visualiser et/ou modifier la connectivité des rails d'alimentation sur le schéma. Cela vous permet de créer un ou plusieurs rails d'alimentation, puis de spécifier les liens entre ces rails d'alimentation et ceux déjà présents. Cette fonctionnalité est particulièrement utile pour manipuler les schémas dans lesquels il y a des composants avec des broches cachées ou pour déterminer avec exactitude quels liens d'alimentation sont sur le schéma, puis de spécifier les interconnexions entre eux.

Chaque rail d'alimentation est associé à un voltage qui est utilisé durant la simulation; une classe de routage détermine les règles de conception du schéma qui seront utilisées pour tous les liens reliés à un rail d'alimentation.

Boite de dialogue

La boite de dialogue de configuration des rails d'alimentation est divisée en deux parties. La partie du haut permet de sélectionner les rails d'alimentation; la section du dessous vous permet de visualiser et de manipuler les liens d'alimentation qui sont attachés à chaque rail d'alimentation. Dans le cas d'un schéma correctement configuré, il ne devrait y avoir aucun liens d'alimentation sans connexion.

Une aide est fournie pour les commandes individuelles.

Boite de dialogue de configuration des rails d'alimentation

Relier les chemins d'alimentation et les règles de connectivité

Lorsque plus d'un lien est relié à un rail d'alimentation, ces liens seront alors traités comme interconnectés pour la simulation et le PCB. La boite de dialogue de configuration des rails d'alimentation fournit ainsi un moyen de spécifier les interconnections entre les liens d'alimentation qui ont été créés par les broches d'alimentation cachées des composants TTL, CMOS logic ICs et NMOS. En particulier, certains composants possèdent des broches VCC/GND et plusieurs ont également des broches VDD/VSS, et il est commun d'avoir besoin d'une interconnexion entre VCC/VDD et VSS/GND.

Notes

  • Si vous nommez un lien avec le même nom qu'une alimentation, il sera lié à cette alimentation. Par exemple, si vous créez une alimentation nommée CHASSIS, puis nommez également un lien CHASSIS, celui-ci sera automatiquement relié à l'alimentation CHASSIS.

  • Un terminal d'alimentation avec un certaine tension (+<num> or - <num>) créera automatiquement un alimentation avec la même tension. Pour éviter toute ambiguïté, le préfixe est requis.

Configuration des rails d'alimentation par défaut

Pour faire simple pour les nouveaux utilisateurs, ISIS fournit une configuration des rails d'alimentation par défaut. Elle est spécifié dans le dossier PWRRAILS.INI, comme montré ci-dessous:

Rail d'alimentation | VOLTAGE | Attaches de liens | STRATEGIE
VCC/VDD | +5.0 | VCC/VDD | POWER
VEE | -5.0 | VEE | POWER
GND | 0 | GND, VSS | POWER

Quand vous créez un nouveau schéma, ces règles s'appliquent automatiquement. Notez également que les rails d'alimentation par défaut et les attaches associées ne peuvent pas être renommés ou supprimés si vous ne décochez pas la case des connexions des rails d'alimentation par défaut dans la boite de dialogue de configuration.

Notez que le plan d'alimentation GND ne peut jamais être renommé ou supprimé et que son voltage est fixé à 0V. Vous pouvez cependant éditer la classe de routage.

Relier des rails d'alimentation sur le schéma

Spécification des rails d'alimentation sur le schéma

Vous pouvez spécifier les attaches des rails d'alimentation sur le schéma. Les rails d'alimentation sur le schéma sont créés en plaçant des terminaux d'alimentation avec des labels tels que +5V ou -12V.

Les rails d'alimentation créés de cette façon ne peuvent pas être renommés ou supprimés à partir de la boite de dialogue et le voltage ne peut pas être changé non plus. Vous pouvez cependant toujours éditer la classe de routage. Notez aussi que les terminaux d'alimentation de ce type créent à la fois un rail d'alimentation et un lien d'alimentation et vous pourrez également voir une attache entre le lien +5V et le rail +5V par exemple.

Attaches d'un chemin d'alimentation

Vous pouvez également spécifier les attaches de liens sur le schéma. Par exemple, si vous voulez connecter VCC et VDD à +5V sur le schéma, il vous faudra dessiner le fil qui interconnecte les terminaux logiques marqués +5V, VCC et VDD.

Projets anciens

Les projets créés avec des versions d'ISIS antérieures à la 6.6 ne contiendront pas de données de configuration des chemins d'alimentation et lanceront donc l'option de connexion par défaut des rails d'alimentation.

Pour avoir les caractéristiques de configuration des chemins d'alimentation pour vos anciens projets, allez dans la boite de dialogue de configuration des rails d'alimentation, puis cliquez sur la case 'Utiliser par défaut'. Ces caractéristiques seront disponibles et vous devrez alors vous assurer que tous les liens d'alimentation sont reliés à un rail d'alimentation.


Générer un fichier de netlist

GENERER UN FICHIER DE NETLIST

Introduction

La commande de compilation de Netlist fait d'abord apparaître la boite de dialoque de compilation de Netlist, puis un sélecteur de fichiers à partir duquel vous pourrez choisir un nom de fichier pour la netlist. Dans la plupart des cas, les actions par défaut suffiront, elles provoquent la génération d'une netlist physique d'un seul niveau au format SDF pour toutes les feuilles du projet. Les fonctions des différents contrôles sont les suivants:

Format

Une variété de format de netlist peuvent être générés - SDF est le format originel de Labcenter, les autres étant utilisés pour interfacer avec la partie 3D du logiciel. Quelques brèves informations sont fournies dans les formats de netlist et des notes d'application détaillées sur les packages sont également disponibles dans notre support technique. Comme la partie 3D du logiciel est sujette à des changement indépendant de notre contrôle, il est préferrable de s'en remettre aux notes d'application de dernières minutes plutôt que de s'en référer juste au manuel imprimé.

Netlist Logique/Netlist Physique/Transfert

Une netlist logique contient des noms de broches quand une netlist physique contient des numéros de broches. De façon plus subtile, dans une netlist physique, les éléments d'un composant multi-éléments, comme le composant 7400, seront regroupés (apparaissant par exemple comme U1) alors que dans une netlist logique, ils resteront séparés (apparaissant par exemple comme U1:A, U1:B, U1:C, U1:D. Une netlist logique sera généralement utilisée pour la simulation;une netlist physique est préférable pour le PCB.

Le mode "Transfert" est seulement utilisé pour les applications spécialisées d'ISIS; une documentation séparée est fournie pour cette option.

Visibilité

La visibilité par défaut prévaut pour le projet dans sa globalité. La visibilité peut être limitée à la feuille chargée. Ceci est généralement utilisé lorsque vous souhaitez extraire la netlist à partir d'une feuille-enfant - peut-être une carte fille qui a été représenté comme une couche dans ARES, mais qui est une partie d'un projet plus important nécessitant d'être simulé dans son ensemble. Il est également possible de créer un 'test jig virtuel' en ayant une feuille-maîtresse qui contient le circuit pour simuler les composants de la feuille-enfant.

Profondeur

Le mode par défaut applatit le projet. Dans ce cas, des objets avec des sous-feuilles seront replacés par leur mise en application. Si la netlist n'est pas applatie, alors leur remplacement n'aura pas lieu et des objets avec des sous-feuilles apparaîtront dans la partslist et la netlist.

La raison la plus commune pour ne pas applatir un projet est qu'il n'est pas possible de produire une netlist purement physique pour le PCB si plusieurs composants ont été attachés à des feuilles-enfant qui représentent leurs modèles de simulation. Notez que si vous voulez utiliser cette approche, vous ne pouvez pas avoir un projet hiérarchique - même si ISIS ne pourvoit pas aux besoins de l'applatissement sélectif! Cependant, avec VSM, cele n'est pas un problème puisque vous pouvez facilement lier des fichiers modèles externes au projet approprié, en utilisant les propriétés MODFILE. Pour plus d'information, lire le manuel VSM.

Erreurs

Plusieurs types d'erreurs peuvent intervenir quand une netlist est générée. Si des erreurs apparaissent, elle seront affichées dans le pop-up de la fenêtre d'affichage.

Les erreurs les plus communes sont:

  • Avoir plus d'un composant qui porte le même nom - chaque composant sur le schéma doit avoir une référence unique.

  • Attributions de propriétés contradictoires sur différents éléments d'un composants multi-éléments - par exemple U1:A détermine un package DIL14 mais U1:B détermine SO14.

  • Echec de la connexion entre des liens d'alimentation et un plan d'alimentation - cela arrive généralement quand vous avez des composants sur le schéma qui ont des broches d'alimentation cachées, et que vous n'avez pas spécifié à quel chemin d'alimentation elles se connectent. Pour résoudre cette erreur, veuillez vous référer au chapitre sur la boite de dialogue de configuration des chemins d'alimentation.


FORMATS DE NETLIST

SDF

"Schematic Description Format " (Format de Description de Schéma) - Le format Labcenter - Il est utilisé par VSM, ARES et autres modules Labcenter. Il est très facile à lire et à traiter sous d'autres formes. Il contient toutes les informations textuelles/de connectivité dans le fichier DSN.

Utiliser le mode Physique pour ARES.

BOARDMAKER

Format de Netlist pour Tsien Boardmaker II.

La propriété PACKAGE de l'utilisateur est utilisée pour le nom du package si le fichier est généré à partir de la boite de dialogue du compilateur de netlist. Si vous voulez utiliser un champ différent, vous devez invoquer le générateur de netlist à partir d'un fichier script.

Utilisez le mode physique.

EEDESIGNER

Format de Netlist EE Designer III.

Même commentaire sur le packaging que pour Boardmaker.

Utilisez le mode physique.

FUTURENET

Format de Netlist utilisé par les outils de design Dash. Il est également populaire pour les transferts de netlist.

Utilisez le mode physique pour la liste de broches et le mode Logique pour la liste de lien.

MULTIWIRE

Multiwire netlist format. Also used by EAGLE PCB design.

File format does not contain packaging data.

Use Physical mode.

RACAL

Format de Netlist RACAL. utilisé par RedBoard, CADSTAR etc.

Même commentaire sur le packaging que pour Boardmaker.

Deux fichiers sont crées avec des extensions CPT et NET.

Utilisez le mode physique.

SPICE

Format de Netlist SPICE, également idéal pour P-Spice.

Le lien de terre commencera à 0, les liens sans nom à 1000; le lien numérique sera directement alimenté. Le fichier SPICE.LXB peut être renommé en SPICE.LIB pour obtenir un ensemble de modèles SPICE compatibles.

Utilisez le mode Logique.

Ne pas utiliser ce format pour créer des modèles PROSPICE - utilisez plutôt le format de fichier de sortie MDF à partir du compilateur de modèle; celui-ci est beaucoup plus flexible.

SPICE-AGE FOR DOS

Format de Netlist SPICE-AGE.

Le fichier SPICEAGE.LXB peut être renommé en SPICEAGE.LIB pour obtenir un ensemble de modèles SPICE-AGE compatibles.

TANGO

Format de netlist Tango, égakement utilisé par Protel aet autres. Un format général plutôt bon.

Même commentaire sur le packaging que pour Boardmaker.

Utilisez le mode physique.

VALID

Format de Netlist VALID à utiliser pour les transfert de projets ISIS en package VALID.

Utilisez le mode Transfert.

VUTRAX

Format de Netlist à utiliser avec les projets PCB du logiciels VUTRAX.

Même commentaire sur le packaging que pour Boardmaker.


ASCII Data Import

IMPORT DE DONNEES ASCII

Introduction

Bien que ce thème soit éloigné de la création du rapport, nous allons en discuter ici, car il a une grande importance quand on l'analyse en conjonction avec la liste du matériel.

L'idée maîtresse de l'importation de données ASCII (Ascii Data Import' ADI) est que la majorité des données associées aux composants (telles que le coût des composants, les codes de stockage, les tolérances) resteront les mêmes pour chaque type de composant dans tous vos projets. ADI vous permet de spécifier des données pour les différents types de composants dans un simple fichier ASCII, et ensuite de l'importer dans un projet à l'aide d'une seule commande.

Le fichier source ADI peut être créé avec n'importe quel éditeur de texte ASCII, comme par exemple, Ultraedit ou Notepad. Ce fichier peut contenir un nombre illimité de commandes bien séparées entre elles. Chaque commande commence sur une nouvelle ligne avec son mot de commande, et se termine sur une nouvelle ligne avec le mot clé END. Il existe deux commandes ADI, la commande IF...END et la commande DATA...END.

L'interpréteur de l'outil ADI se lance en appelant la commande 'Import de données Ascii' du menu OUTILS, puis en sélectionnant un fichier ADI dans le sélecteur de fichiers. Les commandes contenues dans le fichier ADI sont alors chargées et pré-compilées. Chaque erreur sera automatiquement affichée. ISIS applique alors, à chaque composant du projet, les commandes du fichier ADI dans l'ordre d'apparition.

Voir également: Utiliser ADI pour indexer les bibliothèques

La commande IF...END

La commande IF... END vous permet de tester les propriétés existantes de chaque composant au moyen d'une expression et, si l'expression s'évalue à TRUE (vraie), alors les sous commandes contenues dans le bloc IF...END seront appliquées au composant. Un exemple est la meilleure illustration de la syntaxe:

IF DEVICE="CAP ELEC" AND NOT VALUE=10p

VALUE=1n,HIDEKWD

TOLERANCE,HIDE

STOCKCODE,REMOVE

END

L'expression qui doit s'appliquer au composant vient après le mot IF. Les expressions se composent d'un ou plusieurs termes séparés par des opérateurs. Chaque terme se compose d'une valeur de propriété, éventuellement suivie d'un signe égal et d'une valeur.

  • Un terme est égal à TRUE si la propriété nommée existe et, dans le cas où une valeur a été spécifiée, si la valeur de propriété s'accorde à la valeur spécifiée, caractère par caractère, avec respect de la casse.

  • Les opérateurs sont constitués de parenthèses - que l'on peut utiliser pour inclure des sous-expressions, et les mots clés AND, OR et NOT. Les opérateurs AND et OR sont exécutés de gauche à droite - il n'y a pas de priorité. L'opérateur AND ne s'évalue à TRUE que si l'évaluation jusqu'à ce point est TRUE, et que le terme ou la sous expression qui lui fait suite s'évalue à TRUE. L'opérateur OR s'évalue à TRUE si l'évaluation jusqu'à ce point est TRUE, ou que le terme ou la sous-expression qui lui fait suite s'évalue à TRUE. L'opérateur NOT est unaire et a pour effet d'inverser le résultat de l'évaluation du terme ou de la sous expression qui suit.

  • Une expression spéciale composée du seul mot clé TRUE vous permet d'affecter tous les composants du projet.

Dans l'exemple, l'expression teste que le composant est une instance du composant de bibliothèque CAP ELEC et qu'il n'a pas une valeur de 10p. Si c'est le cas, les trois sous-commandes après l'expression IF, et avant le mot final END, sont appliquées au composant. Notez que, parce que le composant que l'on teste contient un espace (CAP ELEC), il doit est placé entre guillemets.

Chaque sous-commande se compose d'un nom de propriété suivi facultativement du signe ‘=’ et/ou d'une virgule et une commande. Si une valeur est spécifiée, la propriété désignée est soit créée avec cette nouvelle valeur, soit son ancienne valeur est modifiée. Si une commande est spécifiée, elle est exécutée après l'affectation comme indiqué ci-dessous:

Commandes | Description
SHOW | Le nom de la propriété et sa valeur sont rendus visibles.
HIDE | Le nom de la propriété et sa valeur sont cachés.
HIDEKWD | Le nom de la propriété est caché; la visibilité de la valeur de propriété reste inchangée.
HIDEVAL | La valeur de la propriété est cachée; la visibilité du nom de propriété est inchangée.
REMOVE | Le nom de la propriété et la valeur sont enlevées du composant.

Si aucune commande n'est spécifiée, la visibilité actuelle du nom de propriété et la valeur restent inchangées.

Dans l'exemple la propriété VALUE reçoit la valeur de 1n et le nom de propriété est caché, la valeur de la propriété TOLERANCE est laissée intacte, mais la paire propriété/valeur est cachée et enfin la propriété STOCKCODE est enlevée du composant.

La commande DATA...END

TCette commande permet de choisir entre plusieurs valeurs d’une liste déterminée de noms de propriétés, et s'il y accord, permet d'attribuer un jeu de valeurs à un jeu de propriétés déterminées.

Considérons l'exemple suivant d'une commande DATA...END.

DATA DEVICE + VALUE : COST+, TOLERANCE, STOCKCODE-

RES 1k : 0.01, 1%, 100-1001

RES 1k2 : 0.01, 1%, [REMOVE]

"CAP ELEC" 1n : 0.03, 5%, 200-1001

SWITCH * : 0.25, [SKIP] , 300-1001

END

Le mot clé DATA est suivi du ou des noms des propriétés à tester, séparés par le caractère ‘+’. Cette liste est suivie par ‘:’ et ensuite une liste du ou des noms des propriétés à attribuer, séparées par une virgule. Chaque nom de propriété peut, facultativement, être directement suivi par un caractère ‘+’ ou - qui indique si vous voulez que la propriété désignée et la valeur qui lui est attribuée soient affichées ou cachées respectivement. Une absence de caractère indique que les conditions de visibilité actuelles sont conservées.

Dans l'exemple, on teste les propriétés DEVICE et VALUE. S'il y a accord, de nouvelles valeurs sont attribuées aux propriétés COST, TOLERANCE et STOCKCODE. La propriété COST et sa valeur sont rendues visibles, et la propriété STOCKCODE et sa valeur sont cachées.

Chaque ligne entre le mot clé DATA et le mot clé END se compose d'une liste de valeurs de propriétés que vous voulez tester (séparées par un ou plusieurs espaces), deux points ’:’, et la liste des valeurs de propriétés que vous voulez attribuer, séparées par des virgules. Chaque ligne est exécutée tour à tour: la valeur de chaque propriété nommée dans la liste, à gauche des colonnes sur la ligne de DATA, est comparée à la valeur correspondante de test sur la ligne en cours. Si toutes les propriétés de valeur s'accordent, alors chaque propriété nommée à droite des : sur la ligne de DATA recevra la valeur d'assignation correspondante sur la ligne en cours.

Dans l'exemple, la première ligne teste la propriété DEVICE pour la valeur RES et la propriété VALUE pour la valeur 1k; si toutes les 2 cadrent, alors la propriété COST reçoit la valeur de 0.01, la propriété TOLERANCE, la valeur 1%, et la propriété STOCKCODE, la valeur 100-1001. De même la 3ème ligne teste la propriété DEVICE pour la valeur CAP ELEC (étant donné que le nom du composant comporte un espace, on doit le mettre entre guillemets), et la propriété VALUE pour la valeur 1n, si les 2 cadrent alors la propriété COST prend la valeur 0.03, la propriété TOLERANCE, la valeur 5%, et la propriété STOCKCODE, la valeur 300-1001.

Notez que le nom du composant CAP ELEC est compris entre guillemets. Vous devez faire ceci pour toute valeur d'accord sur la gauche de la colonne car elles sont délimitées par des espaces. Si ceci n'était pas fait, ISIS l'aurait signalé car il aurait supposé que vous vouliez tester la propriété DEVICE par rapport à la valeur CAP, et la propriété VALUE par rapport à la valeur ELEC; le 1n aurait alors été inattendu. De même les valeurs d'assignation à la droite de la colonne sont délimitées par des virgules, donc si vous vouliez attribuer une nouvelle valeur qui contienne une virgule vous devrez mettre cette valeur entre guillemets.

Il existe deux caractéristiques inhabituelles de valeurs de propriété que ADI teste:

  • Les valeurs peuvent contenir les caractères '?' et '*'. Le point d'interrogation indique que n'importe quel caractère unique peut apparaître dans la valeur de propriété testée dans la même position que le point d'interrogation. L'astérisque indique que n'importe quel nombre de caractères peut apparaître dans la valeur de propriété testée entre les jeux de caractère, à droite et à gauche de ‘*’. Dans l'exemple ci-dessus, nous testons une propriété DEVICE avec la valeur SWITCH, mais nous choisissons de ne pas tester la propriété VALUE d'un tel composant en spécifiant la valeur de test par une seule astérisque, ’*’.

  • Les valeurs numériques (y compris les valeurs contenant des suffixes d'exposants comme 'k' ou 'u'). Des valeurs de ce genre sont converties par ISIS, en représentation textuelle avec six décimales et un exposant, et les représentations textuelles sont alors comparées caractère par caractère. Dans notre exemple, les composants placés depuis la bibliothèque de composants RES et qui ont reçu la valeur 1k,1000 et 1.0k auraient aussi répondu aux conditions de test de la 1ère ligne.

Alors que la liste à droite de la colonne se compose normalement d'une nouvelle valeur à attribuer à la propriété de la ligne DATA, vous pouvez à la place spécifier une commande, de la façon suivante:

Commandes | Description
[NULL] | Attribue à la propriété correspondant une chaîne vide. Seul le nom de propriété, suivi du signe ’=’, apparaîtront dans le bloc texte des propriétés du composant.
[REMOVE] | Supprime la propriété; le nom de la propriété et sa valeur du bloc de texte de propriétés du composant.
[SKIP] | Saute l'attribution à la propriété respective. Le mot clé est nécessaire car une affectation vide (rien entre les virgules) provoquerait une erreur. Toute propriété existant dans le bloc texte de propriété du composant est laissé en l'état.

La 2ème ligne de l'exemple spécifiait que la propriété STOCKCODE de tout composant placé à partir d'un composant RES, ayant VALUE de 1k2 devait être enlevé. De même, la 4ème ligne spécifie qu'il ne doit pas y avoir d'attribution pour la propriété TOLERANCE d'un composant placé à partir d'un composant SWITCH..


Cobntrôle des règles électriques

CONTROLE DES REGLES ELECTRIQUES

Introduction

ISIS peut vérifier les erreurs simples d'un projet en examinant les types des broches reliées à chaque lien. Les exemples manifestes d'erreurs sont les sorties connectées ensemble, ou plusieurs broches d'entrées reliées ensemble, sans source de commande. Les terminaux, aussi, sont considérés comme ayant un type électrique - un terminal d'entrée relié à une broche d'entrée lui fournit une source de commande.

Génération du rapport

Vous pouvez créer le rapport de contrôle des règles électriques (menu Outils). Les résultats sont affichés dans le visionneur de texte, qui peut être sauvegardé ou imprimé.

Rappelez-vous que toutes les lignes qui apparaissent dans le fichier ne sont pas forcément des erreurs, (par exemple, on peut délibérément laisser quelques broches d'entrée non-connectées), et que des erreurs plus subtiles comme des valeurs de composants erronées ne seront pas détectées. Néanmoins beaucoup de fautes idiotes peuvent être détectées à un stade précoce.

Messages d’erreur de contrôle des règles électriques (ERC)

La première partie du traitement implique la compilation de la netlist et ceci, peut générer des messages d'avertissements ou d'erreurs.

Le traitement détecte deux catégories d'erreurs basiques:

  • Des liens câblés de telle façon qu'il y aura vraisemblablement des conflits.
  • Des liens câblés sans source de commande. Un lien contenant uniquement des pattes d'entrées (INPUT) donnera une erreur UNDRIVEN.

La détection du premier type d'erreur tient compte du tableau suivant:

 | PS | IP | OP | IO | TS | PU | PD | PP | GT | IT | OT | BT | PR
PS |  |  |  |  |  |  |  |  |  |  |  |  |
IP |  |  |  |  |  |  |  |  |  |  |  |  |
OP |  |  |  |  |  |  |  |  |  |  |  |  |
IO |  |  |  |  |  |  |  |  |  |  |  |  |
TS |  |  |  |  |  |  |  |  |  |  |  |  |
PU |  |  |  |  |  |  |  |  |  |  |  |  |
PD |  |  |  |  |  |  |  |  |  |  |  |  |
PP |  |  |  |  |  |  |  |  |  |  |  |  |
GT |  |  |  |  |  |  |  |  |  |  |  |  |
IT |  |  |  |  |  |  |  |  |  |  |  |  |
OT |  |  |  |  |  |  |  |  |  |  |  |  |
BT |  |  |  |  |  |  |  |  |  |  |  |  |
PR |  |  |  |  |  |  |  |  |  |  |  |  |

Aucun avertissement ou erreur [image] Avertissement [image] Erreur

CLE:

PS: Broche passive

IP: Broche entrée

OP: Broche sortie

IO: Broche I/O

TS: Broche Trois-états

PU: Broche Pull Up

PD: Broche Pull Down

PP: Broche alimentation

GT: Terminal générique

IT: Terminal entrée

OT: Terminal sortie

BT: Terminal bi-directionnel

PT: Terminal passif

PR: Terminal rail d’alimentation

OK: Pas d’avertissement ou erreur

wn: Avertissement

er: Erreur


SORTIE IMPRIMANTE

Sortie imprimante

Une impression par l'intermédiaire des pilotes Windows est lancée en exécutant la commande ‘Impression’ du menu SORTIE.

Spécifier le périphérique d’impression

Vous pouvez spécifier le périphérique d’impression de deux façons:

  • Via la commande ‘Configuration impression’ du menu 'Fichier'. Tous les réglages, ainsi que le périphérique utilisé, seront sauvegardés et utilisés lors des futures sessions d’ISIS.

  • Via le bouton ‘Imprimante’ disponible après l’appel de la commande ‘Impression’ du menu FICHIER. Dans ce cas, les réglages imprimantes ne seront pas sauvegardés. Ceci est utile lorsque vous utilisez ponctuellement une imprimante.

Prévisualisation de l’impression

La prévisualisation de l’impression apparaît à droite de la boîte de dialogue d’impression, et affiche la position et la taille du schéma par rapport à la taille de la feuille. La prévisualisation sera mise à jour automatiquement, pour toute modification d’une valeur (échelle, couleur, etc).

La boite de dialogue d’impression, avec une prévisualisation dans la partie droite.

Vous pouvez ajuster la position de la zone d’impression en enfonçant le bouton gauche dans la prévisualisation, puis en déplaçant le schéma à la position désirée. Un clic droit dans la zone de prévisualisation permet de choisir une des positions prédéfinies.

Le menu contextuel de positionnement, obtenu par un clic droit dans la zone de prévisualisation.

La prévisualisation est dévalidée lorsque l’option ‘Toutes les feuilles’ est choisie dans la section ‘Elément à imprimer’, car il n’est pas possible de prévisualiser toutes les feuilles simultanément. Dans ce cas, la sortie sera centrée.

Configuration des marges

Si vous ne voulez pas imprimer l'intégralité de votre schéma, vous pouvez configurer des marges d’impression. Pour cela, cliquez droit sur la feuille de prévisualisation, sélectionnez ‘Position sortie numérique’ et entrez les dimensions des marges nécessaires entre le bord de la zone d’impression et le bord de la zone imprimable.

Le schéma ci-dessous vous montre quelles sont les marges d'impression.

Illustration graphique des marges d’impression

Si l’option ‘Utiliser les marges imprimante’ n’est pas validée, les marges seront relatives au bord du papier. Ceci n’est pas recommandé car, selon le pilote d’impression, vous risquez de perdre des portions de schéma qui seront considérés en-dehors de la zone d’impression.

Mise à l’échelle

En plus d’un certain nombre standard d’option de mise à l’échelle, vous pouvez ajuster l’impression afin qu’elle soit contenue dans la page (Ajuster à la page).

Dans le cas où le schéma est plus grand que la zone imprimable, les dimensions X et Y seront ajustées de façon à obtenir la plus grande taille d’impression possible.

Dans le cas où le schéma est plus petit que la zone imprimable les dimensions sont également ajustées afin qu’il occupe la taille maximale possible. Notez que cette option n’est disponible que si vous avec décoché l’option ‘Réduire si ajustement’.

Information sur l’imprimante

La commande ‘Information imprimante’ du menu FICHIER affiche les possibilités détaillées de votre imprimante. Cette commande est principalement utilisée pour le support technique.


Sortie traceur

Windows est assez pauvre en ce qui concerne le support des sorties traceur. Bien que des drivers soient fournis pour les traceurs HPGL, leur implémentation est très sommaire. De meilleurs drivers sont disponibles pour certains traceurs particuliers, mais nous n'en avons pas tenu compte dans la gestion des traceurs sous Windows. A la place, Les drivers Windows sont utilisés uniquement pour dessiner les lignes droites puis ISIS fait le reste.

La sortie traceur génère un fichier de sortie imprimante Bitmap en utilisant la commande 'Imprimer' du menu 'Fichier'. Quand un traceur est sélectionné comme périphérique de sortie, l'option 'Driver traceur Labcenter' est validée dans la boite de dialogue d'impression. Si cette option est cochée ISIS fait unqiuement appel au driver pour le tracé de ligne et gère le processus de linéarisation des arcs, cercles, etc et du rendu des textes avec une police vectorielle. Lorsque cette option n'est pas cochée, ISIS traite le pilote du traceur comme tout autre driver et s'attend à ce qu'il gère tous les appels Windows GDI (Graphics Device Interface), y compris la gestion des appels non supportés (tel que les courbes de Bézier).

Les drivers de traceur sont capables de générer des tracés multicolores - Pour valider cette option, cochez la case qui se trouve en haut à droite de la boite de dialogue.


Génération de fichiers graphiques

GENERATION DE FICHIERS GRAPHIQUES

Introduction

Comme pour l'impression directe via les pilotes Windows, ISIS peut générer des sorties pour d'autres applications graphiques. Vous avez le choix entre générer cette sortie en mode bitmap ou en métafichier Windows, et vous pouvez transférer cette sortie vers d'autres applications par l'intermédiaire du presse-papiers ou directement dans un fichier sur disque.

Generation de fichiers Bitmap

La commande d'export des fichiers Bitmap graphiques permet de créer un bitmap sur la carte et de le placer dans le presse-papier ou dans un fichier disque. La boite de dialogue offre également des options additionnelles.

Génération de métafichiers

Le format métafichier de Windows autorise une mise à l'échelle que le format bitmap ne permet pas. Cependant, certaines applications Windows ne savent pas lire ce format (Paintprush, par exemple).

La commande ‘Exporter graphiques métafichier’ du menu FICHIER créera une image du schéma qui sera placée dans le presse-papiers ou dans un fichier.

Génération de fichiers DXF

Le format DXF est utilisé pour transférer les sorties vers des logiciels de CAO mécanique sous DOS (il est préférable d'utiliser un métafichier pour des transferts vers des CAO mécanique sous Windows). Le fichier est généré par un utilitaire Labcenter plutôt que par celui de Windows avec , et plusieurs attributs de tracés seront perdus.

Notre expérience montre qu'il existe un grand nombre d'interprétations sur ce qui constitue un fichier DXF valide. Si vous utilisez six applications différentes qui supportent le format DXF, seulement 30% des échanges par appariements semblent fonctionner ! Notre DXF a été testé avec les versions officielles des applications Autodesk (AutoCAD, AutoSketch, etc.). Sous Windows, le presse-papiers fournit un moyen plus sûr de transfert.

Génération de fichiers EPS

Un fichier EPS est une forme de fichier Postscript qui peut être inclus dans un autre document. Bien que très populaire dans le monde du DTP, pour les systèmes Windows basés sur DTP, il est préférable de transférer vos graphiques en utilisant plutôt un fichier clipboard (bloc-notes).

La génération des fichiers EPS partage les mêmes options de sortie que la sortie imprimante.

Génération de fichiers PDF

ISIS peut aussi exporter directement des fichiers au format PDF (pas besoin d'installer les drivers PDF). Cette option inclut les sorties couleur et l'exportation d'une seule ou de toutes les feuilles.


INTRODUCTION

ARES est le module de création des circuits imprimés de Labcenter. Il possède une interface utilisateur comparable à celle d’ISIS et une gestion de netlist. Il se lance à partir de son onglet qui est sur la barre d'outils dans PROTEUS; vous pouvez le glisser-déposer dans une fenêtre séparée si besoin.

Deux technologies facilitent l'intégration entre ISIS et ARES : l'une pour les composants/empreintes, l'autre pour les informations de connectivité. Elles sont résumées ci-dessous :

Base de données commune

Les modules ISIS et ARES partagent une base de données commune qui contient les informations sur les différents composants et éléments d'un projet. Les composants désignent ici les composants physiques du circuit imprimé tandis que les éléments se référent aux composants logiques du schéma. La base de données commune fait le lien entre les composants et les éléments. La finalité de cette base de données commune est qu'un changement qui intervient sur un élément (par ex. une Propriété de package) d'un composant multi-élément peut désormais se répercuter automatiquement sur tous les autres éléments tandis qu'une modification sur un composant dans ARES se reflétera sur tous les éléments. Les fonctions comme la permutation des broches ou des portes logiques et la rétro-annotation sont ainsi bien plus fiables; nous avons aussi rendu plus lisible les effets d'un changement de l'identifiant d'un composant (réannotation - tous les éléments recevront le nouvel identifiant) en opposition à l'identifiant d'un élément (rattachement - la connectivité a changé) dans ISIS.

Netlist temps réel

Proteus 8 intègre une netlist temps réel; ainsi les changements qui interviennent sur le schéma se répercutent immédiatement et automatiquement dans ARES, l'explorateur de projet et la nomenclature. les changements sur le PCB vous sont montrés afin que vous puissiez les refuser avant que les composants et les pistes soient supprimés du circuit. Un mode batch (netlist temps réel désactivé) est également disponible si vous préférez travailler sans netlist temps réel.

Ce chapitre parle avant tout de la relation et de la communication entre le module ISIS et le module ARES et a donc un intérêt limité pour les utilisateurs qui ne se servent que de la simulation dans PROTEUS.


Stratégies de routage

STRATEGIE DE ROUTAGE

Introduction

ARES associe une stratégie à chaque lien de la netlist afin de définir les styles des pistes et des traversées, le type de lien, les couches de routage et ainsi de suite. Par défaut, tous les liens reçoivent la stratégie SIGNAL, exceptés:

  • Les liens connectés aux rails d’alimentation, qui reçoivent la stratégie indiquée dans la boite de dialogue de configuration des rails d’alimentation (classiquement POWER).

  • Les liens, dont les noms sont du type D[0], qui reçoivent la stratégie BUS. C’est la présence des crochets qui est significative dans ce cas.

Pour rendre la création de votre circuit imprimé plus aisé, une des choses les plus importantes à faire est de créer et assigner une clase de liens au moment de la conception du schéma. Cette action automatisera à la fois la sélection des pistes et des traversées au moment du routage et vous donnera un contrôle total sur les contraintes de la carte et les isolements.

Changer la stratégie affectée à un rail d’alimentation

La raison classique qui oblige à imposer une stratégie de routage différente de SIGNAL provient du fait que certaines pistes doivent supporter des courants plus importants. ISIS permet de configurer une stratégie spécifique à chaque rail d’alimentation présente dans la boîte de dialogue ‘Configuration des liens d’alimentation’ du menu PROJET.

Pour ce faire, vous devez éditer le nom du champ Stratégie de cette boîte de dialogue comme ci-dessous:

Modifier la stratégie associée à un rail d’alimentation

Notez que la stratégie sera appliquée à tous les liens relies à ce rail d’alimentation - VCC et VDD dans ce cas.

Pour plus d’information sur la configuration des rails d’alimentation, voir Configuration des rails d'alimentation

Changer la stratégie en utilisant une propriété de lien

Vous pouvez également définir une stratégie particulière pour un lien, en attribuant une propriété de lien à un des fils du lien. Pour cela, il faut placer un label de fil et définir une classe de liens comme montré ci-dessous:

Affecter une stratégie maison via un label de fil.

Utiliser un label de fil pour définir une classe de liens

Si le nom de la stratégie n’existe pas, ARES le créera et l’ajoutera à la liste des stratégies disponibles. La définition de la stratégie peut être éditée dans ARES. Les styles de pistes et de traversées des classes de liens peuvent être édités via la boite de dialogue ci-dessous et les règles de conception créees pour entraver les isolements comme requis.

La stratégie 'fred' peut être paramétrée dans ARES.

Parfois il est utile d’appliquer une stratégie à tous les liens d’une feuille. Par exemple, vous pourriez attribuer la stratégie POWER à tous les liens d'alimentation. Vous devez alors placer un script sur la feuille contenant les lignes suivantes:

*NETPROP

CLASS=POWER

sur la feuille appropriée du schéma.

Les propriétés de label de fil ou du bus supplantent les propriétés globales de liens.


PACKAGING

Introduction

Pour qu'ARES puisse connaître les boîtiers utilisés pour chaque composant du schéma, l'information doit être indiquée quelque part dans le processus de conception. Avec ISIS et ARES, le meilleur moment intervient lors de la création du schéma. La propriété à utiliser s'appelle PACKAGE. La plupart des éléments des bibliothèques que nous vous fournissons intègre cette propriété.

L'avantage de faire des changements ou des ajouts de packages dans le schéma est que vous pouvez alors lancer la Création de nouveaux Composants et les garder pour de futurs projets. Un composant dans ISIS peut contenir plusieurs packages, donc vous ne perdrez rien en ajoutant un nouveau package, en utilisant l'outil de packaging.

Packaging par défaut

La plupart des éléments de bibliothèques fournis avec ISIS possèdent un package associé qui est visualisé lorsque vous parcourez les bibliothèques. Notez que certains éléments, tels les modèles des primitives de simulation, ne correspondent pas à des composants réels et aucun package ne leur est associé.

ISIS permet d’associer plusieurs packages par composant. Cette possibilité permet par exemple d’affecter un boîtier DIL et un boîtier CMS à un même élément du schéma.

Notez, cependant, qu’il est de votre responsabilité de vérifier que les options par défaut que nous avons utilisées conviennent à votre application. Nous ne pouvons pas et nous n'acceptons pas de responsabilités quant aux pertes dues aux gaspillage de cartes résultant de mauvais packaging PCB. Nous vous recommandons donc fortement de réaliser un prototype de votre carte avant de lancer la fabrication en usine.

Packaging manuel dans ISIS

Le packaging manuel peut être édité ou créé de plusieurs façons. La manière la plus simple et la plus sûre de packager un composant simple est d’utiliser l’outil visuel de packaging. Vous pouvez mettre en surbrillance le composant, invoquer l'outil visuel de packaging pour éditer ou ajouter un package.

Quand beaucoup de composants utilisent le même package - par exemple, les résistances sont presque toujours empaquetées avec RES40 - l’outil d’affectation de propriété s'utilise pour charger une valeur fixe dans le champ ad-hoc de chaque composant sur lequel vous cliquez. Par exemple, pour affecter la chaîne RES40 au champ PACKAGE d'un groupe de composants, il faut initialiser la chaîne de l'outil d'affectation avec PACKAGE=RES40.

Packaging manuel dans ARES

Vous pouvez aussi créer un package manuel dans ARES. Quand vous essayez de placer votre composant sur le circuit, ARES vous propose de choisir une empreinte pour celui-ci et, une fois séléctionnées, cette empreinte apparapitra dans le dessin du composant.

Packaging automatique

La fonctionnalité d'import de données ASCII peut servir à affecter automatiquement un package. Le fichier DEVICE.ADI, livré avec ISIS, sert d’exemple. Il montre comment affecter des packages et d'autres propriétés aux éléments du fichier DEVICE.LIB.

Ce fichier est configuré de façon à ce que les boîtiers soient chargés dans la propriété PACKAGE qui est alors cachée. Vous pouvez changer ceci en éditant les en-têtes du bloc ADI - voir génération de rapport pour plus d'informations.

Certains composants, tels les condensateurs ordinaires ou électrolytiques, sont disponibles sous plusieurs formes et tailles. De plus, nous ne pouvons pas savoir quelle famille de condensateur vous utiliserez. Malgré tout il est possible de construire des fichiers ADI qui opèrent sur des valeurs d'éléments, ainsi que sur des noms de composants en bibliothèque. Par exemple, l'extrait ci-dessous, définit le package des condensateurs de nos fournisseurs préférés, et en même temps charge leurs codes de commande dans la propriété ORDER.

Notez que l'affectation d'un boîtier ne se fait que pour les condensateurs qui n'ont pas de taille par défaut spécifiée dans le fichier principal DEVICE.LIB. L'exécution de CAPS.ADI outrepasse les affectations par défaut pour obtenir le résultat souhaité:

;CAPACITOR PACKAGING FOR TYPES REQUIRING

;OTHER THAN CAP10 / ELEC-RAD10 PACKAGES

DATA DEVICE + VALUE : PACKAGE-

CAP 1u : CAP20

"CAP ELEC" 470u : ELEC-RAD20

"CAP ELEC" 1000u : ELEC-RAD30

"CAP ELEC" 2200u : ELEC-RAD30

END

;CAPACITOR ORDER CODES

;These are Ceramic, Polyester types and

;Electrolytics at 25V or better.

DATA DEVICE + VALUE : ORDERCODE-

CAP 100p : F146-447

CAP 680p : F146-457

CAP 1n : F149-100

CAP 1n5 : F149-101

CAP 3n3 : F149-103

.

.

.

"CAP ELEC" 47u : R11-0235

"CAP ELEC" 100u : R11-0245

"CAP ELEC" 220u : R11-0260

"CAP ELEC" 470u : R11-0280

END

En général, il y aura toujours une phase finale d'affectation de package manuelle pour les composants non référencés ou pour les composants spéciaux utilisés uniquement dans ce projet.

Utiliser la nomenclature comme aide au packaging

Dans le cas de projet d'une certaine taille, il peut être difficile de contrôler que l'affectation des packages a été faite pour tous les composants, et de vérifier quels packages ont été attribués.

Vous pouvez faire ce contrôle rapidement en lançant l'explorateur de projet qui vous précise quelles empreintes ont été spécifiées. Quand une ligne est marquée d'un NONE en bleu, cela signifie que le composant est exclu du PCB. Quand une ligne est marquée d'un MISSING en rouge, cela signifie qu'aucun package n'a été associé à l'élément.

Vous pouvez alors cliquez droit sur le composant dans l'explorateur de projet pour naviguer jusqu'au composant du schéma et lui attribuer un package.

Si vous avez plusieurs packages manquants, il est plus simple de déplacer l'explorateur de projet dans une nouvelle fenêtre afin de voir en même temps le schéma et l'explorateur de projet.

La vérification du packaging

ISIS peut vérifier que tous les packages spécifiés dans les composants du projet existent dans les bibliothèques d’ARES, et que tous les numéros de broches spécifiés dans ISIS existent dans les packages.

Cette fonctionnalité est très pratique lorsque vous créez des composants en masse, et également lorsque vous souhaitez opérer une vérification avant de créer une netlist vers ARES.

La commande ‘Vérifier le Packaging’ est présente dans le menu BIBLIOTHEQUE.


MODIFICATIONS & ANNOTATIONS

Généralités

Nous analysons ici la situation dans laquelle le schéma existant est modifié et la netlist résultante rechargée dans ARES. Ceci peut arriver à la fois lors du développement initial d’un projet, et ultérieurement, lors d'une évolution du projet. PROTEUS supporte ces possibilités d’évolutions, mais il est important que vous compreniez ce que fait le logiciel lorsque de telles modifications interviennent, notamment si vous travaillez avec une netlist temps réel activée ou désactivée.

  • Quand la netlist temps réel est activée, les données sont reçues quand le module ARES est ouvert et visible.

  • Quand la netlist temps réel est désactivée, les données sont reçues quand vous cliquez manuellement sur l'icône Cadenas en bas de l'onglet ARES. L'icône Cadenas est visible quand des changements sont intervenus dans le schéma (la netlist a évolué) mais n'ont pas encore été répercutés.

La netlist temps réel peut être activée/désactivée via la commande 'Netlist temps réel' du menu OUTILS dans ARES. Nous vous conseillons de travailler en laissant la netlist temps réel activée, à l'exception peut-être des projets de très grande taille qui contiennent des zones multiples pour conserver une bonne interactivité lors de l'utilisation du logiciel.

Voir également:

Importer un projet DSN & LYT deûis la version 7

Ajouter de nouveaux composants

Netlist temps réel activée

Quand vous placez un nouveau composant sur le schéma, il apparaîtra automatiquement pour le placement dans ARES.

Le raccordement des connexions sur le schéma ajoutera automatiquement les connexions à la netlist temps réel.

  • Si les composants ont été placés sur le circuit avant que les connexions ne soient faites dans ISIS, alors les lignes du chevelu apparaîtront dans ARES quand vous compléterez les fils dans ISIS.
  • Si les empreintes ARES sont toujours dans les objets à placer, alors les lignes du chevelu apparaîtront lorsque vous les aurez placé sur le circuit.

Netlist temps réel désactivée

Quand vous placez un nouveau composant sur le schéma, ARES signalera un état vérouillé indiqué par un cadenas dans la barre de status.

Quand vous cliquez sur le cadenas pour déverrouiller ARES, la netlist sera alors envoyée et le composant apparaîtra dans la liste des objets pour le placement sur le circuit.

Le raccordement des connexions dans ISIS sera verrouillé de la même façon que pour le circuit. Pour déverrouiller le raccordement et voir la connectivité mise à jour sur le circuit, vous devez également cliquez sur le cadenas dans ISIS.

Supprimer des composants existants

Netlist temps réel activée

Si vous supprimer un composant dans ISIS, ARES sera automatiquement placé en état de 'modification en attente' avec les éléments et les pistes du circuit estompés.

Il vous suffit de cliquez sur le bouton 'Changement en attente' pour accepter les modifications et supprimer le composant et les pistes correspondantes sur le circuit.

Netlist temps réel désactivée

Quand vous supprimez un composant sur le schéma, ARES commutera en état verrouillé, indiqué par un cadenas dans la barre de status.

Quand vous cliquez sur le cadenas dans ARES, les changements seront pris en compte et apparaîtront en grisé sur le circuit; la barre de status indiquera 'Changements en attente'.

Il vous suffit de cliquez sur le bouton 'Changement en attente' pour accepter les modifications et supprimer le composant et les pistes correspondantes sur le circuit.

Le fait de supprimer un composant ou un fil affecte les objets présent sur votre circuit; c'est pourquoi nous vous demondons de confirmer manuellement ces modifications par un clic sur le bouton 'Changements en attente'.

Modifier la connectivité

Netlist temps réel activée

L'ajout de connexion est une action qui n'affecte pas les pistes déjà placées sur le circuit. Une ligne de chevelu apparaîtra dans ARES à chaque fois que vous terminez le placement d'un fil dans ISIS; le système se synchronise automatiquement.

Les effets d'une suppression de connexion dans ISIS dépend de la façon dont cette connexion a été réalisée dans ARES.

  • Si une connexion n'est pas encore tracée dans ARES (c'est encore une ligne de chevelu), alors la supprimer dans ISIS supprimera simplement la ligne de chevelu correspondante dans ARES. Le logiciel est toujours synchronisé.

  • Si une connexion est déjà faite dans ARES, alors la supprimer dans ISIS entraînera l'apparition dans la barre de status de l'état 'Changements en attente' et la piste correspondante sera grisée sur le circuit. La suppression définitive de cette piste devra être confirmée en cliquant sur 'Changements en attente' dans la barre de status. Le logiciel sera à nouveau dans un état synchonisé.

Netlist temps réel désactivée

Toute modification de la connectivité place ARES dans un état verrouillé. Pour les valider, il faut cliquez sur l'icône Cadenas qui apparaît dans la barre de status dans ARES afin de mettre à jour le circuit en tenant compte de ses changements.

Si les seuls changements concernent l'ajout de nouvelles connexions, alors les lignes de chevelu apparaîtront sur le circuit dans ARES.

Si des connexions en relation avec des pistes déjà existantes dans ARES ont été supprimées, alors l'état 'Changements en attente' apparaîtra dans la barre de status et les pistes correspondantes seront grisées sur le circuit. La suppression de ces pistes devra être confirmée en cliquant sur le statut 'Changements en attente'.

Nouvelle annotation des composants

Netlist temps réel activée

La réannotation de composants est complétement automatique. Le circuit sera mise à jour en temps réel. Il en est de même pour la permutation des portes des composants multi-éléments.

Netlist temps réel désactivée

La réannotation de composants est verrouillée sur le circuit. En débloquant le circuit, celui-ci se synchronisera au schéma et la nouvelle annotation sera prise en compte. Il en est de même pour la permutation des portes des composants multi-éléments.


Rétro-Annotation

RETRO-ANNOTATION

Rétro-annotation manuelle

Pour faire une rétro-annotation manuellement:

  1. Assurez-vous qu'ARES soit synchronisé avec ISIS, et que la netlist temps réel est active.
  2. Choisissez l'icône Composant dans ARES et la couche sur laquelle vous souhaitez annoter le composant.
  3. Cliquez sur les labels de composant pour les éditer.
  4. Les modifications se répercuteront immédiatement sur le schéma

Vous pouvez rétro-annoter manuellement en désactivant la netlist temps réel, mais chaque annotation impliquera une modification de netlist qui exigera à son tour que vous débloquiez manuellement l'état le circuit. Il est donc plus facile de réaliser ce type d'opération avec une netlist temps réel activée.

Rétro-annotation automatique

La rétro-annotation automatique se déroule dans le PCB et se répercute ensuite sur le schéma. Vous pouvez sélectionnez à la fois une direction et un point de départ pour l'annotateur.

Pour faire une rétro-annotation automatique:

  1. Assurez-vous qu'ARES soit synchronisé avec ISIS, puis lancez l'annotateur automatique à partir du menu OUTILS de ARES.

  2. Choississez la direction et le point de départ pour la rétro-annotation, puis cliquez sur le bouton OK pour commencer.

  3. Les modifications se répercutent instantanément sur le schéma.

Comment fonctionne l'annotation automatique ?

L'annotateur automatique commence par scanner la direction que vous lui avez spécifiée à partir de son point de départ. Il définit une 'bande' des empreintes d'un côté de la carte à l'autre; la largeur de cette bande correspond à peu près aux contours de l'empreinte. La bande est annotée dans la direction que vous avez spécifié. Il en est de même pour les bandes suivantes.

Cette explication montre que des bizzareries peuvent intervenir, par exemple, dans le cas d'un gros boîtier qui est partiellement mais pas totalement dans la même bande que des petites résistances. Dans ce cas, l'annotation des résistances en dehors de la bande peut être sensiblement différent des autres.

Ce genre de soucis se résout facilement en reprennant l'annotation à la main.

Avertissement

L'annotateur dans ARES annote le circuit physique sans prendre en compte le schéma logique (ISIS). L'annotation dans le schéma sera automatiquement modifiée pour correspondre à celle du circuit, mais les règles d'annotation définies dans le schéma seront ignorées par l'annotateur ARES. C'est notamment le cas dans les projets hiérarchiques; si vous spécifiez une annotation initiale pour une feuille, celle-ci ne sera pas prise en compte par l'annotateur du circuit dans ARES.


Permutation des portes et broches

PERMUTATION DES PORTES ET DES BROCHES

Introduction

Beaucoup de composants possèdent des broches interchangeables - par exemple les deux broches d'un composant 74138 - ou des éléments interchangeables - par exemple les 6 inverseurs d'un composant 7404. Certains composants, tel le 7404, possèdent à la fois des broches et des éléments interchangeables – quatre portes qui ont toutes deux points d’entrées identiques. Cette caractéristique doit être exploitée dans le cas de routage complexe, car il peut être plus simple de se connecter à une porte d'un boîtier plutôt qu'à une autre, ou à une broche d'un composant plutôt qu'à celle spécifiée dans la netlist. En clair, prendre une décision telle qu'un 'spur of the moment' affectera la connectivité du projet; ce changement nécessitera d'être enregistré et éventuellement d'apparaître sur le schéma.

PROTEUS tient compte de cette possibilité au plus haut degrés. Les caractéristiques suivantes sont disponibles (sur certains niveaux)

  • Une méthode de description pour indiquer les broches et les portes interchangeables dans ISIS.

  • La possibilité de sélectionner une broche ou une porte dans ARES et d'observer les autres broches ou portes qui peuvent être permutées en relation avec la sélection.

  • Un optimiseur de permutation des portes qui tentera de trouver la porte optimale qui minimise la longueur du chevelu.

  • Une rétro-annotation automatique vers ISIS.
  • Un mécanisme de verrouillage qui évite que les modifications soient faites de façon simultanée dans ISIS et ARES, afin de prévenir les conflits et ambiguïtés.

Spécifier les permutations de broches d’un composant mono élément

Pour cela, utilisez l'Outil de visualisation des packagings, puis le champs 'broches permutables' au moment de packager votre composant pour spécifier les broches qui peuvent être permutées sur l'empreinte.

L'outil de packaging Tool montre les broches permutables sur un composant mono-élément

Spécifier les permutations de broches d’un composant multi éléments

Pour un composant multi éléments, tel le 7400 décrit ci-dessous, l’outil visuel d’affectation de packaging doit être utilisé. Il faut utiliser la section Broches permutables.

L’outil visuel de packaging pour un 7400 qui montre la zone de permutation des broches.

Pour ajouter un groupe de broches permutables lors du packaging:

1. Validez les broches à permuter dans le tableau des broches en maintenant la touche clavier CTRL, puis en cliquant successivement sur chaque ligne. Dans l’exemple ci-dessus, les broches A et B peuvent être permutées.

2. Cliquez sur le bouton Ajouter pour créer le groupe correspondant.

Vous pouvez définir plusieurs groupes de broches permutables.

Spécifier la permutation des portes d’un composant multi éléments

Il est important de savoir qu’ISIS peut totalement gérer la permutation des portes d’un composant mult-éléments. Par exemple, dans le cas d’un 7400, le script de packaging possède toutes les informations pour dire que l’élément permutable est constitué des broches A,B et Y, et que 4 éléments sont présents.

La seule contrainte est de dire à ISIS que la permutation est autorisée, via la case à cocher de l’outil visuel d’affectation de package.

Notez que les broches d’alimentation VCC et GND sont automatiquement exclues des éléments permutables, car elles sont cachées. Ces broches doivent être reliées au même lien pour permettre une permutation entre des boîtiers différents, car elles sont marquées ‘communes’.

Notre exemple final est un composant multi éléments hétérogènes – un relais DPDT constitué d’une bobine et de deux contacts:

Spécifier les portes permutables d’un composant multi-éléments hétérogènes

Dans ce cas, les deux broches du relais sont communes et permutables. Le fait d’omettre le terme ‘Commun’ serait catastrophique, car il autoriserait la permutation entre contacts de relais différents!

Permuter les broches et les portes manuellement dans ARES

La permutation des broches et des portes est possible dans ARES dans le mode chevelu.

Pour permuter deux broches ou deux portes:

1. Chargez la netlist depuis ISIS. La netlist présente dans ARES doit être synchrone du schéma.

2. Validez l’icône Chevelu d’ARES.

3. Cliquez droit sur la broche source. La ligne correspondante du chevelu est mise en surbrillance.

4. Cliquez et maintenez le bouton gauche appuyé. Toutes les broches permutables avec la broche source apparaissent en surbrillance.

5. Tirez la ligne du chevelu vers la broche de destination. Si cette broche est sur la même porte, alors une permutation de broche aura lieu. Si cette broche est sur une porte différente alors une permutation de porte et de broche aura lieu.

Notez, cependant, qu’ARES ne permettra pas de permuter des broches source ou destination qui ont des pistes reliées. Dans le cas d'une permutation des portes, toutes les broches des deux portes doivent être non routées.

La permutation des broches et des portes constitue une modification de la connectivité de votre projet. ARES utilise les informations transmises par ISIS pour décider ce qui peut, ou ne peut pas, être permuté. Si des erreurs sont présentes dans les données, ARES peut décider de permutations illégales. Nous ne pourrions être tenus pour responsables du coût ou des pertes liés à ce type de mésaventure, que l'erreur intervienne dans n'importe quelle bibliothèque ou dans le logiciel lui-même. Nous vous conseillons fortement de vérifier les permutations et de réaliser un prototype avant d'envisager une fabrication en série.

L’optimiseur des portes logiques

Dans le cas d'un schéma qui contient un grand nombre de portes que l'on peut permuter, la combinaison optimale des portes qui simplifie le routage est difficile à trouver. Le nombre de combinaisons peut devenir astronomique. Le nombre de combinaisons dans l'exemple SHIFT16 est supérieur aux nombre de gains de sable dans le sahara!

Pour vous aider à trouver une combinaison proche de l'optimal, ARES incorpore un optimiseur automatique de permutation des portes. Il procède à des milliers d'essais de permutations, de façon à déterminer ce qu'on appelle un 'minima local' pour un placement donné. Dans la plupart des cas, la solution trouvée est proche de l'optimum et procure une réduction significative de la longueur totale du chevelu.

Utilisation de l’optimiseur de portes:

1. Chargez une netlist créée dans ISIS. La copie disponible dans ARES doit être synchrone du schéma en cours.

2. Placez tous les composants comme à l'accoutumé, en essayant de minimiser la longueur du chevelu. L'optimiseur de permutation des portes n'excuse pas un mauvais placement!

3. Appelez la commande ‘Optimisation des portes logiques’ du menu OUTILS.

L’algorithme tente des remplacements par passes successives jusqu’à ce que les améliorations ne soient plus possibles. Le temps de traitement peut être long (30 minutes) et dépend du nombre de permutations possibles.

L'optimisation de la permutation des portes se fonde sur les données issues de ISIS. Si des erreurs sont présentes dans les données, l'optimiseur peut décider de permutations illégales et modifier la connectivité du schéma. Nous ne pourrions être tenus pour responsables du coût ou des pertes liés à ce type de mésaventure, que l'erreur intervienne dans n'importe quelle bibliothèque ou dans le logiciel lui-même. Nous vous conseillons fortement de vérifier les permutations et de réaliser un prototype avant d'envisager une fabrication en série.


Contrôle croisé avec ARES

CONTROLE CROISE

Introduction

Le contrôle croisé est une technique puissante d’analyse et de contrôle comparés du schéma et du circuit imprimé. Il permet essentiellement de sélectionner un composant du schéma et d’analyser l’empreinte correspondante du circuit. Ce contrôle existe également pour les liens du schéma et du circuit, vous permettant facilement d'établir et de contrôler les stratégies de routage.

Ces fonctionnalités sont activées via l’explorateur de projet qui est un outil puissant. La présentation de ce paragraphe sera limitée à l’utilisation de l’explorateur comme outil de contrôle croisé. Il est fortement recommandé de vous familiariser avec l’explorateur de projet avant d’aller plus loin et de lire la documentation ici.

Voir également - Explorateur de projets

Mode contrôle croisé automatique

Il est possible de naviguer entre le schéma et le circuit imprimé grâce à la commutation offerte par le mode de contrôle croisé de l'explorateur de projet.

Lorsqu'il est validé, le fait de cliquer sur une composant dans l'explorateur de projet, sélectionne automatiquement l'élément du schéma et/ou l'empreinte du circuit.

Contrairement aux autres modes décrits ci-dessous , le mode automatique ne commute pas les onglets du schéma et/ou du circuit. La façon la plus pratique d'effectuer un contrôle croisé est donc de détacher l'explorateur de projet de l'espace qui contient le schéma/circuit (glissez-déposez l'onglet dans un espace libre) . Avec un explorateur de projet séparé, vous pouvez cliquer sur un composant pour voir le schéma/ circuit correspondant.

Contrôle croisé vers une empreinte

A partir d'ISIS

  1. Localisez le composant sur lequel vous voulez effectuer un contrôle croisé.

  2. Cliquez droit et sélectionnez 'Voir le circuit imprimé' dans le menu déroulant.

Proteus commutera vers l'onglet ARES et naviguera vers l'empreinte correspondante au composant dans ISIS. Si l'empreinte n'a pas encore été placée sur le circuit, rien de plus ne se produira.

Explorateur de projet

Pour effectuer un contrôle croisé vers une empreinte d’ARES :

  1. Assurez-vous qu’ISIS et ARES soient ouverts, synchronisés sur le même projet (c'est-à-dire que toutes les modifications effectuées dans ISIS ont été reportées dans ARES).
  2. Lancez l’explorateur de projet d’ISIS.

  3. Placez-vous en visionneur des éléments physiques – Ceci est indiqué dans la barre de titre de l’explorateur de projet.

  4. Le panneau de droite devrait afficher la liste des composants de la feuille courante d’ISIS.

  5. Dans le panneau, cliquez droit sur le composant du schéma qui vous intéresse. Vous obtiendrez un menu contextuel avec une option 'Aller à l’élément du circuit'. Choisissez cette option et ARES zoomera et sélectionnera l’empreinte correspondante.

Si l’option 'Aller vers l’élément du circuit' est grisée, c’est soit qu’ARES n’est pas ouvert, qu’il n’est pas ouvert sur le même projet ou que le schéma et le circuit ne sont pas synchronisés (fermez l’explorateur, régénérez la netlist vers ARES et recommencez à l’étape 2 ci-dessus).

L’explorateur de projet est une fenêtre qui peut être minimisée dans la barre des tâches. Il détectera automatiquement toute modification du schéma et se fermera. Cette opération est nécessaire pour s’assurer que l’information affichée soit cohérente avec le contenu courant du schéma.

Contrôle croisé vers un lien

Pour effectuer un contrôle croisé vers un lien d’ARES :

  1. Répétez les operations 1 & 2 ci-dessus.

  2. Utilisez l’icône "Lien" en haut et à gauche de l’explorateur pour commuter en visionneur des liens physiques – ceci sera indiqué dans la barre de titre.

  3. Le panneau de droite affichera la liste des liens du schéma

  4. Dans le panneau, cliquez droit sur le lien qui vous intéresse. Vous obtiendrez un menu contextuel avec une option 'Aller au lien du circuit'. Choisissez cette option et ARES zoomera et sélectionnera l’empreinte correspondante.


LES PORTIONS DE PROJETS

Généralités

Les portions de projet fournissent un moyen efficace de réutiliser des parties d'un projet existant. L'idée de base est simple: sélectionnez une zone de schéma et /ou une portion de circuit imprimé, puis exporter cela sur disque afin de pouvoir l'importer dans vos projets futurs. Cependant, il existe des règles à respecter et des limitations qui sont expliquées ci-dessous.

Exemples en vidéo

Portions de schéma et de circuit

Définir une portion de schéma et de circuit correspond au scénario normal. Vous avez une section de schéma avec la portion de circuit qui lui correspond; vous souhaitez en faire plusieurs copies ou les réutiliser dans un projet futur.

Creation

Pour créer une portion de schéma et de circuit

  1. Organisez votre schéma afin que la portion soit sur une seule feuille. Etirez un rectangle de sélection autour du schéma dans ISIS.

  2. La sélection dans ARES doit correspondre précisément à la portion de schéma d'ISIS. Dans le cas où vous décideriez de créer une portion basée sur la totalité d'un projet existant, nous vous conseillons de sauvegarder votre projet sous un nom temporaire avant de commencer! Utilisez le filtre de sélection pour définir correctement le rectangle de sélection autour des éléments et du routage souhaité.

  3. Cliquez droite à l'intérieur du rectangle de sélection et lancez la commande 'Exporter portion de projet' du menu contextuel. Par défaut, la portion (*.PDSCLIP) sera sauvegardée dans le dossier SNIPPETS de votre installation Proteus.

Cette opération implique de définir un rectangle de sélection sur le schéma et le circuit. Si votre moniteur le permet, vous pouvez subdiviser vos onglets dans deux zones de l'écran afin de visualiser simultanément le schéma et le circuit.

Règles pour les portions de projets

Import

Pour importer et placer une portion de schéma et de circuit

  1. Lancez l'éditeur de schémas (ISIS), allez dans le menu Fichier et appelez la commande 'import de portion de projet'.

  2. Placez la portion de projet dans le schéma.

  3. La portion de circuit imprimé correspondante apparaîtra dans le sélecteur d'objets d'ARES, repérée par l'icône ciseaux dans sa partie droite.

  4. Cliquez sur n'importe quel composant de la portion et placez-la sur le circuit.

Portion de schéma seule

Une portion de schéma seule est une zone de schéma que vous souhaitez réutiliser dans vos projets futurs, sans qu'il y ait une portion de circuit associée. Par exemple, une carte Arduino peut être créée pour des besoins en simulation.

Creation

Pour créer une poriotn de schéma seule

  1. Organisez votre schéma afin que la portion soit sur une seule feuille. Etirez un rectangle de sélection autour du schéma dans ISIS.

  2. Cliquez droite à l'intérieur du rectangle de sélection et lancez la commande 'Exporter portion de projet' du menu contextuel. Par défaut, la portion (*.PDSCLIP) sera sauvegardée dans le dossier SNIPPETS de votre installation Proteus.

Import

Pour importer une portion de schéma seule

  1. Lancez l'éditeur de schémas (ISIS), allez dans le menu Fichier et appelez la commande 'import de portion de projet'.

  2. Placez la portion de projet dans le schéma.

La notion de portion de schéma seule remplace la fonctionnalité de fichier section de Proteus 7.xx. Vous pouvez importer tout fichier de section lors d'un appel de la commande 'Import de portion de projet en modifiant le filtre de sélection des fichiers en 'fichiers sections' (section files). Vous devriez créer une portion de projet à partir des données importées.

Portion de circuit seule

Une portion de circuit seule est une zone de circuit imprimé schéma que vous souhaitez réutiliser dans vos projets futurs, sans qu'il y ait une portion de schéma associée. C'est extrêmement inhabituel mais nous en parlons ici pour être complet.

Creation

Pour créer une portion de circuit seule

  1. Organisez votre circuit afin que la portion soit sur une seule feuille. Etirez un rectangle de sélection autour du circuit dans ARES Utilisez le filtre de sélection pour définir les types d'objets à inclure.

  2. Cliquez droite à l'intérieur du rectangle de sélection et lancez la commande 'Exporter portion de projet' du menu contextuel. Par défaut, la portion (*.PDSCLIP) sera sauvegardée dans le dossier SNIPPETS de votre installation Proteus.

Import

Pour importer une portion de circuit seule

  1. Lancez le module de création de circuit imprimé (ARES),allez dans le menu Fichier et appelez la commande 'import de portion de projet'.
  2. Placez la portion de projet dans le circuit.

Importer une portion de projet seule (ou copier-coller des éléments dans le circuit) lorsque vous avez un schéma et une netlist temps réel peut induire des conséquences inatendues. Si aucune duplication n'existe, l'annotation de la portion est préservée mais les boîtiers seront reliés à l'annotation des composants du schéma, ce qui peut ne pas correspondre à ce que vous souhaitiez. Si vous êtes incertain, vous devriez commencer par effacer la netlist (Menu Outils de ARES), puis importer la portion de projet pour valider l'annotation désirée et valider à nouveau la netlist temps réel pour resynchroniser.

La notion de portion de circuit seule remplace la fonctionnalité de fichier région de Proteus 7.xx. Vous pouvez importer tout fichier région lors d'un appel de la commande 'Import de portion de projet en modifiant le filtre de sélection des fichiers en 'fichiers région'. Vous devriez créer une portion de projet à partir des données importées.

Règles des portions de projet

  • Une portion de projet et de schéma nécessite de sélectionner exactement des mêmes éléments du schéma et du circuit. Vous ne pouvez pas sélectionner dans ARES des composants de référence différente à ceux de ISIS, de même vous ne pouvez pas mettre en surbrillance des éléments dans ISIS qui ne sont pas mis en surbillance dans ARES.

  • Une portion de projet du schéma fonctionnera uniquement sur la feuille courante. Ne créez pas de portion de schéma qui contient un sous-circuit. Les portions ne se propagent pas dans la hiérarchie du schéma et le contenu des sous-circuits ne sera pas sauvegardé/importé.

  • Une portion de schéma et de projet doivent être importés en premier dans le projet. Ceci initialisera correctement le placement du circuit et évitera des problèmes d'annotation avec le reste du circuit.

  • Si un plan de masse n'est pas totalement inclus dans la sélection du circuit, il ne sera pas incorporé dans la portion de projet.

  • Après avoir été placé dans le circuit, la portion de projet n'est plus une entité globale. Chaque objet peut être manipulé indépendamment.

  • Si vous importez une portion de projet dans un sous-circuit, il dupliquera le noms qui ont déjà été placés. Vous devriez importer une portion dans une feuille racine ou être certain que tous vos sous-circuits soient en place avant l'import.


Icônes

ICONES DE REFERENCE

Icônes de commande

Nouveau Fichier | Ouvrir projet | Enregistrer projet
Importer section | Exporter Section | Imrpimer projet
Définir zone de sortie | Redessiner | Commuter grille
Commuter fausse origine | Centrer sur le curseur | Agrandir
Réduire | Zoom sur la feuille entière | Zoom sur la zone
Annuler modifications | Rétablir modifications | Couper vers presse-papiers
Copier vers presse-papiers | Coller depuis presse-papiers | Copier bloc
Déplacer bloc | Tourner Bloc | Supprimer bloc
Prendre composant/symbole | Créer composant | Exécuter l'outil de packaging
Decomposeer | Commuter l'autorouteur de fils | Rechercher et sélectionner composant
Outil d'affectation de propriétés | Explorateur de projet | Nouvelle feuille racine
Revenir à la feuille parent | Nomenclature | Rapport électrique
Transfert de Netlist vers ARES |  |

Icônes de sélection

Mode Sélection | Mode Composant | Point de jonction
Label | Script de texte | Bus
Sous-circuit | Placement des broches | Graphes
Enregistreur | Generateur | Sonde de tension
Sonde de courant | Instrument virtuel | Ligne 2D
Rectangle 2D | Cercle 2D | Arc 2D
Chemin fermé 2D | texte 2D | Symbôle graphique 2D
Marqueur 2D | Rotation horaire | Rotation anti-horaire
Mirroir X | Miroir Y |


Sauvergarde incompatibles avec d'anciennes versions

SAUVEGARDE INCOMPATIBLE AVEC D'ANCIENNES VERSIONS

La version actuelle du logiciel inclut des fonctionnalités qui nécessite une modification de la structure du schéma. Les anciennes versions de Proteus ne peuvent pas lire des projets crées à partie de Proteus 8.3.

Si vous avez néanmoins besoin de sauvegarder un projet pour le charger dans une version antérieurs, vous devez utilisez le filtre 'Sauvegarder comme V7.0' dans la boite de dialogue d'enregistrement du projet.

Labcenter ne recommande aucunement d'utiliser ce procédé qui ne garantit pas la restitution exacte de votre projet une fois celui-ci ouvert dans une version plus ancienne.


ERREURS D'OUTIL DE PACKAGING

Erreurs de Packaging avec des composants multi-éléments (Errors with Mixed Device Types)

Une telle erreur peut survenir lorsque vous essayez de packager plusieurs composants dont certains sont des éléments homogène et d'autres des éléments hétérogènes. This error occurs because you are trying to package a number of elements of which one or more elements are homogeneous and one or more are heterogeneous.

Solution

Tout d'abord commencez par contrôler que seuls les éléments en surbrillance sur le schéma sont ceux que vous voulez packager. En effet, une erreur peut survenir lorsque, par exemple, vous essayez de packager un composant simple (comme une résistance), mais qu'un autre élément du schéma est également en surbrillance.

First of all, check that the only devices highlighted on the schematic are those which you want to package. This normally happens if, for example, you are trying to package a simple, single element device (such as a resistor) but another element elsewhere on the schematic is highlighted.

Si ce n'est pas le cas et que vous essayez de packager un composant multi-éléments, suivez les instructions ci-dessous en fonction du composant que vous souhaitez packager. Should this not be the case and you are trying to package a multi-element device, follow the instructions below according to the type of device you want to package.

Packager un composant multi-éléments homogène: Packaging Multi Element Homogeneous Parts:

  1. Mettez en surbrillance un seul élément. Highlight a single element.
  2. Cliquez sur l'icône de création des composant
  3. lancez l'outil de visualisation des packages à partir de l'assistant de création de composant. Launch the Visual Packaging Tool from the Packaging screen on the Make Device wizard.
  4. Spécifiez le numéros des éléments dans le champs 'No. Of Gate', comme montré ci-dessous: Specify the number of elements via the No. of Gates field as shown below.

Packager un composant multi-éléments hétérogène: Packaging Multi Element Heterogeneous Parts:

  1. Placez tous les éléments qui composent le composant en vous assurant que tous ces éléments ont des noms corrects de type U1:A, U1:B, etc.

  2. Mettez en surbrillance tous les éléments du composant en vérifiant qu'aucun autre compostant n'est sélectionné. Highlight all the elements of the device ensuring no other components are tagged.
  3. Cliquez sur l'icône de visualisation des packages
  4. Procédez ensuite comme à l'accoutumée.

Voir également:

Créer un composant.

Créer un composant homogène multi-éléments.

Créer un composant hétérogène multi-éléments.

Outil de visualisation des packages.

Commande de création des composants

Packager des composants hétérogènes

L'outil de génération des packages a pu rencontrer des problèmes lors du packaging de composants hétérogènes multi-éléments. Les bonnes techniques pour le package de ce type d'éléments sont traitées dans les rubriques suivantes:

The Visual Packaging Tool has encountered problems while trying to package a multi-element heterogeneous device. The correct techniques for packaging this type of device are covered in detail in the following help topics:

Création des composants

Création d'un composant hétérogène multi-éléments

L'outil de visualisation des packages

La commande 'Créer un composant'

Ci-dessous vous trouverez une liste des messages d'erreurs que vous pouvez rencontrés ainsi que les solutions à ces erreurs.

Erreur : un composant marqué avec une référence contenant un élément 'x' avec identifiant est recherché et n'est pas trouvé. A tagged component with a reference containing element ID 'x' was expected but not found.

Quand un éléments 'x' avec un identifiant (A, B, C, etc.) n'est pas trouvé suite à une recherche. Where ‘x’ is the element ID (A, B, C, etc.) that was expected but not found.

Cause

ce problème signifie que les composants hétérogènes ont mal été annotés. L'exemple ci-dessous montre les éléments du composant nommés RL1:A et RL1:C, mais on constate l'absence de l'élément RL1:B. This means that the heterogeneous elements are incorrectly annotated. An example is shown below where the elements are annotated RL1:A, RL1:C but there is no RL1:B element.

Solution

Il faut ici rénommer chaque élément dans un ordre logique. Dans notre exemple, l'élément RL1:C devient RL1:B.

Erreur: Quand un élémentde composant 'x' est associé à un composant 'y' ou autre.

Quand un élément 'x' nommé (A, B, C, etc.) doit en réalité être associé à un composant 'Y'. Where ‘x’ is the element ID (A, B, C, etc.) that is in error and ‘y’ is the device name (library part name) that was expected.

Cause:

Un élément d'un composant hétérogène multi-éléments est placé avec un autre composant qui n'est pas le même composant ou le composant suivant que celui utilisé pour l'élément qui le précédait. An element of a multi-element heterogeneous device is placed (i.e. is an instance of) a device that is not the same device or a later device to that used in the previous element.

Considérons un composant hétérogène multi-éléments dont les élément sont nommés telsque U1:A, U1:B, U1:C, U1:D, etc. où chaque élément est une partie d'un composant telleque DEVICE:A, DEVICE:B, DEVICE:C, etc. Ainsi, par exemple, U1:A est une partie de DEVICE:A; de la même façon, U1:B (l'élément suivant) peut être aussi bien une partie de DEVICE:A que du composant suivant (c'est-à-dire DEVICE:B, DEVICE:C, etc.), et ainsi de suite.

Consider the generic case of a multi-element heterogeneous device consisting of elements U1:A, U1:B, U1:C, U1:D, etc. where each element is an instance of a device DEVICE:A, DEVICE:B, DEVICE:C and so on. It is a requirement that if, for example, U1:A is an instance of DEVICE:A, then U1:B (the next element) must either also be an instance of DEVICE:A or a later device (i.e. DEVICE:B, DEVICE:C, etc.). The same applies to U1:C in regard to U1:B, and so on.

Solution:

Il faut renommer les éléments de façon à ce que tous les éléments (U1:A, U1:B, etc.) soient associés au même composant ou au composant suivant par rapport à l'élément qui le précède. Re-annotate the elements such that moving through the elements (U1:A, U1:B, etc.) each element is the same or a later device to the device in the previous element.

Erreur: un composant nommé avec un référence 'x' est trouvé alors qu'il n'était pas recherché. (A tagged component with a reference 'x' (i.e. element 'y') was found but not expected.

Quand un composant 'x' est le composant de référence d'un élément qui a été trouvé alors que le composant recherché est nommé 'y'. Where ‘x’ is the component reference of the element that was found and ‘y’ is the actual element ID.

Cause:

Cette erreur survient quand l'annotation des éléments qui composent un composant hétérogène multi-éléments ne sont pas dans un ordre séquentiel. Dans l'exemple ci-dessous, l'erreur survient avec l'élement 'C' qui n'était pas attendu ici. This error occurs where the annotation of elements in a multi-element heterogeneous part are not sequential. In the example below, this error would occur for element ‘C’ ; given that only two elements are highlighted, an element ‘C’ is unexpected.

Solution:

Il faut renommer tous les élements dans un ordre séquentiel. Dans notre exemple, il faut inverser U1:B et U1:C afin de les remettre dans le bon ordre.

Erreurs de packaging avec des broches

L'outil visuel de packages peut également rencontré des problèmes avec les broches du composant que vous voulez packager. Les erreurs auxquelles vous pouvez être confrontées sont listées ci-dessous:

Erreur: Deux broches ou plus ont le même nom ('x') sur un composant 'y'. le composant ne peut pas être packagé jusqu'à ce qu'il soit recréé via la commande de Création des composants (vous n'avez pas besoin de renommer les broches). There are two more pins with the same name (‘x’) in legacy device ‘y’.The device cannot be packaged until it is re-made via the Make Device command (you do not need to rename the pins)

Quand 'x' est le nom de la broche qui a été dupliquée et 'y' le nom de composant dans lequel cette broche a été dupliquée. Where ‘x’ is the pin name that is duplicated and ‘y’ is the name of the device (library part) containing the duplicate pins.

Cause:

Vous avez un composant dans lequel une broche ou plus portent le même nom. You have a device (created in an earlier version of the software ) in which more that one pin has the same name.

Solution:

Editez les noms de broches du composant (vous devez avoir précédemment décomposé le composant) afin que chaque broche ait un nom unique. Edit the pin names on the device (you may first have to decompose the part) such that each device pin has a unique name.

Erreur: Une broche 'x' a été trouvée dans deux composants hétérogènes différents (y et z), ce qui n'est pas permis. Pin 'x’ found in two different heterogeneous devices (y and z). This is not allowed.

Quand 'x' est le nom d'une broche et 'y' et 'z' les noms des deux composants qui contiennent cette broche. Where ‘x’ is the name of the pin and ‘y’ and ‘z’ are the two devices (library parts) that contain the pin.

Cause:

Vous souhaitez packager une composant hétérogène multi-éléments dans lequel deux ou plus des différents éléments qui le composent contiennent une broche portant le même nom. You are attempting to package a multi-element heterogeneous device where two or more different devices (library parts) that make up the overall device contain a pin with the same name.

Solution:

Il vous faut récréer un ou plusieurs des éléments qui composent votre composant multi-éléments afin de vous assurer que chaque broche posséde un nom unique.

Messages d'alerte de l'outil de création des packages

Lorsque vous packagez un composant, des messages d'alerte peuvent apparaître dans l'outil de visualisation des packages. Les messages d'alertes sont listés ci-dessous:

Attention: la broche de bus 'x' du composant 'y' n'appartient à aucune catégorie. Warning : Bus pin ‘x’ of device ‘y’ has no range.

ici 'x' est le nom de la broche de bus et 'y' le nom du composant. Where ‘x’ is the name of the bus pin and ‘ y’ is the name of the device.

Cause:

Vous avez utilisé une broche de bus pour laquelle aucune catégorie n'a été spécifiée. Chaque broche de bus doit avoir une catégorie définie afin que vous puissiez correctement créer le package de votre composant.

Solution:

Vous devez éditer la broche du bus (vous devez au préalable décomposer le composant) et sépcifier une catégorie pour votre bus. L'exemple ci-dessous montre la boite de dialogue d'édition des broches et la syntaxe d'une broche de bus standart. Notez qu'il est impératif de spécifier une catégorie de bus, mais que vous pouvez choisir de cacher la catégorie du bus sur le schéma . Edit the bus pin (you may first have to decompose the part) and specify a range for the bus. The example below shows the Edit Pin dialogue form for a bus pin and the syntax for a standard eight pin bus. Note that you can choose to have the bus range hidden on the schematic if you prefer it but you must specify a range.

Voir également:

Bus

Nommer un bus

Propriétés de bus

Attention: Le package 'x' spécifié dans 't' est différent du package spécifié dans 'z'. Warning: Packaging ‘x’ specified in 'y’ is different to packaging specified in 'z’

Ici, 'x' est le nom d'un package et 'y' et 'z' sont deux composants.

Cause:

Ce message signifie que vous avez créé un package pour un composant multi-éléments où différents éléments font référence au même package (par ex. DIL40), mais où le brochage (les numéros attribués à chaque broche) de chque éléments est diffétent. Cela crée un ambiguité; un seul brochage doit être utilisé pour l'ensemble des éléments.

Solution:

Malgré ce message d'avertissement, vous pouvez continuer sans problème votre schéma, mais il est préférable de vérifier la numérotation de vos broches pour ce package 'x' dans l'outil de visualisation des packaging. You can safely continue from this warning but be sure to double check that the pin numbering for the named packaging is correct in the Visual Packaging Tool.

Attention: Le composant 'x' n'a été trouvé dans aucune bibliothèque. Warning: Device 'x’ was not found in any library.

Ici 'x' est le nom du composant qui n'a pas été trouvé.

Cause:

Le composant que vous essayez de package n'est trouvé dans aucune des bibliothèques d'ISIS. Il existe plusieurs causes: soit vous n'avez tout simplement pas créé ce composant (par exemple, vous avez récupéré le schéma d'un autre utilisateur qui avait crée le composant dans sa propre bibliothèque de composants), soit vous n'avez pas le bon chemin pour localiser sur votre ordinateur la bibliothèque à laquelle appartient ce composant. The device you are trying to package cannot be found in any of the ISIS libraries. This may be because you have not created the part (i.e. the schematic has been passed to you from another user who has created the part in his libraries) or that the location of the library containing the part is not included in your system path.

Solution:

Ce message d'avertissement peut généralement être ignoré.

Attention: Le composant 'x' se trouve dans la bibliothèque en lecture-seule 'y'. Warning: Device 'x' was found in a read-only library 'y'.

ici, 'x' est le nom du composant que vous êtes en train de packager et 'y' le nom de la bibliothèque de composants en lecture-seule. Where ‘x’ is the name of the device you are packaging and ‘y’ is the name of a device library that is set as read-only.

Cause:

Le composant sur lequel vous voulez associer un package est un composant d'une bibliothèque en lecture-seule. Il s'agit soit d'une bibliothèque fournie avec le logiciel, soit d'une bibliothèque que vous avez programmée pour être en lecture-seule.

Solution:

ce message d'avertissement apparaît afin de vous signifier que si vous mémoriser ce composant, le même nom de composant se trouvera désormais dans deux bibliothèques différentes, ce qui être source d'ambiguité par la suite. The purpose of this warning is to indicate that if you now store the part in a writable library, the same named device will be in two different libraries and this will may lead to ambiguities later on.

Le mieux est alors de mémoriser le nouveau composant avec package dans une bibliothèque modifiable, puis de résoudre le problème de la façon suivante:

  • Si le composant original existe dans une des bibliothèques du logiciel, alors utilisez le gestionnaire de bibliothèques (qui se lance à partir du menu BIBLIOTHEQUES) pour modifier le nom du nouveau composant avec package que vous venez de créer afin de lui donner un nom qui lui soit propre.

  • Si le composant existe dans une de vos bibliothèques, alors utilisez le gestionnaire de bibliothèques pour supprimer temporairement l'option 'en lecture-seule' de la bibliothèque où se trouve le composant que vous êtes en train de packager; déplacez le composant dans une autre bibliothèque, modifiable celle-ci, puis recochez l'option 'en lecture-seule'. If the part exists in one of your own user libraries which is set to read-only then use the Library Manager (launched from the Library menu) to temporarily remove the read-only setting on the library and to then move the part from the library you saved it in to your own library and then restore the read-only setting.

Garder en mémoire qu'il est essentiel d'avoir une bonne gestion de ses bibliothèques pour éviter de futures complications.

Attention: le composant 'x ' a été trouvé dans une bibliothèque différente 'y' de celles des autres composants étiquetés. Warning: Device 'x' was found in a different library (y) to other tagged devices.

ici, 'x' est le nom du composant que vous êtes en train de packager et 'y' le nom d'une bibliothèque.

Cause:

Vous essayez de créer un package pour un composant hétérogène multi-éléments, mais tous les éléments qui composent ce composant ne se situent pas dans la même bibliothèque. Par exemple, vous voulez créer un package pour un relais; la bobine se trouve dans un bibliothèque et les connecteurs dans une autre. Un message d'avertissement apparaît. You are attempting to package a multi-element heterogeneous device where not all the devices that make up the heterogeneus device exist in the same library. For example, if you are packaging a relay, where the coil exists in one library and the contacts are in another, then you will get this warning message.

Solution:

Utilisez le gestionnaire de bibliothèques (menu BIBLIOTHEQUES) pour déplacer les éléments afin que ceux-ci soient tous dans une seule et même bibliothèques.

Attention: le composant 'x' a été trouvés dans plusieurs bibliothèques.

ici, 'x' est le nom de composant que vous essayez de packager.

Cause:

Le composant que vous essayer de packager existe dans plusieurs bibliothèques. Cela signifie soit que vous avez créé le même composant plusieurs fois tout en le plaçant dans des bibliothèques différentes, soit que vous avez modifié un composant déjà existant dans les bibliothèques incluses dans le logiciel, puis l'avez placé dans une de vos propres bibliothèques sans avoir changé son nom.

Solution:

  • Si le composant existe dans plusieurs de vos bibliothèques personnelles, vous devezne garder ce composant que dans une seule bibliothèque. Dans les autres bibliothèques, supprimez-le ou modifiez son nom ou son apparence afin d'éviter toute ambiguité à l'avenir.

  • Si le composant existe dans une des bibliothèques du logiciel, vous devez renommez ce composant dans votre bibliothèque personnelle.


Configuration des diagnostiques

Configuration des Diagnostics

Généralités

Diagnostic messaging in Proteus is an extremely powerful debugging tool. This dialogue allows you to configure what messages you wish to be output and at what severity level for the parts on the current schematic. The list is dynamically updated with parts on the schematic that contain the ability to output diagnostic messages.

Turning on diagnostics for a particular part or onboard peripheral is one of the best ways to quickly find problems in a design but it does come at the expense of simulation performance as large amounts of ASCII text can be output.

All diagnostic messages are written to the simulation log and can be viewed either during simulation, when single step debugging or after a simulation is completed.

Options

Trace Categories

Expand the treeview where appropriate to enable additional options and select the option for which you want to change the diagnostic levels. The contents of the treeview reflect the current schematic so all components on the design containing diagnostic information are available for selection here.The icons to the left of each item indicate the currently configured diagnostic level for that item.

Trace Information Level

These options allow you to configure the level of detail if the diagnostic reporting (from Disabled, through Warnings Only, down to Full Trace). Bear in mind that the more detail you specify the slower the simulation will run as more data is required to be written to the simulation advisor.

Additionally, the Suspend checkbox allows you to suspend the simulation every time an event is logged to the simulation advisor. This is exceptionally useful when you need to closely monitor activity on a processor peripheral for example but enabling this when full trace is configured will almost certainly result in the simulation pausing frequently!

Log From

This option allows you to specify a start or arm time after which the diagnostics will become active. Typically, you might use this to bypass initialization or where you know the approximate time at which a certain problem is occurring. Together with the Run Time option this allows you to control the amount of trace data output this making it easier to assimilate the data.

For

This option allows you to specify the amount of time (in seconds) subsequent to the specified start time for which the configured diagnostic options will be active. For example, if you wanted diagnostic reporting between 15s and 25s you would set the start time to be 15s and this option to be 10s.


Execution dans un temps donné

Généralité

Cette boite de dialogue vous permet de spécifier un temps imparti pour la simulation.


Edit Design Properties

Overview

This dialogue allows you to provide design information for use both in the Bill of Materials report and during design netlist.

Options

Filename

Click to specify a path and filename for the file to be exported.

Title

Specify the title of the design. This will appear at the top of any reports generated from the design (BOM Scripts, Netlists etc.). Note that this is not the same as the filename.

Doc. No.

Specify the document number for the design. This will appear in any reports (e.g. BOM scripts, Netlists etc.) that are generated from the design.

Revision

Specify the revision number. This will appear on any report generated from the design

Author

Specify the author of the design.

Nestlisting Options

These design configuration options each have their own context sensitive help topic.

  • Global Power Nets? - Specify whether power nets are to be assigned locally or globally (across all sheets).
  • Cache Model Files? - Specify whether or not model ( .mdf ) files are saved within the design files. If checked, this means that a design can be loaded and simulated by a third party who does not have the models used in the design. Note, however, that VSM Model DLLs cannot be cached.


Edit Sheet Properties

Overview

This dialogue allows you to specify various properties relevant to the current sheet.

Options

Sheet Title

Specify the title of the sheet. The title is displayed on the Design Menu and other tools and can be changed to reflect the contents of the sheet.

Sheet Name

Specify the name of the sheet. Sheets are ordered on the design menu display according to their name so changing the names allows the user to form a logical ordering when navigating through a design.

Annotator Init

Specify the annotation offset for the sheet. This value is used by the automatic annotator to determine the starting value for component references on the sheet and, in conjunction with the replicate command in ARES, can allow you to duplicate identical blocks of circuitry on the layout.

Non-physical sheet?

Specify whether or not the components on the sheet are to be included a a netlist for PCB layout. Check the checkbox for any sheet which is a simulator model as opposed to a physical part of the design.

External .MOD file?

Specify whether or not you want the sheet to be linked to an external .MOD file. This allows child circuits to be shared between designs. External MOD files are kept in the MODELS directory. Recommended for advanced users only.


Goto Sheet

Overview

This dialogue form allows you to quickly navigate between sheets, this can also be done by using the page up and down keys on your keyboard.


Power Rail Configuration

Overview

This dialogue form allows you to configure power connections and to connect supplies to rails. If you prefer you can do the same thing by wiring power terminals together on the schematic (e.g. VCC & +5V) - all such connections will be honoured by this configuration tool.

Options

Power Supplies

This groupbox contains a series of controls (each with it’s own context sensitive help) which allow you to configure the characteristics of all the power supplies on the schematic.

  • Name - Displays a list of existing power supplies for the current design. This list is populated both from the default set of power supplies (preconfigured and shipped with the software) , with any explicitly defined power supplied on the schematic and with any power supplies you have added via this dialogue form. For each power supply a list of power nets connected to the rail is displayed towards the bottom right of the dialogue.
  • New - Specify a new power supply. This allows you to create a power supply which you can then configure via the other options on the dialogue form.
  • Rename - Rename an existing power supply. This allows you to rename the currently selected power supply. Note that if the power supply has been explicitly specified on the schematic (e.g. a power terminal annotated +12V) this field will be disabled.
  • Delete - Delete the currently selected power supply. Note that you cannot delete a power supply via this dialogue form where the power supply has been explicitly specified on the schematic.
  • Voltage - Set the voltage for the currently selected power supply. Note that power supplies which have been explicitly specified on the schematic (e.g. a power terminal annotated +12V) cannot have their voltage altered via this dialogue – this field will be disabled for such supplies.
  • Class - Set the strategy for the currently selected power supply. By default all supplies will be assigned the POWER strategy but, should a rail require particular consideration you can specify a custom strategy name here and configure design rules etc. for the strategy in ARES. Note that where a strategy has been specified explicitly on the schematic (e.g. a wire label annotated STRAT=FRED) you cannot change the strategy via this dialogue form.

Unconnected power nets

This listbox contains all the power nets currently on the schematic which have not been bound to a power rail. You can assign a net to a power supply by selecting the desired supply from the combo box above (or creating a new supply via the New button), left clicking on the net name within this listbox to highlight the net, and then clicking the mouse on the Add button to assign the net to the power supply.

Nets connected to GND

This listbox contains all power nets assigned to the power supply currently selected via the combo box at the top of the dialogue form. You can add unassigned power nets or remove existing power nets via the Add/Remove buttons to the left of the listbox.

Add

Use this button to assign a highlighted (unconnected) power net to the currently selected power supply. In the case where two (or more) power nets have been wired together on the schematic, assigning one net to a power supply will assign all the conjoined nets as well.

Remove

Use this button to remove a highlighted (assigned) power net from the currently selected power supply. In the case where two (or more) power nets have been wired together on the schematic, removing one net from a power supply will remove all the conjoined nets as well.

Use default power rail connections

When checked the default power supplies will be applied to the current design. Note that at the point of activation this will supersede any manual edits that have been made to power supplies with the same names as those in the default set. We recommend that you leave this option enabled unless you specifically require customisation of the default power supplies.


Align Components

Overview

This command allows you to automatically align selected objects on the schematic according to the set criteria. To select multiple objects for aligning either :

  • Drag a tagbox around the objects.
  • Left click to select an object and then hold the CTRL button down while left clicking to select additional objects.

Options

Action

This determines what the reference point for the aligning operation should be. You can choose to align to any edge or to center either vertically or horizontally.

Align Point

This combo box allows you to choose between using the Object Bounds or the Connection Points as the Align Point. This determines which part of the object is considered when aligning in the manner specified through the Action options.


Edit Component

Overview

This dialogue form is the main editing window for the object. Users can add fields to the dialogue form by specifying additional properties for the component in the Make Device dialogue form. This means that each component can contain arbitrary information relevant to that particular device. The options detailed below are therefore simply some of the most common that will be found in Labcenter produced library parts.

Options

Component Reference

Specify the part ID for the component. If the component is part of a multi-element part such as a 7400, use the naming syntax U1:A, U1:B etc. to select the different gates. ISIS will update the pin numbers automatically, when the part reference is so edited.

Hidden - If checked the component reference will not be visible on the schematic.

Resistance

Specify the component's part value.

In ISIS 5.1, the data type, description and value range for this field can be defined for each device type by giving a property definition for the VALUE property.

Hidden - If checked the component value will not be visible on the schematic.

Model Type

If present, this field specifies whether a component is considered digital, analog or mixed mode by the Proteus simulation engine. Only applicable for parts with simulation models and therefore typically only present in Labcenter produced library parts.

PCB Package

When present, this field allows specification of one or more PCB footprints which are associated with the component for the purposes of PCB layout. This field is present on most physical devices and is used when netlisting to the ARES layout software to load the footprint for placement.

Other Properties

A free format text block in which you can add as many additional properties as you require. Text enclosed between curly brackets ('{' and '}') is hidden.

See also the Edit all Properties as Text button.

Exclude from Simulation

This option provides the means for a user to exclude parts from a simulation but leave them present on the schematic for physical netlist purposes. For example, connectors and crystals should not be simulated but would need to be present for PCB layout.

Exclude from PCB Layout

This options provides the means for a user to exclude parts from a PCB but to include them when simulating the schematic. For example, non-physical parts such as oscilloscopes and logic analysers are used in the simulation but are not present in the physical layout of the board.

Edit all properties as text

If checked, then all component properties are placed into the free format text block. This bypasses the syntax checking present when property definitions are in use, and allows you to enter parameterized expressions for the property values.

In addition properties specified as HIDDEN by their property definitions can be viewed and/or edited.

Recommended for advanced users only.

Attach hierarchy module

If checked, this option causes a child sheet to be attached to the component. You can access the child sheet by pointing at the component and pressing CTRL+'Z'. The name used for the child sheet is determined when the device was made via the External Module field of the Make Device Dialogue form. If no external module was specified, ISIS uses the name of the device itself.

This behaviour is different from ISIS versions prior to 5.1. Backward compatibility for old designs is retained.

Hide common pins

When checked, all the common pins on the element being edited will be hidden. This is intended for use with multi-element homogeneous parts where you only want the common power pins on one or more elements to be hidden. For example, with a quad op-amp you might only want power pins visible on one element and would therefore use this option to suppress the common power pins on the other elements.

This option will be disabled for components with no common pins.


Edit Script Block

Overview

This dialogue form allows you to change the text and style of a script block on the schematic. Changes to the style via this dialogue form are local to the script you are editing; persistent or default changes should be made via the Set Text Styles command on the Template Menu

Options

Text

Modify the properties of the script block here. You can exit the form using Ctrl & Enter. You can change the default size of the script block window by clicking on the ISIS icon at the top left of the dialogue form and selecting Save Window Size.

Rotation

Select whether the text is oriented horizontally or vertically.

Justification

Select whether the text is left, centre or right justified, and whether it its origin is at the top or bottom.

External File

  • Import - Imports text from a text file on your hard disk.
  • Export - Export the script block to a text file.


Find and Edit Component

Overview

This dialogue form allows you to enter the name of a component which will then lead to another dialogue form allowing you to edit the component you named.

Options

Component

Enter the name of the component to be searched for.


Création d'un nouveau projet

Creation d'un nouveau projet

Généralités

This dialogue form lists all the available design templates and is created by gathering up all the design template files from your template path(s) as specified via the Set Paths command on the System menu. To initialize your schematic from a template either double click on the desired template in the list or click once to highlight and then click the OK button.


Export Bitmap

Overview

Use this dialogue form to export your design as a standard Windows bitmap. If you don't check the Output To File option, the bitmap will be placed on the clipboard.

Options

Scope

Select which part(s) of the design you wish to export from the given options. Note that not all of the options may be available at any one time.

  • Marked Area - Export the marked area as set by the Set Area command on the File menu. This option is only enabled where there a marked area and there is no maximised graph.
  • Current Graph - Export the currently maximised graph. This option is only enabled where a graph has been maximised. To maximise a graph either select the graph title from the bottom of the Graph menu or click left once on the graph's title bar.
  • Current Sheet - Export the currently displayed sheet. This option is only enabled where there is no maximised graph.
  • All Sheets - Export all sheets, including root sheets and hierarchical sub-sheets. This option is only enabled where there is no maximised graph.

Resolution

Choose from 100 to 600 DPI. Memory usage increases in proportion to the square of the resolution so a 600 DPI bitmap needs 36 times as much memory as a 100 DPI bitmap. A 100 DPI bitmap in 256 colours needs 10k bytes per square inch (5kB if in 16 colours).

Colours

Specify the colour depth of the export from the options given.

  • Mono - Print the exported graphic in monochrome (black and white)
  • 16 - Print the exported graphic in 16 colours.
  • 256 - Print the exported graphic in 256 colours.
  • Display - Print the exported graphic using the same bitmap format as your display adapter.

Rotation

The Virtual Graphics Device subsystem can produce output with the x dimension either vertical or horizontal on your peripheral. This lets you use the length of your peripheral to best effect. For example, with a wide carriage 9 pin printer it is possible to print an A2 sheet at 1:1 scaling though this will take a considerable amount of time.

Output to File?

Use these options if you want to export to a file.


Export Metafile/PDF

Overview

Use this dialogue form to export your design as an enhanced metafile (standard metafiles are no longer supported). If you don't check the Output to File option, the metafile will be placed on the clipboard.

Options

Scope

Select which part(s) of the design you wish to export from the given options. Note that not all of the options may be available at any one time.

  • Marked Area - Export the marked area as set by the Set Area command on the File menu. This option is only enabled where there a marked area and there is no maximised graph.
  • Current Graph - Export the currently maximised graph. This option is only enabled where a graph has been maximised. To maximise a graph either select the graph title from the bottom of the Graph menu or click left once on the graph's title bar.
  • Current Sheet - Export the currently displayed sheet. This option is only enabled where there is no maximised graph.
  • All Sheets - Export all sheets, including root sheets and hierarchical sub-sheets. This option is only enabled where there is no maximised graph.

Options

Use these checkboxes to configure output options for the metafile.

  • Colour Output? - Specify either a colour output or a monochrome output.
  • Erase Background? - If checked, this option causes ISIS to draw a rectangle in the current 'paper' colour before drawing anything else in the metafile.
  • Launch Acrobat? - Launch a copy of Adobe Acrobat Reader with the current output loaded.

Rotation

The Virtual Graphics Device subsystem can produce output with the x dimension either vertical or horizontal on your peripheral. This lets you use the length of your peripheral to best effect. For example, with a wide carriage 9 pin printer it is possible to print an A2 sheet at 1:1 scaling though this will take a considerable amount of time.

Output to File?

Use these options if you want to export to a file.


Export DXF/EPS

Overview

This dialogue allows you to export the current schematic as a DXF/EPS file for import into other software.

Options

Filename

Click to specify a path and filename for the file to be exported.

Scope

Select which part(s) of the design you wish to export from the given options. Note that not all of the options may be available at any one time.

  • Marked Area - Export the marked area as set by the Set Area command on the File menu. This option is only enabled where there a marked area and there is no maximised graph.
  • Current Graph - Export the currently maximised graph. This option is only enabled where a graph has been maximised. To maximise a graph either select the graph title from the bottom of the Graph menu or click left once on the graph's title bar.
  • Current Sheet - Export the currently displayed sheet. This option is only enabled where there is no maximised graph.
  • All Sheets - Export all sheets, including root sheets and hierarchical sub-sheets. This option is only enabled where there is no maximised graph.

Scale

You can scale the output from 1:1 down to 1:4 so that, for example, a drawing entered on a nominally A2 sheet can be rendered on an A4 laser printer at 300 dpi. Obviously, the hard copy device must have sufficient resolution if legibility is to be maintained. There is no support for printing a large drawing across multiple A4 or other small pages.

Rotation

The Virtual Graphics Device subsystem can produce output with the x dimension either vertical or horizontal on your peripheral. This lets you use the length of your peripheral to best effect. For example, with a wide carriage 9 pin printer it is possible to print an A2 sheet at 1:1 scaling though this will take a considerable amount of time.

Reflection

Specify whether you wish normal (i.e. as seen on screen) or mirrored output.


Export Vector

Overview

This dialogue allows you to export the current schematic as a Vector file for import into other software.

Options

Filename

Browse through your computer to determine where to save the Vector file.

Device

  • HPGL - Export in Hewlett Packard Graphics Language (HPGL) standard format. This assumes a top left origin.
  • HPGL (CTO) - Export in Hewlett Packard Graphics Language (HPGL) CTO format. This assumes a centre origin.
  • HI-80 - Export in HI-80 format. This format is compatible with most Epson Plotters.
  • DPML - Export in DPML format. This format is compatible with the Houston plotter series.

Scope

Select which part(s) of the design you wish to export from the given options. Note that not all of the options may be available at any one time.

  • Marked Area - Export the marked area as set by the Set Area command on the File menu. This option is only enabled where there a marked area and there is no maximised graph.
  • Current Graph - Export the currently maximised graph. This option is only enabled where a graph has been maximised. To maximise a graph either select the graph title from the bottom of the Graph menu or click left once on the graph's title bar.
  • Current Sheet - Export the currently displayed sheet. This option is only enabled where there is no maximised graph.
  • All Sheets - Export all sheets, including root sheets and hierarchical sub-sheets. This option is only enabled where there is no maximised graph.

Scale

You can scale the output from 1:1 down to 1:4 so that, for example, a drawing entered on a nominally A2 sheet can be rendered on an A4 laser printer at 300 dpi. Obviously, the hard copy device must have sufficient resolution if legibility is to be maintained. There is no support for printing a large drawing across multiple A4 or other small pages.

Rotation

The Virtual Graphics Device subsystem can produce output with the x dimension either vertical or horizontal on your peripheral. This lets you use the length of your peripheral to best effect. For example, with a wide carriage 9 pin printer it is possible to print an A2 sheet at 1:1 scaling though this will take a considerable amount of time.

Reflection

Specify whether you wish normal (i.e. as seen on screen) or mirrored output.


Impression

Print Design

Overview

This dialogue allows you to configure the scale and range of the schematic for printing.

Options

Printer & Output Device

This allows you to specify and configure the printer output device for the current print job. Note that selecting a different print device here will not change the default printer for ISIS. You can specify the default printer for use with ISIS via the Printer Setup option on the File Menu.

  • Printer - Use this button to configure the printer device for the current print job.
  • Filename - Click to specify a path and filename for the file to be exported.

Options

Use these options to specify colour output or to use the Labcenter Plotter Driver. Note that the plotter driver button is only enabled if you have specified a plotter device (via the printer button on the left).

  • Print in Colour? - Check this box to specify colour output. Note that some printers do not support this mode.
  • Labcenter Plotter Driver? - If this option is checked then ISIS only relies on the plotter driver’s ability to draw a line on the plotter with ISIS linearising arcs, circles, etc. and rendering text in a vector font. If this option is not checked then ISIS treats the plotter driver just like any other driver and expects it to sensibly handle all Windows GDI calls. This option is only enabled when a plotter is selected as the output device.

What to Print

The options in this groupbox allow you to configure which areas of the design you wish to print. Note that the print preview is disabled when printing all sheets.

  • Marked Area - Export the marked area as set by the Set Area command on the File Menu. This option is only enabled where there a marked area and there is no maximised graph.
  • Current Graph - Export the currently maximised graph. This option is only enabled where a graph has been maximised. To maximise a graph either select the graph title from the bottom of the Graph menu or click left once on the graph's title bar.
  • Current Sheet - Export the currently displayed sheet. This option is only enabled where there is no maximised graph.
  • All Sheets - Export all sheets, including root sheets and hierarchical sub-sheets. This option is only enabled where there is no maximised graph. Note that no print preview is available with this option and the sheets will position with origin at the centre of the printable area. For more control over sheet position select the ‘Current sheet’ option and print for every sheet individually.

Copies

Specify the number of copies you want for the current print job. Note that if your printer does not support multiple copies this field will be disabled.

Scale

These options allow you to specify the appropriate scaling factor for your output area. The print preview will display the output area at the current scaling. Note that the Scale to Fit option will, by default, only shrink a large design down to fit the paper size. To enlarge a small design to fit you must first uncheck the Only Shrink to Fit option.

Only Shrink to Fit? - This checkbox is only enabled when the ‘Scale to Fit’ option is selected. When checked the output area will, if necessary, shrink to fit within the printable area. It will not however, expand a smaller area to the bounds of the printable area. When unchecked designs can be both shrunk and expanded to the printable area.

Page Orientation

These options specify whether the document should be printed with its top along the short side of the paper (Portrait) or along the long side of the paper (Landscape). The print preview will automatically update to provide a visual representation of the specified orientation.

Compensation Factors

The compensation parameters scale the absolute co-ordinates of the graphic leaving the relative size(s) unaffected. For example, if you have a line of length 10 units drawn at co-ordinates (5, 5) and you set the x-compensation = 0.6 and the y-compensation = 0.5, then the line would actually be outputed at co-ordinates (3, 2). The length (10 units) remains unaffected. The purpose of these parameters is therefore to allow dimensionally critical designs to be of sufficient accuracy.

Print to File?

Specify whether or not you want to save the print job to disk.

Advanced Options

These options allow you to override the information that your printer supplies to ISIS and should only be used when the information supplied is incorrect. We advise you to use these options with caution – for example, enabling colour options on a printer which does not support colour output is pointless and will achieve nothing.


Block Rotate/Reflect

Overview

This dialogue form allows you to rotate highlighted items by a specific angle and mirror the highlighted items in the x or y axes.

Options

Angle

Choose the angle at which you wish the selected items to be rotated by.

Mirror X

Check this box if you wish the selected items to be mirrored in the x axis

Mirror Y

Check this box if you wish the selected items to be mirrored in the y axis


Edit Box/Circle/Path Graphics

Overview

This dialogue allows you to make local changes to one or more graphics styles on the schematic. Global changes (for future designs) should be made via the Template menu.

Options

Global Style

Specify the global graphics style on which to base the appearance of the wire. Individual aspects of the wire’s appearance can be adjusted by unchecking the Follow Global checkboxes.

Lock controls to global style's current settings?

When checked this will disable any controls on the dialogue whose settings are meaningless as a result of the Global Style Settings.

Line Attributes

  • Line Style - Specify a local change to the Line Style. This is enabled only when the appropriate Follow Global? Checkbox is unchecked and any changes made are specific to the current wire.
  • Width - Specify a local change to the Line Width. This is enabled only when the appropriate Follow Global? Checkbox is unchecked and any changes made are specific to the current wire.
  • Colour - Specify a local change to the Line Colour. This is enabled only when the appropriate Follow Global? Checkbox is unchecked and any changes made are specific to the current wire.
  • Follow Global? - When checked the Line Style/Width/Colour will follow the global style as set in the Template Menu.

Sample

This displays a sample of the graphic reflecting any changes you have effected through the options given.

Fill Attributes

  • Fill Style - Specify which type of fill style you wish to use.
  • Fg Colour - Specify the colour of the graphic.
  • Use Bk. Colour For particular graphic types only, this option allows you to use a background colour.
  • Bk. Colour - If enabled, this option allows you to choose which background colour to use.
  • Follow Global? - These checkboxes determine whether the graphic(s) being edited should use the default style properties (as defined via the Template Menu) or should be overriden for the current graphics.


Current Probe

Overview

This dialogue allows you to configure current probe objects that are connected to wires on the schematic.

Options

Name

Enter the name of the probe here. Once you have manually changed the name of a probe, ISIS will never replace it, even if you move the probe to a new net. If you want a probe to revert to automatic naming, clear its name to the blank string and then click OK.

Record to File

When checked the output data will be recorded to a partition data file.

Filename

Specify the filename and path for the output data, and which details you want to be visible on the schematic.


Edit Line/Beizer Graphics

Edit Line/Bezier Graphics

Overview

This dialogue allows you to make local changes to one or more graphics styles on the schematic. Global changes (for future designs) should be made via the Template menu.

Options

Global Style

Specify the global graphics style on which to base the appearance of the wire. Individual aspects of the wire’s appearance can be adjusted by unchecking the Follow Global checkboxes.

  • Lock controls to global style's current settings? - When checked this will disable any controls on the dialogue whose settings are meaningless as a result of the Global Style Settings.

Line Attributes

  • Line Style - Specify a local change to the Line Style. This is enabled only when the appropriate Follow Global? Checkbox is unchecked and any changes made are specific to the current wire.
  • Width - Specify a local change to the Line Width. This is enabled only when the appropriate Follow Global? Checkbox is unchecked and any changes made are specific to the current wire.
  • Colour - Specify a local change to the Line Colour. This is enabled only when the appropriate Follow Global? Checkbox is unchecked and any changes made are specific to the current wire.
  • Follow Global? - When checked the Line Style/Width/Colour will follow the global style as set in the Template Menu.

Sample

This displays a sample of the graphic reflecting any changes you have effected through the options given.

Fill Attributes (Bezier Graphics Only)

  • Fill Style - Specify which type of fill style you wish to use.
  • Fg Colour - Specify the colour of the graphic.
  • Use Bk. Colour For particular graphic types only, this option allows you to use a background colour.
  • Bk. Colour - If enabled, this option allows you to choose which background colour to use.
  • Follow Global? - These checkboxes determine whether the graphic(s) being edited should use the default style properties (as defined via the Template Menu) or should be overriden for the current graphics.


Edition des broches

Edit Pin

Overview

This dialogue allows configuration of all pin properties.

Options

Pin Name

Specify the pin name. If the device uses a pinout, this must match the pin name that appears in it.

Default Pin Number

Specify the pin number. If the device uses a pinout, or if the pin is a bus pin, this field should be left blank.

Draw Body?

If checked, the pin stem will be drawn along with the name and number as defined by the Draw name and Draw number checkboxes. If not checked then the pin is deemed hidden and will not be drawn at all.

Draw Name?

If checked (along with the Draw body checkbox), the pin name will be drawn at the position defined in the pin's symbol by the Pinname marker.

Draw Number?

If checked (along with the Draw body checkbox), the pin number will be drawn at the position defined in the pin's symbol by the Pinnum marker.

Rotate Pin Name?

This option, when checked, will rotate the pin name. This can be convenient where space is at a premium in some components.

Rotate Pin Number?

This option, when checked, will rotate the pin number as displayed on the schematic.

Electrical Type

Specify the electrical type of the pin. This is used by the electrical rules checker, and also by the PROSPICE simulation software.


Edition des sous-circuits

Edit Subcircuit

Overview

This dialogue allows you to provide basic information about the sub-circuit.

Options

Name

The object name for the sub-circuit. If a flattened netlist is produced, this is taken as the sheet name for the child sheet. If the hierarchy is not flattened, then this field is used as the part name for the 'component' represented by the sub-circuit. This field must be different for each sub-circuit on a given sheet.

Circuit

The name of the child circuit to attach. This will be assigned automatically if you zoom into a sub-circuit for which this field is blank. On the other hand, if you want to attach several sub-circuits to the same child-circuit, you should enter the circuit name in this field. For example, if you are designing a stereo amplifier and want two sub-circuits named LEFT and RIGHT to use the same circuit for an amplifier channel, you might edit each one to have the circuit AMP.

Properties

Sub-circuits carry a property list in the same way that ordinary components do. When the design is flattened, these properties become sheet property definitions which may be used in parameterized expressions on the child sheet. It thus becomes possible to have different instances of a given circuit use different component values.


Edit Tape Recorder

Name

Specify the name of the tape. You can change the name of a tape by typing in a new name into the name field. Once you have manually changed the name of a tape, ISIS will never replace it, even if you move the tape to a new net. Should you wish to revert back to automatic naming clear the name field and then click OK.

Properties

Include any additional properties or modify existing properties here. Text in curly brackets { } will be hidden. The contents of this text block will be dependant on the type of generator used.

Mode

Specify whether the tape operates automatically, records to a named file, or plays a named file.

Filename

Specify the data file used for the Play and Record modes.


Edition des textes

Edit Text

Overview

This dialogue allows you to configure a single line text entry. Note that this is different from a script block which is a multi-line text entry on the schematic. All changes to styles made here are local to the current text line; global changes should be made via the Template Menu.

Options

String

Enter a text string here.

Justification

These checkboxes allow you to define the required justification for the text.

Graphic's Style

  • Global Style - Specify which global Graphics style you want the text to be formatted in. Previews are shown in the Sample window.
  • Line Width - The width of line used to draw text when drawn in a vector font face. This field is disabled when either a TrueType™ font face is selected (for which a line width is meaningless) or where the Follow Global? checkbox is checked (which indicates the line width is to taken from the global style selected in the Global Style selector).
  • Colour - Specify a local ( object-specific ) colour. This is only enabled when the Follow Global? checkbox is unchecked.
  • Follow Global? - If checked, the associated style attribute is initialised from the global style indicated in the Global Style selector. Unchecking the Follow Global? checkbox enables the dialogue control for the associated style attribute allowing you to specify a local (object-specific) value for that attribute.

Font Attributes

  • Font Face - Specify the name of the font face the text is to be displayed in. The drop down list lists all the TrueType™ fonts available on the machine as well as two special fonts: Default Font and Vector Font.
  • Height - Specify the height of the text. You can use whatever standard units you like, such at th for thou (thousandths of an inch) or mm for millimetres.
  • Width - Specify the width of a character in the text. This field is only enabled for text to be drawn in the internal Vector Font (either explicitly or by selecting the Default Font where the default font has been set to be the Vector Font.)
  • Bold? - Select Bold Text.
  • Italic? - Select Italic Text.
  • Underline? - Select Underlined Text.
  • Strikeout? - Select text with a strikeout.

Sample

Displays a sample of text drawn with the current style settings.


Sonde de courant

Voltage Probe

Overview

Voltage probes can be used to capture voltage data on a wire and display on a graph or to halt the simulation when a particular voltage condition is reached (hardware breakpoint). To record data on a graph you must apply the voltage probe to the wire of interest and then seperately add it to the graph.

Options

Probe Name

Enter the name of the probe here. Once you have manually changed the name of a probe, ISIS will never replace it, even if you move the probe to a new net. If you want a probe to revert to automatic naming, clear its name to the blank string and then click OK.

Resistive Loading

  • Load to Ground? - Specify whether you want to define a resistance to ground from the voltage probe. Use this where the probe is connected to a point which does not have a DC path to ground.
  • Load - Enter a value for the resistance from the probe to the ground net, and specify which, if any, properties of the probe you want to be visible on the schematic.

Waveform Recording

  • Record to File? - When checked the output data will be recorded to a partition data file. If you do not specifiy a path, the file will be stored in the RESULTS directory.
  • Filename - Specify the filename and path for the output data, and which details you want to be visible on the schematic.

Real Time Breakpoint

  • Trigger Value - Specify the value at which you wish to halt the simulation. If digital, this amounts to 0 for logic low and 1 for logic high whilst in the analogue domain you simply enter the desired voltage.
  • Arm at Time - It is often useful to disable the condition until a particular point in time (e.g. after initialisation logic). The arm time represents the time at which the breakpoint becomes active.

Isolate After?

When checked a voltage probe placed in the middle of a wire acts to 'break' the wire to which it is connected, isolating the circuitry to which the probe connects from the circuitry after it.


Propriétés du générateur

Generator Properties

Overview

This dialogue allows configuration of all generator properties. The dialogue form is dynamic and will show/hide properties according to the type of generator selected.

Options

Generator Name

Specify a name for the generator. Once you have manually changed the name of a generator, ISIS will never replace it, even if you move the generator to a new net. If you want a generator to revert to automatic naming, clear its name to the blank string and then click OK.

Analogue Types

DC

This is used to generate a constant DC voltage or current Level.

Sine

This is used to produce continuous sinusoidal waves at a fixed frequency.

The output level is specified as a peak amplitude (VA) with optional DC offset (VO). The amplitude may also be specified in term of RMS or peak-peak values.

The frequency of oscillation can be given in Hz (FREQ), or as a period (PER), or in terms of the number of cycles over the entire graph.

A phase shift can be specified in either degrees (PHASE) or as a time delay (TD). In the latter case, oscillation does not start until the specified time.

Exponential decay of the waveform after the start of oscillations is specified by the damping factor, THETA.

Mathematically, the output is given by:

for t >= TD. For t < TD the output is simply the offset voltage, VO.

Pulse

This is used to produce a variety of repetitive input signals for analogue analysis. Square, saw-tooth and triangular waveforms can be produced, as well as single short pulses. Note that the rise and fall times cannot be zero and so a truly square wave is not allowed. This is because instantaneous changes in general are not allowed in PROSPICE. The operation of the pulse generator is best described by the following diagram:

where

§. PER - The period of the waveform. If none is specified, then FREQ is used instead.FREQ The frequency of the waveform. This defaults to one period for a transient analysis.

§. V1 - The low-level value of the output.

§. V2 - The high-level of the output.

§. PW - The time for which the output is at V2 in each cycle. This does not include TR and TF.

§. TR - The rise time - time taken between LOW and HIGH in each cycle. This defaults to 1ns.

§. TF - The fall time - time taken between HIGH and LOW in each cycle. This defaults to TR.

§. TD - The delay time. The output of the generator starts at V1, and will remain at this level for TD seconds.

Pwlin

This is used to produce analogue signals which are too complicated for a pulse generator, or to reproduce a measured waveform. The output waveform is described using pairs of values for time and output magnitude. The output of the generator at intermediate times is linearly interpolated between the given times.

If you have tabular data, you may find it easier to use manual edit mode. In this case, each data point is specified by a property of the form V(t). The following example shows how this works.

V(0)=0

V(2n)=0

V(3n)=1

V(5n)=1

V(6n)=0

If you have a large amount of data, you may find it easier to use a FILE generator instead.

File

This is used to drive a circuit from an analogue signal that is specified by a series of time points and data values contained in an ASCII file. The ASCII file should be formatted with one time/voltage pair on each line seperated by white space (spaces or tabs , not commas ). The time values must be in ascending order and all values must be simple floating point numbers ( no suffixes allowed ).

Example

The following example data file produces three cycles of a saw-tooth waveform with rise time 0.9ms, fall time 0.1ms and amplitude 1V.

0 0

9E-4 1

1E-3 0

1.9E-3 1

2E-3 0

2.9E-3 1

3E-3 0

Audio

This is used to drive a circuit from a Windows WAV file. In conjunction with Audio Graphs they make it possible to hear the results of processing a sound signal through a simulated circuit.

Exponent

This produces the waveform as an RC circuit under charging and discharging conditions. . The parameters are best described by the diagram below.

where the parameters are

§. V1 - The low-level value of the output.

§. V2 - The high-level of the output.

§. TD1 - The start time of the rise curve.

§. TAU1 - The time constant of the rise curve. This is the time for the voltage to reach approximately 0.63 of its full potential.

§. TD2 - The start time of the fall curve. Note that TD2 is measured from zero.

§. TAU1 - The time constant of the fall curve.

Mathematically, the waveform is defined in three sections:

0 to TD1

TD1 to TD2

TD2 to TSTOP

SFFM

This produces a waveform that represents the result of frequency modulating one sine-wave with another. Mathematically, this is represented as:

where the parameters are

§. VO - The DC offset voltage.

§. VA - The carrier amplitude.

§. FC - The carrier frequency.

§. FS - The signal frequency.

§. MDI - The modulation index.

Digital Types

  • Single Edge - a single transition from low to high or high to low.
  • Single Pulse - a pair of transitions in opposite directions which together form a positive or negative pulse waveform. You can specify either the times of each edge (start time and stop time) or the start time and the pulse width.
  • Clock - a continuous pulse train of even mark-space ratio. You can specify the starting value and the time of the first edge as well as the period or frequency. The period specifies the time for a whole cycle, not the width of a single mark or space.
  • Pattern - This is the most flexible and can, in fact, generate any of the other types. For larger pulse trains consider using the pattern generator instrument which can be scripted.
  • Easy HDL - Use the EasyHDL programming language to specify a signal chain for injection. See the programming reference manual in the VSM Help file for more information.

Checkboxes

  • Current Source? - Specify a current source. This is not applicable to digital generators.
  • Isolate Before? - Specify whether or not a generator placed in the middle of a wire acts to 'break' the wire to which it is connected, isolating the net to which the generator points from the net behind it. The check box has no affect on a generator connected directly to a net by a single wire.
  • Manual Edits? - Enables manual editing of all the properties. Use this to enter parameterized expressions for generator properties. Recommended for advanced users only.
  • Hide Properties? - Hides the textual representations of the properties.

DC Properties

  • Voltage - Specify the constant output level. This can be either a Voltage (default) or a current (select the 'Current Source?' radio button).

Sine Properties

  • Offset - Specify the DC offset for the sine wave.
  • Amplitude - Specify the amplitude as a half-wave value
  • Peak - Specify the amplitude as a peak to peak value.
  • RMS - Specify the amplitude as a RMS (Root Mean Squared ) value.
  • Frequency - Specify the frequency of oscillation in Hz.
  • Period - Express the frequency of oscillation as a period in seconds.
  • Cycles/Graph - Express the frequency of oscillation in terms of the number of cycles over the entire graph.
  • Time Delay - Express the phase shift as a time delay in seconds. Oscillation does not start until the specified time.
  • Phase - Specify a phase shift in degrees.
  • Damping Factor - Specify the rate of exponential decay of the waveform after the start of oscillation.

Pulse Properties

  • Initial (Low) Voltage - Specify the low level value of the output
  • Pulsed (High) Voltage - Specify the high-level value of the output
  • Start - Specify the start time for the waveform
  • Rise Time - Specify the time taken between LOW and HIGH in each cycle. This is not permitted to be zero and so a truly square wave is not possible.
  • Fall Time - Specify the time taken between HIGH and LOW in each cycle. This is not allowed to be zero and so a truly square wave is not possible. This defaults to the value for Rise Time.
  • Pulse Width (Secs) - Specify the time for which the output is HIGH in each cycle. This does not include Rise Time and Fall Time. This value can be zero if a triangle type waveform is required.
  • Pulse Width (%) - Specify the time for which the output is HIGH as a percentage of the period. This does not include Rise Time and Fall Time.
  • Frequency - Specify the frequency of the waveform in Hz.
  • Period - Specify the period of the waveform in seconds.
  • Cycles/Graph - Specify how many waveform cycles you want in the graph

Pwlin Properties

  • Time/Voltages - Drag and Drop Data Points on the Graph Editor. There must always be a point at time zero, although it' y-value an be changed.
  • X Min Scaling - Specify the minimum value for the x-axis.
  • X Max Scaling - Specify the maximum value for the x-axis.
  • Y Min Scaling - Specify the minimum value for the y-axis.
  • Y Max Scaling - Specify the maximum value for the y-axis.
  • Minimum rise/fall time - Specify the minimum rise/fall time. Should you attempt to create a vertical edge the Graph Editor will separate the two data points by this value.

File Properties

  • Data File - Enter the name of the ASCII data file. The file should be in the same directory as the design file unless a full path is specified. There is no default extension for the file.

Audio Properties

  • WAV Audio File - Selects the filename of the audio file.The filename is assumed to have a default extension of WAV, and should be located in the same directory as the ISIS design file (DSN extension) unless a full path is specified
  • Amplitude - Specify amplitude as a half-wave value.
  • Peak - Specify amplitude as a peak-to-peak value.
  • Offset - Specifies the DC offset. If this is set to zero the output voltage will oscillate about zero.
  • Channel - For stereo WAV files this specifies which channel is played, or whether to treat the data as mono.

Exponent Properties

  • Initial (Low) Voltage - Specify the low-level value of the output.
  • Pulsed (High) Voltage - Specify the high-level value of the output.
  • Rise Start time - Specify the start time of the rise curve in seconds.
  • Fall Start time - Specify the start time of the fall curve in seconds. Note that this time is measured from zero.
  • Rise time constant - Specify the time constant for the rise curve. This is the time for the voltage to reach approximately 0.63 of it's full potential.
  • Fall time constant - Specify the time constant of the fall curve.

SFFM Properties

  • Offset - Specify the DC offset of the waveform.
  • Amplitude - Specify the carrier amplitude.
  • Carrier Frequency - Specify the carrier frequency in Hz.
  • Modulation Index - Specify the modulation index for the wave.
  • Signal Frequency - Specify the signal frequency in Hz.

Easy HDL Properties

  • Assigned Script - Specify the script to be executed by the generator. Normally this is the local script (<LOCAL>) but it is possible to have other script blocks on the schematic.
  • Local Script - Type the script you wish to execute (assuming assigned script is set to <LOCAL>) - refer to VSM help for the programming reference manual and some practical examples.
  • Debug this Generator? - Select this option if you wish to single step debug the script during simulation. This will present a source window when the simulation is paused allowing you to debug in the normal way.

Steady State Properties

Specify a State from those listed. The states are organised in a centred array decreasing in strength from Power Rail High To Floating and from Power Rail Low to Floating.

Single Edge Properties

  • Positive (Low-to-High) Edge - Specify a positive edge transition.
  • Negative (High-to-Low) Edge - Specify a negative edge transition.
  • Edge At - Specify the time in seconds at which the edge is to begin.

Single Pulse Properties

  • Pulse Polarity - Select the required polarity of the pulse.
  • Start Time - Enter the time in seconds at which you want the pulse to start.
  • Pulse Width - Specify the ovarall pulse width in seconds.
  • Stop Time - Specify the time in seconds at which you want the pulse to stop.

Clock Properties

  • Clock Type - Select the required polarity of clock phase.
  • First Edge At - Specifies the time in seconds at which the first clock edge occurs. Prior to this time the generator stays in its initial state as specified by the clock type.
  • Frequency - Specifies the clock frequency in Hz.
  • Period - Specify the clock period in seconds. The period specifies the time for a whole cycle, not the width of a single mark or space.

Pattern Properties

  • Initial State - This specifies the value at time zero. It is also the value used when finding the operating point in a mixed mode circuit.
  • First Edge At - Specifies the time in seconds when the pattern output starts. The output will remain at the initial state value until this time is reached.
  • Equal Mark/Space Timing? - Indicates whether or not each step of the pattern will take the same time or have a different time for high and low values.
  • Pulse Width - If each step takes the same time (specified by checking the Equal Mark/Space Timing? checkbox ) this determines the pulse width. If there are different times specified for high and low values this determines the time for logic '1' values.
  • 'Space' time - When there are different times for high and low values (specified by unchecking the Equal Mark/Space Timing? checkbox) this value determines the time for logic ' 0 ' values.
  • Continuous Sequence of Pulses - Specifies that the output will run continuously until the end of the simulation, repeating the pattern as many times as are necessary.
  • Determine from Pattern Length - Specifies that the output will run until the end of the pattern. This option can only be selected when a specific pulse train is entered.
  • Specific Number of Edges - Specifies that the pattern is only to run for a specific number of edges.
  • Standard High-Low Pulse Train - This indicates an alternating high-low-high-low sequence.
  • Specific Pulse Train - Specifies that a specified pattern string is to be enabled. Enables the edit box below and permits the option of running the output until the end of the pattern.


Edition des labels de fil

Edit Wire Label

Overview

This dialogue allows you to specify a wire label. Common uses for wire labels include naming e a bus tap, naming a net and applying a net class to the net (CLASS=xxx). The latter is particularly useful when laying out the PCB as you can apply design rules and trace/via styles on a net class basis.

Options

String

Specify the script text. This field can be manipulated using the standard windows shortcut keys for cutting copying and pasting.

Auto-sync?

When checked this will ensure that all wire labels on the net carry the same text at all times.

Rotate

Specify whether the text is oriented horizontally or vertically.

Justify

Selects whether the text is left, centre or right justified, and whether it its origin is at the top or bottom.


Edition des styles de labels de fil

Edit Wire Label Style

Options

Global Style

Select a Global Style from the drop down list. Local changes (i.e. changes persistent only in the existing design ) can be made to the selected Global Style by unchecking the appropriate Follow Global? Checkbox.

Fontface

You can change the type of font used for this particulat script by unchecking the Follow Global? Checkbox and selecting a font face from the drop down list. A preview of your selection will become visible in the Sample viewscreen.

Height

You can change the height of the specified font by unchecking the corresponding Follow Global? checkbox and entering the required value. All changes will be local to the current label.

Width

Where appropriate the font width can be changed by unchecking the corresponding Follow Global? chackbox adnd entering the required value. This option is not available for TrueType™ Fonts.

Effects

When the appropriate Follow Global checkflag is unchecked local changes can be made to the font style by checking or unchecking this option.

Colour

Change the colour of the script text to one of the alternative colours shown. This option is only available when the corresponding Follow Global? checkflag is unchecked,

Sample

Displays a visual representation of the text style currently specified.


Add Trace

Overview

This dialogue allows you to add one or more traces to a graph and to use multiple traces to form a trace expression (e.g. Power) which can then be plotted on the graph.

Options

Name

Enter the name of the trace to be added to the graph.

Probe P1

Select a probe or generator from the list box to be assigned to the selected trace probe. The Selected Probe name (P1 through P4) will appear in the Expression field if it is not already present.

Probe P2 - P4

Select a probe or generator from the list box to be assigned to the selected trace probe. The Selected Probe name (P1 through P4) will appear in the Expression field if it is not already present. This is only enabled if a trace expression is permitted.

Expression

Enter the trace expression in the Expression field. Within the expression, the selected probes should be represented by the names P1, P2, P3 and P4 which correspond to the probes selected alongside the P1, P2, P3 and P4 buttons respectively. If the trace type selected does not support a trace expression the contents of the Expression field will be ignored.

Trace Type

Select the type of trace you wish to add to the graph by checking the appropriate button. Only those trace types applicable to the graph are enabled.

Axis

Select the y-axis to which the new trace is to be added. Only those axes applicable to the graph and trace type selected are enabled.


Batch Mode Conformance Analysis

Overview

This dialogue form enables you to automatically run a set of designs which contain conformance graphs. Each design is simulated and the conformance results analysed and presented in a textual report at the end of the process.

For more information on conformance testing and conformance graphs please refer to the VSM Help under Analysis Types.

Options

Root Path

Specify the root directory where the designs containing the conformance graphs are stored.

Recurse Subdirectories?

Run the batch processing through not only the specified directory above but also through any subdirectories inside the root directory.

Stop on Error?

Stop the batch processing if a conformance error is detected.

Log Detailed File Information ?

This option enables detailed reporting of conformance results and provides more information on completion than the standard output.


Graph Colour Configuration

Overview

This dialogue form allows you to customise the graph to be colours of your choice.

Options

General Appearance

Use these options for general configuration. Each option has its own context sensitive help topic.

  • Graph Outline - Specify the colour used for borders and dividing lines on the graph.
  • Background - Specify the background colour used to fill the main part of the graph.
  • Graph Title - Specify the background colour used to fill the title bar.
  • Graph Text - Specify the colour used for text used to label and mark the graph axes. Trace labels always appear in the same colour as the trace.
  • Tagged/Highlight - Specify the colour used to highlight the graph or individual trace when it is tagged.

Analogue Traces

Specify the colour(s) by which you want to identify the various analogue traces.

Digital Traces

Specify the colour(s) by which you want to identify the Digital Traces on the graph.


Edit AC Sweep Graph

Overview

This type of analysis creates a family of frequency response curves for a different values of a swept variable.

The main use for this graph type is in seeing how a particular component value affects the frequency response of your circuit.

Options

Graph Title

Specify the title that appears along the top of the graph. By default, this is set to the type of analysis determined by the graph's type.

Reference

Specify a generator to use as the source of the test signal.

Start Frequency

Specify the frequency the simulation will start at. This must be greater than 0, and less than the stop frequency.

Stop Frequency

Specify the frequency the simulation will cease at.

Interval

Specify whether the number of steps is per decade, per octave or is linearly spaced across the whole plot.

No. Steps/Interval

Specify the number of steps per the selected interval. For the linear interval this is the number of points plotted across the whole x-axis.

Sweep Var

Specify the name of the variable that is to be swept. This defaults to X, but any variable name may be used, including control properties like TEMP.

Start Value

Specify the initial value of the swept variable. This may be a negative value.

Stop Value

Specify the final value of the swept variable. This may be negative, but must be greater than the start value, as negative going sweeps are not allowed.

Nom Value

Specify the value for the sweep variable to use when computing the operating point.

No. Steps

Specify the number of steps that PROSPICE will take in incrementing the swept variable.

User Defined Properties

The Properties free-format text field allows you to define Simulation Control Properties that will be fed to the simulator engine when the graph is simulated. Recommended only for advanced users. You can also use this field to define values that appear in component property expressions. This technique is particularly useful if you wish to create several graphs showing the effect of changing one or more component values.

Options

  • Y-scale in dBs? - If checked, the left y- axis displays the magnitude in dBs.
  • Always Simulate? - When checked this forces a graph to perform a simulation regardless of whether or not the partition or partitions on which the simulation depends has changed.
  • Log Netlist(s) - When checked this causes the simulation netlist generated by ISIS and fed to the simulator engines to be placed in the graph's simulation log.
  • SPICE Options - Pressing this button activates a dialogue form that enables you to adjust global simulator options that are common to all types of analysis.
  • Set Y-scales - This option allows you to manually configure the ranges for the Y-axes of the graph. Note that you must have performed an initial simulation before manually setting or locking the Y-Axis of the graph.


Edit Audio Analysis Graph

Overview

PROTEUS VSM incorporates a number of features that enable you to hear the output from your circuits (providing you have a sound card, of course!). The major component of this is the Audio graph. This is essentially the same as an Analogue graph except that after simulation, a Windows WAV file is generated from the time domain data and played through your sound card.

The WAV files can also be exported for use in other applications.

Options

Graph Title

Specify the title that appears along the top of the graph. By default, this is set to the type of analysis determined by the graph's type.

Start Time

Specify the start of the time period that will be used to generate the WAV file.

Stop Time

Specify the end of the time period that will be played. Bear in mind that asking PROSPICE to generate several seconds of audio containing several thousand cycles of a waveform will take a considerable amount of time.

Play Mode

Specify a play mode from one of the following options:

  • MONO - Generates a WAV file from the aggregate of all the traces on the graph.
  • STEREO - Generates a stereo WAV file routing the left hand traces to the left channel and the right hand traces to the right channel.
  • INPUT - Generates a mono WAV file from the aggregate of the left hand traces. The right hand traces are merely displayed.
  • OUTPUT - Generates a mono WAV file from the aggregate of the right hand traces. The left hand traces are merely displayed.

Loop Time

To avoid the need for PROSPICE to simulate hundreds or thousands of cycles of a waveform, it is possible to generate a WAV file of several seconds in length by repeating one cycle many times. The Loop Time setting determines the desired length of the WAV file, and the interval from Start Time to Stop Time will be copied as many times as are needed to achieve this.

Sample Bits

Specify the number of bits per sample for the WAV file. 8 bit gives about 48dB dynamic range and 16 bit gives 96dB.

Sample Rate

Specify the number of samples per second for the WAV file. Remember that the maximum frequency that can be played back is half the sample rate. Also, at present there are no fancy pre-filtering algorithms implemented and so aliasing effects will be heard if the sample rate is too low.

Lock Timestep?

This option locks PROSPICE’s internal timestep to the desired sample rate. This can result in much quicker (albeit slightly less accurate) simulations and reduced partition file sizes - useful if you are processing several seconds of audio as file sizes can otherwise quite easily exceed 10Mb.

User Defined Properties

The Properties free-format text field allows you to define Simulation Control Properties that will be fed to the simulator engine when the graph is simulated. Recommended only for advanced users. You can also use this field to define values that appear in component property expressions. This technique is particularly useful if you wish to create several graphs showing the effect of changing one or more component values.

Options

  • Initial DC Solution - Specify that at time = 0 all capacitors, inductors etc. are at steady states. If this is unchecked then when the simulation starts all inductors will be defluxed and all capacitors will be discharged.
  • Always Simulate - When checked this forces a graph to perform a simulation regardless of whether or not the partition or partitions on which the simulation depends has changed.
  • Log Netlist(s) - When checked this causes the simulation netlist generated by ISIS and fed to the simulator engines to be placed in the graph's simulation log.
  • SPICE Options - Pressing this button activates a dialogue form that enables you to adjust global simulator options that are common to all types of analysis.
  • Set Y-scales - This option allows you to manually configure the ranges for the Y-axes of the graph. Note that you must have performed an initial simulation before manually setting or locking the Y-Axis of the graph.

Audio

Play Audio - This option allows you to play stored audio data through your computers sound card.

Export as WAV file - This option allows you to export the currently graphed data as a WAV file. You can then optionally import this into another design using the audio generator.


Edit DC Sweep Graph

Overview

With a DC Sweep analysis you can see how changing a circuit will affect its operation. This is achieved using Property Expression Evaluation in the PROSPICE simulator engine. The sweep graph defines a variable that can be swept in even steps over a user-defined range. The sweep variable can appear in any property within the circuit, such as a resistor value, a transistor gain or even the circuit temperature.

A DC Sweep curve shows the steady state voltage (or current) levels of the probed points around the circuit, as the swept variable is increased. It can be used to plot the DC transfer characteristic of a circuit by assigning the swept variable to a generator value, as well as plotting the effect of changing component values on the operating point of the circuit.

Options

Graph Title

Specify the title that appears along the top of the graph. By default, this is set to the type of analysis determined by the graph's type.

Sweep Variable

Specify the name of the variable that is to be swept. This defaults to X, but any variable name may be used, including control properties like TEMP.

Start Value

Specify the initial value of the swept variable. This may be a negative value.

Stop Value

Specify the final value of the swept variable. This may be negative, but must be greater than the start value, as negative going sweeps are not allowed.

Nominal Value

Specify the value for the sweep variable to use when computing the operating point.

No. Steps

Specify the number of steps PROSPICE will take in incrementing the swept variable.

Left Axis Label

Specify the left y-axis label.

Right Axis Label

Specify the right y-axis label.

User Defined Properties

The Properties free-format text field allows you to define Simulation Control Properties that will be fed to the simulator engine when the graph is simulated. Recommended only for advanced users. You can also use this field to define values that appear in component property expressions. This technique is particularly useful if you wish to create several graphs showing the effect of changing one or more component values.

Options

  • Always Simulate? - When checked this forces a graph to perform a simulation regardless of whether or not the partition or partitions on which the simulation depends has changed.
  • Log Netlist(s)? - When checked this causes the simulation netlist generated by ISIS and fed to the simulator engines to be placed in the graph's simulation log.
  • SPICE Options - Pressing this button activates a dialogue form that enables you to adjust global simulator options that are common to all types of analysis.
  • Set Y-scales - This option allows you to manually configure the ranges for the Y-axes of the graph. Note that you must have performed an initial simulation before manually setting or locking the Y-Axis of the graph.


Edit Distortion Graph

Overview

Distortion analysis determines the level of distortion harmonics produced by the circuit under test. These can be either the 2nd and 3rd harmonics of a single fundamental or the intermodulation products of two test signals.

Distortion is created by non-linearities in a circuit’s transfer function - a circuit comprising linear components only (resistors, capacitors, inductors, linear controlled sources) will not produce any distortion. SPICE distortion analysis models distortion for diodes, bipolar transistors, JFETs and MOSFETs.

Options

Graph Title

Specify the title that appears along the top of the graph. By default, this is set to the type of analysis determined by the graph's type.

Reference

Specify a generator to use as the source of the test signal.

IM ratio

Specify the value for F2/F1 in intermodulation analysis. If this value is zero then harmonic distortion analysis is performed. When choosing a value for F2/F1 you should generally specify a value that is an irrational number, or at least a fraction with as large as possible a denominator. Note that F2/F1 must be less than unity. i.e. F2/F1 < 1.

Start Frequency

Specify the minimum test frequency for F1

Stop Frequency

Specify the maximum test frequency for F1.

Interval

Specify whether the number of steps is per decade, per octave or is linearly spaced across the whole plot.

No. Steps/Interval

Specify the number of steps per the selected interval. For the linear interval this is the number of points plotted across the whole x-axis.

User Defined Properties

The Properties free-format text field allows you to define Simulation Control Properties that will be fed to the simulator engine when the graph is simulated. Recommended only for advanced users. You can also use this field to define values that appear in component property expressions. This technique is particularly useful if you wish to create several graphs showing the effect of changing one or more component values.

Options

  • Y-scale in dBs - If checked, the left y-axis will display the magnitude of harmonics in dBs relative to an IV fundamental.
  • Always Simulate - When checked this forces a graph to perform a simulation regardless of whether or not the partition or partitions on which the simulation depends has changed.
  • Log Netlist(s) - When checked this causes the simulation netlist generated by ISIS and fed to the simulator engines to be placed in the graph's simulation log.
  • SPICE Options - Pressing this button activates a dialogue form that enables you to adjust global simulator options that are common to all types of analysis.
  • Set Y-scales - This option allows you to manually configure the ranges for the Y-axes of the graph. Note that you must have performed an initial simulation before manually setting or locking the Y-Axis of the graph.


Edit Fourier Analysis Graph

Overview

Fourier Analysis is the process of transforming time domain data into to the frequency domain and the result is similar to that obtained by connecting up a spectrum analyser instead of an oscilloscope. It is especially useful in analysing the harmonic content of signals, perhaps to look for particular types of distortion but has many other uses also.

Options

Graph Title

Specify the title that appears along the top of the graph. By default, this is set to the type of analysis determined by the graph's type.

Start Time

Specify the start of the time period that will be analysed.

Stop time

Specify the end of the time period that will be analysed. If the input signal is periodic, you should ensure that the interval defined by the start and stop times is exactly one or more cycles.

Max Frequency

Specify the highest frequency that will be displayed. (half the sampling rate).

Resolution

Specify the interval between the frequency points that will be analysed. This is analogous to the spacing of the bands on a graphic equaliser. The lower the number, the more bands and the slower the calculations. If the input signal is periodic, you should choose a resolution that corresponds with the fundamental frequency, or a sub-multiple of it. Sub-multiples which are powers of 2 (e.g. ½, ¼, etc) work best.

Window

Specify a window type to apply to the time data. Use the windowing options if you appear to be getting spurious peaks in the frequency data.

Left Axis Label

Specify the left y-axis label.

Right Axis Label

Specify the right axis label.

User Defined Properties

The Properties free-format text field allows you to define Simulation Control Properties that will be fed to the simulator engine when the graph is simulated. Recommended only for advanced users. You can also use this field to define values that appear in component property expressions. This technique is particularly useful if you wish to create several graphs showing the effect of changing one or more component values.

Options

  • Y-scale in dBs - If checked, the left y-axis displays the magnitude in dBs.
  • Initial DC Solution - Specify that at time = 0 all capacitors, inductors etc. are at steady states. If this is unchecked then when the simulation starts all inductors will be defluxed and all capacitors will be discharged.
  • Always Simulate? - When checked this forces a graph to perform a simulation regardless of whether or not the partition or partitions on which the simulation depends has changed.
  • Log Netlist(s)? - When checked this causes the simulation netlist generated by ISIS and fed to the simulator engines to be placed in the graph's simulation log.
  • SPICE Options - Pressing this button activates a dialogue form that enables you to adjust global simulator options that are common to all types of analysis.
  • Set Y-Scales - This option allows you to manually configure the ranges for the Y-axes of the graph. Note that you must have performed an initial simulation before manually setting or locking the Y-Axis of the graph.


Edit Frequency Graph

Overview

With Frequency Analysis you can see how the circuit behaves at different frequencies. Only one frequency is considered at a time, so the plots are not like those seen on a spectrum analyser, where all frequencies are considered together. Instead, the simulation is similar in effect to connecting a frequency generator to the input, and looking at the output with an AC voltmeter. As well as the magnitude, however, the phase of the probed signal can also be seen.

Frequency analysis produces frequency response or Bode plots. It is useful in checking that filters are behaving as expected, or that amplifier stages will work correctly across the required frequency range.

Frequency graphs can also be used to plot small signal input and output impedance against frequency.

Options

Graph Title

Specify the title that appears along the top of the graph. By default, this is set to the type of analysis determined by the graph's type.

Reference

Specify the generator used as the input source.

Start Frequency

Specify the frequency at which the simulation will start. This must be greater than zero and less than the stop frequency.

Stop Frequency

Specify the frequency at which the simulation is to stop.

Interval

Specify whether the number of steps is per decade, per octave or is linearly spaced across the whole plot.

No. Steps/Interval

Specify the number of steps per the selected interval. For the linear interval this is the number of points plotted across the whole x-axis.

User Defined Properties

The Properties free-format text field allows you to define Simulation Control Properties that will be fed to the simulator engine when the graph is simulated. Recommended only for advanced users. You can also use this field to define values that appear in component property expressions. This technique is particularly useful if you wish to create several graphs showing the effect of changing one or more component values.

Options

  • Y-scale in dBs - If checked the left y-axis will display the magnitude in dBs.
  • Always Simulate - When checked this forces a graph to perform a simulation regardless of whether or not the partition or partitions on which the simulation depends has changed.
  • Log Netlist(s) - When checked this causes the simulation netlist generated by ISIS and fed to the simulator engine to be placed in the graph's simulation log.
  • SPICE Options - Pressing this button activates a dialogue form that enables you to adjust global simulator options that are common to all types of analysis.
  • Set Y-scales - This option allows you to manually configure the ranges for the Y-axes of the graph. Note that you must have performed an initial simulation before manually setting or locking the Y-Axis of the graph.


Edit Graph DSIM

Simulation Options - DSIM

Options

Random Initialization Values

  • Fully Random Values - Specifies that the initialization values for each model in the design with a scaleable timing value will be completely random both on the initial simulation and through repeat simulations.
  • Pseudo-Random values based on seed - Specifies that the random numbers generated are dependant on a seed value. This, in effect, means that while all capable models receive random values ( which are dependant on the value of the seed that you specify ) they will receive those same values on repeat simulations. This is particularly useful for isolating errors in the simulation.

Propagation Delay Scaling

  • Scale all values by constant amount - When this option is checked all propogation delays for models in DSIM will be scaled by the amount specified. For example, a high to low edge propogation delay of 10ns will actually take 20ns if this setting is selected and a value of 2 is specified.
  • Pseudo-random scaling based on seed - When this option is checked propagation delays are randomized within the bounds specified according to seed. The fact that the randomization is seeded ensures that the ordering is constant and so subsequent simulation runs will produce the same ‘random’ values as the initial simulation.
  • Fully Random Scaling - Selects an option from those given to indicate how you would like DSIM to handle propagation delay in the models on the design. See the context sensitive help on each edit field for more information. The Upper and Lower Scaling Limits fields specify the limits for random propogation delays and ensure that random delays have sensible boundaries.


Edit Graph Iteration

Simulation Options - Iteration

Integration Method

Specifies an integration method (can be either Gear or Trapezoidal).

Trapezoidal Integration is provided mainly for backward compatibility with previous versions of SPICE since Gear integration generally gives more accurate results for a given number of time-steps.

In Gear integration, higher orders than 2 are possible; this involves SPICE using more of the past history of a time-point in predicting what happens at the next time-point.

Maximum Integration Order

Specifies the maximum level of integration for a particular integration method. This is limited to an order of 2 for the Trapezoidal Method but higher orders are permitted for the Gear Method.

Number of Source Steps

Specifies the number of steps you want in SPICE’s Source Stepping mode. This is an approach utilied by SPICE when it fails to find convergence at the operating point. All power supplies in the circuit are started at zero and are ramped up to their proper values in a number of steps as determined by this parameter.

Number of GMIN Steps

Specifies the number of steps you want in SPICE’s GMIN Stepping mode. This is an approach utilized by SPICE when it fails to find convergence at the operating point. The GMIN parameter is increasingly reduced until convergence occurs, and then ramped back to its proper value. The number of attempts is determined by this parameter.

DC Iteration Limit

Specifies the maximum number of iterations that will be tried at the operating point.

DC transfer curve iteration limit

Specifies the maximum number of iterations that will be tried at a step in a Transfer Curve Analysis.

Upper Transient Iteration Limit

Specifies the maximum number of iterations that will be tried at a time point in a Transient Analysis.

Go directly to GMIN stepping?

Specifies whether or not you want SPICE to directly adopt the GMIN Stepping mode. SPICE uses this mode when it fails to find convergence at the operating point.

Try compaction for LTRA lines?

Specifies whether or not you want LTRA compaction performed on the simulation. This applies only for circuits incorporating lossy transmission lines (LOSSYLINE model). The idea is that near identical values in the data pipeline get discarded so that this data points are processed.

Allow bypass on unchanging elements?

Specifies whether or not you want to bypass unchanging elements in the simulation. This is a general optimization that saves SPICE from re-computing the values of semiconductor devices whose node voltages have not changed since the last evaluation.


Edit Graph MOSFET

Simulation Options - MOSFET

Options

MOS drain diffusion area

Specifies the default drain diffusion area for MOSFET models.

This is intended to be used in IC modelling where it is useful to specify the model parameters in terms of physical dimensions.

MOS source diffusion area

Specifies the default source diffusion area for MOSFET models.

This is intended to be used in IC modelling where it is useful to specify the model parameters in terms of physical dimensions.

MOS Channel Length

Specifies the default channel length for MOSFET models.

This is intended to be used in IC modelling where it is useful to specify the model parameters in terms of physical dimensions.

MOS Channel Width

Specifies the default channel Width for MOSFET models.

This is intended to be used in IC modelling where it is useful to specify the model parameters in terms of physical dimensions.

Use older MOS3 Model?

Activates 'bug emulation' for certain MOSFET models which were developed for earlier release of SPICE 3.

Use SPICE2 MOSFET Limiting?

Actives 'old style' Kappa limiting for MOSFET models that were developed for SPICE 2.


Edit Graph Tolerances

Simulation Options - Tolerances

Options

Absolute Current Error Tolerance

Specifies the absolute current error tolerance of the program. This is the amount by which successive current values must match before convergence is achieved.

Absolute Voltage Error Tolerance

Specifies the absolute voltage error tolerance of the program. This is the amount by which successive voltage values must match before convergence is achieved.

Charge Error Tolerance

Specifies the charge error tolerance for the program. This is the amount by which successive charge values must match before convergence is achieved.

Relative Error Tolerance

Specifies the relative error tolerance for the program. This is the threshold of relative change in current, voltage or charge values that must be attained for convergence.

Minimum acceptable pivot value

Specifies the absolute minimum value for a matrix entry to be accepted as a pivot in solving the circuit equations.

Minimum acceptable ratio of pivot

Specifies the relative ratio between the largest column entry and an acceptable pivot value in solving the circuit equations.

Minimum Conductance

Specifies the minimum conductance allowed by the program. This value defines the leakage of reverse biased semiconductor junctions and other theoretical points of infinite impedance. Reducing this value may help achieve convergence for circuits that fail to simulate - although this may be at the expense of simulation accuracy. Values greater than 1E-9 will give very dubious results.

Minimum Transient Conductance

This is a Labcenter specific convergence optimisation which provides a dynamic way of increasing GMIN to improve convergence during transient analysis.

Shunt Resistance

This is the resistance to ground from all nodes in the circuit.


Edit Graph Temperature

Simulation Options - Temperature

Options

Operating Temperature

Specifies the operating temperature. This is the actual temperature of the circuit.

Parameter measurement temperature

Specifies the parameter measurement temperature. This is the value at which temperature dependent device parameters are taken to have been measured.


Edit Graph Transient

Options

Number of Steps

Specifies the minimum number of steps in the simulation, or - to be precise - the maximum timestep as a fraction of the overall analysis run time. Use this property to force PROSPICE to produce a more detailed analysis if the results are suffering from jitter, or if the simulation appears to be skipping over rapid switching activity.

You can also specify the maximum allowed timestep directly by entering TMAX as a graph property.

E.g. TMAX=1u

Any TMAX property will override NUMSTEPS

Truncation Error over-estimation factor

Specifies the transient error tolerance. This parameter is an estimate of the factor by which SPICE overestimates the actual truncation error. If you have results that appear overly spiky, or suffer from overshoots you should try a lower value here. However, entering a low value will result in SPICE having to perform more simulation timesteps.

Mixed Mode Timing tolerance

Specifies the accuracy with which the analogue and digital sides of a mixed mode simulation are synchronized. This parameter affects the operation of the ADC and DAC interface objects. For totally accurate simulation of DAC rise and fall waveforms TTOL must be set smaller than the rise and fall times, but for most purposes these waveforms are irrelevant and setting a larger TTOL makes for substantially faster simulations.

Minimum Analogue Timestep

Specifies the minimum allowed timestep for the SPICE simulation. If at any point during the simulation, the timestep is reduced below this value as a result of convergence errors, the simulation will fail with the "Timestep too small" error. The default value is adequate for most purposes.


Edit Noise Graph

Overview

The SPICE simulator engine can model the thermal noise generated in resistors and semiconductor devices. The individual contributions of noise are summed together at a voltage probe in the circuit for a range of frequencies. The noise voltage, normalised with respect to the square root of the noise bandwidth, can then be plotted against frequency. Traces on a noise graph always have units of V/ÖHz.

Two types of noise figure are computed - Output Noise and Equivalent Input Noise. The computation of the latter enables comparison of the noise with the input signal, or input noise, since it represents the level of noise at the input that would be required to create the actually noise at the output taking into account the circuit gain at a particular frequency.

Placing a probe on the left axis displays output noise, whilst equivalent input noise can be displayed by dragging the probe onto the right axis.

Noise analysis tends to produce extremely small values (of the order of nanovolts). For this reason, there is the option to display them in dBs. The 0dB reference is 1V/ÖHz.

Options

Title

Specify the title that appears along the top of the graph. By default, this is set to the type of analysis determined by the graph's type.

Reference

The generator used as the input source – this defines the point for which Equivalent Input Noise is computed.

Start Frequency

The noise bandwidth frequency at which the simulation will start.

Stop Frequency

The noise bandwidth frequency at which the simulation will end.

Interval

Specify whether the number of steps is per decade, per octave or is linearly spaced across the whole plot.

No. Steps/Interval

Specify the number of steps per the selected interval. For the linear interval this is the number of points plotted across the whole x-axis.

User Defined Properties

The Properties free-format text field allows you to define Simulation Control Properties that will be fed to the simulator engine when the graph is simulated. Recommended only for advanced users. You can also use this field to define values that appear in component property expressions. This technique is particularly useful if you wish to create several graphs showing the effect of changing one or more component values.

Options

  • Y-scale in dBs - If checked the left y-axis will display the magnitude in dBs.
  • Log total contributions - If checked, the total noise contribution (summed from all spot frequencies) from each component in the design is recorded in the simulation log.
  • Log Spectral Contributions - If checked, the noise contribution from each component at each spot frequency is recorded in the simulation log. This can generate a very large amount of data.
  • Always Simulate - When checked this forces a graph to perform a simulation regardless of whether or not the partition or partitions on which the simulation depends has changed.
  • Log Netlist(s) - When checked this causes the simulation netlist generated by ISIS and fed to the simulator engines to be placed in the graph's simulation log.
  • SPICE Options - Pressing this button activates a dialogue form that enables you to adjust global simulator options that are common to all types of analysis.
  • Set Y-Scales - This option allows you to manually configure the ranges for the Y-axes of the graph. Note that you must have performed an initial simulation before manually setting or locking the Y-Axis of the graph.


Edit Transient/Conformance Graph

Overview

This graph type represents what you might expect to see on an oscilloscope. The x-axis shows the advance of time, whilst the y-axis displays voltage or current. We often refer to this type of analysis as Transient Analysis because it takes place in the time domain.

Transient analysis is perhaps the most commonly used form of analysis. Everything that you would measure with an oscilloscope on a real prototype can be measured on an analogue graph. It can be used to check that the circuit operates in the expected manner, to take quick measurements of gain, to assess visually the way in which a signal is distorted, to measure the current flowing from the supply or through individual components, and so on.

Options

Graph Title

Specify the title that appears along the top of the graph. By default, this is set to the type of analysis determined by the graph's type.

Start Time

Specify the nominal time from which simulation results will be displayed.

Stop Time

Specify the time the simulation is to cease at. Times such as 100u will be correctly interpreted by ISIS as 100ms. The right end of the graph time axis is set by this field.

Left Axis Label

Specify the frequency at which the simulation is to stop.

Right Axis Label

Specify the right y-axis label.

Options

  • Initial DC Solution - Specify that at time = 0 all capacitors, inductors etc. are at steady states. If this is unchecked then when the simulation starts all inductors will be defluxed and all capacitors will be discharged.
  • Always Simulate - This check box forces a graph to perform a simulation regardless of whether or not the partition or partitions on which the simulation depends have changed.
  • Log Netlist(s) - This check box causes the simulation netlist generated by ISIS and fed to the simulator engines to be placed in the graph's simulation log.
  • Spice Options - Pressing this button activates a dialogue form that enables you to adjust global simulator options that are common to all types of analysis.
  • Set Y-scales - This option allows you to manually configure the ranges for the Y-axes of the graph. Note that you must have performed an initial simulation before manually setting or locking the Y-Axis of the graph.

User Defined Properties

The Properties free-format text field allows you to define Simulation Control Properties that will be fed to the simulator engine when the graph is simulated. Recommended only for advanced users. You can also use this field to define values that appear in component property expressions. This technique is particularly useful if you wish to create several graphs showing the effect of changing one or more component values.

Verification

Use these options to either store a known good set of results or to clear the stored results. Subsequent to storing a set of results any future simulation on this graph will be analysed for conformance against these results (according to the control trace edges).


Edit Transfer Function Graph

Overview

This graph type is specifically designed for producing characteristic curve families for semiconductor devices, although it occasionally finds other applications. Each curve consists of a plot of operating point voltage or current against the value of a nominated input generator which is swept from one DC value to another. An additional generator may also be stepped to produce a set of curves.

Options

Graph Title

Specify the title that appears along the top of the graph. By default, this is set to the type of analysis determined by the graph's type.

Source 1

Specify the name of the first generator to sweep.

  • Start Value - Specify the initial value for the first generator.
  • Stop Value - Specify the final value for the first generator.
  • No. Steps - Specify the number of steps PROSPICE will take in incrementing the first generator. This translates into the number of points on a curve.

Source 2

Specify the name of the second generator to sweep.

  • Start Value - Specify the initial value for the second generator.
  • Stop Value - Specify the final value for the second generator.
  • No. Steps - Specify the number of steps PROSPICE will take in incrementing the second generator. This will determine the number of curves in the simulation.

Left Axis

Specify the left axis label.

Right Axis

Specify the right axis label.

User Defined Properties

The Properties free-format text field allows you to define Simulation Control Properties that will be fed to the simulator engine when the graph is simulated. Recommended only for advanced users. You can also use this field to define values that appear in component property expressions. This technique is particularly useful if you wish to create several graphs showing the effect of changing one or more component values.

Options

  • Always Simulate? - When checked this forces a graph to perform a simulation regardless of whether or not the partition or partitions on which the simulation depends has changed.
  • Log Netlists? - When checked this causes the simulation netlist generated by ISIS and fed to the simulator engine to be placed in the graph's simulation log.
  • SPICE options - Pressing this button activates a dialogue form that enables you to adjust global simulator options that are common to all types of analysis.
  • Set Y-scales - This option allows you to manually configure the ranges for the Y-axes of the graph. Note that you must have performed an initial simulation before manually setting or locking the Y-Axis of the graph.


Set Animation Options

Overview

This dialogue allows you to configure various simulation parameters for use in interactive/animated simulation.

Options

Simulation Speed

Use these options to configure simulation speed. Each option has its own context sensitive help associated with it.

  • Frames per second - Specify how many animation frames are shown every second. The range for this option is 1 to 50. The lower the value the slower the animation will run. The higher the value the faster the animation will run. On Windows 95/98 there is no benefit in setting it higher than 20.
  • Timestep per frame - Specify by how much the simulation times advances for each frame. It follows that if you change the frame rate, you must also change the timestep per frame if you wish to maintain real time simulation. Alternatively, you can set a smaller timestep per frame if you wish to slow down the rate of progress of the simulation. This value represents the desired timestep which will only be achieved if there is sufficient CPU power for the speed of operation and complexity of the circuit.
  • Single Step Time - This is used in conjunction with the STEP button and determines the time advanced for each single step. In logic circuits it is often useful to set this to half of the clock period so that the effect of each clock transition can be observed.
  • Max SPICE Timestep - This setting clamps the simulation to a maximum timestep. The higher this value the faster the simulation at the expense of accuracy.
  • Step Animation Rate - This is the rate at which the automatic single step debugging will progress. At default value 4, the system will step over four instructions per second when automated stepping is enabled.

Animation Options

Use these options to configure general animation options. for interactive simulation. Each option has its own context sensitive help associated with it.

  • Show Voltage and Current on Probes? - When checked this option will enable a small live readout of voltage / current beside a probe on the schematic during animation where the readout is determined by the type of probe used on the schematic.
  • Show Logic state of pins? - If checked, then coloured blobs are drawn next to the pins of all logic devices in order to indicate their logic state. This option imposes an extra but modest computational burden on the simulator.
  • Show wire voltage by colour? - If checked, then the voltage of analog nets is displayed by colouring the wires. The scaling for this is determined by the value given in the Maximum Voltage field, above.
  • Show wire current with arrows? - If checked, then current flow within wires on analog nets is displayed using small arrows. An arrow is drawn for any current flow greater or equal to the value given in the Current Threshold field, above. This option can impose a major computational burden on the simulator, because each wire is replaced by a 1mÙ resistor, thus substantially increasing the number of components and circuit nodes. In digital simulation, the presence of the resistors causes a doubling of the number of events to be processed.
  • SPICE options - This button launches the SPICE simulation options dialogue, allowing advanced users to further configure simulation tolerances etc.

Voltage/Current Ranges

Use these options to configure voltage and current ranges for interactive simulation. Each option has its own context sensitive help associated with it.

  • Maximum Voltage - Specify the scaling for the active wire colours. You would normally set it to the highest voltage occurring in your circuit.
  • Current Threshold - Specify the minimum value of current flow within a wire for which an arrow will be displayed. Occasionally it may be useful (for educational clarity) to increase this value so that the circuit behavior will appear idealized, not withstanding the use of real world models. For example, you may wish to have an op-amp appear to draw no input current when in fact a given SPICE model may draw a few microamps from its inputs.


Set Y-Axis Scaling

Overview

This dialogue allows you to specify a Y-Axis scaling for the current graph once a data set has been stored on the graph.

Options

Left Axis

The options within this groupbox allow you to manually specify the Y-Axis range for the left hand Y-Axis. Note that these options are only enabled for applicable graph types and after the graph has already been simulated.

Right Axis

The options within this groupbox allow you to manually specify the Y-Axis range for the right hand Y-Axis. Note that these options are only enabled for applicable graph types, where the right hand Y-axis has traces on it, and after the graph has already been simulated.


Graph Size Configuration

Overview

This dialogue form allows you what size you would like the graph to be printed out as from A4 to A0 paper sizes, or you can create your own custom size using the User field.


Autoplace Library

Overview

This dialogue form allows you to select the library from which you wish the components to be autoplaced.

Options

Show Properties

Causes all properties of the components to be made visible so that you can more easily inspect them.


Compile Placed Components to Device Library

Overview

This dialogue form allows you to specify which Device Library you want to store the component in.

Options

Process all sheets in the design?

When checked all sheets containing parts of the selected component will be compiled to the specified library.

Hide Component Properties?

When checked the component properties will be hidden.

Hide Pin Numbers?

When checked the component pin numbers will be hidden.


Component Properties & Definitions

Overview

This screen allows you to specify additional properties for the component. All properties added here can then be configured to be output in the bill of materials report (System Menu - Set BOM Scripts) or may be relevant to a simulation model if you have created your own model for a component.

Options

Left Pane

This combo-box displays the names of the property definitions. The property definitions on the right pertain to the highlighted property.

  • New - Specify a new property. Holding down this button will give you a list of existing default property definitions from which you can select and modify as required.
  • Delete - Delete an existing property.

Property Definition

  • Name - Specify the name of the property. This can be typed in or selected from a list of property definitions.
  • Description - Document the meaning of the property in full English. This is especially useful for model parameters. If the field is left blank, the property name will be used as a description.
  • Type - Select a data type from the list given. Integer and floating point types enable range limitation fields on the dialogue form.
  • Initial Directory - Enter the initial directory for the File Dialog to open.
  • File Description - Enter a description of the file type that is to be opened.
  • Extension - Enter the file extension for the type of file that you wish to open.
  • Type - Specify how the property is to be displayed and edited.

§. Normal - The property is displayed in its own field on the Edit Component dialogue and can be edited in the normal way.

§. Read only - The property is displayed in it’s own field in the Edit Component dialogue but cannot be edited.

§. Advanced - The property appears in the list of advanced properties on the Edit Component dialogue. To edit it, the user must select the property using the Advanced Properties combobox, and then edit the value in the associated data fields. This option is useful for simulator primitives or models that have large numbers of relatively obscure properties.

§. Hidden - The property does not normally appear on the Edit Component dialogue and can only be edited by selecting the Edit All Properties as Text option.

Property Defaults

  • Default Value - Specify a default value for the property. All instances of the component placed on the schematic will be initialised with this property value.
  • Visibility - Specify which parts of the property definition you want displayed when a component is placed.

Apply Default Properties to components in old designs?

Specify that ISIS is to apply default property definitions to components and library parts created in earlier versions of the software. When checked ISIS will apply the default property definitions to such components as they are edited. Enable from the Set Property Definitions command in the System menu.


Device Datasheet & Help File

Overview

This screen allows you to associate a datasheet and a help file with the component. When configured a data and help button will appear on the edit component dialogue form.

Options

Datasheet

Use these options to link a manufacturers datasheet to the library part. You can specify a path to CD or to an HTTP or FTP site. Each field has its own context sensitive help associated with it.

  • Filename - Specify the filename of a manufacturer's datasheet for the component. If none of the other fields are filled in, the data sheet is assumed to be available from the Labcenter download site. Otherwise, you can fill in the other fields to specify an alternative location for the file. The extension (usually PDF) is required, and the filename may be case sensitive for some download sites. If you specify a filename in this field, then ISIS will add a Data button to the Edit Component dialogue form.
  • Download Server - Specify the HTTP or FTP site on which the datasheet file may be found. E.g. http://downloads.labcenter.co.uk or ftp://ftp.microchip.com If you leave this field blank, the datasheet will only be installable from CD.
  • Download Path - Specify the path (directory) in which the datasheet is located on the HTTP or FTP server. This field may be case sensitive for some download sites.
  • Download User ID - Specify the user id for the HTTP or FTP server login. Leave this field blank where authorization is not required.
  • Download Password - Specify the password for the HTTP or FTP server login. Leave this field blank where authorization is not required.
  • CD Title - Specify the name of the CD on which the data sheet is located. This title will appear as a prompt to the end user when the CD is required. If you leave this field blank, the data sheet will only be installable via download.
  • CD Path - Specify the path (directory) in which the datasheet is located on the CD.

Help Topic

Use these options to link in a help project to your library part. These options tend to be used where you have a simulation model associated with the part and want to describe tolerances, properties and functionality for that model in the form of some help documentation. Each field has its own context sensitive help associated with it.

  • Help File - Specify the name of a Windows Help file which contains information about this component. This is provided mainly as a means for providing usage information about simulator models. If you specify a filename in this field, then ISIS will add a Help button to the Edit Component dialogue form. This facility is intended for use in documenting simulator models.
  • Context Number - Specify the help context ID containing information about the component. You should cross-reference this number to a help topic ID using the MAP section of the Windows Help project file.


Device Properties

Options

General Properties

Use these fields to specify the basic device information. Each field has it’s own context sensitive help associated with it.

  • Device Name - Specify the name for the new device.
  • Reference Prefix - Specify the Default prefix for newly placed components. If you blank out the prefix, then placed parts will initially have empty reference fields and their value and properties will be hidden. The reference prefix is also used to group like items together in the Bill of Materials report.
  • External Module - Specify the name of an external module file to attach to the component when it is placed. This allows you to define components which represent re-useable circuit elements. You can create an external module file by checking the External Mod File checkbox within the Edit Sheet Properties command. For an ordinary physical component you should leave this field blank.

Active Component Properties

If your library part has an associated Active Component interface then use these options to link in the Active Component Model. This will only be the case if you are either editing one of our Active Components (for example,the keypad model), or have created your own VSM model . If you are simply creating a library part for use within the Schematic Capture package or for linking to ARES PCB design then you can safely leave these options in there default states. Each option contains it’s own context sensitive help topic.

  • Symbol Name Stem - Specify the stem of the name for the model. The symbol names will consist of the name stem an underscore and an appended number.
  • No. of States - Specify the number of states for the model. In the standard case this is the number of symbols created for the model. However if Bitwise States? is checked then a separate symbol is required for both the on and off states and so the number of symbols required will be double the number of states.
  • Bitwise States? - Specify whether a symbol is required for both on and off states (Bitwise States ) or not. A bitwise active component has symbols names of the form STEM_N_0 and STEM_N_1 for each element of the component.
  • Link to DLL? - Specify whether or not the component model is to be linked to a VSM Model DLL.


Indexing and Library Section

Overview

The final stage of creating a device is to specify which library you wish to store the part in and to provide categories and search (index) terms to make it easy to pick the part into designs. Note that you should never store your own parts in to Labcenter libraries as these libraries are overwritten on installation of a new version (to enable library updates).

Options

Device Category

Specify which category you wish the device to be indexed under. If no appropriate category is available you can add one of your own via the New button on the right. Indexing your parts makes them far easier to find when browsing and rationalizes the libraries into logical groups.

Device Subcategory

Specify which subcategory you wish the device to be indexed under. If no appropriate category is available you can add one of your own via the New button on the right. Alternatively, if no subcategory is appropriate for your part you can select ‘None’ from the combo list. Indexing your parts makes them far easier to find when browsing and rationalizes the libraries into logical groups.

Device Manufacturer

Specify which manufacturer you wish the device to be indexed under. If no appropriate category is available you can add one of your own via the New button on the right. Alternatively, if no subcategory is appropriate for your part you can select ‘None’ from the combo list.

Stock/Order Code

You can optionally specify a stock code for the part for use in the Bill of Materials report.

Device Description

This field is used to enter the description for the library part you are creating. You can search by description when browsing for library parts and the description string is displayed in the results listview. Care should be taken therefore to enter a description using terminology that you would use to easily search for the part.

Advanced Mode - When selected this checkbox will place the dialogue in advanced mode. This allows you to, for example, enter a comma separated list of categories if you want your part to be listed in more than one category. However, due to the free format nature of the advanced mode, we recommend that this is only used by experienced users.

Device Notes

This field can be used for entering any additional information about the library part being created. For example, we may use this field to enter helpful model information for simulatable. If a component has notes added to it, they are then viewable via the ‘View Notes’ button on the Edit Component dialogue form (this button is dynamic and so does not appear for components with no notes).

Save Device to Library

This viewer displays a list of all read-write libraries contained in your library path(s). To select a library to place your part in, left click to highlight that library in the viewer. If the library into which you want to place the part does not appear in the list check the following :

That the library is writeable – only read-write libraries will appear in this list.

That the library is in a directory specified in your library path (see System – Set Paths). If you need to move a library you will have to close and restart ISIS for the library to be reloaded.


Packaging

Overview

This screen displays a list of existing packages for the device you are making. If you are creating a device for the first time this area will be empty . If you intend to netlist this device to ARES you should create a package for the device via the Add/Edit button directly below this field.

Options

Add/Edit

This command launches the Visual Packaging Tool allowing you to add packages to the device.


Make Symbol

Overview

This dialogue allows you to create your own graphics symbols for use in ISIS.

Options

Symbol Name

Enter the name by which the symbol is to be known.

Library

Select the library in which the symbol is to be stored.

Type

Select the appropriate symbol type from the options given.


Pick Devices/Symbol

Overview

This dialogue presents a search and selection system for bringing library parts into the current schematic.

Options

Keywords

Search for library part(s) by keyword. This method is ideal if you want one (or more) components of a specific type. Examples of possible searches include, ‘

NAND Gate’, ‘Line Driver’, ‘res 2k2’, ‘cap 22n’, ‘zener 4.7’ etc. Search results can then be refined by using the Category, Subcategory and Manufacturer fields below.

Alternatively, you can use keywords to refine a search in which you have already specified categories. For example, if you select the Diodes category and the Zener subcategory you could then refine the search by entering ‘4.7’ in the keywords field.

Keywords are matched in the following ways

  • Textual comparison - Each keyword is matched against the part name and part description on a ‘contains string’ basis, unless the Whole Word matching option is checked.
  • Part Name Digit matching - A keyword containing only digits will be matched against part names using just digits. This means that ‘8051’ will find ‘80C51’, and ‘1684’ will find ‘PIC16F84’.
  • Part Name Wildcards - A search for 74*373, 74??373, *373, 74LS373, will all yield the 74LS373 in the results.
  • Value matching - A keyword which will evaluate to a number will be compared numerically with any values in the part descriptions. So 1500 will match 1k5, and 220n will match 0.22u, for example.
  • Note that you can use the TAB key to move from the keywords field to the list of the results, the UP/DOWN arrow keys will navigate through the results, and the ENTER key will select the currently highlighted result into the schematic and exit the form.
  • Match Whole Words? - This option enforces a full word match on the description field. For example, a search for ‘OR Gate’ may yield a result for an ‘Open Collector AND Gate’ (the ‘or’ being contained within the word collector) but a whole word only search will eliminate such matches from the results list.
  • Show only parts with models? - This option is relevant if you are performing a simulation and wish to restrict search results to those with a simulation model.

Category

This field displays a list of categories according to the following rules:

  • If a keyword search has been entered then the category list will contain all categories containing results from the search. You can then select a category to refine your search.
  • If no keywords have been entered the category list displays all available categories. Selecting a category in this case will display all results for that category. Typically you would use this mode (together with the subcategory listbox) for non-specific browsing.

The Unspecified category contains all library parts for which no indexing information has been provided. For example, if you have created your own library parts and they have not been indexed they can be found by selecting this category.

Subcategory

This field displays a list of subcategories pertaining to the currently selected category. This works in one of two ways :

  • If you have entered a keyword search then the listbox will display all subcategories for the currently selected category where the subcategory contains results matching the textual search term entered.
  • If no keywords are entered the listbox will display all available sub-categories under the currently selected category.

In either case if no category is currently selected then the subcategory listbox will be empty.

Manufacturer

This field displays a list of manufacturers for the currently selected category and subcategory. The contents of this listbox are based on the following rules :

  • If a keyword search has been entered only those manufacturers containing results from the textual search and the currently selected category will be displayed.
  • If no keywords have been entered then all available manufacturers for the specified category will be displayed

Note that we have only provided manufacturer information for parts where it was deemed appropriate, usually as a result of an entire library originating from a single manufacturer.

Results

This is the main display window for search results. The names and textual description of parts matching the search criteria are displayed here - additional information can be added or removed from the display by clicking right to display a context menu.

To select a part(s) into your just design double-click on the part(s) within the results list.

The results can be ordered by column information by clicking on the column names at the top of the list view.

Schematic Preview

These fields display previews of the currently selected schematic part and its footprint. For parts packaged with more than one footprint the footprint preview can be changed via the footprint name selector at the bottom of the dialogue.

These previews will be blank until a part is selected within the results list.

PCB Preview

These fields display previews of the currently selected schematic part and its footprint. For parts packaged with more than one footprint the footprint preview can be changed via the footprint name selector at the bottom of the dialogue.

These previews will be blank until a part is selected within the results list.

Drop Down List

Where a schematic part has been packaged with multiple footprints this drop down list allows you to preview all the packages associated with the selected ISIS component. The package preview above displays the footprint for the currently selected package.


Package Device

Overview

This dialogue allows you to specify one or more packages to associate with the component. You can also specify hidden power pins and identify NC pins whilst the footprint preview gives you visual confirmation when all the pins on the schematic part are mapped onto the pads of the footprint.

Options

Packages

Lists all available packages. To change from one existing package to another click on the down arrow to the right of this field and select the desired package. If the package you want is not in this combo box you will have to create it via the add button located directly below this field.

  • Default Package? - By checking this box, you specify that the package currently selected in the packages combo box is to be used as the default package for this device. This in turn means that without intervention from yourself the component will use this package in future designs.
  • Add - Use this button to add a package to the component. Should the Use ARES Libraries checkbox be selected a package viewer will launch from which you can browse to the package that you want to add. If you are not using the ARES Libraries (for example,.if you are drawing the schematic to be exported to another PCB design package), then clicking this button will launch a dialog box where you can enter the name of the package you wish to associate with the library part. Note that in this case no validation of the package is possible.
  • Rename - This button allows you to rename the packaging currently specified in the packages combo box. Should the Use ARES Libraries checkbox be selected a package viewer will launch from which you can browse to the package with the name that you want to us. If you are not using the ARES Libraries (for example,.if you are drawing the schematic to be exported to another PCB design package), then clicking this button will launch a dialog box where you can manually rename the package you wish to associate with the library part. Note that in this case no validation of the package is possible.
  • Delete - This option allows you to delete the package currently selected in the packages combo box.
  • Order - This option allows you to re-order the existing packages to your preference and is disabled if you have only one package specified for the device currently being packaged.

No. of Gate

This field determines the number of pin-number columns that appear in the pin grid. For a multi-element heterogeneous part, it should represent the total number of elements. For most common devices (e.g. resistor, capacitor etc.) this field can be left in its default state (single element).

Gates can be swapped on the PCB Layout?

Selecting this checkbox will flag to ARES that the gate elements can be swapped.

Pin Selection Window

This is the engine of the Visual Packaging tool and where you assign pins on the schematic part to pads on the PCB footprint. Some points of note are listed below :

  • If you have a package preview on the right hand pane and you assign a pin number, the corresponding pad on the package will highlight in white. This means that when you have completely packaged the device all pads in the preview pane should be white
  • Again with the package preview you can set the focus in an elements pin field ( as if to type in the pin number) and then left click the mouse on the pad in the preview pane. This will assign the pin with the designation of the pad you have clicked on and move the focus to the next pin in the list. This can be a very fast and convenient way to manually package devices.
  • A number of options are available to you via the context menu (right click to access). These are mainly advanced features of the packaging tool but, properly used, can make large or multiple packages far simpler. See the help documentation for more details.

NC Pins

When packaging a large device, it may be useful to 'prove' that all the pins have been accounted for by verifying that all the pins are highlighted in the Package View. Since some pins may be specified as non-connected, it is useful to be able to record that they have been accounted for. This can be achieved by entering their numbers in the NC Pins field. Use commas to separate the pin numbers.

Add Pin - This option allows you to create a hidden pin that is specific to a given package, and is implicitly common to all its elements.

Remove Pin - This option allows you to remove a hidden pin that is specific to a given package,and as such has been created via the packaging tool.

Swappable Pins

The swappable pins section allows you to define groups of pins that are electrically interchangeable. For example, the two inputs A and B of a 7400 quad NAND gate are electrically identical can could be swapped on the PCB for convenience of wiring. You can add a swap-group to the list by highlighting the pins in the pin grid (hold the ctrl key down and click left on the pin names), and then clicking the Add button.

  • Add - This option allows you to add a group of swappable pins. Proceed by highlighting the pins in the pin grid (hold the CTRL key down and left click on each pin in turn), and then click this button to assign the highlighted pins as a swappable group.
  • Remove - This option allows you to remove a previously specified group of swappable pins. Simply highlight the group in the pinswap selector to the left and click on this control to remove the pins.
  • Replace - This option allows you to replace a previously specified group of swappable pins. Highlight the pins in the pin grid that you want to add (holding the CTRL key down to highlight multiple pins) and then use this button to replace the group currently selected in the pinswap selector with the group you have just specified.

Use ARES Libraries

This option, selected by default, allows both package viewing and package verification. You should only disable this checkbox if you are creating the schematic for netlist to a different PCB design package.

Assign Package(s)

Commit any changes in the dialogue options and exit.


Keyboard Mapping

Overview

This dialogue allows you to assign all commands in ARES to keyboard shortcuts of your choice.

Please note that the documentation refers to keyboard shortcuts in their default assignation.

Options

Command Groups

Use this selector to filter the command sets according to which command(s) you want to assign a keyboard shortcut for. All mappable commands are logically sorted into groups and each group is selectable from this combobox.

Available Commands

This view will list all commands available for mapping within the command set specified by the selector above. To specify a command for mapping left click once on the appropriate command (to highlight the command) and then click the mouse in the keyboard assignation box below.

Key Sequence for Selected Command

Specify the keyboard shortcut for the command highlighted in the above viewer. This field is disabled if no command is highlighted. More information on keyboard shortcuts can be found here.

  • Assign - Confirm that the specified keyboard shortcut is to be assigned to the highlighted command.
  • Unassign - This command will unbind the currently assigned keyboard shortcut (as displayed in the text to the right of the highlighted command) from the highlighted command.


Gestionnaire de bibliothèques

Généralités

This tool is used to manage your own user libraries, enabling you to create libraries and copy footprints between different libraries. It is important that you do not copy your own parts into the Labcenter system libraries as they will be overwritten on installation of a new version (to enable library updates). System libraries are read only by default to prevent this from happening.

Options

Source and Destination Libraries

The Source or Primary Library and the Destination or Secondary Library are the libraries used as the source and destination of objects in operations such as Copy, Delete, etc., and as the library for operations such as Pack Library, Delete Library, etc.

The Source or Primary Library is the library that last received the input focus; clicking on one of the two library list boxes causes that list box to become the Source (Primary) Library and the other list box to become the Destination (Secondary) Library. The text at the top of the list box indicates which list box is which, and the large black arrow between the two gives the sense of direction to the Copy and Move commands.

The library list boxes allow for multiple-selection of items: clicking the left mouse button on an item to select it, clicking on a selected item un-selects it.

The text at the top of a library list box indicates whether the specified library is read-only. Read-only libraries can only be used as a Source or Primary Library - you can still select a read-only library as a Destination (Secondary) Library, but the buttons that affect the library (e.g. Copy) will not be enabled. The text at the bottom of a library list box indicates the number of items in the library and the number of remaining entries in the library index.

Order

This button will launch a separate dialogue box which will allow you to specify the ordering of the available libraries.

Select All

This button is used to select all of the objects in the source library for copying moving or deleting.

Unselect All

This button is used to clear any objects that may have previously been highlighted for copying moving or deleting.

Copy Items

The Copy Items button copies the selected objects from the Source Library to the Destination Library. A percentage indicator on the right of the window indicates progress. The copy process stops once all the selected objects have been copied or when the destination library becomes full.

You can only copy objects to a writable (i.e. non read-only) Destination Library that is different to the Source Library

Move Items

The Move Items button moves the selected objects from the Source Library to the Destination Library. A percentage indicator on the right of the window indicates progress. The move operation is done in two stages: an object is first copied to the destination library and then it is deleted from the source library. The process stops once all the selected objects have been moved or when the destination library becomes full. Objects are only deleted from the source library after being successfully copied to the destination library - so if the destination library becomes full, those objects not yet moved are left in the source library.

You can only move objects from a writable (i.e. non read-only) Source Library to a writable Destination Library that is different to the Source Library.

Delete Items

The Delete Items button deletes all the selected objects in the Source Library. Note that deleted items cannot be recovered. You can only delete objects from a writable (i.e. non read-only) library.

Rename Item

The Rename Item button allows you to change the name of the last selected item in the Source Library. You can only rename objects in a writable (i.e. non read-only) library.

Information

Provides information about the current library and highlighted object, including date at which the object was last modified.

Dump Library

The Dump Library button displays a form containing the library information as well as the headers and properties for any selected library objects.

ADI Library

ASCII Data Import allows you to assign given properties to particular objects according to whether their existing properties match certain test conditions. In ISIS III ADI can be applied directly to libraries as well as design files. Selecting ADI Library asks for the name of an ADI file to apply to the selected components in the source library.

Backup Libraries

Create a backup copy of the source library.

Create Library

The Create Library button allows you to create a new library. You are prompted to enter the maximum number of objects the new library will be able to hold. These values cannot be changed after the library has been created and there is no (reasonable) limit to the values you enter. The new library is initialized empty and writable (that is, with its MS-DOS or network read-only file attribute not set).

Delete Library

The Delete Library button allows you to delete the current Source Library from disk. Note that you cannot undelete a deleted library! You can only delete a writable (i.e. non read-only) library.

Pack Library

The Pack Library button packs the current Source (Primary) Library. The existing library is renamed to a .BAK file. You can only pack a writable (i.e. non read-only) library.

File Attribute

Change the read/write status of the current library.


Position numérique de sortie imprimante

Position numérique de la sortie imprimante

Généralités

Cette boite de dialogue vous permet de spécifier la présentation de votre fichier de sortie en utilisant des valeurs numériques.

Options

haut, bas, côté droit, côté gauche

The textboxes allow you to numerically specify left, right, top and bottom margins. Note that if, for example, you enter a left margin, the right margin will be adjusted automatically according to the current paper size settings.

Boutons

The buttons will auto-position the output area at a preset position relative to the paper size (e.g. top left, bottom right, etc..).More information on printer output is provided within both the ISIS and ARES online documentation.

Unités métriques?

Uncheck the metric checkbox to display all settings and values in imperial units. When checked all values are displayed in metric units.


Add/Remove Source Code Files

Overview

This dialogue is relevant to microprocessor simulation only and provides a user interface to specifying the source file(s) and compiler tools for creating the binary file on which the processor will run.

Note that it is perfectly possible to work inside your own IDE/Compiler environment and to then simply edit the processor component on the schematic and specify the file to be simulated directly.

Options

Target Processor

Specify the target processor on the schematic - since it is possible to simulate multi-core designs in Proteus you must identify the target for each source file.

Code Generation Tool

Use these options to specify or change the code generation tool to be used with the given source file. New Code Generation Tools can be specified from the Define Code Generation Tools command on the Source Menu.

Flags - Specify any arguments to be appended to the command line when applying the Code Generation Tool to the given Source File. These flags are applied just to the compilation of this source file.

Source Code Filename

Use these options to select or change a source code file

  • Change - Substitute the highlighted source file for a different source file.
  • New - Add a source file to the design.
  • Remove - Remove a source file from the design.


Add/Remove Code Generation Tools

Overview

This dialogue is relevant to microprocessor simulation and allows you to configure command line interfaces to your compiler/assembler such that Proteus can invoke them and build your projects.

Note that it is perfectly possible to work inside your own IDE/Compiler environment and to then simply edit the processor component on the schematic and specify the file to be simulated directly.

Options

Code Generation Tool

Use these options to specify or change the Code Generation Tool to be used for files in the current design.

  • Tool - Select a Code Generation Tool from the list. You can add to the list using the New Button at the bottom of the form.
  • Browse - Search your computer to find an appropriate Code Generation Tool. Both executable (EXE) and batch (BAT) files can be selected.
  • Path - Search your computer to find an appropriate Code Generation Tool. Both executable (EXE) and batch (BAT) files can be selected.

Make Rules

Use these options to specify specific Make Rules for the Code Generation tool currently listed above.

  • Source Extn - Specify the file extension for the Source file. For example, with an Assembler as the Code Generation Tool, the Source extension would normally be "ASM".
  • Obj Extn - Specify the file extension for the Object file. For example, with an Assembler as the Code Generation Tool, the object extension would normally be "HEX".
  • Always Build - When checked the project will always be compiled before the start of a simulation.
  • Command Line - Specify the arguments used on the command line to apply the Code Generation Tool to a source file. Substitute ‘%1’ for the source file and ‘%2’ for the object file.

Debug Data Extraction

Use these options to specify a Debug data Extraction (DDX) tool for the given tool. This is only necessary if you are using a supported assembler and should not be used if you are using a high level language tool.

  • List File Extn - Specify the extension of the list file generated from the Code Generation Tool. For example, with an assembler as the Code Generation Tool, the list file extension is normally "LST".
  • Browse - Browse for the location of the debug data extraction tool on your computer.

Other

  • Disable Automatic Build Rules - This option disables any automatic building selections that you have made and applies globally to all tools configured in this dialogue.
  • New - Specify a new Code Generation Tool.
  • Remove - Remove a Code Generation Tool.


Source Code Editor Configuration

Overview

This dialogue allows you to specify an editor for working with source files. Used in conjunction with the other dialogues on this menu you can write and compile your code using the Proteus environment.

Note that it is perfectly possible to work inside your own IDE/Compiler environment and to then simply edit the processor component on the schematic and specify the file to be simulated directly.

Options

Executable

Search your computer for an appropriate Source Code Editor.

DDE Interface

Use these options to specify a DDE interface for a text editor of your choice. Each option has its own context sensitive help topic.

  • Service Name - Specify the service name of the Source code Editor.
  • Open Command - Enter the command used by the Source Code Editor to open a file. Substitute ‘%1’ for the source file.
  • Save Command - Enter the command used by the Source Code Editor to save a file.


Set BOM Scripts

Overview

The Bill of Materials output is the primary report generated from the Proteus schematic module and details the parts used in the design. You can add arbitrary information to the BIll of Materials report by adding properties to components on the design and then adding the property name as a field in the Bill of Materials report. This dialogue form allows you to control which information (properties) are displayed in the output and also provides various formatting options.

The report itself is then generated from the output options at the top of the BOM module.

Bill of Materials Tutorial Movie (YouTube Channel)

Options

Scripts

Specify the Bill of Materials script that you want to use for your BOM Output. By default, three scripts are provided which you can customise as required. You can also create your own scripts tailored to your own requirements.

  • New - Create a new Bill of Materials script.
  • Rename - Rename the currently selected Bill of Materials script.
  • Delete - Delete the Bill of Materials script currently selected in the combo box to the left of this button (this operation cannot be undone). Note that you cannot delete the last script - ISIS requires that there is always at least one bill of materials script.

Bill of Materials Output Format

Specify the format of the Bill of Materials output. The following formats are available:

  • PDF Output - Formats your outputs as a PDF File. This is the most common format and enables presentation features such as colouring and company logos to be included.
  • ASCII Text - This plain text output is readable by notepad and any other common text editing application.
  • CSV (Compact) - This format is directly loadable into Microsoft Excel spreadsheet . Groups of components where all the specified columns are the same are grouped together.
  • CSV (Full) - This format is directly loadable into Microsoft Excel spreadsheet . Each part is output independantly regardless of similarities in the columns.

Categories

Displays a list of current catagories for the Bill of Materials. These catagories delineate the Bill of Materials, grouping the components in logical groups.

  • Add - Add a category to the current Bill of Materials Template.
  • Delete - Remove the currently selected category from the current Bill of Materials Template. This button is only enabled when a category is highlighted in the selector above the button.
  • Edit - Edit the category currently selected in the catagories selector. This button is only enabled when a category is highlighted in the selector above the button.
  • Order - Use this button to specify the order of the catagories currently in the selector.

Fields (Columns)

This selector displays the fields (or columns) to be used for each component in the Bill of Materials.

  • Add - Add a field (a column) to the selected Bill of Materials template. You can use this to add custom fields or simply to include information already provided by the components default properties.
  • Delete - Remove the currently selected field from the Bill of Materials. This button is only enabled when a field is highlighted in the selector above.
  • Edit - Edit the currently selected field. This button is only enabled when a field is highlighted in the selector above.
  • Order - Specify the order of the fields currently in the column selector.

Import/Export

These options provide mechanisms for copying, pasting, saving and loading BOM scripts and are intended to allow custom BOM scripts to be shared across machines.


Add BOM Category

Overview

In order to group similar parts together in the Bill of Materials output the system applies categories according to the reference prefix of the component. For example, all resistors have reference prefix 'R' and all capacitors have reference prefix 'C'. The reference prefix is set on the first tab of the Make Device dialogue form and you can therefore create additional categories of components if you choose.

This dialogue form allows you to add an additional category of components to the Bill of Materials output and optionally to specify several reference prefixes to associate with this category.

Options

Category Heading

Specify the heading you want for the category. This text should describe the type of components listed in the category.

Reference(s) to Match

Specify the reference prefixes you want to include this category. Each component on the schematic has a reference prefix (R for resistors, C for Capacitors etc.) which allows you to easily group types of component within a category.

Mark this category as the miscellaneous category?

Each template should have a miscellaneous category into which all component with a reference prefix not previously allocated can be placed. For example, if you create two catagories, one for capacitors (reference prefix C) and one for resistors (reference prefix R) then any component with a reference prefix other than C or R will be placed in the miscellaneous category.

Output separate References for each component?

When checked all references will be output individually. This means, for example, if you have 15 10k resistors you will get 15 rows, one for each resistor. When unchecked, you will get a single row indexed as R1-R15.


Add BOM Field

Overview

Each component has a base set of properties associated with it and users can add additional properties if required ( through the Make Device dialogue form, the property assignment tool or ASCII data import commands). In the Bill of Materials output each column or field is associated with a property and the value of the property for a given component populates that column in the resulting output. For example, you may wish to add properties for COST or RoHS to your components so that the bill of materials contains this information.

This dialogue allows you to add properties as fields in the report and provides configuration options for formatting and validation.

Options

Component Property Name

Specify the property to associate with the field being created/edited. The ‘list’ button allows you choose from a list of all the properties currently on the schematic.

Title for Column Heading

Specify the title for the column. This should be a textual description of the values which will be placed in the columns.

Property Validation

This combo box allows you to specify a degree of validation for the component property name specified above. This can help prevent errors or unintentional omissions in your final Bill of Materials.

Column Width

For ASCII output this value specify the number of characters that can be in the column. The column in clipped at the width of the column as specified by this value and any extra characters/text will be lost.

Prefix

This field allows you to add a prefix to the values for this field.(for example, a currency designator for monetary fields).

Suffix

This field allows you to add a suffix to the values for this field.(for example, a unit specification).

Apply Prefix/Suffix to blank (empty) values?

This checkbox determines whether the chosen prefix/suffix is applied to empty fields and is only enabled if you have values entered for either the prefix or the suffix.

Default Field Value

This field allows you to specify a default value where no value is present for the specified property within the component.

Output Sub-Totals/Totals For this Field

This checkbox enables the subtotalling (per category) and totalling of column values. Particularly useful for monetary values.


Set Display Options

Overview

This dialogue form allows customization of the display options within ISIS allowing you to change animation and graphics mode settings.

Options

Graphics Mode

Check the different box depending on which graphics mode you wish your computer to use, some graphics cards will support Open GL in hardware.

Auto-Pan Animation

This provides control over the smooth panning of the board.

  • Panning Distance - Setting the distance moved.
  • Number of Steps - The smoothness of the scroll (the more steps the smoother the scroll).
  • Pan Time - The speed according to personal preference.

Highlight Animation

The highlight animation options control what happens when the mouse is placed over an object

  • Attack Rate - The speed at which items highlight when the mouse is placed over the object.
  • Release Rate - The speed at which an object highlight will disappear.

Multi-Sampling

Allows to change the anti-aliasing of text on the display providing your graphics card supports the options.


System Information

Overview

This information details your registration details and the expiry of your Update Subscription Contract. You should contact Labcenter Electronics if your subscription has expired as you will not be able to install versions of the software newer than the expiration of your USC.


Set Environment

Overview

This dialogue enables configuration of several application environment preferences.

Options

Autosave Time

Specify the time delay between automatic saves of the current design.

Number of Undo Levels

Specify the number of undo levels you want to keep. Obviously the more undo levels the more memory ISIS requires in order to store each stage.

Tooltip Delay

Specify the time the mouse must be held over an icon before the tooltip message for that icon appears.

Number of Filenames on File Menu

Specify the number of filenames that you want in the Most Recently Used list on the File Menu.

Auto Synchronise/Save with ARES?

Specify whether or not you want the ISIS to automatically back-annotate from ARES whenever it is brought to the foreground. If this option is selected, the ARES file will automatically be saved whenever ISIS is brought to the foreground.

Save/Load ISIS state in Design files?

Specify whether or not you want the general editing state of ISIS to be saved with the design file. For example, when checked this will store the mode you are in and the current sheet and will start up in that mode and on that sheet when next you load the design.


Set Paths

Overview

This dialogue form allows easier navigation through folders while saving and loading layouts, keeping track of libraries and creating paths to the directory where CADCAM files will be placed.

Options

Initial Folder for Designs

When selected this option will force the File-Load command to default to the last directory from which a file was loaded in ISIS.

Browse Menu

When selected this option allows you to specify an absolute path which the File-Load command will default to when loading new designs.

Library Locale

These option dictate whether component symbols are European or American standard. You will need to close and restart ISIS to reload the libraries before any changes here will take effect. These options affect parts selected into the design but do not adjust instances of a part that have already been placed on the schematic.

Template Folders

The templates path is used to specify the location or locations of your design templates and Bill of Materials templates. By default this is located within the Proteus directory of your installation but you can move this directory to a location of your choice. You can also add additional templates directories if for example, you want to have user design templates and company design templates in different directories.

Library Folders

Set the path(s) to the directory holding your library files. Proteus uses the library path(s) to locate all the schematic parts that have been created for use in ISIS. The libraries supplied with the software are located by default inside the Proteus directory of your installation but you can move them and/or add additional paths (on the network for example) as required.

Simulation Model and Module Folders

Set the path(s) to the models directory (by default this is located inside the Proteus directory of your installation). Proteus looks inside the models directory before a simulation to find all the simulation models necessary for simulating the current schematic. While typically there would be no need to specify multiple paths here you can add additional models directories if need be (for example, if you have created some simulation models of your own and wish to keep them in a separate place from ours).

Path to Folder for Simulation Results

Set the path to the Results directory. (by default this is located inside the Proteus directory of your installation). The results path is used to store the results of graph based simulations, must be specified and there can be only be one results path.

Limit maximum disk space used for simulation results to

Specify the amount of space (in Kbytes) that you wish to allocate your Results directory. ISIS deletes results files on a last recently used basis to restrict the amount of accumulated results data to this value.


Edit Design Defaults

Overview

This dialogue allows you to configure default styles and colours for the work environment in ISIS and for interactive simulation. If you want to persist these changes for future designs you need to use the Save as Template command on the File Menu when you have finished configuration.

Options

Colours

Use these options to specify global colour preferences for various objects on the schematic. Each option has its own context sensitive help topic.

  • Paper Colour - This is the colour used as the ‘background’ colour of the ISIS editing and overview windows.
  • Grid Colour - Specify the colour of the grid dots in the main editing window.
  • Work Area Box Colour - Specify the colour of the box drawn in the overview window which shows the part of the schematic currently in the editing window.
  • World Box Colour - Specify the colour of the box drawn in both the editing and the overview windows that shows the maximum sheet extents.
  • Highlight Colour - Specify the colour used for tagged objects.
  • Drag Colour - Specify the colour used when entering objects such as wires, graphics, subcircuits, etc. as well as when an object is dragged.

Animation

Use these options to specify colours for various animation conditions. Each option has its own context sensitive help topic.

  • Positive Colour - Specify the colour of a wire at a positive potential. This colour is blended with the ground colour for potentials between zero and the maximum wire animation voltage value.
  • Ground Colour - Specify the colour of a wire at ground potential.
  • Negative Colour - Specify the colour of a wire at a negative potential. This colour is blended with the ground colour for potentials between zero and the minus the maximum wire animation voltage value.
  • Logic '1' Colour - Specify the colour of a wire when at a logic ‘1’ state.
  • Logic '0' Colour - Specify the colour of a wire when at a logic ‘0’ state.
  • Logic '?' Colour - Specify the colour of a wire when at an undefined or floating state.

Hidden Objects

Use these options to configure defaults for hidden objects. Each option has its own context sensitive help topic.

  • Show Hidden Text? - Specify whether or not any hidden properties should be displayed on the schematic.
  • Show Hidden Pins? - Specify whether or not to display any hidden power pins on the schematic.
  • 'Hidden' Colour - Specify the colour in which you want hidden objects to appear if made visible.

Font Face for Default Font

The TrueType™ font face name that is used wherever the Default Font is selected as the font face for text styles or 2D graphics text.

Render Master Sheet?

When checked the contents of the master sheet will be rendered on all sheets in the design. Unchecking this option will mean that the contents of the master sheet will not be drawn on any sheet on the schematic.


Set Graphics Styles

Overview

This dialogue is the main configuration tool for the appearance of the objects on the schematic. Select the object type you wish to edit and then set the attributes as desired. When you are finished you need to use the Save as Template command on the File Menu if you wish to persist the settings for future designs (all new designs are derived from a template).

Options

Style

Specify the name of the current global style being edited. When a new style is selected, the previous style is automatically updated with any changes made to its attributes.

  • New - Click to create a new global style. The new style is initialised with settings taken from the controls on the dialogue form when it is created so the new button also effects a ‘copy’ operation. Note that you cannot create a new style with the same name as an existing style.
  • Rename - Click to rename the current global style. You cannot rename any of the predefined (system) styles – when one of these styles is selected the Rename button is disabled. You cannot rename a style to the same name as an existing style.
  • Delete - Click to delete the currently selected global style. You cannot delete any of the predefined (system) styles - when one of these styles is selected the Delete button is disabled. Selecting this button causes a confirmation to be displayed after which the style is deleted. A deleted style cannot be recovered using the Undo button. Once a style is deleted, any local styles in the design using the style as their parent style are updated to use the most appropriate system style as their parent.
  • Undo - Click to undo any edits to the currently selected Global Style. Note that Rename and Delete operations cannot be undone using this button.
  • Import - Click to import a global graphics style.
  • Close - Click to close the dialogue form and commits any changes made to the currently selected style.

Line Attributes

  • Line Style - Specify the line style used for drawing lines, arcs and the outside boundaries of boxes, circles, paths, etc. The (none) option allows you to draw filled graphics with no bounding lines.
  • Width - Specify the line thickness for solid line styles. A width cannot be specified for dot/dash style lines as these can only be drawn with a single pixel width. You can specify a value of zero which forces ISIS to draw the line as a single device pixel regardless of any device resolution and/or scaling applicable at the time the line is drawn.
  • Colour - Specify the line colour.

Fill Attributes

  • Fill Style - Specify the type of fill to be applied to any closed area within the graphic object. The None option indicates the object is not to be filled (i.e. it is transparent), the Solid fill indicates the object is to be completely filled whilst the other fill styles indicate the object is to be given a hatched fill.
  • FG Colour - Specify an FG Colour.This option is only applicable for a solid or hatch fill; where no fill is specified this control is disabled. The foreground colour is the colour used for the solid fill or for the hatch lines in a hatched fill.
  • Use Bk. Colour? - This option is only applicable for a hatched fill; where none or a solid fill is specified this control is disabled. Deselecting this checkbox indicates that the 'gaps' between the lines of a hatched fill are to be transparent. Selecting this checkbox indicates that the 'gaps' are to be (solid) filled in a additional, background colour.
  • Bk. Colour - Specify a background colour. This option is only applicable for a hatched fill and where the Use Bk. Colour? Checkbox is selected (checked). Where none or a solid fill is specified this control is disabled, or where a hatched fill is specified and the Use Bk. Colour? checkbox is not selected (unchecked) this control is disabled. The background colour is the colour used to fill in between the lines of a hatched fill.

Sample

The sample window shows a (scaled) 1" x 1" box drawn in the current line and fill attributes.


Set Graphics Text

Overview

This dialogue allows you to specify the font and font attributes for 2D graphics text placed on the schematic. If you want to persist these changes for future designs you need to use the Save as Template command on the File Menu when you have finished configuration.

Options

Font Face

Set the initial font face for the 2D Graphics text. This is the initial or default font but can be altered using the Edit 2D Graphics Dialogue form.

Text Justification

These checkboxes allow you to define the required justification for the text.

Effects

Use these options to configure default effects for the text.

Character Sizes

  • Height - Specify the initial height for 2D Graphics Text. This will become the default height but can be altered as required using the Edit 2D Graphics Dialogue form.
  • Width - Specify the initial width for 2D Graphics Text. This will become the default width but can be altered as required using the Edit 2D Graphics Dialogue form.


Configure Junction Dots

Overview

This dialogue allows you to specify the style and size of junction dots placed on the schematic. If you want to persist these changes for future designs you need to use the Save as Template command on the File Menu when you have finished configuration.

Options

Size

Specify the global size of wire junction dots.

Shape

Use these options to globally specify the shape of wire junction dots. Note that to change graphical appearance of wire junction dots you need to edit the WIRE DOT graphics style with the Set Graphics Styles command on the same menu.


Set Text Styles

Overview

This dialogue form allows you to edit different styles for your text enabling you to change the font face, size, colours and add effects while allowing you to see a sample of the style.

Options

Style

Specify the name of the current global style being edited. When a new style is selected, the previous style is automatically updated with any changes made to its attributes.

  • New - Click to create a new global style. The new style is initialised with settings taken from the controls on the dialogue form when it is created so the new button also effects a ‘copy’ operation. Note that you cannot create a new style with the same name as an existing style.
  • Rename - Click to rename the current global style. You cannot rename any of the predefined (system) styles – when one of these styles is selected the Rename button is disabled. You cannot rename a style to the same name as an existing style.
  • Delete - Click to delete the currently selected global style. You cannot delete any of the predefined (system) styles - when one of these styles is selected the Delete button is disabled. Selecting this button causes a confirmation to be displayed after which the style is deleted. A deleted style cannot be recovered using the Undo button. Once a style is deleted, any local styles in the design using the style as their parent style are updated to use the most appropriate system style as their parent.
  • Undo - Click to undo any edits to the currently selected Global Style. Note that Rename and Delete operations cannot be undone using this button.
  • Close - Click to close the dialogue form and commits any changes made to the currently selected style.

Font Face

Specify the name of the font face the text is to be displayed in. The drop down list lists all the TrueType™ fonts available on the machine as well as two special fonts: Default Font and Vector Font.

The Default Font causes the text to be displayed in the design-global default font as set on the Set Design Defaults dialogue form. If you use Default Font on all your styles then you can globally control the font face used in the design via the Set Design Defaults command on the Template menu.

The Vector Font causes the text to be displayed in an internal proprietary vector font which is particularly suited for plotters and other vector output.

Height

Specify the height of the text. You can use whatever standard units you like, such at th for thou (thousandths of an inch) or mm for millimetres.

Width

Specify the width of a character in the text. This field is only enabled for text to be drawn in the internal Vector Font (either explicitly or by selecting the Default Font where the default font has been set to be the Vector Font).Units can be specified as for the Height field.

Colour

Specify which colour the text is to be drawn in.

Effects

Use these options to configure default effects for the text.

Sample

The sample box displays a sample of text drawn with the current style settings. Note that text drawn in the 'paper' colour or where the Visible check box is not checked, no text will be visible.


Global Annotator

Overview

This dialogue allows you to re-annotate all or part of the schematic with an initial annotation reference.

Options

Scope

Determine the scope of the annotation according to these options. In a multi-sheet or hierarchical design you can annotate only the current sheet but in a single sheet schematic both options are functionally identical.

  • Whole Design - Specify annotation over the entire design.
  • Current Sheet - Specify annotation over the current sheet only.

Initial Count

Specify the initial value for the annotator. For example, if you set this to be 7 then the relevant components will be annotated with suffix’s 7,8,9,10,etc.

Note:

The annotator will work on the specified scope but affect only those component that have not already been annotated. A complete (or total) annotation of the schematic should be actioned from the ARES layout module as follows:

  • If live netlisting is off (Tools menu in ARES) then turn it on.

  • Launch Automatic Annotator from the Tools Menu in ARES and specify starting point and direction.
  • The schematic annotation will update automatically after the layout annotation completes.


Netlist Compiler

Overview

This dialogue allows you to manually compile a netlist for the current schematic. If you are working with the ARES Layout software you should use the automatic netlisting method (Netlist to ARES command on the Tools Menu. Typically you would use this dialogue if you have designed the schematic in ISIS but are laying out the PCB in a different PCB package.

Do note that it is almost certain that the name of PCB footprints will be different in a foreign PCB package to that given in the ARES Layout software. This means that you will need to manually match the PCB footprint names on import to the PCB software if you are working in this way.

Options

Output

Specify whether you want to output the netlist to a file or to the netlist viewer.

Mode

Specify the type of netlist that you wish to generate. A logical netlist contains pin names whereas a physical netlist contains pin numbers. A more subtle effect is that in a physical netlist, the elements of multi-element parts such as the 7400 will be grouped (appearing, for example, as U1) whereas in a logical netlist they are kept separate (appearing, for example, as U1:A, U1:B, U1:C, U1:D). A logical netlist will generally be used for simulation whilst a physical netlist is best suited to PCB design. Transfer mode is used in specialist applications of ISIS only.

Scope

Specify the scope for the netlist. The default scope is the whole design. Current scope restricts the netlist generator to just the current sheet. This is generally used when you wish to extract the netlist from a child sheet - perhaps a daughter card which is to be represented as a layout in ARES, but which is part of a larger design that needs to be simulated whole. It is also possible to create a 'virtual test jig' by having a parent sheet which contains circuitry to simulate the components on the child sheet.

Depth

Specify the depth of the netlist. The default mode is to flatten the design. In this case objects with sub-sheets will be replaced by their implementation. If the netlist is not flattened then this replacement will not occur and objects with sub-sheets will appear as-is in the partslist and netlist. The most common reason for not flatting a design is if some components have attached child sheets representing their simulator models, but you wish to produce a purely physical netlist for PCB design. Note that sheets specified as non-physical will not be flattened for PCB design, irrespective of this setting.

Format

Specify the desired netlist format. Context Sensitive help is available on each option.

  • SDF - Specify the SDF netlist format. SDF (Schematic Description Format) is the native Labcenter format - used by PROSPICE, ARES and any future Labcenter EDA products. Also very easy to read in and process to other forms. Contains all textual/connectivity information contained in the DSN file. Use Physical mode for ARES.
  • Eedesigner - Specify the EE Designer III netlist format. The user property PACKAGE is used for the package name. Use in Physical mode.
  • Multiwire/ Eag - Specify the Multiwire netlist format. Also used by EAGLE PCB design.File format does not contain packaging data. Use in Physical mode.
  • Spice - Specify the SPICE netlist format, also ideal for P-Spice. The ground net will be node 0, unnamed nets start at 1000; numeric net will be fed straight through. The file SPICE.LXB can be re-named to SPICE.LIB to obtain a set of SPICE compatible models. Use in Logical mode. Do not use this format for creating PROSPICE models – use the normal MDF output from the Model Compiler – it is far more flexible.
  • Tango - Specify the Tango netlist format, also used by Protel and others. A good general purpose format. Use in Physical mode.
  • Vutrax - Specify the VUTRAX netlist format.
  • Boardmarker - Netlist format for Tsien Boardmaker II. The user property PACKAGE is used for the package name. Use in Physical mode.
  • Futurenet - Netlist format used by Dash design tools. Also popular for general purpose netlist transfer. Use Physical mode for Pin List, Logical mode for Net List.
  • Racal - Specify the RACAL netlist format. Used by RedBoard, CADSTAR etc. Two files are created with CPT and NET extensions. The user property PACKAGE is used for the package name. Use Physical mode.
  • Spice - Age - Specify the SPICE-AGE netlist format for Those Engineers analogue simulator .The file SPICEAGE.LXB can be re-named to SPICEAGE.LIB to obtain a set of SPICE-AGE compatible models.


Property Assignment Tool

Overview

This tool provides a generic and semi-automatic way of assigning properties to one or more objects on the schematic. You can use this tool for everything from labelling bus taps to changing the footprints for a group of resistors. We recommend that you refer to the chapter in the help documentation for more information and some practical examples.

Options

String

Specify the property assignment, or property keyword on which the selected action will be performed for each object.

Count

Specify the initial value for the counter. The counter is incremented on each application of the PAT. The current value of the counter may be included in the string by entering a hash ('#') character.

Increment

Specify by what amount you wish to increment on each use of the Property Assignment Tool.

Action

Specify the action you wish to perform.

  • Assign - The String field should contain a property assignment of the form: keyword=value and this property will be assigned to the selected objects. If you want to assign values that run in a sequence, such as D0, D1, D2 etc. then use the hash ('#') character in the value and set the initial count as required. Both user and system properties may be assigned; assigning system properties may cause graphical changes to your drawing.
  • Remove - The String field should contain a property keyword only and this property will be removed from the selected objects. Only user properties can be removed.
  • Rename - The String field should contain both a property assignment of the form: current_keyword=new_keyword. The name to the left of the assignment is the existing property name you wish to rename; the name to the right is the new name you wish to rename it to. Only user properties can be renamed.
  • Show - The String field should contain a property keyword only and this property will be made visible for the selected objects. All user properties and system properties can be shown.
  • Hide - The String field should contain a property keyword only and this property will be made invisible for the selected objects. All user properties and system properties can be hidden.
  • Resize - The String field should contain an assignment such as REF=20,16 and the given property will be assigned a new height and width for the selected objects. Only textual system properties may be resized. Note that changing a labels text size implicitly sets the Height and Width attributes of the labels text style to be local and that, thereafter, changes to the global text style for the label will not be reflected in these labels.

Apply To

Specify in what way you wish to apply the selected action to the design.

  • On Click - The diagram editor is put into Main Mode, with the Instant Edit icon selected. Each object on which you click left has the selected action performed upon it. When you select a different icon, the PAT is cancelled. This mode is the only way to apply the PAT to wires, in order to assign wire labels. ISIS cannot perform PAT assignments on tagged wires because there would be no way for it to know where to put the wire labels.
  • Local Tagged - The selected action is performed on all tagged objects on the current sheet only. You can select the tagged objects either individually, or with the Search & Tag commands.
  • Global Tagged - The selected action is performed on all tagged objects across the entire design. You can select the tagged objects either individually, or with the Search & Tag commands. ISIS is capable of remembering different tag states for different instances of an object in a hierarchical design, should this be an issue. However, the user property blocks are shared between instances so you cannot change a user property in just one instance.
  • All Objects - The selected action is performed on all the objects in the design.

Help

Provides a basic list of properties that can be manipulated for each object type.


Search and Tag

Overview

This dialogue form gives you a fast and efficient method of searching for and highlighting components on the design. The search can also be expanded or refined with the AND and OR commands.

Options

Property

Specify the Keyword of the property you wish to test. You can test both system and user properties.

String

Specify the string you wish to test against the property value.

Search Mode

Specify the type of search you want to perform. If items already exist in the results list box you can either refine or add to the results to help you find the object you are searching for.

Matching Mode

Specify how you want the string to be tested against the property.

Listbox

The listbox displays the results of a given search. Double clicking on an item in this list box will zoom in to the object in question, tag all the items in the listbox and exit the dialogue. If the object is not the one you were looking for simply re-invoke the dialogue. The results box is populated with all tagged objects on load so you will find the results of your previous search available to you (provided you have not deselected the tagged items).

Search across whole design?

Specify whether you want the search applied to the entire design (checked) or just to the current sheet.

Case sensitive search?

This option allows you to restrict your result set to matches where the characters are in the same case (capitals or lowercase) as those typed in the search term.


Barres d'outils

Les barres d'outils

Généralités

This dialogue form provides you with a quick and simple way to choose which groups of icons you would like to appear on the main toolbar at the top of the screen.


Projets multi-feuilles: exemples

EXEMPLES

Généralités

Les exemples suivents illustres les différentes façon d'uiliser des sous-circuits et des projets multi-feuilles pour diviser vos projets en blocs logiques. Vous trouverez également des exemples qui vous montrent comment réutiliser ces blocs au sein d'un même schéma ou dans différents projets Proteus.

The following examples illustrate the various ways in which you can use sub-circuits and multi-sheet designs to split your project into logical blocks. There are also examples of how to re-use these blocks in the same design and also across different Proteus projects.

Exemple: sous-circuits simples

Exemple d'un bloc logique encapsulé dans un sous-circuit.

Ici, nous avons ajouté un sous-circuit sur la feuille parent du schéma, ainsi que les ports qui ont été également nommés. Tous les ports ont été connectés aux terminaux d'entrée et de sortie; puis nous avons donné un nom à ce sous-circuit.

Here we have added a sub-circuit on the parent sheet of the schematic and then added and named the ports on the sub-circuit body. We've connected all the ports to input or output terminals and given everything a sensible name.

Cliquez droit sur le sous-circuit, entrer la feuille enfant, puis dessiner un circuit qui devra executer la fonction logique du sous-circuit. Il est primordial de se souvenir que vous assignez les signaux sur la feuille enfant aux ports du sous-circuit en nomant les terminaux avec les mêmes noms de ports.

The next step is to right click on the sub-circuit, enter the child sheet and then design a block of circuitry that performs the logical function of the sub-circuit. The key thing to remember is that you 'join up' the signals on the child sheet to the ports on the sub-circuit by naming the terminals with the port names.

Les noms des terminaux font référence aux noms des ports pour permettre les transferts de connexion ascendants et descendants entre les feuilles du projet.

Terminal names matching the names on the ports transfer connections up and down the design hierarchy.

Concept clé: l'oscilloscope

Toutes les connexions d'un sous-citcuit sont locales à ce sous-circuit, à l'exception des lients de type POWER. Everything connection inside a sub-circuit is local to that sub-circuit with the exception of nets of type POWER.

Un lien d'alimentation est désigné en fonction de l'utilisation du terminal de type POWER ou GND. Les liens dont le noms est VCC et GND sont tous de type POWER. A power net is denoted by the use of a terminal of type POWER or GND. Nets with the names VCC and GND are always of type POWER.

Les liens d'alimentation ont une désignation par défaut; vous n'avez donc pas à la câbler.

As an example, the terminals above are all local and are wired up through the sub-circuit ports into the parent sheet. The terminals below are design global (using POWER terminals).

Power terminals default to being design global

If you want to use power terminals but still wire everything up between sub-circuits then you can un-check the Global Power Nets options from the Design Properties on the Design Menu.

Principe de base

Si une portion du circuit a une seule fonction, il est préférable de la mettre dans un sous-circuit. If a block of circuitry does a single job, it's best in a sub-circuit.

Décidez assez tôt la façon dont vous voulez gérer les liens d'alimentation pour votre projet. Vous pouvez avoir des liens globaux à tout votre projet ou locaux sur une feuille donnée du projet. SI vous voulez utiliser des liens globaux, utilisez les terminaux d'alimentation. Si vous voulez utiliser des liens locaux, alors utilisez les terminaux par défaut ou décochez l'option 'Liens d'alimentation globaux'.

Decide early how you want to handle power nets for your project. You can either have them all global to the design or you can have them local to a sheet. If you want global power nets (convenience) then use power terminals. If you want them local (explicit wiring) then either use default terminal types or un-check the global power nets option.

Connectez un sous-circuit à la feuille parent en utilisant un terminal; donnez au terminal le même nom que le port auquel il est relié sur la feuille parent. To connect from the sub-circuit to the parent sheet wire to a terminal and give the terminal the same name as the port on the parent sheet.

Exemple: Annotation de feuilles

Une feuille peut contenit des annotations qui lui sont spécifiques. Cela vous permet de séparer les annotations des composants d'une feuille donnée des autres feuilles de votre projet. Le processus est simple:One of the nicer properties of a sheet is that it can contain an annotation base. This allows you to separate the annotation of parts contained in one sheet from that on a second sheet. The process is simple.

Placez le sous-circuit, affectez-lui des ports, puis nommez-les. Place the sub-circuit, attach and name the ports in the usual way.

Entrez le sous-circuit, puis allez dans le menu PROJET -> Commande 'Editer propriétés de la feuille'. Enter the sub-circuit and then visit Design Menu -> Edit Sheet Properties command.

Changez l'annotation initiale du sous-circuit (par ex 500). Change the initial annotation for the sub-circuit (e.g to 500)

Placez votre portion de circuit et câblez-le. Place and wire circuitry in the usual way.

Changement de l'annotation initiale du sous-circuit à 500.

L'annotation du sous-circuit sera perdue en cas de ré-annotation à partir du schéma. ARES possède en effet une commande d'annotation de la carte; cette fonction ré-annote automatiquement le schéma.

Sub-circuit annotation will not survive re-annotation from the layout. ARES has a command for annotating the board in a physical way (e.g. top left to bottom right) and this will re-annotate the schematic automatically.

Exemple: Dupliquer un circuit

DJS